MdeModulePkg[ALL]: MdeModulePkg Package Document

  • Main Page
  • Data Structures
  • Files

MdeModulePkg Package Document

0.92

This package provides the modules that conform to UEFI/PI Industry standards.
It also provides the defintions(including PPIs/PROTOCOLs/GUIDs and library classes)
and libraries instances, which are used for those modules.

Copyright (c) 2007 - 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under
the terms and conditions of the BSD License that accompanies this distribution.
The full text of the license may be found at
http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Package Basic Information

Version of DEC file specification | 0x00010005
Package Guid | BA0D78D6-2CAF-414b-BD4D-B6762A894288

Known Issue

  • OPTIONAL macro for function parameter can not be dealed with doxygen, so it disapear in this document!

INDEX

  • Library Class
  • PCD
  • GUID
  • PPI
  • PROTOCOL
Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Library Class

MdeModulePkg Package Document

Library Class

INDEX

  • common
Generated on Sat Dec 17 17:45:11 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » Library Class

common

INDEX

  • CapsuleLib
  • DebugAgentLib
  • DpcLib
  • HiiLib
  • IpIoLib
  • LockBoxLib
  • NetLib
  • OemHookStatusCodeLib
  • PlatformHookLib
  • RecoveryLib
  • ResetSystemLib
  • S3Lib
  • SecurityManagementLib
  • SmmCorePlatformHookLib
  • TcpIoLib
  • UdpIoLib
  • UefiHiiServicesLib


MdeModulePkg[ALL]: CapsuleLib

MdeModulePkg Package Document » Library Class » common

CapsuleLib

Defines a set of interfaces on how to process capusle image update.

Refer to Header File

Include/Library/CapsuleLib.h


MdeModulePkg[ALL]: DebugAgentLib

MdeModulePkg Package Document » Library Class » common

DebugAgentLib

Debug Agent is used to provide soft debug capability.

Refer to Header File

Include/Library/DebugAgentLib.h


MdeModulePkg[ALL]: DpcLib

MdeModulePkg Package Document » Library Class » common

DpcLib

Library for Deferred Procedure Calls.

Refer to Header File

Include/Library/DpcLib.h


MdeModulePkg[ALL]: HiiLib

MdeModulePkg Package Document » Library Class » common

HiiLib

Provides HII related functions.

Refer to Header File

Include/Library/HiiLib.h


MdeModulePkg[ALL]: IpIoLib

MdeModulePkg Package Document » Library Class » common

IpIoLib

IpIo layer upon EFI IP4 Protocol.
This library is only intended to be used by UEFI network stack modules.

Refer to Header File

Include/Library/IpIoLib.h


MdeModulePkg[ALL]: LockBoxLib

MdeModulePkg Package Document » Library Class » common

LockBoxLib

Provide capability to maintain the data integrity cross S3 phase.

Refer to Header File

Include/Library/LockBoxLib.h


MdeModulePkg[ALL]: NetLib

MdeModulePkg Package Document » Library Class » common

NetLib

Basic function for UEFI network stack.
This library is only intended to be used by UEFI network stack modules.

Refer to Header File

Include/Library/NetLib.h


MdeModulePkg[ALL]: OemHookStatusCodeLib

MdeModulePkg Package Document » Library Class » common

OemHookStatusCodeLib

OEM status code libary is used to report status code to OEM device.

Refer to Header File

Include/Library/OemHookStatusCodeLib.h


MdeModulePkg[ALL]: PlatformHookLib

MdeModulePkg Package Document » Library Class » common

PlatformHookLib

Provide platform specific hooks.

Refer to Header File

Include/Library/PlatformHookLib.h


MdeModulePkg[ALL]: RecoveryLib

MdeModulePkg Package Document » Library Class » common

RecoveryLib

Defines a set of methods related recovery mode.
This library class is no longer used and modules using this library should
directly locate EFI_PEI_RECOVERY_MODULE_PPI defined in PI 1.2 specification.

Refer to Header File

Include/Library/RecoveryLib.h


MdeModulePkg[ALL]: ResetSystemLib

MdeModulePkg Package Document » Library Class » common

ResetSystemLib

Defines a set of methods to reset whole system.

Refer to Header File

Include/Library/ResetSystemLib.h


MdeModulePkg[ALL]: S3Lib

MdeModulePkg Package Document » Library Class » common

S3Lib

Defines a set of methods related do S3 mode.
This library class is no longer used and modules using this library should
directly locate EFI_PEI_S3_RESUME_PPI defined in PI 1.2 specification.

Refer to Header File

Include/Library/S3Lib.h


MdeModulePkg[ALL]: SecurityManagementLib

MdeModulePkg Package Document » Library Class » common

SecurityManagementLib

Provides a set of interfaces to abstract the policy of security measurement.

Refer to Header File

Include/Library/SecurityManagementLib.h


MdeModulePkg[ALL]: SmmCorePlatformHookLib

MdeModulePkg Package Document » Library Class » common

SmmCorePlatformHookLib

Provide platform specific hooks for SMM core.

Refer to Header File

Include/Library/SmmCorePlatformHookLib.h


MdeModulePkg[ALL]: TcpIoLib

MdeModulePkg Package Document » Library Class » common

TcpIoLib

The helper routines to access TCP service.
This library is only intended to be used by UEFI network stack modules.

Refer to Header File

Include/Library/TcpIoLib.h


MdeModulePkg[ALL]: UdpIoLib

MdeModulePkg Package Document » Library Class » common

UdpIoLib

The helper routines to access UDP service.
This library is only intended to be used by UEFI network stack modules.

Refer to Header File

Include/Library/UdpIoLib.h


MdeModulePkg[ALL]: UefiHiiServicesLib

MdeModulePkg Package Document » Library Class » common

UefiHiiServicesLib

Provides global variables that are pointers
to the UEFI HII related protocols.

Refer to Header File

Include/Library/UefiHiiServicesLib.h


MdeModulePkg[ALL]: PCD

MdeModulePkg Package Document

PCD

INDEX

  • PcdsDynamic
  • PcdsDynamicEx
  • PcdsFeatureFlag
  • PcdsFixedAtBuild
  • PcdsPatchableInModule


MdeModulePkg[ALL]: PcdsDynamic

MdeModulePkg Package Document » PCD

PcdsDynamic

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PCD » PcdsDynamic

common

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow
  • gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

This PCD specifies whether the Alternative Routing-ID support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdAriSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000045 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

Specify the background color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_BACKGROUND_BLACK. Only following values defined in UEFI specification are valid:
0x00 (EFI_BACKGROUND_BLACK)
0x10 (EFI_BACKGROUND_BLUE)
0x20 (EFI_BACKGROUND_GREEN)
0x30 (EFI_BACKGROUND_CYAN)
0x40 (EFI_BACKGROUND_RED)
0x50 (EFI_BACKGROUND_MAGENTA)
0x60 (EFI_BACKGROUND_BROWN)
0x70 (EFI_BACKGROUND_LIGHTGRAY)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldBackgroundHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005A | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

Specify the foreground color for prompt and Question value text in HII Form Browser. The default value is EFI_BLACK.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010058 | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

Specify the foreground color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_LIGHTGRAY. Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010059 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

Specify the foreground color for Subtile text in HII Form Browser. The default value is EFI_BLUE.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserSubtitleTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010057 | UINT8 | 0x01


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

The PCD is used to specify the stack size when capsule IA32 PEI transfers to long mode in PEI phase.
The default size 32K. When changing the value of this PCD, the platform developer should
make sure the memory size is large enough to meet capsule PEI requiremnt in capsule update path.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdCapsulePeiLongModeStackSize | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005D | UINT32 | 0x8000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

This PCD defines the Console output row and the default value is 80 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutColumn | gEfiMdeModulePkgTokenSpaceGuid | 0x40000007 | UINT32 | 80


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

This PCD defines the Console output column and the default value is 25 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutRow | gEfiMdeModulePkgTokenSpaceGuid | 0x40000006 | UINT32 | 25


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

This PCD defines a reserved memory range for the EMU Variable driver's NV Variable Store
The range is valid if non-zero. The memory range size must be PcdVariableStoreSize.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEmuVariableNvStoreReserved | gEfiMdeModulePkgTokenSpaceGuid | 0x40000008 | UINT64 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

Null-terminated Unicode string that contains the date the formware was released

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareReleaseDateString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010053 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

Firmware revision that is default value filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareRevision | gEfiMdeModulePkgTokenSpaceGuid | 0x00010051 | UINT32 | 0x00010000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

Null-terminated Unicode string of the firmware vendor name that is default name filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVendor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010050 | VOID* | L"EDK II"


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

Null-terminated Unicode string that described the firmware version

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVersionString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010052 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000013 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

64-bit Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000013 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000010 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

64-bit Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000010 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000001 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

64-bit Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000001 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

This PCD defines the print string.
This PCD is a sample to explain String typed PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintString | gEfiMdeModulePkgTokenSpaceGuid | 0x40000004 | VOID* | L"UEFI Hello World! "


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

This PCD defines the times to print hello world string.
This PCD is a sample to explain FixedAtBuild UINT32 PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintTimes | gEfiMdeModulePkgTokenSpaceGuid | 0x40000005 | UINT32 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

Indicate the max size of the capsule image without reset flag that the platform can support.
The default max size is 10MB (0xa00000) for the casule image without reset flag setting.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizeNonPopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001f | UINT32 | 0xa00000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

Indicate the max size of the capsule image with reset flag that the platform can support.
The default max size is 100MB (0x6400000) for more than one large capsule images.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizePopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001e | UINT32 | 0x6400000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

This PCD specifies whether the Multi Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000046 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

This PCD specifies whether to reset system when memory type information changes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdResetOnMemoryTypeInformationChange | gEfiMdeModulePkgTokenSpaceGuid | 0x00010056 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

The PCD is used to specify memory size with page number for a pre-allocated ACPI NVS memory to hold
runtime created S3 boot script entries. The default page number is 2. When changing the value of this
PCD, the platform developer should make sure the memory size is large enough to hold the S3 boot
script node created in runtime phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptRuntimeTableReservePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005C | UINT16 | 0x2


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr

This dynamic PCD hold an address to point to private data structure used in DxeS3BootScriptLib library
instance which records the S3 boot script table start address, length, etc. To introduce this PCD is
only for DxeS3BootScriptLib instance implementation purpose. The platform developer should make sure the
default value is set to Zero. And the PCD is assumed ONLY to be accessed in DxeS3BootScriptLib Library.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptTablePrivateDataPtr | gEfiMdeModulePkgTokenSpaceGuid | 0x00030000 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

Time in second to delay for SATA devices to spin-up for recovery.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSataSpinUpDelayInSecForRecoveryPath | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005B | UINT16 | 15


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

This PCD specifies whether the Single Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000044 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

PcdStatusCodeMemorySize is used when PcdStatusCodeUseMemory is set to true
(PcdStatusCodeMemorySize * KBytes) is the total taken memory size.
The default value in PeiPhase is 1 KBytes.
The default value in DxePhase is 128 KBytes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeMemorySize | gEfiMdeModulePkgTokenSpaceGuid | 0x00010054 | UINT16 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

This PCD specifies whether 1G page table is enabled.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUse1GPageTable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005E | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

This PCD defines the video horizontal resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoHorizontalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x40000009 | UINT32 | 800


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

MdeModulePkg Package Document » PCD » PcdsDynamic » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

This PCD defines the video vertical resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoVerticalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x4000000a | UINT32 | 600


MdeModulePkg[ALL]: PcdsDynamicEx

MdeModulePkg Package Document » PCD

PcdsDynamicEx

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PCD » PcdsDynamicEx

common

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow
  • gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

This PCD specifies whether the Alternative Routing-ID support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdAriSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000045 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

Specify the background color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_BACKGROUND_BLACK. Only following values defined in UEFI specification are valid:
0x00 (EFI_BACKGROUND_BLACK)
0x10 (EFI_BACKGROUND_BLUE)
0x20 (EFI_BACKGROUND_GREEN)
0x30 (EFI_BACKGROUND_CYAN)
0x40 (EFI_BACKGROUND_RED)
0x50 (EFI_BACKGROUND_MAGENTA)
0x60 (EFI_BACKGROUND_BROWN)
0x70 (EFI_BACKGROUND_LIGHTGRAY)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldBackgroundHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005A | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

Specify the foreground color for prompt and Question value text in HII Form Browser. The default value is EFI_BLACK.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010058 | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

Specify the foreground color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_LIGHTGRAY. Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010059 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

Specify the foreground color for Subtile text in HII Form Browser. The default value is EFI_BLUE.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserSubtitleTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010057 | UINT8 | 0x01


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

The PCD is used to specify the stack size when capsule IA32 PEI transfers to long mode in PEI phase.
The default size 32K. When changing the value of this PCD, the platform developer should
make sure the memory size is large enough to meet capsule PEI requiremnt in capsule update path.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdCapsulePeiLongModeStackSize | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005D | UINT32 | 0x8000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

This PCD defines the Console output row and the default value is 80 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutColumn | gEfiMdeModulePkgTokenSpaceGuid | 0x40000007 | UINT32 | 80


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

This PCD defines the Console output column and the default value is 25 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutRow | gEfiMdeModulePkgTokenSpaceGuid | 0x40000006 | UINT32 | 25


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

This PCD defines a reserved memory range for the EMU Variable driver's NV Variable Store
The range is valid if non-zero. The memory range size must be PcdVariableStoreSize.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEmuVariableNvStoreReserved | gEfiMdeModulePkgTokenSpaceGuid | 0x40000008 | UINT64 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

Null-terminated Unicode string that contains the date the formware was released

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareReleaseDateString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010053 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

Firmware revision that is default value filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareRevision | gEfiMdeModulePkgTokenSpaceGuid | 0x00010051 | UINT32 | 0x00010000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

Null-terminated Unicode string of the firmware vendor name that is default name filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVendor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010050 | VOID* | L"EDK II"


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

Null-terminated Unicode string that described the firmware version

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVersionString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010052 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000013 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

64-bit Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000013 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000010 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

64-bit Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000010 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000001 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

64-bit Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000001 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

This PCD defines the print string.
This PCD is a sample to explain String typed PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintString | gEfiMdeModulePkgTokenSpaceGuid | 0x40000004 | VOID* | L"UEFI Hello World! "


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

This PCD defines the times to print hello world string.
This PCD is a sample to explain FixedAtBuild UINT32 PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintTimes | gEfiMdeModulePkgTokenSpaceGuid | 0x40000005 | UINT32 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

Indicate the max size of the capsule image without reset flag that the platform can support.
The default max size is 10MB (0xa00000) for the casule image without reset flag setting.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizeNonPopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001f | UINT32 | 0xa00000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

Indicate the max size of the capsule image with reset flag that the platform can support.
The default max size is 100MB (0x6400000) for more than one large capsule images.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizePopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001e | UINT32 | 0x6400000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

This PCD specifies whether the Multi Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000046 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

This PCD specifies whether to reset system when memory type information changes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdResetOnMemoryTypeInformationChange | gEfiMdeModulePkgTokenSpaceGuid | 0x00010056 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

The PCD is used to specify memory size with page number for a pre-allocated ACPI NVS memory to hold
runtime created S3 boot script entries. The default page number is 2. When changing the value of this
PCD, the platform developer should make sure the memory size is large enough to hold the S3 boot
script node created in runtime phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptRuntimeTableReservePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005C | UINT16 | 0x2


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptTablePrivateDataPtr

This dynamic PCD hold an address to point to private data structure used in DxeS3BootScriptLib library
instance which records the S3 boot script table start address, length, etc. To introduce this PCD is
only for DxeS3BootScriptLib instance implementation purpose. The platform developer should make sure the
default value is set to Zero. And the PCD is assumed ONLY to be accessed in DxeS3BootScriptLib Library.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptTablePrivateDataPtr | gEfiMdeModulePkgTokenSpaceGuid | 0x00030000 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

Time in second to delay for SATA devices to spin-up for recovery.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSataSpinUpDelayInSecForRecoveryPath | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005B | UINT16 | 15


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

This PCD specifies whether the Single Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000044 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

PcdStatusCodeMemorySize is used when PcdStatusCodeUseMemory is set to true
(PcdStatusCodeMemorySize * KBytes) is the total taken memory size.
The default value in PeiPhase is 1 KBytes.
The default value in DxePhase is 128 KBytes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeMemorySize | gEfiMdeModulePkgTokenSpaceGuid | 0x00010054 | UINT16 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

This PCD specifies whether 1G page table is enabled.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUse1GPageTable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005E | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

This PCD defines the video horizontal resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoHorizontalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x40000009 | UINT32 | 800


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

MdeModulePkg Package Document » PCD » PcdsDynamicEx » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

This PCD defines the video vertical resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoVerticalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x4000000a | UINT32 | 600


MdeModulePkg[ALL]: PcdsFeatureFlag

MdeModulePkg Package Document » PCD

PcdsFeatureFlag

INDEX

  • common
  • IA32
  • X64


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PCD » PcdsFeatureFlag

common

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserGrayOutTextStatement
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutGopSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutUgaSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathFromText
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathToText
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDisableDefaultKeyboardLayoutInUsbKbDriver
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSupportUefiDecompress
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwarePerformanceDataTableS3Support
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFrameworkCompatibilitySupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFullFtwServiceEnable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintEnable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdInstallAcpiSdtProtocol
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPciBridgeIoAlignmentProbe
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPciBusHotplugDeviceSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreImageLoaderSearchTeSectionFirst
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiFullPcdDatabaseEnable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnDataCD
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatFloppyDisk
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatUsbDisk
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnIdeDisk
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeReplayIn
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseMemory
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseSerial
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSupportHiiImageProtocol
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSupportUpdateCapsuleReset
  • gEfiMdeModulePkgTokenSpaceGuid.PcdTurnOffUsbLegacySupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUnalignedPciIoEnable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollation2Support
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollationSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVariableCollectStatistics


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserGrayOutTextStatement

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserGrayOutTextStatement

This PCD specifies whether TEXT statement is always set to GrayOut statement in HII Form Browser.
If TRUE, TEXT statement will always be set to GrayOut.
If FALSE, TEXT statement will be set to GrayOut only when GrayOut condition is TRUE.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserGrayOutTextStatement | gEfiMdeModulePkgTokenSpaceGuid | 0x0001004f | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutGopSupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutGopSupport

If TRUE, Graphics Output Protocol will be installed on virtual handle created by ConsplitterDxe.
It could be set FALSE to save size.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutGopSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x00010042 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutUgaSupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutUgaSupport

If TRUE, UGA Draw Protocol will be installed on virtual handle created by ConsplitterDxe.
It could be set FALSE to save size.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutUgaSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x00010043 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathFromText

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathFromText

If TRUE, then the Device Path From Text Protocol should be produced by the platform.
It can be disabled to save size.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDevicePathSupportDevicePathFromText | gEfiMdeModulePkgTokenSpaceGuid | 0x00010038 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathToText

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdDevicePathSupportDevicePathToText

If TRUE, then the Device Path To Text Protocol should be produced by the platform.
It can be disabled to save size.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDevicePathSupportDevicePathToText | gEfiMdeModulePkgTokenSpaceGuid | 0x00010037 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDisableDefaultKeyboardLayoutInUsbKbDriver

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdDisableDefaultKeyboardLayoutInUsbKbDriver

If TRUE, USB KeyBoard Driver disables the default keyboard layout.
The default keyboard layout serves as the backup when no keyboard layout can be retrieved
from HII database.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDisableDefaultKeyboardLayoutInUsbKbDriver | gEfiMdeModulePkgTokenSpaceGuid | 0x00010200 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSupportUefiDecompress

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSupportUefiDecompress

If TRUE, DXE IPL must support the UEFI decompression algorithm.
If FALSE, DXE IPL will not support UEFI decompression to save space.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDxeIplSupportUefiDecompress | gEfiMdeModulePkgTokenSpaceGuid | 0x0001200c | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwarePerformanceDataTableS3Support

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwarePerformanceDataTableS3Support

If TRUE, S3 performance data will be supported in ACPI FPDT table.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwarePerformanceDataTableS3Support | gEfiMdeModulePkgTokenSpaceGuid | 0x00010064 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFrameworkCompatibilitySupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFrameworkCompatibilitySupport

If TRUE, Setup Browser supports GUID opcodes generated from Framework HII VFR file by VFR compiler.
If TRUE, the PeiCore will handle the framework FvHob and install FvInfo PPI for it.
This is used to provide backward compatibility support to Framework HII and Framework FvHob.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFrameworkCompatibilitySupport | gEfiMdeModulePkgTokenSpaceGuid | 0x00012009 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFullFtwServiceEnable

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFullFtwServiceEnable

If TRUE, FULL FTW protocol services (total six APIs) will be produced.
If FASLE, only FTW Write service is available.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFullFtwServiceEnable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001200b | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintEnable

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintEnable

If TRUE, HelloWorld Application will print the verbose information.
This PCD is a sample to explain FeatureFlag PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintEnable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001200a | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdInstallAcpiSdtProtocol

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdInstallAcpiSdtProtocol

This PCD specified whether ACPI SDT protocol is installed.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdInstallAcpiSdtProtocol | gEfiMdeModulePkgTokenSpaceGuid | 0x0001004d | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPciBridgeIoAlignmentProbe

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPciBridgeIoAlignmentProbe

This PCD specifies whether the PCI bus driver probes non-standard,
such as 2K/1K/512, granularity for PCI to PCI bridge I/O window.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPciBridgeIoAlignmentProbe | gEfiMdeModulePkgTokenSpaceGuid | 0x0001004e | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPciBusHotplugDeviceSupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPciBusHotplugDeviceSupport

This PCD specifies whether PciBus supports the hot plug device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPciBusHotplugDeviceSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003d | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreImageLoaderSearchTeSectionFirst

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreImageLoaderSearchTeSectionFirst

If TRUE, when PeiCore dispatches a PEI module, PeiCore will first search TE section from this PEIM to load the image.
If TE section is not found, then PeiCore will search PE section.
If FALSE, PeiCore will first search PE section from PEIM to load the image.
This PCD is used to tune Pei phase performance to reduce the search image time.
It can be set according to the generated image section type.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiCoreImageLoaderSearchTeSectionFirst | gEfiMdeModulePkgTokenSpaceGuid | 0x00010044 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiFullPcdDatabaseEnable

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiFullPcdDatabaseEnable

This feature flag can be used to enable or disable all PCD PEIM services.
If TRUE, all PCD PPI services will be produced.
If FALSE, the minimal PCD PEIM services (only GetService) will be produced.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiFullPcdDatabaseEnable | gEfiMdeModulePkgTokenSpaceGuid | 0x00010020 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnDataCD

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnDataCD

If TRUE, recovery from data CD will be supported.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRecoveryOnDataCD | gEfiMdeModulePkgTokenSpaceGuid | 0x00010062 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatFloppyDisk

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatFloppyDisk

If TRUE, recovery from FAT floppy disk will be supported.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRecoveryOnFatFloppyDisk | gEfiMdeModulePkgTokenSpaceGuid | 0x00010061 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatUsbDisk

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnFatUsbDisk

If TRUE, recovery from FAT USB disk will be supported.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRecoveryOnFatUsbDisk | gEfiMdeModulePkgTokenSpaceGuid | 0x00010063 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnIdeDisk

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRecoveryOnIdeDisk

If TRUE, recovery from IDE disk will be supported.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRecoveryOnIdeDisk | gEfiMdeModulePkgTokenSpaceGuid | 0x00010060 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeReplayIn

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeReplayIn

This PCD specifies whether Peiphase StatusCode is replayed in DxePhase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeReplayIn | gEfiMdeModulePkgTokenSpaceGuid | 0x0001002d | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseMemory

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseMemory

This PCD specifies whether StatusCode is stored in memory.
The memory is boot time memory in PEI Phase and is runtime memory in DXE Phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeUseMemory | gEfiMdeModulePkgTokenSpaceGuid | 0x00010023 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseSerial

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeUseSerial

This PCD specifies whether StatusCode is reported via Serial port.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeUseSerial | gEfiMdeModulePkgTokenSpaceGuid | 0x00010022 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSupportHiiImageProtocol

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSupportHiiImageProtocol

If TRUE, HiiImageProtocol will be installed.
FALSE is for size reduction.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSupportHiiImageProtocol | gEfiMdeModulePkgTokenSpaceGuid | 0x00010100 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSupportUpdateCapsuleReset

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSupportUpdateCapsuleReset

Indicate whether platform can support update capsule across a system reset

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSupportUpdateCapsuleReset | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001d | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdTurnOffUsbLegacySupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdTurnOffUsbLegacySupport

If TRUE, force to switch off the support of legacy usb. So legacy usb device driver can not make use of SMI
interrupt to access usb device in the case of absence of usb stack.
DUET platform requires the token to be TRUE.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdTurnOffUsbLegacySupport | gEfiMdeModulePkgTokenSpaceGuid | 0x00010047 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUnalignedPciIoEnable

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUnalignedPciIoEnable

If TRUE, then unaligned I/O, MMIO, and PCI Configuration cycles through the PCI I/O Protocol are enabled.
If FALSE, then unaligned I/O, MMIO, and PCI Configuration cycles through the PCI I/O Protocol are disabled.
The default value for this PCD is to disable support for unaligned PCI I/O Protocol requests.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUnalignedPciIoEnable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003e | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollation2Support

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollation2Support

If TRUE, Unicode Collation 2 Protocol will be installed.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUnicodeCollation2Support | gEfiMdeModulePkgTokenSpaceGuid | 0x00010041 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollationSupport

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUnicodeCollationSupport

If TRUE, Unicode Collation Protocol will be installed.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUnicodeCollationSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x00010040 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVariableCollectStatistics

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVariableCollectStatistics

If TRUE, enable the statistic functionality about variable usage. Such information is
stored as a vendor configuration table into the EFI system table.
If user wants to use VariableInfo application in MdeModulePkg directory to get
variable usage info, this pcd should be set as TRUE. Otherwise VariableInfo application can
not output useful info.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVariableCollectStatistics | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003f | BOOLEAN | FALSE


MdeModulePkg[ALL]: IA32

MdeModulePkg Package Document » PCD » PcdsFeatureFlag

IA32

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » IA32

gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables

This feature flag specifies whether DxeIpl should rebuild page tables. This flag only
makes sense in the case where the DxeIpl and the DxeCore are both X64.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDxeIplBuildPageTables | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003c | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » IA32

gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode

This feature flag specifies whether DxeIpl switches to long mode to enter DXE phase.
If it is TRUE, DxeIpl will load a 64-bit DxeCore and switch to long mode to hand over to DxeCore;
otherwise, DxeIpl will load a 32-bit DxeCore and perform stack switch to hand over to DxeCore.
It is assumed that 64-bit DxeCore is built in firmware if it is true; otherwise 32-bit DxeCore
is built in firmware.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDxeIplSwitchToLongMode | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003b | BOOLEAN | TRUE


MdeModulePkg[ALL]: X64

MdeModulePkg Package Document » PCD » PcdsFeatureFlag

X64

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables
  • gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » X64

gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplBuildPageTables

This feature flag specifies whether DxeIpl should rebuild page tables. This flag only
makes sense in the case where the DxeIpl and the DxeCore are both X64.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDxeIplBuildPageTables | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003c | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode

MdeModulePkg Package Document » PCD » PcdsFeatureFlag » X64

gEfiMdeModulePkgTokenSpaceGuid.PcdDxeIplSwitchToLongMode

This feature flag specifies whether DxeIpl switches to long mode to enter DXE phase.
If it is TRUE, DxeIpl will load a 64-bit DxeCore and switch to long mode to hand over to DxeCore;
otherwise, DxeIpl will load a 32-bit DxeCore and perform stack switch to hand over to DxeCore.
It is assumed that 64-bit DxeCore is built in firmware if it is true; otherwise 32-bit DxeCore
is built in firmware.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdDxeIplSwitchToLongMode | gEfiMdeModulePkgTokenSpaceGuid | 0x0001003b | BOOLEAN | TRUE


MdeModulePkg[ALL]: PcdsFixedAtBuild

MdeModulePkg Package Document » PCD

PcdsFixedAtBuild

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild

common

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdAcpiTableStorageFile
  • gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdCapsuleCoalesceFile
  • gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHwErrStorageSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdLoadModuleAtFixAddressEnable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxHardwareErrorVariableSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPcdCallBackNumberPerPcdEntry
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxVariableSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxFvSupported
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeimPerFv
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeiStackSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPpiSupported
  • gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderLoad
  • gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderStart
  • gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendEnd
  • gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendStart
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout
  • gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSmbiosVersion
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSystemPageSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdTftpBlockSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVariableStoreSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVpdBaseAddress


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdAcpiTableStorageFile

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdAcpiTableStorageFile

FFS filename to find the ACPI tables

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdAcpiTableStorageFile | gEfiMdeModulePkgTokenSpaceGuid | 0x30000016 | VOID* | { 0x25, 0x4e, 0x37, 0x7e, 0x01, 0x8e, 0xee, 0x4f, 0x87, 0xf2, 0x39, 0xc, 0x23, 0xc6, 0x6, 0xcd }


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdAriSupport

This PCD specifies whether the Alternative Routing-ID support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdAriSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000045 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

Specify the background color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_BACKGROUND_BLACK. Only following values defined in UEFI specification are valid:
0x00 (EFI_BACKGROUND_BLACK)
0x10 (EFI_BACKGROUND_BLUE)
0x20 (EFI_BACKGROUND_GREEN)
0x30 (EFI_BACKGROUND_CYAN)
0x40 (EFI_BACKGROUND_RED)
0x50 (EFI_BACKGROUND_MAGENTA)
0x60 (EFI_BACKGROUND_BROWN)
0x70 (EFI_BACKGROUND_LIGHTGRAY)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldBackgroundHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005A | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

Specify the foreground color for prompt and Question value text in HII Form Browser. The default value is EFI_BLACK.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010058 | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

Specify the foreground color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_LIGHTGRAY. Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010059 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

Specify the foreground color for Subtile text in HII Form Browser. The default value is EFI_BLUE.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserSubtitleTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010057 | UINT8 | 0x01


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdCapsuleCoalesceFile

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdCapsuleCoalesceFile

FFS filename to find the capsule coalesce image.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdCapsuleCoalesceFile | gEfiMdeModulePkgTokenSpaceGuid | 0x30000017 | VOID* | { 0xA6, 0xE4, 0xFD, 0xF7, 0x4C, 0x29, 0x3c, 0x49, 0xB5, 0x0F, 0x97, 0x34, 0x55, 0x3B, 0xB7, 0x57 }


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

The PCD is used to specify the stack size when capsule IA32 PEI transfers to long mode in PEI phase.
The default size 32K. When changing the value of this PCD, the platform developer should
make sure the memory size is large enough to meet capsule PEI requiremnt in capsule update path.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdCapsulePeiLongModeStackSize | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005D | UINT32 | 0x8000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdEmuVariableNvStoreReserved

This PCD defines a reserved memory range for the EMU Variable driver's NV Variable Store
The range is valid if non-zero. The memory range size must be PcdVariableStoreSize.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdEmuVariableNvStoreReserved | gEfiMdeModulePkgTokenSpaceGuid | 0x40000008 | UINT64 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

Null-terminated Unicode string that contains the date the formware was released

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareReleaseDateString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010053 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

Firmware revision that is default value filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareRevision | gEfiMdeModulePkgTokenSpaceGuid | 0x00010051 | UINT32 | 0x00010000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

Null-terminated Unicode string of the firmware vendor name that is default name filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVendor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010050 | VOID* | L"EDK II"


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

Null-terminated Unicode string that described the firmware version

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVersionString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010052 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase

Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000013 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareBase64

64-bit Base address of the FTW spare block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000013 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwSpareSize

Size of the FTW spare block range. Note that this value should larger than PcdFlashNvStorageVariableSize
The root cause is that variable driver will use FTW protocol to reclaim variable region.
If the length of variable region is larger than FTW spare size, it means the whole variable region can not
be reflushed through the manner of fault tolerant write.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwSpareSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000014 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase

Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000010 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingBase64

64-bit Base address of the FTW working block range in flash device.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000010 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageFtwWorkingSize

Size of the FTW working block range.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageFtwWorkingSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000011 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase

Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase | gEfiMdeModulePkgTokenSpaceGuid | 0x30000001 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableBase64

64-bit Base address of the NV variable range in flash device

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableBase64 | gEfiMdeModulePkgTokenSpaceGuid | 0x80000001 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFlashNvStorageVariableSize

Size of the NV variable range. Note that this value should less than or equal to PcdFlashNvStorageFtwSpareSize
The root cause is that variable driver will use FTW protocol to reclaim variable region.
If the length of variable region is larger than FTW spare size, it means the whole variable region can not
be reflushed through the manner of fault tolerant write.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFlashNvStorageVariableSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000002 | UINT32 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintString

This PCD defines the print string.
This PCD is a sample to explain String typed PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintString | gEfiMdeModulePkgTokenSpaceGuid | 0x40000004 | VOID* | L"UEFI Hello World! "


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

This PCD defines the times to print hello world string.
This PCD is a sample to explain FixedAtBuild UINT32 PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintTimes | gEfiMdeModulePkgTokenSpaceGuid | 0x40000005 | UINT32 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHwErrStorageSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHwErrStorageSize

The size of reserved HwErr variable space. Note that this value must be less than or equal to PcdFlashNvStorageVariableSize
In EdkII implementation, HwErr type variable is stored with common non-volatile variables in the same NV region.
so the platform integrator should ensure this value is less than or equal to PcdFlashNvStorageVariableSize.
this value is used to guarantee the space of HwErr type variable and not populated by common variable.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHwErrStorageSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000006 | UINT32 | 0x0000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdLoadModuleAtFixAddressEnable

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdLoadModuleAtFixAddressEnable

Flag of enabling/disabling the feature of Loading Module at Fixed Address
-1: Enable the feature as fixed offset to TOLM
0: Disable the feature.
Positive Value: Enable the feature as fixed absolute address, and the value is the top memory address

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLoadModuleAtFixAddressEnable | gEfiMdeModulePkgTokenSpaceGuid | 0x30001015 | UINT64 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress

Maximum address that the DXE Core will allocate the EFI_SYSTEM_TABLE_POINTER
structure. The default value for this PCD is 0, which means that the DXE Core
will allocate the buffer from the EFI_SYSTEM_TABLE_POINTER structure on a 4MB
boundary as close to the top of memory as feasible. If this PCD is set to a
value other than 0, then the DXE Core will first attempt to allocate the
EFI_SYSTEM_TABLE_POINTER structure on a 4MB boundary below the address specified
by this PCD, and if that allocation fails, retry the allocation on a 4MB
boundary as close to the top of memory as feasible.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxEfiSystemTablePointerAddress | gEfiMdeModulePkgTokenSpaceGuid | 0x30001027 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxHardwareErrorVariableSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxHardwareErrorVariableSize

The maximum size of single hardware error record variable.
In IA32/X64 platforms, this value should be larger than 1KB.
In IA64 platforms, this value should be larger than 128KB.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxHardwareErrorVariableSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000004 | UINT32 | 0x8000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPcdCallBackNumberPerPcdEntry

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPcdCallBackNumberPerPcdEntry

Dynamic type PCD can be registered callback function for Pcd setting action.
PcdMaxPeiPcdCallBackNumberPerPcdEntry indicate maximum number of callback function
for a dynamic PCD used in PEI phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxPeiPcdCallBackNumberPerPcdEntry | gEfiMdeModulePkgTokenSpaceGuid | 0x0001000f | UINT32 | 0x08


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries

Maximun number of performance log entries during PEI phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxPeiPerformanceLogEntries | gEfiMdeModulePkgTokenSpaceGuid | 0x0001002f | UINT8 | 40


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

Indicate the max size of the capsule image without reset flag that the platform can support.
The default max size is 10MB (0xa00000) for the casule image without reset flag setting.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizeNonPopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001f | UINT32 | 0xa00000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

Indicate the max size of the capsule image with reset flag that the platform can support.
The default max size is 100MB (0x6400000) for more than one large capsule images.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizePopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001e | UINT32 | 0x6400000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxVariableSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxVariableSize

The maximum size of single common variable, that is non-HwErr type varible.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxVariableSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000003 | UINT32 | 0x400


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMrIovSupport

This PCD specifies whether the Multi Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000046 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxFvSupported

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxFvSupported

Maximum number of FV is supported by PeiCore's dispatching.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiCoreMaxFvSupported | gEfiMdeModulePkgTokenSpaceGuid | 0x00010030 | UINT32 | 6


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeimPerFv

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeimPerFv

Maximum PEIM count in every FV is supported by PeiCore's dispatching.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiCoreMaxPeimPerFv | gEfiMdeModulePkgTokenSpaceGuid | 0x00010031 | UINT32 | 32


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeiStackSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPeiStackSize

Maximum stack size for PeiCore.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiCoreMaxPeiStackSize | gEfiMdeModulePkgTokenSpaceGuid | 0x00010032 | UINT32 | 0x20000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPpiSupported

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdPeiCoreMaxPpiSupported

Maximum PPI count is supported by PeiCore's PPI database.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdPeiCoreMaxPpiSupported | gEfiMdeModulePkgTokenSpaceGuid | 0x00010033 | UINT32 | 64


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderLoad

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderLoad

Progress Code for OS Loader LoadImage start.
PROGRESS_CODE_OS_LOADER_LOAD = (EFI_SOFTWARE_DXE_BS_DRIVER | (EFI_OEM_SPECIFIC | 0x00000000)) = 0x03058000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdProgressCodeOsLoaderLoad | gEfiMdeModulePkgTokenSpaceGuid | 0x30001030 | UINT32 | 0x03058000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderStart

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeOsLoaderStart

Progress Code for OS Loader StartImage start.
PROGRESS_CODE_OS_LOADER_START = (EFI_SOFTWARE_DXE_BS_DRIVER | (EFI_OEM_SPECIFIC | 0x00000001)) = 0x03058001

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdProgressCodeOsLoaderStart | gEfiMdeModulePkgTokenSpaceGuid | 0x30001031 | UINT32 | 0x03058001


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendEnd

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendEnd

Progress Code for S3 Suspend end.
PROGRESS_CODE_S3_SUSPEND_END = (EFI_SOFTWARE_SMM_DRIVER | (EFI_OEM_SPECIFIC | 0x00000001)) = 0x03078001

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdProgressCodeS3SuspendEnd | gEfiMdeModulePkgTokenSpaceGuid | 0x30001033 | UINT32 | 0x03078001


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendStart

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdProgressCodeS3SuspendStart

Progress Code for S3 Suspend start.
PROGRESS_CODE_S3_SUSPEND_START = (EFI_SOFTWARE_SMM_DRIVER | (EFI_OEM_SPECIFIC | 0x00000000)) = 0x03078000

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdProgressCodeS3SuspendStart | gEfiMdeModulePkgTokenSpaceGuid | 0x30001032 | UINT32 | 0x03078000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout

RTC Update Timeout Value

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRealTimeClockUpdateTimeout | gEfiMdeModulePkgTokenSpaceGuid | 0x00010034 | UINT32 | 100000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

This PCD specifies whether to reset system when memory type information changes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdResetOnMemoryTypeInformationChange | gEfiMdeModulePkgTokenSpaceGuid | 0x00010056 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

The PCD is used to specify memory size with page number for a pre-allocated ACPI NVS memory to hold
runtime created S3 boot script entries. The default page number is 2. When changing the value of this
PCD, the platform developer should make sure the memory size is large enough to hold the S3 boot
script node created in runtime phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptRuntimeTableReservePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005C | UINT16 | 0x2


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

Time in second to delay for SATA devices to spin-up for recovery.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSataSpinUpDelayInSecForRecoveryPath | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005B | UINT16 | 15


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate

Baud rate for the 16550 serial port. Default is 115200 baud.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialBaudRate | gEfiMdeModulePkgTokenSpaceGuid | 0x00020003 | UINT32 | 115200


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable

If TRUE, then 16550 serial Tx operations will block if DSR is not asserted (no cable).
If FALSE, then the 16550 serial Tx operations will not be blocked if DSR is not asserted. Default value.
This PCD is ignored if PcdSerialUseHardwareFlowControl is FALSE.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialDetectCable | gEfiMdeModulePkgTokenSpaceGuid | 0x00020006 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl

FIFO Control Register (FCR) for the 16550 serial port.
BIT0 - FIFO Enable. 0 = Disable FIFOs. 1 = Enable FIFOs.
BIT1 - Clear receive FIFO. 1 = Clear FIFO.
BIT2 - Clear transmit FIFO. 1 = Clear FIFO.
BIT4..BIT3 - Reserved. Must be 0.
BIT5 - Enable 64-byte FIFO. 0 = Disable 64-byte FIFO. 1 = Enable 64-byte FIFO
BIT7..BIT6 - Reserved. Must be 0.
Default is to enable and clear all FIFOs.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialFifoControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020005 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl

Line Control Register (LCR) for the 16550 serial port. This encodes data bits, parity, and stop bits.
BIT1..BIT0 - Data bits. 00b = 5 bits, 01b = 6 bits, 10b = 7 bits, 11b = 8 bits
BIT2 - Stop Bits. 0 = 1 stop bit. 1 = 1.5 stop bits if 5 data bits selected, otherwise 2 stop bits.
BIT5..BIT2 - Parity. xx0b = No Parity, 001b = Odd Parity, 011b = Even Parity, 101b = Mark Parity, 111b=Stick Parity
BIT7..BIT6 - Reserved. Must be 0.
Default is No Parity, 8 Data Bits, 1 Stop Bit.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialLineControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020004 | UINT8 | 0x03


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase

Base address of 16550 serial port registers in MMIO or I/O space. Default is 0x3F8.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialRegisterBase | gEfiMdeModulePkgTokenSpaceGuid | 0x00020002 | UINT64 | 0x03F8


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl

If TRUE, then the 16550 serial port hardware flow control is enabled.
If FALSE, then the 16550 serial port hardware flow control is disabled. Default value.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialUseHardwareFlowControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020001 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio

If TRUE, then 16550 serial port registers are in MMIO space.
If FALSE, then 16550 serial port registers are in I/O space. Default value.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialUseMmio | gEfiMdeModulePkgTokenSpaceGuid | 0x00020000 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSmbiosVersion

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSmbiosVersion

Smbios version

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSmbiosVersion | gEfiMdeModulePkgTokenSpaceGuid | 0x00010055 | UINT16 | 0x0207


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSupport

This PCD specifies whether the Single Root I/O virtualization support.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSrIovSupport | gEfiMdeModulePkgTokenSpaceGuid | 0x10000044 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSystemPageSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSrIovSystemPageSize

Single root I/O virtualization virtual function memory BAR alignment
BITN set indicates 2 of n+12 power
BIT0 set indicates 4KB alignment
BIT1 set indicates 8KB alignment

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSrIovSystemPageSize | gEfiMdeModulePkgTokenSpaceGuid | 0x10000047 | UINT32 | 0x1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

PcdStatusCodeMemorySize is used when PcdStatusCodeUseMemory is set to true
(PcdStatusCodeMemorySize * KBytes) is the total taken memory size.
The default value in PeiPhase is 1 KBytes.
The default value in DxePhase is 128 KBytes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeMemorySize | gEfiMdeModulePkgTokenSpaceGuid | 0x00010054 | UINT16 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdTftpBlockSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdTftpBlockSize

TFTP BlockSize. Initial value 0 means using default block size which is (MTU-IP_HEADER-UDP_HEADER-TFTP_HEADER)
to handle all link layers. If the value is non zero, the PCD value will be used as block size.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdTftpBlockSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30001026 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

This PCD specifies whether 1G page table is enabled.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUse1GPageTable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005E | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVariableStoreSize

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVariableStoreSize

The size of volatile buffer. This buffer is used to store VOLATILE attribute variable.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVariableStoreSize | gEfiMdeModulePkgTokenSpaceGuid | 0x30000005 | UINT32 | 0x10000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVpdBaseAddress

MdeModulePkg Package Document » PCD » PcdsFixedAtBuild » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVpdBaseAddress

VPD type PCD allow developer point an absoluted physical address PcdVpdBaseAddress
to store PCD value.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVpdBaseAddress | gEfiMdeModulePkgTokenSpaceGuid | 0x00010010 | UINT32 | 0x0


MdeModulePkg[ALL]: PcdsPatchableInModule

MdeModulePkg Package Document » PCD

PcdsPatchableInModule

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PCD » PcdsPatchableInModule

common

INDEX

  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn
  • gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor
  • gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString
  • gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes
  • gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressBootTimeCodePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressPeiCodePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressRuntimeCodePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressSmmCodePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule
  • gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout
  • gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange
  • gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl
  • gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio
  • gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize
  • gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution
  • gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldBackgroundHighlightColor

Specify the background color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_BACKGROUND_BLACK. Only following values defined in UEFI specification are valid:
0x00 (EFI_BACKGROUND_BLACK)
0x10 (EFI_BACKGROUND_BLUE)
0x20 (EFI_BACKGROUND_GREEN)
0x30 (EFI_BACKGROUND_CYAN)
0x40 (EFI_BACKGROUND_RED)
0x50 (EFI_BACKGROUND_MAGENTA)
0x60 (EFI_BACKGROUND_BROWN)
0x70 (EFI_BACKGROUND_LIGHTGRAY)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldBackgroundHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005A | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextColor

Specify the foreground color for prompt and Question value text in HII Form Browser. The default value is EFI_BLACK.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010058 | UINT8 | 0x00


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserFieldTextHighlightColor

Specify the foreground color for highlighted prompt and Question value text in HII Form Browser.
The default value is EFI_LIGHTGRAY. Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserFieldTextHighlightColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010059 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdBrowserSubtitleTextColor

Specify the foreground color for Subtile text in HII Form Browser. The default value is EFI_BLUE.
Only following values defined in UEFI specification are valid:
0x00 (EFI_BLACK)
0x01 (EFI_BLUE)
0x02 (EFI_GREEN)
0x03 (EFI_CYAN)
0x04 (EFI_RED)
0x05 (EFI_MAGENTA)
0x06 (EFI_BROWN)
0x07 (EFI_LIGHTGRAY)
0x08 (EFI_DARKGRAY)
0x09 (EFI_LIGHTBLUE)
0x0A (EFI_LIGHTGREEN)
0x0B (EFI_LIGHTCYAN)
0x0C (EFI_LIGHTRED)
0x0D (EFI_LIGHTMAGENTA)
0x0E (EFI_YELLOW)
0x0F (EFI_WHITE)

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdBrowserSubtitleTextColor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010057 | UINT8 | 0x01


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdCapsulePeiLongModeStackSize

The PCD is used to specify the stack size when capsule IA32 PEI transfers to long mode in PEI phase.
The default size 32K. When changing the value of this PCD, the platform developer should
make sure the memory size is large enough to meet capsule PEI requiremnt in capsule update path.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdCapsulePeiLongModeStackSize | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005D | UINT32 | 0x8000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutColumn

This PCD defines the Console output row and the default value is 80 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutColumn | gEfiMdeModulePkgTokenSpaceGuid | 0x40000007 | UINT32 | 80


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdConOutRow

This PCD defines the Console output column and the default value is 25 according to UEFI spec.
This PCD could be set to 0 then console output could be at max column and max row.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdConOutRow | gEfiMdeModulePkgTokenSpaceGuid | 0x40000006 | UINT32 | 25


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareReleaseDateString

Null-terminated Unicode string that contains the date the formware was released

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareReleaseDateString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010053 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareRevision

Firmware revision that is default value filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareRevision | gEfiMdeModulePkgTokenSpaceGuid | 0x00010051 | UINT32 | 0x00010000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVendor

Null-terminated Unicode string of the firmware vendor name that is default name filled into the EFI System Table

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVendor | gEfiMdeModulePkgTokenSpaceGuid | 0x00010050 | VOID* | L"EDK II"


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdFirmwareVersionString

Null-terminated Unicode string that described the firmware version

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdFirmwareVersionString | gEfiMdeModulePkgTokenSpaceGuid | 0x00010052 | VOID* | L""


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdHelloWorldPrintTimes

This PCD defines the times to print hello world string.
This PCD is a sample to explain FixedAtBuild UINT32 PCD usage.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdHelloWorldPrintTimes | gEfiMdeModulePkgTokenSpaceGuid | 0x40000005 | UINT32 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressBootTimeCodePageNumber

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressBootTimeCodePageNumber

Specify memory size with page number for DXE boot time code when
the feature of Loading Module at Fixed Address is enabled

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLoadFixAddressBootTimeCodePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0000002a | UINT32 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressPeiCodePageNumber

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressPeiCodePageNumber

Specify memory size with page number for PEI code when
the feature of Loading Module at Fixed Address is enabled

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLoadFixAddressPeiCodePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x00000029 | UINT32 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressRuntimeCodePageNumber

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressRuntimeCodePageNumber

Specify memory size with page number for DXE runtime code when
the feature of Loading Module at Fixed Address is enabled

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLoadFixAddressRuntimeCodePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0000002b | UINT32 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressSmmCodePageNumber

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdLoadFixAddressSmmCodePageNumber

Specify memory size with page number for SMM code when
the feature of Loading Module at Fixed Address is enabled

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdLoadFixAddressSmmCodePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0000002c | UINT32 | 0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxEfiSystemTablePointerAddress

Maximum address that the DXE Core will allocate the EFI_SYSTEM_TABLE_POINTER
structure. The default value for this PCD is 0, which means that the DXE Core
will allocate the buffer from the EFI_SYSTEM_TABLE_POINTER structure on a 4MB
boundary as close to the top of memory as feasible. If this PCD is set to a
value other than 0, then the DXE Core will first attempt to allocate the
EFI_SYSTEM_TABLE_POINTER structure on a 4MB boundary below the address specified
by this PCD, and if that allocation fails, retry the allocation on a 4MB
boundary as close to the top of memory as feasible.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxEfiSystemTablePointerAddress | gEfiMdeModulePkgTokenSpaceGuid | 0x30001027 | UINT64 | 0x0


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxPeiPerformanceLogEntries

Maximun number of performance log entries during PEI phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxPeiPerformanceLogEntries | gEfiMdeModulePkgTokenSpaceGuid | 0x0001002f | UINT8 | 40


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizeNonPopulateCapsule

Indicate the max size of the capsule image without reset flag that the platform can support.
The default max size is 10MB (0xa00000) for the casule image without reset flag setting.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizeNonPopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001f | UINT32 | 0xa00000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdMaxSizePopulateCapsule

Indicate the max size of the capsule image with reset flag that the platform can support.
The default max size is 100MB (0x6400000) for more than one large capsule images.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdMaxSizePopulateCapsule | gEfiMdeModulePkgTokenSpaceGuid | 0x0001001e | UINT32 | 0x6400000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdRealTimeClockUpdateTimeout

RTC Update Timeout Value

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdRealTimeClockUpdateTimeout | gEfiMdeModulePkgTokenSpaceGuid | 0x00010034 | UINT32 | 100000


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdResetOnMemoryTypeInformationChange

This PCD specifies whether to reset system when memory type information changes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdResetOnMemoryTypeInformationChange | gEfiMdeModulePkgTokenSpaceGuid | 0x00010056 | BOOLEAN | TRUE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdS3BootScriptRuntimeTableReservePageNumber

The PCD is used to specify memory size with page number for a pre-allocated ACPI NVS memory to hold
runtime created S3 boot script entries. The default page number is 2. When changing the value of this
PCD, the platform developer should make sure the memory size is large enough to hold the S3 boot
script node created in runtime phase.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdS3BootScriptRuntimeTableReservePageNumber | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005C | UINT16 | 0x2


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSataSpinUpDelayInSecForRecoveryPath

Time in second to delay for SATA devices to spin-up for recovery.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSataSpinUpDelayInSecForRecoveryPath | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005B | UINT16 | 15


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialBaudRate

Baud rate for the 16550 serial port. Default is 115200 baud.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialBaudRate | gEfiMdeModulePkgTokenSpaceGuid | 0x00020003 | UINT32 | 115200


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialDetectCable

If TRUE, then 16550 serial Tx operations will block if DSR is not asserted (no cable).
If FALSE, then the 16550 serial Tx operations will not be blocked if DSR is not asserted. Default value.
This PCD is ignored if PcdSerialUseHardwareFlowControl is FALSE.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialDetectCable | gEfiMdeModulePkgTokenSpaceGuid | 0x00020006 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialFifoControl

FIFO Control Register (FCR) for the 16550 serial port.
BIT0 - FIFO Enable. 0 = Disable FIFOs. 1 = Enable FIFOs.
BIT1 - Clear receive FIFO. 1 = Clear FIFO.
BIT2 - Clear transmit FIFO. 1 = Clear FIFO.
BIT4..BIT3 - Reserved. Must be 0.
BIT5 - Enable 64-byte FIFO. 0 = Disable 64-byte FIFO. 1 = Enable 64-byte FIFO
BIT7..BIT6 - Reserved. Must be 0.
Default is to enable and clear all FIFOs.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialFifoControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020005 | UINT8 | 0x07


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialLineControl

Line Control Register (LCR) for the 16550 serial port. This encodes data bits, parity, and stop bits.
BIT1..BIT0 - Data bits. 00b = 5 bits, 01b = 6 bits, 10b = 7 bits, 11b = 8 bits
BIT2 - Stop Bits. 0 = 1 stop bit. 1 = 1.5 stop bits if 5 data bits selected, otherwise 2 stop bits.
BIT5..BIT2 - Parity. xx0b = No Parity, 001b = Odd Parity, 011b = Even Parity, 101b = Mark Parity, 111b=Stick Parity
BIT7..BIT6 - Reserved. Must be 0.
Default is No Parity, 8 Data Bits, 1 Stop Bit.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialLineControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020004 | UINT8 | 0x03


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialRegisterBase

Base address of 16550 serial port registers in MMIO or I/O space. Default is 0x3F8.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialRegisterBase | gEfiMdeModulePkgTokenSpaceGuid | 0x00020002 | UINT64 | 0x03F8


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseHardwareFlowControl

If TRUE, then the 16550 serial port hardware flow control is enabled.
If FALSE, then the 16550 serial port hardware flow control is disabled. Default value.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialUseHardwareFlowControl | gEfiMdeModulePkgTokenSpaceGuid | 0x00020001 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdSerialUseMmio

If TRUE, then 16550 serial port registers are in MMIO space.
If FALSE, then 16550 serial port registers are in I/O space. Default value.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdSerialUseMmio | gEfiMdeModulePkgTokenSpaceGuid | 0x00020000 | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdStatusCodeMemorySize

PcdStatusCodeMemorySize is used when PcdStatusCodeUseMemory is set to true
(PcdStatusCodeMemorySize * KBytes) is the total taken memory size.
The default value in PeiPhase is 1 KBytes.
The default value in DxePhase is 128 KBytes.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdStatusCodeMemorySize | gEfiMdeModulePkgTokenSpaceGuid | 0x00010054 | UINT16 | 1


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdUse1GPageTable

This PCD specifies whether 1G page table is enabled.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdUse1GPageTable | gEfiMdeModulePkgTokenSpaceGuid | 0x0001005E | BOOLEAN | FALSE


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoHorizontalResolution

This PCD defines the video horizontal resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoHorizontalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x40000009 | UINT32 | 800


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

MdeModulePkg Package Document » PCD » PcdsPatchableInModule » common

gEfiMdeModulePkgTokenSpaceGuid.PcdVideoVerticalResolution

This PCD defines the video vertical resolution.
This PCD could be set to 0 then video resolution could be at highest resolution.

PCD Information

Name | Token Space | Token number | Data Type | Default Value
PcdVideoVerticalResolution | gEfiMdeModulePkgTokenSpaceGuid | 0x4000000a | UINT32 | 600


MdeModulePkg[ALL]: GUID

MdeModulePkg Package Document

GUID

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » GUID

common

INDEX

  • gDriverSampleFormSetGuid
  • gDriverSampleInventoryGuid
  • gEfiAcpiS3ContextGuid
  • gEfiAcpiVariableGuid
  • gEfiBootScriptExecutorContextGuid
  • gEfiBootScriptExecutorVariableGuid
  • gEfiCapsuleVendorGuid
  • gEfiConsoleInDeviceGuid
  • gEfiConsoleOutDeviceGuid
  • gEfiCrc32GuidedSectionExtractionGuid
  • gEfiFirmwarePerformanceGuid
  • gEfiGenericVariableGuid
  • gEfiIfrFrameworkGuid
  • gEfiIfrRefreshIdOpGuid
  • gEfiIfrTianoGuid
  • gEfiMdeModulePkgTokenSpaceGuid
  • gEfiMemoryTypeInformationGuid
  • gEfiNicIp4ConfigVariableGuid
  • gEfiSmmLockBoxCommunicationGuid
  • gEfiStandardErrorDeviceGuid
  • gEfiStatusCodeDataTypeDebugGuid
  • gEfiSystemNvDataFvGuid
  • gEfiVariableGuid
  • gEfiVariableIndexTableGuid
  • gHiiResourceSamleFormSetGuid
  • gIdleLoopEventGuid
  • gIp4IScsiConfigGuid
  • gIScsiCHAPAuthInfoGuid
  • gLoadFixedAddressConfigurationTableGuid
  • gMemoryStatusCodeRecordGuid
  • gMtcVendorGuid
  • gNicIp4ConfigNvDataGuid
  • gPcdDataBaseHobGuid
  • gPerformanceProtocolGuid
  • gPlatformOverridesManagerGuid
  • gRecoveryOnDataCdGuid
  • gRecoveryOnFatFloppyDiskGuid
  • gRecoveryOnFatIdeDiskGuid
  • gRecoveryOnFatUsbDiskGuid
  • gSmmPerformanceProtocolGuid
  • gSmmVariableWriteGuid
  • gStatusCodeCallbackGuid
  • gUsbKeyboardLayoutKeyGuid
  • gUsbKeyboardLayoutPackageGuid
  • gVlanConfigFormSetGuid
  • gZeroGuid


MdeModulePkg[ALL]: gDriverSampleFormSetGuid

MdeModulePkg Package Document » GUID » common

gDriverSampleFormSetGuid

Include/Guid/DriverSampleHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gDriverSampleFormSetGuid | { 0xA04A27f4, 0xDF00, 0x4D42, { 0xB5, 0x52, 0x39, 0x51, 0x13, 0x02, 0x11, 0x3D }}

Refer to Header File

MdeModulePkg/Include/Guid/DriverSampleHii.h


MdeModulePkg[ALL]: gDriverSampleInventoryGuid

MdeModulePkg Package Document » GUID » common

gDriverSampleInventoryGuid

GUIDs used as HII FormSet and HII Package list GUID in Driver Sample driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gDriverSampleInventoryGuid | { 0xb3f56470, 0x6141, 0x4621, { 0x8f, 0x19, 0x70, 0x4e, 0x57, 0x7a, 0xa9, 0xe8 }}

Refer to Header File

MdeModulePkg/Include/Guid/DriverSampleHii.h


MdeModulePkg[ALL]: gEfiAcpiS3ContextGuid

MdeModulePkg Package Document » GUID » common

gEfiAcpiS3ContextGuid

Include/Guid/AcpiS3Context.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiAcpiS3ContextGuid | { 0xef98d3a, 0x3e33, 0x497a, { 0xa4, 0x1, 0x77, 0xbe, 0x3e, 0xb7, 0x4f, 0x38 }}

Refer to Header File

MdeModulePkg/Include/Guid/AcpiS3Context.h


MdeModulePkg[ALL]: gEfiAcpiVariableGuid

MdeModulePkg Package Document » GUID » common

gEfiAcpiVariableGuid

Include/Guid/AcpiS3Context.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiAcpiVariableGuid | { 0xAF9FFD67, 0xEC10, 0x488A, { 0x9D, 0xFC, 0x6C, 0xBF, 0x5E, 0xE2, 0x2C, 0x2E }}

Refer to Header File

MdeModulePkg/Include/Guid/AcpiS3Context.h


MdeModulePkg[ALL]: gEfiBootScriptExecutorContextGuid

MdeModulePkg Package Document » GUID » common

gEfiBootScriptExecutorContextGuid

Define Name, GUID and data format for an EFI Variable that is used to save the entry point of a code segment which will be loaded and executed by a standalone boot script executor on S3 boot path.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Refer to Header File

MdeModulePkg/Include/Guid/BootScriptExecutorVariable.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiBootScriptExecutorContextGuid | { 0x79cb58c4, 0xac51, 0x442f, { 0xaf, 0xd7, 0x98, 0xe4, 0x7d, 0x2e, 0x99, 0x8 }}


MdeModulePkg[ALL]: gEfiBootScriptExecutorVariableGuid

MdeModulePkg Package Document » GUID » common

gEfiBootScriptExecutorVariableGuid

Include/Guid/BootScriptExecutorVariable.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiBootScriptExecutorVariableGuid | { 0x3079818c, 0x46d4, 0x4a73, { 0xae, 0xf3, 0xe3, 0xe4, 0x6c, 0xf1, 0xee, 0xdb }}

Refer to Header File

MdeModulePkg/Include/Guid/BootScriptExecutorVariable.h


MdeModulePkg[ALL]: gEfiCapsuleVendorGuid

MdeModulePkg Package Document » GUID » common

gEfiCapsuleVendorGuid

Capsule update hob and variable guid
Include/Guid/CapsuleVendor.h

Refer to Header File

MdeModulePkg/Include/Guid/CapsuleVendor.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiCapsuleVendorGuid | { 0x711C703F, 0xC285, 0x4B10, { 0xA3, 0xB0, 0x36, 0xEC, 0xBD, 0x3C, 0x8B, 0xE2 }}


MdeModulePkg[ALL]: gEfiConsoleInDeviceGuid

MdeModulePkg Package Document » GUID » common

gEfiConsoleInDeviceGuid

Guid specify the device is the console in device.
Include/Guid/ConsoleInDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiConsoleInDeviceGuid | { 0xD3B36F2B, 0xD551, 0x11D4, { 0x9A, 0x46, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D }}

Refer to Header File

MdeModulePkg/Include/Guid/ConsoleInDevice.h


MdeModulePkg[ALL]: gEfiConsoleOutDeviceGuid

MdeModulePkg Package Document » GUID » common

gEfiConsoleOutDeviceGuid

Guid specify the device is the console out device.
Include/Guid/ConsoleOutDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiConsoleOutDeviceGuid | { 0xD3B36F2C, 0xD551, 0x11D4, { 0x9A, 0x46, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D }}

Refer to Header File

MdeModulePkg/Include/Guid/ConsoleOutDevice.h


MdeModulePkg[ALL]: gEfiCrc32GuidedSectionExtractionGuid

MdeModulePkg Package Document » GUID » common

gEfiCrc32GuidedSectionExtractionGuid

Guid is defined for CRC32 encapsulation scheme.
Include/Guid/Crc32GuidedSectionExtraction.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiCrc32GuidedSectionExtractionGuid | { 0xFC1BCDB0, 0x7D31, 0x49aa, {0x93, 0x6A, 0xA4, 0x60, 0x0D, 0x9D, 0xD0, 0x83 } }

Refer to Header File

MdeModulePkg/Include/Guid/Crc32GuidedSectionExtraction.h


MdeModulePkg[ALL]: gEfiFirmwarePerformanceGuid

MdeModulePkg Package Document » GUID » common

gEfiFirmwarePerformanceGuid

Guid for Firmware Performance Data Table (FPDT) implementation.
Include/Guid/FirmwarePerformance.h

Refer to Header File

MdeModulePkg/Include/Guid/FirmwarePerformance.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiFirmwarePerformanceGuid | { 0xc095791a, 0x3001, 0x47b2, { 0x80, 0xc9, 0xea, 0xc7, 0x31, 0x9f, 0x2f, 0xa4 }}


MdeModulePkg[ALL]: gEfiGenericVariableGuid

MdeModulePkg Package Document » GUID » common

gEfiGenericVariableGuid

GUID used to store the global debug mask value into an EFI Variable
Include/Guid/DebugMask.h

Refer to Header File

MdeModulePkg/Include/Guid/DebugMask.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiGenericVariableGuid | { 0x59d1c24f, 0x50f1, 0x401a, {0xb1, 0x01, 0xf3, 0x3e, 0x0d, 0xae, 0xd4, 0x43} }


MdeModulePkg[ALL]: gEfiIfrFrameworkGuid

MdeModulePkg Package Document » GUID » common

gEfiIfrFrameworkGuid

Guid for Framework vfr GUIDed opcodes.
Include/Guid/MdeModuleHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiIfrFrameworkGuid | { 0x31ca5d1a, 0xd511, 0x4931, { 0xb7, 0x82, 0xae, 0x6b, 0x2b, 0x17, 0x8c, 0xd7 }}

Refer to Header File

MdeModulePkg/Include/Guid/MdeModuleHii.h


MdeModulePkg[ALL]: gEfiIfrRefreshIdOpGuid

MdeModulePkg Package Document » GUID » common

gEfiIfrRefreshIdOpGuid

GUIDs used as HII FormSet and HII Package list GUID in Driver Sample driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gEfiIfrRefreshIdOpGuid | { 0xF5E655D9, 0x02A6, 0x46f2, { 0x9E, 0x76, 0xB8, 0xBE, 0x8E, 0x60, 0xAB, 0x22 }}

Refer to Header File

MdeModulePkg/Include/Guid/DriverSampleHii.h


MdeModulePkg[ALL]: gEfiIfrTianoGuid

MdeModulePkg Package Document » GUID » common

gEfiIfrTianoGuid

Guid for EDKII implementation GUIDed opcodes
Include/Guid/MdeModuleHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiIfrTianoGuid | { 0xf0b1735, 0x87a0, 0x4193, {0xb2, 0x66, 0x53, 0x8c, 0x38, 0xaf, 0x48, 0xce }}

Refer to Header File

MdeModulePkg/Include/Guid/MdeModuleHii.h


MdeModulePkg[ALL]: gEfiMdeModulePkgTokenSpaceGuid

MdeModulePkg Package Document » GUID » common

gEfiMdeModulePkgTokenSpaceGuid

MdeModule package token space guid
Include/Guid/MdeModulePkgTokenSpace.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiMdeModulePkgTokenSpaceGuid | { 0xA1AFF049, 0xFDEB, 0x442a, { 0xB3, 0x20, 0x13, 0xAB, 0x4C, 0xB7, 0x2B, 0xBC }}

Refer to Header File

MdeModulePkg/Include/Guid/MdeModulePkgTokenSpace.h


MdeModulePkg[ALL]: gEfiMemoryTypeInformationGuid

MdeModulePkg Package Document » GUID » common

gEfiMemoryTypeInformationGuid

Hob and Variable guid specify the platform memory type information.
Include/Guid/MemoryTypeInformation.h

Refer to Header File

MdeModulePkg/Include/Guid/MemoryTypeInformation.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiMemoryTypeInformationGuid | { 0x4C19049F, 0x4137, 0x4DD3, { 0x9C, 0x10, 0x8B, 0x97, 0xA8, 0x3F, 0xFD, 0xFA }}


MdeModulePkg[ALL]: gEfiNicIp4ConfigVariableGuid

MdeModulePkg Package Document » GUID » common

gEfiNicIp4ConfigVariableGuid

Include/Guid/NicIp4ConfigNvData.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiNicIp4ConfigVariableGuid | {0xd8944553, 0xc4dd, 0x41f4, { 0x9b, 0x30, 0xe1, 0x39, 0x7c, 0xfb, 0x26, 0x7b }}

Refer to Header File

MdeModulePkg/Include/Guid/NicIp4ConfigNvData.h


MdeModulePkg[ALL]: gEfiSmmLockBoxCommunicationGuid

MdeModulePkg Package Document » GUID » common

gEfiSmmLockBoxCommunicationGuid

Include/Guid/SmmLockBox.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiSmmLockBoxCommunicationGuid | { 0x2a3cfebd, 0x27e8, 0x4d0a, { 0x8b, 0x79, 0xd6, 0x88, 0xc2, 0xa3, 0xe1, 0xc0 }}

Refer to Header File

MdeModulePkg/Include/Guid/SmmLockBox.h


MdeModulePkg[ALL]: gEfiStandardErrorDeviceGuid

MdeModulePkg Package Document » GUID » common

gEfiStandardErrorDeviceGuid

Guid specifiy the device is the StdErr device.
Include/Guid/StandardErrorDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiStandardErrorDeviceGuid | { 0xD3B36F2D, 0xD551, 0x11D4, { 0x9A, 0x46, 0x00, 0x90, 0x27, 0x3F, 0xC1, 0x4D }}

Refer to Header File

MdeModulePkg/Include/Guid/StandardErrorDevice.h


MdeModulePkg[ALL]: gEfiStatusCodeDataTypeDebugGuid

MdeModulePkg Package Document » GUID » common

gEfiStatusCodeDataTypeDebugGuid

GUID used to pass DEBUG() macro information through the Status Code Protocol and Status Code PPI
Include/Guid/StatusCodeDataTypeDebug.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiStatusCodeDataTypeDebugGuid | { 0x9A4E9246, 0xD553, 0x11D5, { 0x87, 0xE2, 0x00, 0x06, 0x29, 0x45, 0xC3, 0xB9 }}

Refer to Header File

MdeModulePkg/Include/Guid/StatusCodeDataTypeDebug.h


MdeModulePkg[ALL]: gEfiSystemNvDataFvGuid

MdeModulePkg Package Document » GUID » common

gEfiSystemNvDataFvGuid

Guid to specify the System Non Volatile FV
Include/Guid/SystemNvDataGuid.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiSystemNvDataFvGuid | { 0xFFF12B8D, 0x7696, 0x4C8B, { 0xA9, 0x85, 0x27, 0x47, 0x07, 0x5B, 0x4F, 0x50 }}

Refer to Header File

MdeModulePkg/Include/Guid/SystemNvDataGuid.h


MdeModulePkg[ALL]: gEfiVariableGuid

MdeModulePkg Package Document » GUID » common

gEfiVariableGuid

Guid acted as variable store header's signature and to specify the variable list entries put in the EFI system table.
Include/Guid/VariableFormat.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiVariableGuid | { 0xddcf3616, 0x3275, 0x4164, { 0x98, 0xb6, 0xfe, 0x85, 0x70, 0x7f, 0xfe, 0x7d }}

Refer to Header File

MdeModulePkg/Include/Guid/VariableFormat.h


MdeModulePkg[ALL]: gEfiVariableIndexTableGuid

MdeModulePkg Package Document » GUID » common

gEfiVariableIndexTableGuid

The variable data structures are related to EDK II-specific implementation of UEFI variables. VariableFormat.h defines variable data headers and variable storage region headers.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Refer to Header File

MdeModulePkg/Include/Guid/VariableIndexTable.h

GUID Information

GUID's Guid Name | GUID's Guid
gEfiVariableIndexTableGuid | { 0x8cfdb8c8, 0xd6b2, 0x40f3, { 0x8e, 0x97, 0x02, 0x30, 0x7c, 0xc9, 0x8b, 0x7c }}


MdeModulePkg[ALL]: gHiiResourceSamleFormSetGuid

MdeModulePkg Package Document » GUID » common

gHiiResourceSamleFormSetGuid

Include/Guid/HiiResourceSampleHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gHiiResourceSamleFormSetGuid | { 0x4f4ef7f0, 0xaa29, 0x4ce9, { 0xba, 0x41, 0x64, 0x3e, 0x1, 0x23, 0xa9, 0x9f }}

Refer to Header File

MdeModulePkg/Include/Guid/HiiResourceSampleHii.h


MdeModulePkg[ALL]: gIdleLoopEventGuid

MdeModulePkg Package Document » GUID » common

gIdleLoopEventGuid

Event for the DXE Core to signal idle events
Include/Guid/EventIdle.h

GUID Information

GUID's Guid Name | GUID's Guid
gIdleLoopEventGuid | { 0x3c8d294c, 0x5fc3, 0x4451, { 0xbb, 0x31, 0xc4, 0xc0, 0x32, 0x29, 0x5e, 0x6c } }

Refer to Header File

MdeModulePkg/Include/Guid/IdleLoopEvent.h


MdeModulePkg[ALL]: gIp4IScsiConfigGuid

MdeModulePkg Package Document » GUID » common

gIp4IScsiConfigGuid

Include/Guid/Ip4IScsiConfigHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gIp4IScsiConfigGuid | { 0x6456ed61, 0x3579, 0x41c9, { 0x8a, 0x26, 0x0a, 0x0b, 0xd6, 0x2b, 0x78, 0xfc }}

Refer to Header File

MdeModulePkg/Include/Guid/Ip4IScsiConfigHii.h


MdeModulePkg[ALL]: gIScsiCHAPAuthInfoGuid

MdeModulePkg Package Document » GUID » common

gIScsiCHAPAuthInfoGuid

GUIDs used as HII FormSet and HII Package list GUID in IP4 IScsiDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gIScsiCHAPAuthInfoGuid | { 0x786ec0ac, 0x65ae, 0x4d1b, { 0xb1, 0x37, 0xd, 0x11, 0xa, 0x48, 0x37, 0x97 }}

Refer to Header File

MdeModulePkg/Include/Guid/Ip4IScsiConfigHii.h


MdeModulePkg[ALL]: gLoadFixedAddressConfigurationTableGuid

MdeModulePkg Package Document » GUID » common

gLoadFixedAddressConfigurationTableGuid

A configuration Table Guid for Load module at fixed address
Include/Guid/LoadModuleAtFixedAddress.h

Refer to Header File

MdeModulePkg/Include/Guid/LoadModuleAtFixedAddress.h

GUID Information

GUID's Guid Name | GUID's Guid
gLoadFixedAddressConfigurationTableGuid | { 0x2CA88B53,0xD296,0x4080, { 0xA4,0xA5,0xCA,0xD9,0xBA,0xE2,0x4B,0x9 } }


MdeModulePkg[ALL]: gMemoryStatusCodeRecordGuid

MdeModulePkg Package Document » GUID » common

gMemoryStatusCodeRecordGuid

GUID identifies status code records HOB that originate from the PEI status code
Include/Guid/MemoryStatusCodeRecord.h

Refer to Header File

MdeModulePkg/Include/Guid/MemoryStatusCodeRecord.h

GUID Information

GUID's Guid Name | GUID's Guid
gMemoryStatusCodeRecordGuid | { 0x060CC026, 0x4C0D, 0x4DDA, { 0x8F, 0x41, 0x59, 0x5F, 0xEF, 0x00, 0xA5, 0x02 }}


MdeModulePkg[ALL]: gMtcVendorGuid

MdeModulePkg Package Document » GUID » common

gMtcVendorGuid

Include/Guid/MtcVendor.h

GUID Information

GUID's Guid Name | GUID's Guid
gMtcVendorGuid | { 0xeb704011, 0x1402, 0x11d3, { 0x8e, 0x77, 0x0, 0xa0, 0xc9, 0x69, 0x72, 0x3b }}

Refer to Header File

MdeModulePkg/Include/Guid/MtcVendor.h


MdeModulePkg[ALL]: gNicIp4ConfigNvDataGuid

MdeModulePkg Package Document » GUID » common

gNicIp4ConfigNvDataGuid

Include/Guid/Ip4ConfigHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gNicIp4ConfigNvDataGuid | { 0x9d5b53f, 0xf4b0, 0x4f59, { 0xa0, 0xb1, 0x7b, 0x57, 0xd3, 0x5c, 0xe, 0x5 }}

Refer to Header File

MdeModulePkg/Include/Guid/Ip4ConfigHii.h


MdeModulePkg[ALL]: gPcdDataBaseHobGuid

MdeModulePkg Package Document » GUID » common

gPcdDataBaseHobGuid

Hob guid for Pcd DataBase
Include/Guid/PcdDataBaseHobGuid.h

GUID Information

GUID's Guid Name | GUID's Guid
gPcdDataBaseHobGuid | { 0xEA296D92, 0x0B69, 0x423C, { 0x8C, 0x28, 0x33, 0xB4, 0xE0, 0xA9, 0x12, 0x68 }}

Refer to Header File

MdeModulePkg/Include/Guid/PcdDataBaseHobGuid.h


MdeModulePkg[ALL]: gPerformanceProtocolGuid

MdeModulePkg Package Document » GUID » common

gPerformanceProtocolGuid

Performance protocol guid that also acts as the performance HOB guid and performance variable GUID
Include/Guid/Performance.h

GUID Information

GUID's Guid Name | GUID's Guid
gPerformanceProtocolGuid | { 0x76B6BDFA, 0x2ACD, 0x4462, { 0x9E, 0x3F, 0xCB, 0x58, 0xC9, 0x69, 0xD9, 0x37 }}

Refer to Header File

MdeModulePkg/Include/Guid/Performance.h


MdeModulePkg[ALL]: gPlatformOverridesManagerGuid

MdeModulePkg Package Document » GUID » common

gPlatformOverridesManagerGuid

Include/Guid/PlatDriOverrideHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gPlatformOverridesManagerGuid | { 0x8614567d, 0x35be, 0x4415, { 0x8d, 0x88, 0xbd, 0x7d, 0xc, 0x9c, 0x70, 0xc0 }}

Refer to Header File

MdeModulePkg/Include/Guid/PlatDriOverrideHii.h


MdeModulePkg[ALL]: gRecoveryOnDataCdGuid

MdeModulePkg Package Document » GUID » common

gRecoveryOnDataCdGuid

Include/Guid/RecoveryDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gRecoveryOnDataCdGuid | { 0x5CAC0099, 0x0DC9, 0x48E5, { 0x80, 0x68, 0xBB, 0x95, 0xF5, 0x40, 0x0A, 0x9F }}

Refer to Header File

MdeModulePkg/Include/Guid/RecoveryDevice.h


MdeModulePkg[ALL]: gRecoveryOnFatFloppyDiskGuid

MdeModulePkg Package Document » GUID » common

gRecoveryOnFatFloppyDiskGuid

Include/Guid/RecoveryDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gRecoveryOnFatFloppyDiskGuid | { 0x2E3D2E75, 0x9B2E, 0x412D, { 0xB4, 0xB1, 0x70, 0x41, 0x6B, 0x87, 0x00, 0xFF }}

Refer to Header File

MdeModulePkg/Include/Guid/RecoveryDevice.h


MdeModulePkg[ALL]: gRecoveryOnFatIdeDiskGuid

MdeModulePkg Package Document » GUID » common

gRecoveryOnFatIdeDiskGuid

Include/Guid/RecoveryDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gRecoveryOnFatIdeDiskGuid | { 0xB38573B6, 0x6200, 0x4AC5, { 0xB5, 0x1D, 0x82, 0xE6, 0x59, 0x38, 0xD7, 0x83 }}

Refer to Header File

MdeModulePkg/Include/Guid/RecoveryDevice.h


MdeModulePkg[ALL]: gRecoveryOnFatUsbDiskGuid

MdeModulePkg Package Document » GUID » common

gRecoveryOnFatUsbDiskGuid

Include/Guid/RecoveryDevice.h

GUID Information

GUID's Guid Name | GUID's Guid
gRecoveryOnFatUsbDiskGuid | { 0x0FFBCE19, 0x324C, 0x4690, { 0xA0, 0x09, 0x98, 0xC6, 0xAE, 0x2E, 0xB1, 0x86 }}

Refer to Header File

MdeModulePkg/Include/Guid/RecoveryDevice.h


MdeModulePkg[ALL]: gSmmPerformanceProtocolGuid

MdeModulePkg Package Document » GUID » common

gSmmPerformanceProtocolGuid

This file defines performance-related definitions, including the format of: performance GUID HOB. performance protocol interfaces. performance variables.

Copyright (c) 2009 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gSmmPerformanceProtocolGuid | { 0xf866226a, 0xeaa5, 0x4f5a, { 0xa9, 0xa, 0x6c, 0xfb, 0xa5, 0x7c, 0x58, 0x8e } }

Refer to Header File

MdeModulePkg/Include/Guid/Performance.h


MdeModulePkg[ALL]: gSmmVariableWriteGuid

MdeModulePkg Package Document » GUID » common

gSmmVariableWriteGuid

Guid is defined for SMM variable module to notify SMM variable wrapper module when variable write service was ready.
Include/Guid/SmmVariableCommon.h

GUID Information

GUID's Guid Name | GUID's Guid
gSmmVariableWriteGuid | { 0x93ba1826, 0xdffb, 0x45dd, { 0x82, 0xa7, 0xe7, 0xdc, 0xaa, 0x3b, 0xbd, 0xf3 }}

Refer to Header File

MdeModulePkg/Include/Guid/SmmVariableCommon.h


MdeModulePkg[ALL]: gStatusCodeCallbackGuid

MdeModulePkg Package Document » GUID » common

gStatusCodeCallbackGuid

Include/Guid/StatusCodeCallbackGuid.h

GUID Information

GUID's Guid Name | GUID's Guid
gStatusCodeCallbackGuid | {0xe701458c, 0x4900, 0x4ca5, {0xb7, 0x72, 0x3d, 0x37, 0x94, 0x9f, 0x79, 0x27}}

Refer to Header File

MdeModulePkg/Include/Guid/StatusCodeCallbackGuid.h


MdeModulePkg[ALL]: gUsbKeyboardLayoutKeyGuid

MdeModulePkg Package Document » GUID » common

gUsbKeyboardLayoutKeyGuid

USB KeyBoard Layout GUIDs

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

GUID Information

GUID's Guid Name | GUID's Guid
gUsbKeyboardLayoutKeyGuid | { 0x3a4d7a7c, 0x18a, 0x4b42, { 0x81, 0xb3, 0xdc, 0x10, 0xe3, 0xb5, 0x91, 0xbd }}

Refer to Header File

MdeModulePkg/Include/Guid/UsbKeyBoardLayout.h


MdeModulePkg[ALL]: gUsbKeyboardLayoutPackageGuid

MdeModulePkg Package Document » GUID » common

gUsbKeyboardLayoutPackageGuid

Include/Guid/UsbKeyBoardLayout.h

GUID Information

GUID's Guid Name | GUID's Guid
gUsbKeyboardLayoutPackageGuid | { 0xc0f3b43, 0x44de, 0x4907, { 0xb4, 0x78, 0x22, 0x5f, 0x6f, 0x62, 0x89, 0xdc }}

Refer to Header File

MdeModulePkg/Include/Guid/UsbKeyBoardLayout.h


MdeModulePkg[ALL]: gVlanConfigFormSetGuid

MdeModulePkg Package Document » GUID » common

gVlanConfigFormSetGuid

Include/Guid/VlanConfigHii.h

GUID Information

GUID's Guid Name | GUID's Guid
gVlanConfigFormSetGuid | { 0xd79df6b0, 0xef44, 0x43bd, { 0x97, 0x97, 0x43, 0xe9, 0x3b, 0xcf, 0x5f, 0xa8 }}

Refer to Header File

MdeModulePkg/Include/Guid/VlanConfigHii.h


MdeModulePkg[ALL]: gZeroGuid

MdeModulePkg Package Document » GUID » common

gZeroGuid

Include/Guid/ZeroGuid.h

GUID Information

GUID's Guid Name | GUID's Guid
gZeroGuid | { 0x0, 0x0, 0x0, {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}}

Refer to Header File

MdeModulePkg/Include/Guid/ZeroGuid.h


MdeModulePkg[ALL]: PPI

MdeModulePkg Package Document

PPI

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PPI

common

INDEX

  • gEfiPeiSmmCommunicationPpiGuid
  • gPeiAtaControllerPpiGuid
  • gPeiCapsulePpiGuid
  • gPeiPostScriptTablePpiGuid
  • gPeiSecPerformancePpiGuid
  • gPeiSmmAccessPpiGuid
  • gPeiSmmControlPpiGuid
  • gPeiUsb2HostControllerPpiGuid
  • gPeiUsbControllerPpiGuid
  • gPeiUsbHostControllerPpiGuid
  • gPeiUsbIoPpiGuid


MdeModulePkg[ALL]: gEfiPeiSmmCommunicationPpiGuid

MdeModulePkg Package Document » PPI » common

gEfiPeiSmmCommunicationPpiGuid

Include/Ppi/SmmCommunication.h

Refer to Header File

MdeModulePkg/Include/Ppi/SmmCommunication.h

PPI Information

PPI's Guid Name | PPI's Guid
gEfiPeiSmmCommunicationPpiGuid | { 0xae933e1c, 0xcc47, 0x4e38, { 0x8f, 0xe, 0xe2, 0xf6, 0x1d, 0x26, 0x5, 0xdf }}


MdeModulePkg[ALL]: gPeiAtaControllerPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiAtaControllerPpiGuid

Include/Ppi/AtaController.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiAtaControllerPpiGuid | { 0xa45e60d1, 0xc719, 0x44aa, { 0xb0, 0x7a, 0xaa, 0x77, 0x7f, 0x85, 0x90, 0x6d }}

Refer to Header File

MdeModulePkg/Include/Ppi/AtaController.h


MdeModulePkg[ALL]: gPeiCapsulePpiGuid

MdeModulePkg Package Document » PPI » common

gPeiCapsulePpiGuid

Include/Ppi/Capsule.h

Refer to Header File

MdeModulePkg/Include/Ppi/Capsule.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiCapsulePpiGuid | { 0x3acf33ee, 0xd892, 0x40f4, { 0xa2, 0xfc, 0x38, 0x54, 0xd2, 0xe1, 0x32, 0x3d }}


MdeModulePkg[ALL]: gPeiPostScriptTablePpiGuid

MdeModulePkg Package Document » PPI » common

gPeiPostScriptTablePpiGuid

Include/Ppi/PostBootScriptTable.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiPostScriptTablePpiGuid | { 0x88c9d306, 0x900, 0x4eb5, { 0x82, 0x60, 0x3e, 0x2d, 0xbe, 0xda, 0x1f, 0x89}}

Refer to Header File

MdeModulePkg/Include/Ppi/PostBootScriptTable.h


MdeModulePkg[ALL]: gPeiSecPerformancePpiGuid

MdeModulePkg Package Document » PPI » common

gPeiSecPerformancePpiGuid

Include/Ppi/SecPerformance.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiSecPerformancePpiGuid | { 0x0ecc666b, 0x4662, 0x47f9, { 0x9d, 0xd5, 0xd0, 0x96, 0xff, 0x7d, 0xa4, 0x9e }}

Refer to Header File

MdeModulePkg/Include/Ppi/SecPerformance.h


MdeModulePkg[ALL]: gPeiSmmAccessPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiSmmAccessPpiGuid

Include/Ppi/SmmAccess.h

Refer to Header File

MdeModulePkg/Include/Ppi/SmmAccess.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiSmmAccessPpiGuid | { 0x268f33a9, 0xcccd, 0x48be, { 0x88, 0x17, 0x86, 0x5, 0x3a, 0xc3, 0x2e, 0xd6 }}


MdeModulePkg[ALL]: gPeiSmmControlPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiSmmControlPpiGuid

Include/Ppi/SmmControl.h

Refer to Header File

MdeModulePkg/Include/Ppi/SmmControl.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiSmmControlPpiGuid | { 0x61c68702, 0x4d7e, 0x4f43, { 0x8d, 0xef, 0xa7, 0x43, 0x5, 0xce, 0x74, 0xc5 }}


MdeModulePkg[ALL]: gPeiUsb2HostControllerPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiUsb2HostControllerPpiGuid

Include/Ppi/Usb2HostController.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiUsb2HostControllerPpiGuid | { 0xfedd6305, 0xe2d7, 0x4ed5, { 0x9f, 0xaa, 0xda, 0x8, 0xe, 0x33, 0x6c, 0x22 }}

Refer to Header File

MdeModulePkg/Include/Ppi/Usb2HostController.h


MdeModulePkg[ALL]: gPeiUsbControllerPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiUsbControllerPpiGuid

Include/Ppi/UsbController.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiUsbControllerPpiGuid | { 0x3BC1F6DE, 0x693E, 0x4547, { 0xA3, 0x00, 0x21, 0x82, 0x3C, 0xA4, 0x20, 0xB2 }}

Refer to Header File

MdeModulePkg/Include/Ppi/UsbController.h


MdeModulePkg[ALL]: gPeiUsbHostControllerPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiUsbHostControllerPpiGuid

Include/Ppi/UsbHostController.h

Refer to Header File

MdeModulePkg/Include/Ppi/UsbHostController.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiUsbHostControllerPpiGuid | { 0x652B38A9, 0x77F4, 0x453F, { 0x89, 0xD5, 0xE7, 0xBD, 0xC3, 0x52, 0xFC, 0x53 }}


MdeModulePkg[ALL]: gPeiUsbIoPpiGuid

MdeModulePkg Package Document » PPI » common

gPeiUsbIoPpiGuid

Include/Ppi/UsbIo.h

Refer to Header File

MdeModulePkg/Include/Ppi/UsbIo.h

PPI Information

PPI's Guid Name | PPI's Guid
gPeiUsbIoPpiGuid | { 0x7C29785C, 0x66B9, 0x49FC, { 0xB7, 0x97, 0x1C, 0xA5, 0x55, 0x0E, 0xF2, 0x83 }}


MdeModulePkg[ALL]: PROTOCOL

MdeModulePkg Package Document

PROTOCOL

INDEX

  • common


MdeModulePkg[ALL]: common

MdeModulePkg Package Document » PROTOCOL

common

INDEX

  • gEfiBootLogoProtocolGuid
  • gEfiDebugMaskProtocolGuid
  • gEfiDpcProtocolGuid
  • gEfiEbcSimpleDebuggerProtocolGuid
  • gEfiEbcVmTestProtocolGuid
  • gEfiFaultTolerantWriteProtocolGuid
  • gEfiFormBrowserExProtocolGuid
  • gEfiGenericMemTestProtocolGuid
  • gEfiLoadPeImageProtocolGuid
  • gEfiLockBoxProtocolGuid
  • gEfiPrint2ProtocolGuid
  • gEfiSmmFaultTolerantWriteProtocolGuid
  • gEfiSmmFirmwareVolumeBlockProtocolGuid
  • gEfiSmmSwapAddressRangeProtocolGuid
  • gEfiSmmVariableProtocolGuid
  • gEfiSwapAddressRangeProtocolGuid


MdeModulePkg[ALL]: gEfiBootLogoProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiBootLogoProtocolGuid

Include/Protocol/BootLogo.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiBootLogoProtocolGuid | { 0xcdea2bd3, 0xfc25, 0x4c1c, { 0xb9, 0x7c, 0xb3, 0x11, 0x86, 0x6, 0x49, 0x90 } }

Refer to Header File

MdeModulePkg/Include/Protocol/BootLogo.h


MdeModulePkg[ALL]: gEfiDebugMaskProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiDebugMaskProtocolGuid

This protocol allows the error level mask for DEBUG() macros to be adjusted for DXE Phase modules
Include/Guid/DebugMask.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiDebugMaskProtocolGuid | { 0x4c8a2451, 0xc207, 0x405b, {0x96, 0x94, 0x99, 0xea, 0x13, 0x25, 0x13, 0x41} }

Refer to Header File

MdeModulePkg/Include/Guid/DebugMask.h


MdeModulePkg[ALL]: gEfiDpcProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiDpcProtocolGuid

Include/Protocol/Dpc.h

Refer to Header File

MdeModulePkg/Include/Protocol/Dpc.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiDpcProtocolGuid | {0x480f8ae9, 0xc46, 0x4aa9, { 0xbc, 0x89, 0xdb, 0x9f, 0xba, 0x61, 0x98, 0x6 }}


MdeModulePkg[ALL]: gEfiEbcSimpleDebuggerProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiEbcSimpleDebuggerProtocolGuid

Include/Protocol/EbcSimpleDebugger.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiEbcSimpleDebuggerProtocolGuid | { 0x2a72d11e, 0x7376, 0x40f6, { 0x9c, 0x68, 0x23, 0xfa, 0x2f, 0xe3, 0x63, 0xf1 } }

Refer to Header File

MdeModulePkg/Include/Protocol/EbcSimpleDebugger.h


MdeModulePkg[ALL]: gEfiEbcVmTestProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiEbcVmTestProtocolGuid

Include/Protocol/EbcVmTest.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiEbcVmTestProtocolGuid | { 0xAAEACCFD, 0xF27B, 0x4C17, { 0xB6, 0x10, 0x75, 0xCA, 0x1F, 0x2D, 0xFB, 0x52 } }

Refer to Header File

MdeModulePkg/Include/Protocol/EbcVmTest.h


MdeModulePkg[ALL]: gEfiFaultTolerantWriteProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiFaultTolerantWriteProtocolGuid

Fault Tolerant Write protocol provides boot-time service to do fault tolerant write capability for block devices.
Include/Protocol/FaultTolerantWrite.h

Refer to Header File

MdeModulePkg/Include/Protocol/FaultTolerantWrite.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiFaultTolerantWriteProtocolGuid | { 0x3EBD9E82, 0x2C78, 0x4DE6, { 0x97, 0x86, 0x8D, 0x4B, 0xFC, 0xB7, 0xC8, 0x81 }}


MdeModulePkg[ALL]: gEfiFormBrowserExProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiFormBrowserExProtocolGuid

Include/Protocol/FormBrowserEx.h

Refer to Header File

MdeModulePkg/Include/Protocol/FormBrowserEx.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiFormBrowserExProtocolGuid | { 0x1f73b18d, 0x4630, 0x43c1, { 0xa1, 0xde, 0x6f, 0x80, 0x85, 0x5d, 0x7d, 0xa4 } }


MdeModulePkg[ALL]: gEfiGenericMemTestProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiGenericMemTestProtocolGuid

This protocol defines the generic memory test interfaces in Dxe phase.
Include/Protocol/GenericMemoryTest.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiGenericMemTestProtocolGuid | { 0x309DE7F1, 0x7F5E, 0x4ACE, { 0xB4, 0x9C, 0x53, 0x1B, 0xE5, 0xAA, 0x95, 0xEF }}

Refer to Header File

MdeModulePkg/Include/Protocol/GenericMemoryTest.h


MdeModulePkg[ALL]: gEfiLoadPeImageProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiLoadPeImageProtocolGuid

Load File protocol provides capability to load and unload EFI image into memory and execute it.
Include/Protocol/LoadPe32Image.h
This protocol is deprecated. Native EDKII module should NOT use this protocol to load/unload image.
If developer need implement such functionality, they should use BasePeCoffLib.

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiLoadPeImageProtocolGuid | { 0x5CB5C776, 0x60D5, 0x45EE, { 0x88, 0x3C, 0x45, 0x27, 0x08, 0xCD, 0x74, 0x3F }}

Refer to Header File

MdeModulePkg/Include/Protocol/LoadPe32Image.h


MdeModulePkg[ALL]: gEfiLockBoxProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiLockBoxProtocolGuid

Include/Protocol/LockBox.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiLockBoxProtocolGuid | { 0xbd445d79, 0xb7ad, 0x4f04, { 0x9a, 0xd8, 0x29, 0xbd, 0x20, 0x40, 0xeb, 0x3c }}

Refer to Header File

MdeModulePkg/Include/Protocol/LockBox.h


MdeModulePkg[ALL]: gEfiPrint2ProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiPrint2ProtocolGuid

Print protocol defines basic print functions to print the format unicode and ascii string.
Include/Protocol/Print2.h

Refer to Header File

MdeModulePkg/Include/Protocol/Print2.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiPrint2ProtocolGuid | { 0xf05976ef, 0x83f1, 0x4f3d, { 0x86, 0x19, 0xf7, 0x59, 0x5d, 0x41, 0xe5, 0x38 } }


MdeModulePkg[ALL]: gEfiSmmFaultTolerantWriteProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiSmmFaultTolerantWriteProtocolGuid

This protocol provides boot-time service to do fault tolerant write capability for block devices in SMM environment.
Include/Protocol/SmmFaultTolerantWrite.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiSmmFaultTolerantWriteProtocolGuid | { 0x3868fc3b, 0x7e45, 0x43a7, { 0x90, 0x6c, 0x4b, 0xa4, 0x7d, 0xe1, 0x75, 0x4d }}

Refer to Header File

MdeModulePkg/Include/Protocol/SmmFaultTolerantWrite.h


MdeModulePkg[ALL]: gEfiSmmFirmwareVolumeBlockProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiSmmFirmwareVolumeBlockProtocolGuid

This protocol is similar with DXE FVB protocol and used in the UEFI SMM evvironment.
Include/Protocol/SmmFirmwareVolumeBlock.h

Refer to Header File

MdeModulePkg/Include/Protocol/SmmFirmwareVolumeBlock.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiSmmFirmwareVolumeBlockProtocolGuid | { 0xd326d041, 0xbd31, 0x4c01, { 0xb5, 0xa8, 0x62, 0x8b, 0xe8, 0x7f, 0x6, 0x53 }}


MdeModulePkg[ALL]: gEfiSmmSwapAddressRangeProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiSmmSwapAddressRangeProtocolGuid

This protocol is used to abstract the swap operation of boot block and backup block of boot FV in SMM environment.
Include/Protocol/SmmSwapAddressRange.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiSmmSwapAddressRangeProtocolGuid | { 0x67c4f112, 0x3385, 0x4e55, { 0x9c, 0x5b, 0xc0, 0x5b, 0x71, 0x7c, 0x42, 0x28 }}

Refer to Header File

MdeModulePkg/Include/Protocol/SmmSwapAddressRange.h


MdeModulePkg[ALL]: gEfiSmmVariableProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiSmmVariableProtocolGuid

This protocol is intended for use as a means to store data in the EFI SMM environment.
Include/Protocol/SmmVariableProtocol.h

Refer to Header File

MdeModulePkg/Include/Protocol/SmmVariable.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiSmmVariableProtocolGuid | { 0xed32d533, 0x99e6, 0x4209, { 0x9c, 0xc0, 0x2d, 0x72, 0xcd, 0xd9, 0x98, 0xa7 }}


MdeModulePkg[ALL]: gEfiSwapAddressRangeProtocolGuid

MdeModulePkg Package Document » PROTOCOL » common

gEfiSwapAddressRangeProtocolGuid

This protocol is used to abstract the swap operation of boot block and backup block of boot FV.
Include/Protocol/SwapAddressRange.h

Refer to Header File

MdeModulePkg/Include/Protocol/SwapAddressRange.h

PROTOCOL Information

PROTOCOL's Guid Name | PROTOCOL's Guid
gEfiSwapAddressRangeProtocolGuid | { 0x1259F60D, 0xB754, 0x468E, { 0xA7, 0x89, 0x4D, 0xB8, 0x5D, 0x55, 0xE8, 0x7E }}


MdeModulePkg[ALL]: Data Structures

  • Data Fields

Data Structures

Here are the data structures with brief descriptions:
_EFI_BOOT_LOGO_PROTOCOL
_EFI_DEBUG_MASK_PROTOCOL
_EFI_DPC_PROTOCOL
_EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
_EFI_EBC_VM_TEST_PROTOCOL
_EFI_FAULT_TOLERANT_WRITE_PROTOCOL
_EFI_FORM_BROWSER_EXTENSION_PROTOCOL
_EFI_GENERIC_MEMORY_TEST_PROTOCOL
_EFI_IFR_GUID_BANNER
_EFI_IFR_GUID_CLASS
_EFI_IFR_GUID_LABEL
_EFI_IFR_GUID_OPTIONKEY
_EFI_IFR_GUID_SUBCLASS
_EFI_IFR_GUID_TIMEOUT
_EFI_IFR_GUID_VAREQNAME
_EFI_NET_SESSION_DATA
_EFI_PE32_IMAGE_PROTOCOL
_EFI_PEI_SMM_COMMUNICATION_PPI
_EFI_PRINT2_PROTOCOL
_EFI_SMM_VARIABLE_PROTOCOL
_EFI_SWAP_ADDRESS_RANGE_PROTOCOL
_IP_IO
_IP_IO_IP_INFO
_IP_IO_OPEN_DATA
_IP_IO_SEND_ENTRY
_PEI_ATA_CONTROLLER_PPI
_PEI_CAPSULE_PPI
_PEI_SEC_PERFORMANCE_PPI
_PEI_SMM_ACCESS_PPI
_PEI_SMM_CONTROL_PPI
_PEI_USB2_HOST_CONTROLLER_PPI
_PEI_USB_CONTROLLER_PPI
_PEI_USB_HOST_CONTROLLER_PPI
_PEI_USB_IO_PPI
_PERFORMANCE_PROTOCOL
_UDP_IO
_VARIABLE_INFO_ENTRY
ACPI_S3_CONTEXT
BOOT_PERFORMANCE_TABLE
BOOT_SCRIPT_EXECUTOR_VARIABLE
CAPSULE_HOB_INFO
DEBUG_AGENT_CONTEXT_POSTMEM_SEC
EFI_CAPSULE_LONG_MODE_BUFFER
EFI_DEBUG_INFO
EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE
EFI_MEMORY_TYPE_INFORMATION
EFI_SMM_LOCK_BOX_PARAMETER_HEADER
EFI_SMM_LOCK_BOX_PARAMETER_RESTORE
EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE
EFI_SMM_LOCK_BOX_PARAMETER_SAVE
EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES
EFI_SMM_LOCK_BOX_PARAMETER_UPDATE
EFI_UDP_HEADER
ETHER_HEAD
FIRMWARE_PERFORMANCE_RUNTIME_DATA
FIRMWARE_PERFORMANCE_TABLE
FIRMWARE_PERFORMANCE_VARIABLE
FIRMWARE_SEC_PERFORMANCE
GAUGE_DATA_ENTRY
GAUGE_DATA_HEADER
ICMP_ERROR_INFO
IDE_REGS_BASE_ADDR
IP4_HEAD
IP4_ICMP_ERROR_HEAD
IP4_ICMP_HEAD
IP4_ICMP_QUERY_HEAD
IP6_ICMP_ERROR_HEAD
IP6_ICMP_HEAD
IP6_ICMP_INFORMATION_HEAD
IP_IO_IP_COMPLETION_TOKEN
IP_IO_IP_CONFIG_DATA
IP_IO_IP_HEADER
IP_IO_IP_MASK
IP_IO_IP_PROTOCOL
IP_IO_IP_RX_DATA
IP_IO_IP_TX_DATA
IP_IO_OVERRIDE
MEMORY_STATUSCODE_PACKET_HEADER
MEMORY_STATUSCODE_RECORD
NET_BLOCK
NET_BLOCK_OP
NET_BUF
NET_BUF_QUEUE
NET_FRAGMENT
NET_IP6_PSEUDO_HDR
NET_IP_HEAD
NET_MAP
NET_MAP_ITEM
NET_PSEUDO_HDR
NET_VECTOR
NIC_ADDR
NIC_IP4_CONFIG_INFO
PEI_PERFORMANCE_LOG_ENTRY
PEI_PERFORMANCE_LOG_HEADER
PEI_S3_RESUME_STATE
PERF_DATA
PERF_HEADER
S3_PERFORMANCE_TABLE
SMM_PERF_COMMUNICATE
SMM_S3_RESUME_STATE
SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE
SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME
SMM_VARIABLE_COMMUNICATE_HEADER
SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
TCP4_IO_CONFIG_DATA
TCP6_IO_CONFIG_DATA
TCP_HEAD
TCP_IO
TCP_IO_CLOSE_TOKEN
TCP_IO_CONFIG_DATA
TCP_IO_CONNECTION_TOKEN
TCP_IO_IO_TOKEN
TCP_IO_LISTEN_TOKEN
TCP_IO_PROTOCOL
UDP_COMPLETION_TOKEN
UDP_END_POINT
UDP_RX_TOKEN
UDP_SESSION_DATA
UDP_TRANSMIT_DATA
UDP_TX_TOKEN
VARIABLE_HEADER
VARIABLE_INDEX_TABLE
VARIABLE_POINTER_TRACK
VARIABLE_STORE_HEADER
VLAN_TCI
VM_CONTEXT


MdeModulePkg[ALL]: _EFI_BOOT_LOGO_PROTOCOL Struct Reference

  • Data Fields

_EFI_BOOT_LOGO_PROTOCOL Struct Reference

Data Fields

EFI_SET_BOOT_LOGO SetBootLogo

Field Documentation

EFI_SET_BOOT_LOGO _EFI_BOOT_LOGO_PROTOCOL::SetBootLogo


MdeModulePkg[ALL]: _EFI_DEBUG_MASK_PROTOCOL Struct Reference

  • Data Fields

_EFI_DEBUG_MASK_PROTOCOL Struct Reference

Data Fields

INT64 | Revision
EFI_GET_DEBUG_MASK | GetDebugMask
EFI_SET_DEBUG_MASK | SetDebugMask

Detailed Description

DebugMask protocol definition

Field Documentation

EFI_GET_DEBUG_MASK _EFI_DEBUG_MASK_PROTOCOL::GetDebugMask

INT64 _EFI_DEBUG_MASK_PROTOCOL::Revision

EFI_SET_DEBUG_MASK _EFI_DEBUG_MASK_PROTOCOL::SetDebugMask


MdeModulePkg[ALL]: _EFI_DPC_PROTOCOL Struct Reference

  • Data Fields

_EFI_DPC_PROTOCOL Struct Reference

Data Fields

EFI_DPC_QUEUE_DPC QueueDpc
EFI_DPC_DISPATCH_DPC DispatchDpc

Detailed Description

DPC Protocol structure.

Field Documentation

EFI_DPC_DISPATCH_DPC _EFI_DPC_PROTOCOL::DispatchDpc

EFI_DPC_QUEUE_DPC _EFI_DPC_PROTOCOL::QueueDpc


MdeModulePkg[ALL]: _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL Struct Reference

  • Data Fields

_EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL Struct Reference

Data Fields

EBC_DEBUGGER_DEBUG | Debugger
EBC_DEBUGGER_SIGNAL_EXCEPTION | SignalException
EBC_DEBUGGER_DASM | Dasm
EBC_DEBUGGER_CONFIGURE | Configure

Field Documentation

EBC_DEBUGGER_CONFIGURE _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL::Configure

EBC_DEBUGGER_DASM _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL::Dasm

EBC_DEBUGGER_DEBUG _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL::Debugger

EBC_DEBUGGER_SIGNAL_EXCEPTION _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL::SignalException


MdeModulePkg[ALL]: _EFI_EBC_VM_TEST_PROTOCOL Struct Reference

  • Data Fields

_EFI_EBC_VM_TEST_PROTOCOL Struct Reference

Data Fields

EBC_VM_TEST_EXECUTE | Execute
EBC_VM_TEST_ASM | Assemble
EBC_VM_TEST_DASM | Disassemble

Field Documentation

EBC_VM_TEST_ASM _EFI_EBC_VM_TEST_PROTOCOL::Assemble

EBC_VM_TEST_DASM _EFI_EBC_VM_TEST_PROTOCOL::Disassemble

EBC_VM_TEST_EXECUTE _EFI_EBC_VM_TEST_PROTOCOL::Execute


MdeModulePkg[ALL]: _EFI_FAULT_TOLERANT_WRITE_PROTOCOL Struct Reference

  • Data Fields

_EFI_FAULT_TOLERANT_WRITE_PROTOCOL Struct Reference

Data Fields

EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE GetMaxBlockSize
EFI_FAULT_TOLERANT_WRITE_ALLOCATE Allocate
EFI_FAULT_TOLERANT_WRITE_WRITE Write
EFI_FAULT_TOLERANT_WRITE_RESTART Restart
EFI_FAULT_TOLERANT_WRITE_ABORT Abort
EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE GetLastWrite

Field Documentation

EFI_FAULT_TOLERANT_WRITE_ABORT _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::Abort

EFI_FAULT_TOLERANT_WRITE_ALLOCATE _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::Allocate

EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::GetLastWrite

EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::GetMaxBlockSize

EFI_FAULT_TOLERANT_WRITE_RESTART _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::Restart

EFI_FAULT_TOLERANT_WRITE_WRITE _EFI_FAULT_TOLERANT_WRITE_PROTOCOL::Write


MdeModulePkg[ALL]: _EFI_FORM_BROWSER_EXTENSION_PROTOCOL Struct Reference

  • Data Fields

_EFI_FORM_BROWSER_EXTENSION_PROTOCOL Struct Reference

Data Fields

SET_SCOPE | SetScope
REGISTER_HOT_KEY | RegisterHotKey
REGISTER_EXIT_HANDLER | RegiserExitHandler
SAVE_REMINDER SaveReminder

Field Documentation

REGISTER_EXIT_HANDLER _EFI_FORM_BROWSER_EXTENSION_PROTOCOL::RegiserExitHandler

REGISTER_HOT_KEY _EFI_FORM_BROWSER_EXTENSION_PROTOCOL::RegisterHotKey

SAVE_REMINDER _EFI_FORM_BROWSER_EXTENSION_PROTOCOL::SaveReminder

SET_SCOPE _EFI_FORM_BROWSER_EXTENSION_PROTOCOL::SetScope


MdeModulePkg[ALL]: _EFI_GENERIC_MEMORY_TEST_PROTOCOL Struct Reference

  • Data Fields

_EFI_GENERIC_MEMORY_TEST_PROTOCOL Struct Reference

Data Fields

EFI_MEMORY_TEST_INIT MemoryTestInit
EFI_PERFORM_MEMORY_TEST PerformMemoryTest
EFI_MEMORY_TEST_FINISHED Finished
EFI_MEMORY_TEST_COMPATIBLE_RANGE CompatibleRangeTest

Field Documentation

EFI_MEMORY_TEST_COMPATIBLE_RANGE _EFI_GENERIC_MEMORY_TEST_PROTOCOL::CompatibleRangeTest

EFI_MEMORY_TEST_FINISHED _EFI_GENERIC_MEMORY_TEST_PROTOCOL::Finished

EFI_MEMORY_TEST_INIT _EFI_GENERIC_MEMORY_TEST_PROTOCOL::MemoryTestInit

EFI_PERFORM_MEMORY_TEST _EFI_GENERIC_MEMORY_TEST_PROTOCOL::PerformMemoryTest


MdeModulePkg[ALL]: _EFI_IFR_GUID_BANNER Struct Reference

  • Data Fields

_EFI_IFR_GUID_BANNER Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
EFI_STRING_ID | Title
The string token for the banner title.
UINT16 | LineNumber
1-based line number.
UINT8 | Alignment
left, center, or right-aligned.

Detailed Description

Banner opcode.

Field Documentation

UINT8 _EFI_IFR_GUID_BANNER::Alignment

left, center, or right-aligned.

UINT8 _EFI_IFR_GUID_BANNER::ExtendOpCode

EFI_IFR_EXTEND_OP_BANNER

EFI_GUID _EFI_IFR_GUID_BANNER::Guid

EFI_IFR_TIANO_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_BANNER::Header

UINT16 _EFI_IFR_GUID_BANNER::LineNumber

1-based line number.

EFI_STRING_ID _EFI_IFR_GUID_BANNER::Title

The string token for the banner title.


MdeModulePkg[ALL]: _EFI_IFR_GUID_CLASS Struct Reference

  • Data Fields

_EFI_IFR_GUID_CLASS Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
UINT16 | Class
Device Class from the above.

Detailed Description

Device Class opcode.

Field Documentation

UINT16 _EFI_IFR_GUID_CLASS::Class

Device Class from the above.

UINT8 _EFI_IFR_GUID_CLASS::ExtendOpCode

EFI_IFR_EXTEND_OP_CLASS.

EFI_GUID _EFI_IFR_GUID_CLASS::Guid

EFI_IFR_TIANO_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_CLASS::Header


MdeModulePkg[ALL]: _EFI_IFR_GUID_LABEL Struct Reference

  • Data Fields

_EFI_IFR_GUID_LABEL Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
UINT16 | Number

Detailed Description

Label opcode.

Field Documentation

UINT8 _EFI_IFR_GUID_LABEL::ExtendOpCode

EFI_IFR_EXTEND_OP_LABEL.

EFI_GUID _EFI_IFR_GUID_LABEL::Guid

EFI_IFR_TIANO_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_LABEL::Header

UINT16 _EFI_IFR_GUID_LABEL::Number

Label Number.


MdeModulePkg[ALL]: _EFI_IFR_GUID_OPTIONKEY Struct Reference

  • Data Fields

_EFI_IFR_GUID_OPTIONKEY Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
EFI_QUESTION_ID | QuestionId
EFI_IFR_TYPE_VALUE | OptionValue
UINT16 | KeyValue

Detailed Description

Store the framework vfr option key value.

Field Documentation

UINT8 _EFI_IFR_GUID_OPTIONKEY::ExtendOpCode

EFI_IFR_EXTEND_OP_OPTIONKEY.

EFI_GUID _EFI_IFR_GUID_OPTIONKEY::Guid

EFI_IFR_FRAMEWORK_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_OPTIONKEY::Header

UINT16 _EFI_IFR_GUID_OPTIONKEY::KeyValue

The Framework OneOf Option Key Value.

EFI_IFR_TYPE_VALUE _EFI_IFR_GUID_OPTIONKEY::OptionValue

The OneOf Option Value.

EFI_QUESTION_ID _EFI_IFR_GUID_OPTIONKEY::QuestionId

OneOf Questiond ID binded by OneOf Option.


MdeModulePkg[ALL]: _EFI_IFR_GUID_SUBCLASS Struct Reference

  • Data Fields

_EFI_IFR_GUID_SUBCLASS Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
UINT16 | SubClass
Sub Class type from the above.

Detailed Description

SubClass opcode

Field Documentation

UINT8 _EFI_IFR_GUID_SUBCLASS::ExtendOpCode

EFI_IFR_EXTEND_OP_SUBCLASS.

EFI_GUID _EFI_IFR_GUID_SUBCLASS::Guid

EFI_IFR_TIANO_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_SUBCLASS::Header

UINT16 _EFI_IFR_GUID_SUBCLASS::SubClass

Sub Class type from the above.


MdeModulePkg[ALL]: _EFI_IFR_GUID_TIMEOUT Struct Reference

  • Data Fields

_EFI_IFR_GUID_TIMEOUT Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
UINT16 | TimeOut
TimeOut Value.

Detailed Description

Timeout opcode.

Field Documentation

UINT8 _EFI_IFR_GUID_TIMEOUT::ExtendOpCode

EFI_IFR_EXTEND_OP_TIMEOUT.

EFI_GUID _EFI_IFR_GUID_TIMEOUT::Guid

EFI_IFR_TIANO_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_TIMEOUT::Header

UINT16 _EFI_IFR_GUID_TIMEOUT::TimeOut

TimeOut Value.


MdeModulePkg[ALL]: _EFI_IFR_GUID_VAREQNAME Struct Reference

  • Data Fields

_EFI_IFR_GUID_VAREQNAME Struct Reference

Data Fields

EFI_IFR_OP_HEADER | Header
EFI_GUID | Guid
UINT8 | ExtendOpCode
EFI_QUESTION_ID | QuestionId
UINT16 | NameId

Detailed Description

Store the framework vfr vareqval name number.

Field Documentation

UINT8 _EFI_IFR_GUID_VAREQNAME::ExtendOpCode

EFI_IFR_EXTEND_OP_VAREQNAME.

EFI_GUID _EFI_IFR_GUID_VAREQNAME::Guid

EFI_IFR_FRAMEWORK_GUID.

EFI_IFR_OP_HEADER _EFI_IFR_GUID_VAREQNAME::Header

UINT16 _EFI_IFR_GUID_VAREQNAME::NameId

For vareqval (0x100), NameId is 0x100. This value will convert to a Unicode String following this rule; sprintf(StringBuffer, "%d", NameId) . The the Unicode String will be used as a EFI Variable Name.

EFI_QUESTION_ID _EFI_IFR_GUID_VAREQNAME::QuestionId

Question ID of the Numeric Opcode created.


MdeModulePkg[ALL]: _EFI_NET_SESSION_DATA Struct Reference

  • Data Fields

_EFI_NET_SESSION_DATA Struct Reference

Data Fields

EFI_IP_ADDRESS | Source
Source IP of the received packet.
EFI_IP_ADDRESS | Dest
Destination IP of the received packet.
IP_IO_IP_HEADER IpHdr
IP header of the received packet.
UINT32 | IpHdrLen
UINT8 | IpVersion
The IP version of the received packet.

Detailed Description

The IP session for an IP receive packet.

Field Documentation

EFI_IP_ADDRESS _EFI_NET_SESSION_DATA::Dest

Destination IP of the received packet.

IP_IO_IP_HEADER _EFI_NET_SESSION_DATA::IpHdr

IP header of the received packet.

UINT32 _EFI_NET_SESSION_DATA::IpHdrLen

IP header length of the received packet. For IPv6, it includes the IP6 header length and extension header length. For IPv4, it includes the IP4 header length and options length.

UINT8 _EFI_NET_SESSION_DATA::IpVersion

The IP version of the received packet.

EFI_IP_ADDRESS _EFI_NET_SESSION_DATA::Source

Source IP of the received packet.


MdeModulePkg[ALL]: _EFI_PE32_IMAGE_PROTOCOL Struct Reference

  • Data Fields

_EFI_PE32_IMAGE_PROTOCOL Struct Reference

Data Fields

LOAD_PE_IMAGE LoadPeImage
UNLOAD_PE_IMAGE UnLoadPeImage

Field Documentation

LOAD_PE_IMAGE _EFI_PE32_IMAGE_PROTOCOL::LoadPeImage

UNLOAD_PE_IMAGE _EFI_PE32_IMAGE_PROTOCOL::UnLoadPeImage


MdeModulePkg[ALL]: _EFI_PEI_SMM_COMMUNICATION_PPI Struct Reference

  • Data Fields

_EFI_PEI_SMM_COMMUNICATION_PPI Struct Reference

Data Fields

EFI_PEI_SMM_COMMUNICATE Communicate

Detailed Description

EFI SMM Communication Protocol provides runtime services for communicating between DXE drivers and a registered SMI handler.

Field Documentation

EFI_PEI_SMM_COMMUNICATE _EFI_PEI_SMM_COMMUNICATION_PPI::Communicate


MdeModulePkg[ALL]: _EFI_PRINT2_PROTOCOL Struct Reference

  • Data Fields

_EFI_PRINT2_PROTOCOL Struct Reference

Data Fields

UNICODE_BS_PRINT UnicodeBSPrint
UNICODE_S_PRINT UnicodeSPrint
UNICODE_BS_PRINT_ASCII_FORMAT UnicodeBSPrintAsciiFormat
UNICODE_S_PRINT_ASCII_FORMAT UnicodeSPrintAsciiFormat
UNICODE_VALUE_TO_STRING UnicodeValueToString
ASCII_BS_PRINT AsciiBSPrint
ASCII_S_PRINT AsciiSPrint
ASCII_BS_PRINT_UNICODE_FORMAT AsciiBSPrintUnicodeFormat
ASCII_S_PRINT_UNICODE_FORMAT AsciiSPrintUnicodeFormat
ASCII_VALUE_TO_STRING AsciiValueToString

Field Documentation

ASCII_BS_PRINT _EFI_PRINT2_PROTOCOL::AsciiBSPrint

ASCII_BS_PRINT_UNICODE_FORMAT _EFI_PRINT2_PROTOCOL::AsciiBSPrintUnicodeFormat

ASCII_S_PRINT _EFI_PRINT2_PROTOCOL::AsciiSPrint

ASCII_S_PRINT_UNICODE_FORMAT _EFI_PRINT2_PROTOCOL::AsciiSPrintUnicodeFormat

ASCII_VALUE_TO_STRING _EFI_PRINT2_PROTOCOL::AsciiValueToString

UNICODE_BS_PRINT _EFI_PRINT2_PROTOCOL::UnicodeBSPrint

UNICODE_BS_PRINT_ASCII_FORMAT _EFI_PRINT2_PROTOCOL::UnicodeBSPrintAsciiFormat

UNICODE_S_PRINT _EFI_PRINT2_PROTOCOL::UnicodeSPrint

UNICODE_S_PRINT_ASCII_FORMAT _EFI_PRINT2_PROTOCOL::UnicodeSPrintAsciiFormat

UNICODE_VALUE_TO_STRING _EFI_PRINT2_PROTOCOL::UnicodeValueToString


MdeModulePkg[ALL]: _EFI_SMM_VARIABLE_PROTOCOL Struct Reference

  • Data Fields

_EFI_SMM_VARIABLE_PROTOCOL Struct Reference

Data Fields

EFI_GET_VARIABLE | SmmGetVariable
EFI_GET_NEXT_VARIABLE_NAME | SmmGetNextVariableName
EFI_SET_VARIABLE | SmmSetVariable
EFI_QUERY_VARIABLE_INFO | SmmQueryVariableInfo

Detailed Description

EFI SMM Variable Protocol is intended for use as a means to store data in the EFI SMM environment.

Field Documentation

EFI_GET_NEXT_VARIABLE_NAME _EFI_SMM_VARIABLE_PROTOCOL::SmmGetNextVariableName

EFI_GET_VARIABLE _EFI_SMM_VARIABLE_PROTOCOL::SmmGetVariable

EFI_QUERY_VARIABLE_INFO _EFI_SMM_VARIABLE_PROTOCOL::SmmQueryVariableInfo

EFI_SET_VARIABLE _EFI_SMM_VARIABLE_PROTOCOL::SmmSetVariable


MdeModulePkg[ALL]: _EFI_SWAP_ADDRESS_RANGE_PROTOCOL Struct Reference

  • Data Fields

_EFI_SWAP_ADDRESS_RANGE_PROTOCOL Struct Reference

Data Fields

EFI_GET_RANGE_LOCATION GetRangeLocation
EFI_GET_SWAP_STATE GetSwapState
EFI_SET_SWAP_STATE SetSwapState
EFI_GET_RTC_POWER_STATUS GetRtcPowerStatus
EFI_GET_SWAP_LOCK_CAPABILITY GetSwapLockCapability
EFI_SET_SWAP_LOCK SetSwapLock

Field Documentation

EFI_GET_RANGE_LOCATION _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::GetRangeLocation

EFI_GET_RTC_POWER_STATUS _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::GetRtcPowerStatus

EFI_GET_SWAP_LOCK_CAPABILITY _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::GetSwapLockCapability

EFI_GET_SWAP_STATE _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::GetSwapState

EFI_SET_SWAP_LOCK _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::SetSwapLock

EFI_SET_SWAP_STATE _EFI_SWAP_ADDRESS_RANGE_PROTOCOL::SetSwapState


MdeModulePkg[ALL]: _IP_IO Struct Reference

  • Data Fields

_IP_IO Struct Reference

Data Fields

LIST_ENTRY | Entry
LIST_ENTRY | IpList
EFI_HANDLE | Controller
EFI_HANDLE | Image
EFI_HANDLE | ChildHandle
IP_IO_IP_PROTOCOL Ip
BOOLEAN | IsConfigured
UINT8 | Protocol
IP_IO_IP_COMPLETION_TOKEN RcvToken
LIST_ENTRY | PendingSndList
VOID * | RcvdContext
See IP_IO_OPEN_DATA::RcvdContext.
VOID * | SndContext
See IP_IO_OPEN_DATA::SndContext.
PKT_RCVD_NOTIFY | PktRcvdNotify
See IP_IO_OPEN_DATA::PktRcvdNotify.
PKT_SENT_NOTIFY | PktSentNotify
See IP_IO_OPEN_DATA::PktSentNotify.
UINT8 | IpVersion

Detailed Description

This data structure wraps Ip4/Ip6 instances. The IpIo Library uses it for all Ip4/Ip6 operations.

Field Documentation

EFI_HANDLE _IP_IO::ChildHandle

EFI_HANDLE _IP_IO::Controller

LIST_ENTRY _IP_IO::Entry

The node used to link this IpIo to the active IpIo list.

EFI_HANDLE _IP_IO::Image

IP_IO_IP_PROTOCOL _IP_IO::Ip

LIST_ENTRY _IP_IO::IpList

The list used to maintain the IP instance for different sending purpose.

UINT8 _IP_IO::IpVersion

BOOLEAN _IP_IO::IsConfigured

LIST_ENTRY _IP_IO::PendingSndList

List entry used to link the token passed to IP_IO.

PKT_RCVD_NOTIFY _IP_IO::PktRcvdNotify

See IP_IO_OPEN_DATA::PktRcvdNotify.

PKT_SENT_NOTIFY _IP_IO::PktSentNotify

See IP_IO_OPEN_DATA::PktSentNotify.

UINT8 _IP_IO::Protocol

Some ip configuration data can be changed.

VOID* _IP_IO::RcvdContext

See IP_IO_OPEN_DATA::RcvdContext.

IP_IO_IP_COMPLETION_TOKEN _IP_IO::RcvToken

Token and event used to get data from IP.

VOID* _IP_IO::SndContext

See IP_IO_OPEN_DATA::SndContext.


MdeModulePkg[ALL]: _IP_IO_IP_INFO Struct Reference

  • Data Fields

_IP_IO_IP_INFO Struct Reference

Data Fields

EFI_IP_ADDRESS | Addr
IP_IO_IP_MASK PreMask
LIST_ENTRY | Entry
EFI_HANDLE | ChildHandle
IP_IO_IP_PROTOCOL Ip
IP_IO_IP_COMPLETION_TOKEN DummyRcvToken
INTN | RefCnt
UINT8 | IpVersion

Detailed Description

The IP_IO_IP_INFO is used in IpIoSend() to override the default IP instance in IP_IO.

Field Documentation

EFI_IP_ADDRESS _IP_IO_IP_INFO::Addr

EFI_HANDLE _IP_IO_IP_INFO::ChildHandle

IP_IO_IP_COMPLETION_TOKEN _IP_IO_IP_INFO::DummyRcvToken

LIST_ENTRY _IP_IO_IP_INFO::Entry

IP_IO_IP_PROTOCOL _IP_IO_IP_INFO::Ip

UINT8 _IP_IO_IP_INFO::IpVersion

IP_IO_IP_MASK _IP_IO_IP_INFO::PreMask

INTN _IP_IO_IP_INFO::RefCnt


MdeModulePkg[ALL]: _IP_IO_OPEN_DATA Struct Reference

  • Data Fields

_IP_IO_OPEN_DATA Struct Reference

Data Fields

IP_IO_IP_CONFIG_DATA IpConfigData
Configuration of the IP instance.
VOID * | RcvdContext
Context data used by receive callback.
VOID * | SndContext
Context data used by send callback.
PKT_RCVD_NOTIFY | PktRcvdNotify
Receive callback.
PKT_SENT_NOTIFY | PktSentNotify
Send callback.

Detailed Description

The struct is for the user to pass IP configuration and callbacks to IP_IO. It is used by IpIoOpen().

Field Documentation

IP_IO_IP_CONFIG_DATA _IP_IO_OPEN_DATA::IpConfigData

Configuration of the IP instance.

PKT_RCVD_NOTIFY _IP_IO_OPEN_DATA::PktRcvdNotify

Receive callback.

PKT_SENT_NOTIFY _IP_IO_OPEN_DATA::PktSentNotify

Send callback.

VOID* _IP_IO_OPEN_DATA::RcvdContext

Context data used by receive callback.

VOID* _IP_IO_OPEN_DATA::SndContext

Context data used by send callback.


MdeModulePkg[ALL]: _IP_IO_SEND_ENTRY Struct Reference

  • Data Fields

_IP_IO_SEND_ENTRY Struct Reference

Data Fields

LIST_ENTRY | Entry
IP_IO * IpIo
VOID * | Context
VOID * | NotifyData
IP_IO_IP_PROTOCOL Ip
NET_BUF * Pkt
IP_IO_IP_COMPLETION_TOKEN SndToken

Detailed Description

Internal struct book-keeping send request of IP_IO.

An IP_IO_SEND_ENTRY will be created each time a send request is issued to IP_IO via IpIoSend().

Field Documentation

VOID* _IP_IO_SEND_ENTRY::Context

LIST_ENTRY _IP_IO_SEND_ENTRY::Entry

IP_IO_IP_PROTOCOL _IP_IO_SEND_ENTRY::Ip

IP_IO* _IP_IO_SEND_ENTRY::IpIo

VOID* _IP_IO_SEND_ENTRY::NotifyData

NET_BUF* _IP_IO_SEND_ENTRY::Pkt

IP_IO_IP_COMPLETION_TOKEN _IP_IO_SEND_ENTRY::SndToken


MdeModulePkg[ALL]: _PEI_ATA_CONTROLLER_PPI Struct Reference

  • Data Fields

_PEI_ATA_CONTROLLER_PPI Struct Reference

Data Fields

PEI_ENABLE_ATA EnableAtaChannel
GET_IDE_REGS_BASE_ADDR GetIdeRegsBaseAddr

Detailed Description

This PPI contains services to enable and disable IDE and SATA channels and retrieves the base I/O port addresses to the enabled IDE and SATA channels.

Field Documentation

PEI_ENABLE_ATA _PEI_ATA_CONTROLLER_PPI::EnableAtaChannel

GET_IDE_REGS_BASE_ADDR _PEI_ATA_CONTROLLER_PPI::GetIdeRegsBaseAddr


MdeModulePkg[ALL]: _PEI_CAPSULE_PPI Struct Reference

  • Data Fields

_PEI_CAPSULE_PPI Struct Reference

Data Fields

PEI_CAPSULE_COALESCE Coalesce
PEI_CAPSULE_CHECK_CAPSULE_UPDATE CheckCapsuleUpdate
PEI_CAPSULE_CREATE_STATE CreateState

Detailed Description

This PPI provides several services in PEI to work with the underlying capsule capabilities of the platform. These services include the ability for PEI to coalesce a capsule from a scattered set of memory locations into a contiguous space in memory, detect if a capsule is present for processing, and once memory is available, create a HOB for the capsule.

Field Documentation

PEI_CAPSULE_CHECK_CAPSULE_UPDATE _PEI_CAPSULE_PPI::CheckCapsuleUpdate

PEI_CAPSULE_COALESCE _PEI_CAPSULE_PPI::Coalesce

PEI_CAPSULE_CREATE_STATE _PEI_CAPSULE_PPI::CreateState


MdeModulePkg[ALL]: _PEI_SEC_PERFORMANCE_PPI Struct Reference

  • Data Fields

_PEI_SEC_PERFORMANCE_PPI Struct Reference

Data Fields

GET_SEC_PERFORMANCE GetPerformance

Detailed Description

This PPI provides function to get performance data collected in SEC phase.

Field Documentation

GET_SEC_PERFORMANCE _PEI_SEC_PERFORMANCE_PPI::GetPerformance


MdeModulePkg[ALL]: _PEI_SMM_ACCESS_PPI Struct Reference

  • Data Fields

_PEI_SMM_ACCESS_PPI Struct Reference

Data Fields

PEI_SMM_OPEN Open
PEI_SMM_CLOSE Close
PEI_SMM_LOCK Lock
PEI_SMM_CAPABILITIES GetCapabilities
BOOLEAN | LockState
BOOLEAN | OpenState

Detailed Description

EFI SMM Access PPI is used to control the visibility of the SMRAM on the platform. It abstracts the location and characteristics of SMRAM. The expectation is that the north bridge or memory controller would publish this PPI.

Field Documentation

PEI_SMM_CLOSE _PEI_SMM_ACCESS_PPI::Close

PEI_SMM_CAPABILITIES _PEI_SMM_ACCESS_PPI::GetCapabilities

PEI_SMM_LOCK _PEI_SMM_ACCESS_PPI::Lock

BOOLEAN _PEI_SMM_ACCESS_PPI::LockState

PEI_SMM_OPEN _PEI_SMM_ACCESS_PPI::Open

BOOLEAN _PEI_SMM_ACCESS_PPI::OpenState


MdeModulePkg[ALL]: _PEI_SMM_CONTROL_PPI Struct Reference

  • Data Fields

_PEI_SMM_CONTROL_PPI Struct Reference

Data Fields

PEI_SMM_ACTIVATE | Trigger
PEI_SMM_DEACTIVATE | Clear

Detailed Description

PEI SMM Control PPI is used to initiate SMI/PMI activations. This protocol could be published by either:
  • A processor driver to abstract the SMI/PMI IPI
  • The driver that abstracts the ASIC that is supporting the APM port, such as the ICH in an Intel chipset

Field Documentation

PEI_SMM_DEACTIVATE _PEI_SMM_CONTROL_PPI::Clear

PEI_SMM_ACTIVATE _PEI_SMM_CONTROL_PPI::Trigger


MdeModulePkg[ALL]: _PEI_USB2_HOST_CONTROLLER_PPI Struct Reference

  • Data Fields

_PEI_USB2_HOST_CONTROLLER_PPI Struct Reference

Data Fields

PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER ControlTransfer
PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER BulkTransfer
PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER GetRootHubPortNumber
PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS GetRootHubPortStatus
PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE SetRootHubPortFeature
PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE ClearRootHubPortFeature

Detailed Description

This PPI contains a set of services to interact with the USB host controller. These interfaces are modeled on the UEFI 2.3 specification protocol EFI_USB2_HOST_CONTROLLER_PROTOCOL. Refer to section 16.1 of the UEFI 2.3 Specification for more information on these interfaces.

Field Documentation

PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER _PEI_USB2_HOST_CONTROLLER_PPI::BulkTransfer

PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE _PEI_USB2_HOST_CONTROLLER_PPI::ClearRootHubPortFeature

PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER _PEI_USB2_HOST_CONTROLLER_PPI::ControlTransfer

PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER _PEI_USB2_HOST_CONTROLLER_PPI::GetRootHubPortNumber

PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS _PEI_USB2_HOST_CONTROLLER_PPI::GetRootHubPortStatus

PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE _PEI_USB2_HOST_CONTROLLER_PPI::SetRootHubPortFeature


MdeModulePkg[ALL]: _PEI_USB_CONTROLLER_PPI Struct Reference

  • Data Fields

_PEI_USB_CONTROLLER_PPI Struct Reference

Data Fields

PEI_GET_USB_CONTROLLER GetUsbController

Detailed Description

This PPI contains a single service to retrieve the USB Host Controller type and the base address of the I/O ports used to access the USB Host Controller.

Field Documentation

PEI_GET_USB_CONTROLLER _PEI_USB_CONTROLLER_PPI::GetUsbController


MdeModulePkg[ALL]: _PEI_USB_HOST_CONTROLLER_PPI Struct Reference

  • Data Fields

_PEI_USB_HOST_CONTROLLER_PPI Struct Reference

Data Fields

PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER ControlTransfer
PEI_USB_HOST_CONTROLLER_BULK_TRANSFER BulkTransfer
PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER GetRootHubPortNumber
PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS GetRootHubPortStatus
PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE SetRootHubPortFeature
PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE ClearRootHubPortFeature

Detailed Description

This PPI contains a set of services to interact with the USB host controller. These interfaces are modeled on the UEFI 2.3 specification protocol EFI_USB2_HOST_CONTROLLER_PROTOCOL. Refer to section 16.1 of the UEFI 2.3 Specification for more information on these interfaces.

Field Documentation

PEI_USB_HOST_CONTROLLER_BULK_TRANSFER _PEI_USB_HOST_CONTROLLER_PPI::BulkTransfer

PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE _PEI_USB_HOST_CONTROLLER_PPI::ClearRootHubPortFeature

PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER _PEI_USB_HOST_CONTROLLER_PPI::ControlTransfer

PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER _PEI_USB_HOST_CONTROLLER_PPI::GetRootHubPortNumber

PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS _PEI_USB_HOST_CONTROLLER_PPI::GetRootHubPortStatus

PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE _PEI_USB_HOST_CONTROLLER_PPI::SetRootHubPortFeature


MdeModulePkg[ALL]: _PEI_USB_IO_PPI Struct Reference

  • Data Fields

_PEI_USB_IO_PPI Struct Reference

Data Fields

PEI_USB_CONTROL_TRANSFER UsbControlTransfer
PEI_USB_BULK_TRANSFER UsbBulkTransfer
PEI_USB_GET_INTERFACE_DESCRIPTOR UsbGetInterfaceDescriptor
PEI_USB_GET_ENDPOINT_DESCRIPTOR UsbGetEndpointDescriptor
PEI_USB_PORT_RESET UsbPortReset

Detailed Description

This PPI contains a set of services to interact with the USB host controller. These interfaces are modeled on the UEFI 2.3 specification EFI_USB_IO_PROTOCOL. Refer to section 16.2.4 of the UEFI 2.3 Specification for more information on these interfaces.

Field Documentation

PEI_USB_BULK_TRANSFER _PEI_USB_IO_PPI::UsbBulkTransfer

PEI_USB_CONTROL_TRANSFER _PEI_USB_IO_PPI::UsbControlTransfer

PEI_USB_GET_ENDPOINT_DESCRIPTOR _PEI_USB_IO_PPI::UsbGetEndpointDescriptor

PEI_USB_GET_INTERFACE_DESCRIPTOR _PEI_USB_IO_PPI::UsbGetInterfaceDescriptor

PEI_USB_PORT_RESET _PEI_USB_IO_PPI::UsbPortReset


MdeModulePkg[ALL]: _PERFORMANCE_PROTOCOL Struct Reference

  • Data Fields

_PERFORMANCE_PROTOCOL Struct Reference

Data Fields

PERFORMANCE_START_GAUGE StartGauge
PERFORMANCE_END_GAUGE EndGauge
PERFORMANCE_GET_GAUGE GetGauge

Field Documentation

PERFORMANCE_END_GAUGE _PERFORMANCE_PROTOCOL::EndGauge

PERFORMANCE_GET_GAUGE _PERFORMANCE_PROTOCOL::GetGauge

PERFORMANCE_START_GAUGE _PERFORMANCE_PROTOCOL::StartGauge


MdeModulePkg[ALL]: _UDP_IO Struct Reference

  • Data Fields

_UDP_IO Struct Reference

Data Fields

UINT32 | Signature
LIST_ENTRY | Link
INTN | RefCnt
UINT8 | UdpVersion
EFI_HANDLE | Controller
EFI_HANDLE | Image
EFI_HANDLE | UdpHandle
EFI_SIMPLE_NETWORK_MODE | SnpMode
LIST_ENTRY | SentDatagram
A list of UDP_TX_TOKEN.
UDP_RX_TOKEN * RecvRequest
union {
EFI_UDP4_PROTOCOL * Udp4
EFI_UDP6_PROTOCOL * Udp6
} Protocol
union {
EFI_UDP4_CONFIG_DATA Udp4
EFI_UDP6_CONFIG_DATA Udp6
} Config

Detailed Description

Type defined as UDP_IO.

This data structure wraps the UDP instance and configuration. UdpIo Library uses this structure for all Udp4 or Udp6 operations.

Field Documentation

union { ... } _UDP_IO::Config

EFI_HANDLE _UDP_IO::Controller

EFI_HANDLE _UDP_IO::Image

LIST_ENTRY _UDP_IO::Link

union { ... } _UDP_IO::Protocol

UDP_RX_TOKEN* _UDP_IO::RecvRequest

INTN _UDP_IO::RefCnt

LIST_ENTRY _UDP_IO::SentDatagram

A list of UDP_TX_TOKEN.

UINT32 _UDP_IO::Signature

EFI_SIMPLE_NETWORK_MODE _UDP_IO::SnpMode

EFI_UDP4_CONFIG_DATA _UDP_IO::Udp4

EFI_UDP4_PROTOCOL* _UDP_IO::Udp4

EFI_UDP6_CONFIG_DATA _UDP_IO::Udp6

EFI_UDP6_PROTOCOL* _UDP_IO::Udp6

EFI_HANDLE _UDP_IO::UdpHandle

UINT8 _UDP_IO::UdpVersion


MdeModulePkg[ALL]: _VARIABLE_INFO_ENTRY Struct Reference

  • Data Fields

_VARIABLE_INFO_ENTRY Struct Reference

Data Fields

VARIABLE_INFO_ENTRY * Next
Pointer to next entry.
EFI_GUID | VendorGuid
Guid of Variable.
CHAR16 * | Name
Name of Variable.
UINT32 | Attributes
Attributes of variable defined in UEFI specification.
UINT32 | ReadCount
Number of times to read this variable.
UINT32 | WriteCount
Number of times to write this variable.
UINT32 | DeleteCount
Number of times to delete this variable.
UINT32 | CacheCount
Number of times that cache hits this variable.
BOOLEAN | Volatile
TRUE if volatile, FALSE if non-volatile.

Detailed Description

This structure contains the variable list that is put in EFI system table. The variable driver collects all variables that were used at boot service time and produces this list. This is an optional feature to dump all used variables in shell environment.

Field Documentation

UINT32 _VARIABLE_INFO_ENTRY::Attributes

Attributes of variable defined in UEFI specification.

UINT32 _VARIABLE_INFO_ENTRY::CacheCount

Number of times that cache hits this variable.

UINT32 _VARIABLE_INFO_ENTRY::DeleteCount

Number of times to delete this variable.

CHAR16* _VARIABLE_INFO_ENTRY::Name

Name of Variable.

VARIABLE_INFO_ENTRY* _VARIABLE_INFO_ENTRY::Next

Pointer to next entry.

UINT32 _VARIABLE_INFO_ENTRY::ReadCount

Number of times to read this variable.

EFI_GUID _VARIABLE_INFO_ENTRY::VendorGuid

Guid of Variable.

BOOLEAN _VARIABLE_INFO_ENTRY::Volatile

TRUE if volatile, FALSE if non-volatile.

UINT32 _VARIABLE_INFO_ENTRY::WriteCount

Number of times to write this variable.


MdeModulePkg[ALL]: ACPI_S3_CONTEXT Struct Reference

  • Data Fields

ACPI_S3_CONTEXT Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | AcpiFacsTable
EFI_PHYSICAL_ADDRESS | IdtrProfile
EFI_PHYSICAL_ADDRESS | S3NvsPageTableAddress
EFI_PHYSICAL_ADDRESS | BootScriptStackBase
UINT64 | BootScriptStackSize
EFI_PHYSICAL_ADDRESS | S3DebugBufferAddress

Field Documentation

EFI_PHYSICAL_ADDRESS ACPI_S3_CONTEXT::AcpiFacsTable

EFI_PHYSICAL_ADDRESS ACPI_S3_CONTEXT::BootScriptStackBase

UINT64 ACPI_S3_CONTEXT::BootScriptStackSize

EFI_PHYSICAL_ADDRESS ACPI_S3_CONTEXT::IdtrProfile

EFI_PHYSICAL_ADDRESS ACPI_S3_CONTEXT::S3DebugBufferAddress

EFI_PHYSICAL_ADDRESS ACPI_S3_CONTEXT::S3NvsPageTableAddress


MdeModulePkg[ALL]: BOOT_PERFORMANCE_TABLE Struct Reference

  • Data Fields

BOOT_PERFORMANCE_TABLE Struct Reference

Data Fields

EFI_ACPI_5_0_FPDT_PERFORMANCE_TABLE_HEADER | Header
Common ACPI table header.
EFI_ACPI_5_0_FPDT_FIRMWARE_BASIC_BOOT_RECORD | BasicBoot
Basic Boot Resume performance record.

Detailed Description

Basic Boot Performance Data Table. This structure contains BasicBoot performance record.

Field Documentation

EFI_ACPI_5_0_FPDT_FIRMWARE_BASIC_BOOT_RECORD BOOT_PERFORMANCE_TABLE::BasicBoot

Basic Boot Resume performance record.

EFI_ACPI_5_0_FPDT_PERFORMANCE_TABLE_HEADER BOOT_PERFORMANCE_TABLE::Header

Common ACPI table header.


MdeModulePkg[ALL]: BOOT_SCRIPT_EXECUTOR_VARIABLE Struct Reference

  • Data Fields

BOOT_SCRIPT_EXECUTOR_VARIABLE Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS BootScriptExecutorEntrypoint

Field Documentation

EFI_PHYSICAL_ADDRESS BOOT_SCRIPT_EXECUTOR_VARIABLE::BootScriptExecutorEntrypoint


MdeModulePkg[ALL]: CAPSULE_HOB_INFO Struct Reference

  • Data Fields

CAPSULE_HOB_INFO Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | BaseAddress
Capsule data start address.
UINT32 | Length
Length of capsule data.

Detailed Description

The data structure of the capsule guid hob entry. Note: EDKII implementation has discarded this structure and used UEFI_CAPSULE_HOB instead.

Field Documentation

EFI_PHYSICAL_ADDRESS CAPSULE_HOB_INFO::BaseAddress

Capsule data start address.

UINT32 CAPSULE_HOB_INFO::Length

Length of capsule data.


MdeModulePkg[ALL]: DEBUG_AGENT_CONTEXT_POSTMEM_SEC Struct Reference

  • Data Fields

DEBUG_AGENT_CONTEXT_POSTMEM_SEC Struct Reference

Data Fields

UINTN | HeapMigrateOffset
UINTN | StackMigrateOffset

Field Documentation

UINTN DEBUG_AGENT_CONTEXT_POSTMEM_SEC::HeapMigrateOffset

UINTN DEBUG_AGENT_CONTEXT_POSTMEM_SEC::StackMigrateOffset


MdeModulePkg[ALL]: EFI_CAPSULE_LONG_MODE_BUFFER Struct Reference

  • Data Fields

EFI_CAPSULE_LONG_MODE_BUFFER Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | PageTableAddress
EFI_PHYSICAL_ADDRESS | StackBaseAddress
UINT64 | StackSize

Field Documentation

EFI_PHYSICAL_ADDRESS EFI_CAPSULE_LONG_MODE_BUFFER::PageTableAddress

EFI_PHYSICAL_ADDRESS EFI_CAPSULE_LONG_MODE_BUFFER::StackBaseAddress

UINT64 EFI_CAPSULE_LONG_MODE_BUFFER::StackSize


MdeModulePkg[ALL]: EFI_DEBUG_INFO Struct Reference

  • Data Fields

EFI_DEBUG_INFO Struct Reference

Data Fields

UINT32 ErrorLevel

Detailed Description

This structure contains the ErrorLevel passed into the DEBUG() macro, followed by a 96-byte buffer that contains the variable argument list passed to the DEBUG() macro that has been converted to a BASE_LIST. The 96-byte buffer is followed by a Null-terminated ASCII string that is the Format string passed to the DEBUG() macro. The maximum size of this structure is defined by EFI_STATUS_CODE_DATA_MAX_SIZE.

Field Documentation

UINT32 EFI_DEBUG_INFO::ErrorLevel

The debug error level passed into a DEBUG() macro.


MdeModulePkg[ALL]: EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER Struct Reference

  • Data Fields

EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER Struct Reference

Data Fields

EFI_GUID | Signature
UINT32 | Crc
UINT8 | WorkingBlockValid: 1
UINT8 | WorkingBlockInvalid: 1
UINT8 | Reserved: 6
UINT8 | Reserved3 [3]
UINT64 | WriteQueueSize

Detailed Description

The EDKII Fault tolerant working block header. The header is immediately followed by the write queue data.

Field Documentation

UINT32 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::Crc

32bit CRC caculated for this header.

UINT8 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::Reserved

UINT8 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::Reserved3[3]

EFI_GUID EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::Signature

System Non Volatile FV Guid.

UINT8 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::WorkingBlockInvalid

UINT8 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::WorkingBlockValid

Working block valid bit.

UINT64 EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER::WriteQueueSize

Total size of the following write queue range.


MdeModulePkg[ALL]: EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE Struct Reference

  • Data Fields

EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | DxeCodeTopAddress
The top address below which the Dxe runtime code and below which the Dxe runtime/boot code and PEI code.
EFI_PHYSICAL_ADDRESS | SmramBase
SMRAM base address. The build tool assigns an offset relative to the SMRAM base for a SMM driver.

Field Documentation

EFI_PHYSICAL_ADDRESS EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE::DxeCodeTopAddress

The top address below which the Dxe runtime code and below which the Dxe runtime/boot code and PEI code.

EFI_PHYSICAL_ADDRESS EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE::SmramBase

SMRAM base address. The build tool assigns an offset relative to the SMRAM base for a SMM driver.


MdeModulePkg[ALL]: EFI_MEMORY_TYPE_INFORMATION Struct Reference

  • Data Fields

EFI_MEMORY_TYPE_INFORMATION Struct Reference

Data Fields

UINT32 | Type
EFI memory type defined in UEFI specification.
UINT32 | NumberOfPages
The pages of this type memory.

Field Documentation

UINT32 EFI_MEMORY_TYPE_INFORMATION::NumberOfPages

The pages of this type memory.

UINT32 EFI_MEMORY_TYPE_INFORMATION::Type

EFI memory type defined in UEFI specification.


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_HEADER Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Struct Reference

Data Fields

UINT32 | Command
UINT32 | DataLength
UINT64 | ReturnStatus

Field Documentation

UINT32 EFI_SMM_LOCK_BOX_PARAMETER_HEADER::Command

UINT32 EFI_SMM_LOCK_BOX_PARAMETER_HEADER::DataLength

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_HEADER::ReturnStatus


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_RESTORE Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_RESTORE Struct Reference

Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Header
GUID | Guid
PHYSICAL_ADDRESS | Buffer
UINT64 | Length

Field Documentation

PHYSICAL_ADDRESS EFI_SMM_LOCK_BOX_PARAMETER_RESTORE::Buffer

GUID EFI_SMM_LOCK_BOX_PARAMETER_RESTORE::Guid

EFI_SMM_LOCK_BOX_PARAMETER_HEADER EFI_SMM_LOCK_BOX_PARAMETER_RESTORE::Header

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_RESTORE::Length


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE Struct Reference

Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Header

Field Documentation

EFI_SMM_LOCK_BOX_PARAMETER_HEADER EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE::Header


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_SAVE Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_SAVE Struct Reference

Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Header
GUID | Guid
PHYSICAL_ADDRESS | Buffer
UINT64 | Length

Field Documentation

PHYSICAL_ADDRESS EFI_SMM_LOCK_BOX_PARAMETER_SAVE::Buffer

GUID EFI_SMM_LOCK_BOX_PARAMETER_SAVE::Guid

EFI_SMM_LOCK_BOX_PARAMETER_HEADER EFI_SMM_LOCK_BOX_PARAMETER_SAVE::Header

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_SAVE::Length


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES Struct Reference

Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Header
GUID | Guid
UINT64 | Attributes

Field Documentation

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES::Attributes

GUID EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES::Guid

EFI_SMM_LOCK_BOX_PARAMETER_HEADER EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES::Header


MdeModulePkg[ALL]: EFI_SMM_LOCK_BOX_PARAMETER_UPDATE Struct Reference

  • Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_UPDATE Struct Reference

Data Fields

EFI_SMM_LOCK_BOX_PARAMETER_HEADER Header
GUID | Guid
UINT64 | Offset
PHYSICAL_ADDRESS | Buffer
UINT64 | Length

Field Documentation

PHYSICAL_ADDRESS EFI_SMM_LOCK_BOX_PARAMETER_UPDATE::Buffer

GUID EFI_SMM_LOCK_BOX_PARAMETER_UPDATE::Guid

EFI_SMM_LOCK_BOX_PARAMETER_HEADER EFI_SMM_LOCK_BOX_PARAMETER_UPDATE::Header

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_UPDATE::Length

UINT64 EFI_SMM_LOCK_BOX_PARAMETER_UPDATE::Offset


MdeModulePkg[ALL]: EFI_UDP_HEADER Struct Reference

  • Data Fields

EFI_UDP_HEADER Struct Reference

Data Fields

UINT16 | SrcPort
UINT16 | DstPort
UINT16 | Length
UINT16 | Checksum

Field Documentation

UINT16 EFI_UDP_HEADER::Checksum

UINT16 EFI_UDP_HEADER::DstPort

UINT16 EFI_UDP_HEADER::Length

UINT16 EFI_UDP_HEADER::SrcPort


MdeModulePkg[ALL]: ETHER_HEAD Struct Reference

  • Data Fields

ETHER_HEAD Struct Reference

Data Fields

UINT8 | DstMac [NET_ETHER_ADDR_LEN]
UINT8 | SrcMac [NET_ETHER_ADDR_LEN]
UINT16 | EtherType

Field Documentation

UINT8 ETHER_HEAD::DstMac[NET_ETHER_ADDR_LEN]

UINT16 ETHER_HEAD::EtherType

UINT8 ETHER_HEAD::SrcMac[NET_ETHER_ADDR_LEN]


MdeModulePkg[ALL]: FIRMWARE_PERFORMANCE_RUNTIME_DATA Struct Reference

  • Data Fields

FIRMWARE_PERFORMANCE_RUNTIME_DATA Struct Reference

Data Fields

BOOT_PERFORMANCE_TABLE BootPerformance
Basic Boot Performance.
S3_PERFORMANCE_TABLE S3Performance
S3 performance.

Detailed Description

Performance data pointed by Performance Pointer Record.

Field Documentation

BOOT_PERFORMANCE_TABLE FIRMWARE_PERFORMANCE_RUNTIME_DATA::BootPerformance

Basic Boot Performance.

S3_PERFORMANCE_TABLE FIRMWARE_PERFORMANCE_RUNTIME_DATA::S3Performance

S3 performance.


MdeModulePkg[ALL]: FIRMWARE_PERFORMANCE_TABLE Struct Reference

  • Data Fields

FIRMWARE_PERFORMANCE_TABLE Struct Reference

Data Fields

EFI_ACPI_DESCRIPTION_HEADER | Header
Common ACPI description table header.
EFI_ACPI_5_0_FPDT_BOOT_PERFORMANCE_TABLE_POINTER_RECORD | BootPointerRecord
Basic Boot Performance Table Pointer record.
EFI_ACPI_5_0_FPDT_S3_PERFORMANCE_TABLE_POINTER_RECORD | S3PointerRecord
S3 Performance Table Pointer record.

Detailed Description

Firmware Performance Data Table. This structure will be installed into ACPI table as FPDT in normal boot path.

Field Documentation

EFI_ACPI_5_0_FPDT_BOOT_PERFORMANCE_TABLE_POINTER_RECORD FIRMWARE_PERFORMANCE_TABLE::BootPointerRecord

Basic Boot Performance Table Pointer record.

EFI_ACPI_DESCRIPTION_HEADER FIRMWARE_PERFORMANCE_TABLE::Header

Common ACPI description table header.

EFI_ACPI_5_0_FPDT_S3_PERFORMANCE_TABLE_POINTER_RECORD FIRMWARE_PERFORMANCE_TABLE::S3PointerRecord

S3 Performance Table Pointer record.


MdeModulePkg[ALL]: FIRMWARE_PERFORMANCE_VARIABLE Struct Reference

  • Data Fields

FIRMWARE_PERFORMANCE_VARIABLE Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | BootPerformanceTablePointer
Pointer to Boot Performance Table.
EFI_PHYSICAL_ADDRESS | S3PerformanceTablePointer
Pointer to S3 Performance Table.

Detailed Description

Variable defined for FPDT implementation. This Variable is produced by FPDT DXE module and consumed by FPDT PEIM.

Field Documentation

EFI_PHYSICAL_ADDRESS FIRMWARE_PERFORMANCE_VARIABLE::BootPerformanceTablePointer

Pointer to Boot Performance Table.

EFI_PHYSICAL_ADDRESS FIRMWARE_PERFORMANCE_VARIABLE::S3PerformanceTablePointer

Pointer to S3 Performance Table.


MdeModulePkg[ALL]: FIRMWARE_SEC_PERFORMANCE Struct Reference

  • Data Fields

FIRMWARE_SEC_PERFORMANCE Struct Reference

Data Fields

UINT64 ResetEnd
Timer value logged at the beginning of firmware image execution, in unit of nanosecond.

Detailed Description

Performance data collected in SEC phase.

Field Documentation

UINT64 FIRMWARE_SEC_PERFORMANCE::ResetEnd

Timer value logged at the beginning of firmware image execution, in unit of nanosecond.


MdeModulePkg[ALL]: GAUGE_DATA_ENTRY Struct Reference

  • Data Fields

GAUGE_DATA_ENTRY Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | Handle
CHAR8 | Token [DXE_PERFORMANCE_STRING_SIZE]
Measured token string name.
CHAR8 | Module [DXE_PERFORMANCE_STRING_SIZE]
Module string name.
UINT64 | StartTimeStamp
Start time point.
UINT64 | EndTimeStamp
End time point.

Field Documentation

UINT64 GAUGE_DATA_ENTRY::EndTimeStamp

End time point.

EFI_PHYSICAL_ADDRESS GAUGE_DATA_ENTRY::Handle

CHAR8 GAUGE_DATA_ENTRY::Module[DXE_PERFORMANCE_STRING_SIZE]

Module string name.

UINT64 GAUGE_DATA_ENTRY::StartTimeStamp

Start time point.

CHAR8 GAUGE_DATA_ENTRY::Token[DXE_PERFORMANCE_STRING_SIZE]

Measured token string name.


MdeModulePkg[ALL]: GAUGE_DATA_HEADER Struct Reference

  • Data Fields

GAUGE_DATA_HEADER Struct Reference

Data Fields

UINT32 | NumberOfEntries
The number of all performance gauge entries.
UINT32 | Reserved

Field Documentation

UINT32 GAUGE_DATA_HEADER::NumberOfEntries

The number of all performance gauge entries.

UINT32 GAUGE_DATA_HEADER::Reserved


MdeModulePkg[ALL]: ICMP_ERROR_INFO Struct Reference

  • Data Fields

ICMP_ERROR_INFO Struct Reference

Data Fields

BOOLEAN | IsHard
BOOLEAN | Notify

Detailed Description

The helper struct for IpIoGetIcmpErrStatus(). It is for internal use only.

Field Documentation

BOOLEAN ICMP_ERROR_INFO::IsHard

BOOLEAN ICMP_ERROR_INFO::Notify


MdeModulePkg[ALL]: IDE_REGS_BASE_ADDR Struct Reference

  • Data Fields

IDE_REGS_BASE_ADDR Struct Reference

Data Fields

UINT16 | CommandBlockBaseAddr
UINT16 | ControlBlockBaseAddr

Detailed Description

Structure that contains the base addresses for the IDE registers

Field Documentation

UINT16 IDE_REGS_BASE_ADDR::CommandBlockBaseAddr

Base I/O port address of the IDE controller's command block

UINT16 IDE_REGS_BASE_ADDR::ControlBlockBaseAddr

Base I/O port address of the IDE controller's control block


MdeModulePkg[ALL]: IP4_HEAD Struct Reference

  • Data Fields

IP4_HEAD Struct Reference

Data Fields

UINT8 | HeadLen: 4
UINT8 | Ver: 4
UINT8 | Tos
UINT16 | TotalLen
UINT16 | Id
UINT16 | Fragment
UINT8 | Ttl
UINT8 | Protocol
UINT16 | Checksum
IP4_ADDR Src
IP4_ADDR Dst

Field Documentation

UINT16 IP4_HEAD::Checksum

IP4_ADDR IP4_HEAD::Dst

UINT16 IP4_HEAD::Fragment

UINT8 IP4_HEAD::HeadLen

UINT16 IP4_HEAD::Id

UINT8 IP4_HEAD::Protocol

IP4_ADDR IP4_HEAD::Src

UINT8 IP4_HEAD::Tos

UINT16 IP4_HEAD::TotalLen

UINT8 IP4_HEAD::Ttl

UINT8 IP4_HEAD::Ver


MdeModulePkg[ALL]: IP4_ICMP_ERROR_HEAD Struct Reference

  • Data Fields

IP4_ICMP_ERROR_HEAD Struct Reference

Data Fields

IP4_ICMP_HEAD Head
UINT32 Fourth
IP4_HEAD IpHead

Field Documentation

UINT32 IP4_ICMP_ERROR_HEAD::Fourth

IP4_ICMP_HEAD IP4_ICMP_ERROR_HEAD::Head

IP4_HEAD IP4_ICMP_ERROR_HEAD::IpHead


MdeModulePkg[ALL]: IP4_ICMP_HEAD Struct Reference

  • Data Fields

IP4_ICMP_HEAD Struct Reference

Data Fields

UINT8 | Type
UINT8 | Code
UINT16 | Checksum

Field Documentation

UINT16 IP4_ICMP_HEAD::Checksum

UINT8 IP4_ICMP_HEAD::Code

UINT8 IP4_ICMP_HEAD::Type


MdeModulePkg[ALL]: IP4_ICMP_QUERY_HEAD Struct Reference

  • Data Fields

IP4_ICMP_QUERY_HEAD Struct Reference

Data Fields

IP4_ICMP_HEAD Head
UINT16 | Id
UINT16 | Seq

Field Documentation

IP4_ICMP_HEAD IP4_ICMP_QUERY_HEAD::Head

UINT16 IP4_ICMP_QUERY_HEAD::Id

UINT16 IP4_ICMP_QUERY_HEAD::Seq


MdeModulePkg[ALL]: IP6_ICMP_ERROR_HEAD Struct Reference

  • Data Fields

IP6_ICMP_ERROR_HEAD Struct Reference

Data Fields

IP6_ICMP_HEAD Head
UINT32 | Fourth
EFI_IP6_HEADER | IpHead

Field Documentation

UINT32 IP6_ICMP_ERROR_HEAD::Fourth

IP6_ICMP_HEAD IP6_ICMP_ERROR_HEAD::Head

EFI_IP6_HEADER IP6_ICMP_ERROR_HEAD::IpHead


MdeModulePkg[ALL]: IP6_ICMP_HEAD Struct Reference

  • Data Fields

IP6_ICMP_HEAD Struct Reference

Data Fields

UINT8 | Type
UINT8 | Code
UINT16 | Checksum

Field Documentation

UINT16 IP6_ICMP_HEAD::Checksum

UINT8 IP6_ICMP_HEAD::Code

UINT8 IP6_ICMP_HEAD::Type


MdeModulePkg[ALL]: IP6_ICMP_INFORMATION_HEAD Struct Reference

  • Data Fields

IP6_ICMP_INFORMATION_HEAD Struct Reference

Data Fields

IP6_ICMP_HEAD Head
UINT32 Fourth

Field Documentation

UINT32 IP6_ICMP_INFORMATION_HEAD::Fourth

IP6_ICMP_HEAD IP6_ICMP_INFORMATION_HEAD::Head


MdeModulePkg[ALL]: IP_IO_IP_COMPLETION_TOKEN Union Reference

  • Data Fields

IP_IO_IP_COMPLETION_TOKEN Union Reference

Data Fields

EFI_IP4_COMPLETION_TOKEN | Ip4Token
EFI_IP6_COMPLETION_TOKEN | Ip6Token

Field Documentation

EFI_IP4_COMPLETION_TOKEN IP_IO_IP_COMPLETION_TOKEN::Ip4Token

EFI_IP6_COMPLETION_TOKEN IP_IO_IP_COMPLETION_TOKEN::Ip6Token


MdeModulePkg[ALL]: IP_IO_IP_CONFIG_DATA Union Reference

  • Data Fields

IP_IO_IP_CONFIG_DATA Union Reference

Data Fields

EFI_IP4_CONFIG_DATA | Ip4CfgData
EFI_IP6_CONFIG_DATA | Ip6CfgData

Field Documentation

EFI_IP4_CONFIG_DATA IP_IO_IP_CONFIG_DATA::Ip4CfgData

EFI_IP6_CONFIG_DATA IP_IO_IP_CONFIG_DATA::Ip6CfgData


MdeModulePkg[ALL]: IP_IO_IP_HEADER Union Reference

  • Data Fields

IP_IO_IP_HEADER Union Reference

Data Fields

EFI_IP4_HEADER * | Ip4Hdr
EFI_IP6_HEADER * | Ip6Hdr

Field Documentation

EFI_IP4_HEADER* IP_IO_IP_HEADER::Ip4Hdr

EFI_IP6_HEADER* IP_IO_IP_HEADER::Ip6Hdr


MdeModulePkg[ALL]: IP_IO_IP_MASK Union Reference

  • Data Fields

IP_IO_IP_MASK Union Reference

Data Fields

IP4_ADDR SubnetMask
UINT8 PrefixLength

Field Documentation

UINT8 IP_IO_IP_MASK::PrefixLength

IP4_ADDR IP_IO_IP_MASK::SubnetMask


MdeModulePkg[ALL]: IP_IO_IP_PROTOCOL Union Reference

  • Data Fields

IP_IO_IP_PROTOCOL Union Reference

Data Fields

EFI_IP4_PROTOCOL * | Ip4
EFI_IP6_PROTOCOL * | Ip6

Field Documentation

EFI_IP4_PROTOCOL* IP_IO_IP_PROTOCOL::Ip4

EFI_IP6_PROTOCOL* IP_IO_IP_PROTOCOL::Ip6


MdeModulePkg[ALL]: IP_IO_IP_RX_DATA Union Reference

  • Data Fields

IP_IO_IP_RX_DATA Union Reference

Data Fields

EFI_IP4_RECEIVE_DATA | Ip4RxData
EFI_IP6_RECEIVE_DATA | Ip6RxData

Field Documentation

EFI_IP4_RECEIVE_DATA IP_IO_IP_RX_DATA::Ip4RxData

EFI_IP6_RECEIVE_DATA IP_IO_IP_RX_DATA::Ip6RxData


MdeModulePkg[ALL]: IP_IO_IP_TX_DATA Union Reference

  • Data Fields

IP_IO_IP_TX_DATA Union Reference

Data Fields

EFI_IP4_TRANSMIT_DATA | Ip4TxData
EFI_IP6_TRANSMIT_DATA | Ip6TxData

Field Documentation

EFI_IP4_TRANSMIT_DATA IP_IO_IP_TX_DATA::Ip4TxData

EFI_IP6_TRANSMIT_DATA IP_IO_IP_TX_DATA::Ip6TxData


MdeModulePkg[ALL]: IP_IO_OVERRIDE Union Reference

  • Data Fields

IP_IO_OVERRIDE Union Reference

Data Fields

EFI_IP4_OVERRIDE_DATA | Ip4OverrideData
EFI_IP6_OVERRIDE_DATA | Ip6OverrideData

Field Documentation

EFI_IP4_OVERRIDE_DATA IP_IO_OVERRIDE::Ip4OverrideData

EFI_IP6_OVERRIDE_DATA IP_IO_OVERRIDE::Ip6OverrideData


MdeModulePkg[ALL]: MEMORY_STATUSCODE_PACKET_HEADER Struct Reference

  • Data Fields

MEMORY_STATUSCODE_PACKET_HEADER Struct Reference

Data Fields

UINT16 | PacketIndex
UINT16 | RecordIndex
UINT32 | MaxRecordsNumber

Detailed Description

A header structure that is followed by an array of records that contain the parameters passed into the ReportStatusCode() service in the PEI Services Table.

Field Documentation

UINT32 MEMORY_STATUSCODE_PACKET_HEADER::MaxRecordsNumber

The maximum number of records that the packet can store.

UINT16 MEMORY_STATUSCODE_PACKET_HEADER::PacketIndex

Index of the packet.

UINT16 MEMORY_STATUSCODE_PACKET_HEADER::RecordIndex

The number of active records in the packet.


MdeModulePkg[ALL]: MEMORY_STATUSCODE_RECORD Struct Reference

  • Data Fields

MEMORY_STATUSCODE_RECORD Struct Reference

Data Fields

EFI_STATUS_CODE_TYPE | CodeType
EFI_STATUS_CODE_VALUE | Value
UINT32 | Instance

Detailed Description

A structure that contains the parameters passed into the ReportStatusCode() service in the PEI Services Table.

Field Documentation

EFI_STATUS_CODE_TYPE MEMORY_STATUSCODE_RECORD::CodeType

Status Code type to be reported.

UINT32 MEMORY_STATUSCODE_RECORD::Instance

The enumeration of a hardware or software entity within the system. Valid instance numbers start with the number 1.

EFI_STATUS_CODE_VALUE MEMORY_STATUSCODE_RECORD::Value

An operation, plus value information about the class and subclass, used to classify the hardware and software entity.


MdeModulePkg[ALL]: NET_BLOCK Struct Reference

  • Data Fields

NET_BLOCK Struct Reference

Data Fields

UINT32 | Len
UINT8 * | Bulk

Field Documentation

UINT8* NET_BLOCK::Bulk

UINT32 NET_BLOCK::Len


MdeModulePkg[ALL]: NET_BLOCK_OP Struct Reference

  • Data Fields

NET_BLOCK_OP Struct Reference

Data Fields

UINT8 * | BlockHead
UINT8 * | BlockTail
UINT8 * | Head
UINT8 * | Tail
UINT32 | Size

Field Documentation

UINT8* NET_BLOCK_OP::BlockHead

UINT8* NET_BLOCK_OP::BlockTail

UINT8* NET_BLOCK_OP::Head

UINT32 NET_BLOCK_OP::Size

UINT8* NET_BLOCK_OP::Tail


MdeModulePkg[ALL]: NET_BUF Struct Reference

  • Data Fields

NET_BUF Struct Reference

Data Fields

UINT32 | Signature
INTN | RefCnt
LIST_ENTRY | List
NET_IP_HEAD Ip
TCP_HEAD * Tcp
EFI_UDP_HEADER * Udp
UINT8 | ProtoData [NET_PROTO_DATA]
NET_VECTOR * Vector
UINT32 | BlockOpNum
UINT32 | TotalSize
NET_BLOCK_OP | BlockOp [1]

Field Documentation

NET_BLOCK_OP NET_BUF::BlockOp[1]

UINT32 NET_BUF::BlockOpNum

NET_IP_HEAD NET_BUF::Ip

LIST_ENTRY NET_BUF::List

UINT8 NET_BUF::ProtoData[NET_PROTO_DATA]

INTN NET_BUF::RefCnt

UINT32 NET_BUF::Signature

TCP_HEAD* NET_BUF::Tcp

UINT32 NET_BUF::TotalSize

EFI_UDP_HEADER* NET_BUF::Udp

NET_VECTOR* NET_BUF::Vector


MdeModulePkg[ALL]: NET_BUF_QUEUE Struct Reference

  • Data Fields

NET_BUF_QUEUE Struct Reference

Data Fields

UINT32 | Signature
INTN | RefCnt
LIST_ENTRY | List
LIST_ENTRY | BufList
UINT32 | BufSize
UINT32 | BufNum

Field Documentation

LIST_ENTRY NET_BUF_QUEUE::BufList

UINT32 NET_BUF_QUEUE::BufNum

UINT32 NET_BUF_QUEUE::BufSize

LIST_ENTRY NET_BUF_QUEUE::List

INTN NET_BUF_QUEUE::RefCnt

UINT32 NET_BUF_QUEUE::Signature


MdeModulePkg[ALL]: NET_FRAGMENT Struct Reference

  • Data Fields

NET_FRAGMENT Struct Reference

Data Fields

UINT32 | Len
UINT8 * | Bulk

Field Documentation

UINT8* NET_FRAGMENT::Bulk

UINT32 NET_FRAGMENT::Len


MdeModulePkg[ALL]: NET_IP6_PSEUDO_HDR Struct Reference

  • Data Fields

NET_IP6_PSEUDO_HDR Struct Reference

Data Fields

EFI_IPv6_ADDRESS | SrcIp
EFI_IPv6_ADDRESS | DstIp
UINT32 | Len
UINT32 | Reserved:24
UINT32 | NextHeader:8

Field Documentation

EFI_IPv6_ADDRESS NET_IP6_PSEUDO_HDR::DstIp

UINT32 NET_IP6_PSEUDO_HDR::Len

UINT32 NET_IP6_PSEUDO_HDR::NextHeader

UINT32 NET_IP6_PSEUDO_HDR::Reserved

EFI_IPv6_ADDRESS NET_IP6_PSEUDO_HDR::SrcIp


MdeModulePkg[ALL]: NET_IP_HEAD Union Reference

  • Data Fields

NET_IP_HEAD Union Reference

Data Fields

IP4_HEAD * Ip4
EFI_IP6_HEADER * Ip6

Field Documentation

IP4_HEAD* NET_IP_HEAD::Ip4

EFI_IP6_HEADER* NET_IP_HEAD::Ip6


MdeModulePkg[ALL]: NET_MAP Struct Reference

  • Data Fields

NET_MAP Struct Reference

Data Fields

LIST_ENTRY | Used
LIST_ENTRY | Recycled
UINTN | Count

Field Documentation

UINTN NET_MAP::Count

LIST_ENTRY NET_MAP::Recycled

LIST_ENTRY NET_MAP::Used


MdeModulePkg[ALL]: NET_MAP_ITEM Struct Reference

  • Data Fields

NET_MAP_ITEM Struct Reference

Data Fields

LIST_ENTRY | Link
VOID * | Key
VOID * | Value

Field Documentation

VOID* NET_MAP_ITEM::Key

LIST_ENTRY NET_MAP_ITEM::Link

VOID* NET_MAP_ITEM::Value


MdeModulePkg[ALL]: NET_PSEUDO_HDR Struct Reference

  • Data Fields

NET_PSEUDO_HDR Struct Reference

Data Fields

IP4_ADDR SrcIp
IP4_ADDR DstIp
UINT8 | Reserved
UINT8 | Protocol
UINT16 | Len

Field Documentation

IP4_ADDR NET_PSEUDO_HDR::DstIp

UINT16 NET_PSEUDO_HDR::Len

UINT8 NET_PSEUDO_HDR::Protocol

UINT8 NET_PSEUDO_HDR::Reserved

IP4_ADDR NET_PSEUDO_HDR::SrcIp


MdeModulePkg[ALL]: NET_VECTOR Struct Reference

  • Data Fields

NET_VECTOR Struct Reference

Data Fields

UINT32 | Signature
INTN | RefCnt
NET_VECTOR_EXT_FREE | Free
VOID * | Arg
UINT32 | Flag
UINT32 | Len
UINT32 | BlockNum
NET_BLOCK | Block [1]

Field Documentation

VOID* NET_VECTOR::Arg

NET_BLOCK NET_VECTOR::Block[1]

UINT32 NET_VECTOR::BlockNum

UINT32 NET_VECTOR::Flag

NET_VECTOR_EXT_FREE NET_VECTOR::Free

UINT32 NET_VECTOR::Len

INTN NET_VECTOR::RefCnt

UINT32 NET_VECTOR::Signature


MdeModulePkg[ALL]: NIC_ADDR Struct Reference

  • Data Fields

NIC_ADDR Struct Reference

Data Fields

UINT16 | Type
Interface type.
UINT8 | Len
Length of MAC address.
EFI_MAC_ADDRESS | MacAddr
MAC address of interface.

Detailed Description

NIC_ADDR contains the interface's type and MAC address to identify a specific NIC.

Field Documentation

UINT8 NIC_ADDR::Len

Length of MAC address.

EFI_MAC_ADDRESS NIC_ADDR::MacAddr

MAC address of interface.

UINT16 NIC_ADDR::Type

Interface type.


MdeModulePkg[ALL]: NIC_IP4_CONFIG_INFO Struct Reference

  • Data Fields

NIC_IP4_CONFIG_INFO Struct Reference

Data Fields

NIC_ADDR NicAddr
Link layer address to identify the NIC.
UINT32 | Source
Static or DHCP.
BOOLEAN | Perment
Survive the reboot or not.
EFI_IP4_IPCONFIG_DATA | Ip4Info
IP addresses.

Detailed Description

NIC_IP4_CONFIG_INFO contains the IP4 configure parameters for that NIC. NIC_IP4_CONFIG_INFO is of variable length.

Field Documentation

EFI_IP4_IPCONFIG_DATA NIC_IP4_CONFIG_INFO::Ip4Info

IP addresses.

NIC_ADDR NIC_IP4_CONFIG_INFO::NicAddr

Link layer address to identify the NIC.

BOOLEAN NIC_IP4_CONFIG_INFO::Perment

Survive the reboot or not.

UINT32 NIC_IP4_CONFIG_INFO::Source

Static or DHCP.


MdeModulePkg[ALL]: PEI_PERFORMANCE_LOG_ENTRY Struct Reference

  • Data Fields

PEI_PERFORMANCE_LOG_ENTRY Struct Reference

Data Fields

EFI_PHYSICAL_ADDRESS | Handle
CHAR8 | Token [PEI_PERFORMANCE_STRING_SIZE]
Measured token string name.
CHAR8 | Module [PEI_PERFORMANCE_STRING_SIZE]
Module string name.
UINT64 | StartTimeStamp
Start time point.
UINT64 | EndTimeStamp
End time point.

Field Documentation

UINT64 PEI_PERFORMANCE_LOG_ENTRY::EndTimeStamp

End time point.

EFI_PHYSICAL_ADDRESS PEI_PERFORMANCE_LOG_ENTRY::Handle

CHAR8 PEI_PERFORMANCE_LOG_ENTRY::Module[PEI_PERFORMANCE_STRING_SIZE]

Module string name.

UINT64 PEI_PERFORMANCE_LOG_ENTRY::StartTimeStamp

Start time point.

CHAR8 PEI_PERFORMANCE_LOG_ENTRY::Token[PEI_PERFORMANCE_STRING_SIZE]

Measured token string name.


MdeModulePkg[ALL]: PEI_PERFORMANCE_LOG_HEADER Struct Reference

  • Data Fields

PEI_PERFORMANCE_LOG_HEADER Struct Reference

Data Fields

UINT32 | NumberOfEntries
The number of all performance log entries.
UINT32 | Reserved

Field Documentation

UINT32 PEI_PERFORMANCE_LOG_HEADER::NumberOfEntries

The number of all performance log entries.

UINT32 PEI_PERFORMANCE_LOG_HEADER::Reserved


MdeModulePkg[ALL]: PEI_S3_RESUME_STATE Struct Reference

  • Data Fields

PEI_S3_RESUME_STATE Struct Reference

Data Fields

UINT16 | ReturnCs
EFI_PHYSICAL_ADDRESS | ReturnEntryPoint
EFI_PHYSICAL_ADDRESS | ReturnStackPointer
EFI_PHYSICAL_ADDRESS | AsmTransferControl
IA32_DESCRIPTOR | Idtr

Field Documentation

EFI_PHYSICAL_ADDRESS PEI_S3_RESUME_STATE::AsmTransferControl

IA32_DESCRIPTOR PEI_S3_RESUME_STATE::Idtr

UINT16 PEI_S3_RESUME_STATE::ReturnCs

EFI_PHYSICAL_ADDRESS PEI_S3_RESUME_STATE::ReturnEntryPoint

EFI_PHYSICAL_ADDRESS PEI_S3_RESUME_STATE::ReturnStackPointer


MdeModulePkg[ALL]: PERF_DATA Struct Reference

  • Data Fields

PERF_DATA Struct Reference

Data Fields

CHAR8 | Token [PERF_TOKEN_SIZE]
UINT32 | Duration

Field Documentation

UINT32 PERF_DATA::Duration

CHAR8 PERF_DATA::Token[PERF_TOKEN_SIZE]


MdeModulePkg[ALL]: PERF_HEADER Struct Reference

  • Data Fields

PERF_HEADER Struct Reference

Data Fields

UINT64 | BootToOs
UINT64 | S3Resume
UINT32 | S3EntryNum
PERF_DATA | S3Entry [PERF_PEI_ENTRY_MAX_NUM]
UINT64 | CpuFreq
UINT64 | BDSRaw
UINT32 | Count
UINT32 | Signiture

Field Documentation

UINT64 PERF_HEADER::BDSRaw

UINT64 PERF_HEADER::BootToOs

UINT32 PERF_HEADER::Count

UINT64 PERF_HEADER::CpuFreq

PERF_DATA PERF_HEADER::S3Entry[PERF_PEI_ENTRY_MAX_NUM]

UINT32 PERF_HEADER::S3EntryNum

UINT64 PERF_HEADER::S3Resume

UINT32 PERF_HEADER::Signiture


MdeModulePkg[ALL]: S3_PERFORMANCE_TABLE Struct Reference

  • Data Fields

S3_PERFORMANCE_TABLE Struct Reference

Data Fields

EFI_ACPI_5_0_FPDT_PERFORMANCE_TABLE_HEADER | Header
Common ACPI table header.
EFI_ACPI_5_0_FPDT_S3_RESUME_RECORD | S3Resume
Basic S3 Resume performance record.
EFI_ACPI_5_0_FPDT_S3_SUSPEND_RECORD | S3Suspend
Basic S3 Suspend performance record.

Detailed Description

S3 Performance Data Table. This structure contains S3 performance records which will be updated in S3 suspend and S3 resume boot path.

Field Documentation

EFI_ACPI_5_0_FPDT_PERFORMANCE_TABLE_HEADER S3_PERFORMANCE_TABLE::Header

Common ACPI table header.

EFI_ACPI_5_0_FPDT_S3_RESUME_RECORD S3_PERFORMANCE_TABLE::S3Resume

Basic S3 Resume performance record.

EFI_ACPI_5_0_FPDT_S3_SUSPEND_RECORD S3_PERFORMANCE_TABLE::S3Suspend

Basic S3 Suspend performance record.


MdeModulePkg[ALL]: SMM_PERF_COMMUNICATE Struct Reference

  • Data Fields

SMM_PERF_COMMUNICATE Struct Reference

Data Fields

UINTN | Function
EFI_STATUS | ReturnStatus
UINTN | NumberOfEntries
UINTN | LogEntryKey
GAUGE_DATA_ENTRY * GaugeData

Field Documentation

UINTN SMM_PERF_COMMUNICATE::Function

GAUGE_DATA_ENTRY* SMM_PERF_COMMUNICATE::GaugeData

UINTN SMM_PERF_COMMUNICATE::LogEntryKey

UINTN SMM_PERF_COMMUNICATE::NumberOfEntries

EFI_STATUS SMM_PERF_COMMUNICATE::ReturnStatus


MdeModulePkg[ALL]: SMM_S3_RESUME_STATE Struct Reference

  • Data Fields

SMM_S3_RESUME_STATE Struct Reference

Data Fields

UINT64 | Signature
EFI_PHYSICAL_ADDRESS | SmmS3ResumeEntryPoint
EFI_PHYSICAL_ADDRESS | SmmS3StackBase
UINT64 | SmmS3StackSize
UINT64 | SmmS3Cr0
UINT64 | SmmS3Cr3
UINT64 | SmmS3Cr4
UINT16 | ReturnCs
EFI_PHYSICAL_ADDRESS | ReturnEntryPoint
EFI_PHYSICAL_ADDRESS | ReturnContext1
EFI_PHYSICAL_ADDRESS | ReturnContext2
EFI_PHYSICAL_ADDRESS | ReturnStackPointer
EFI_PHYSICAL_ADDRESS | Smst

Field Documentation

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::ReturnContext1

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::ReturnContext2

UINT16 SMM_S3_RESUME_STATE::ReturnCs

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::ReturnEntryPoint

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::ReturnStackPointer

UINT64 SMM_S3_RESUME_STATE::Signature

UINT64 SMM_S3_RESUME_STATE::SmmS3Cr0

UINT64 SMM_S3_RESUME_STATE::SmmS3Cr3

UINT64 SMM_S3_RESUME_STATE::SmmS3Cr4

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::SmmS3ResumeEntryPoint

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::SmmS3StackBase

UINT64 SMM_S3_RESUME_STATE::SmmS3StackSize

EFI_PHYSICAL_ADDRESS SMM_S3_RESUME_STATE::Smst


MdeModulePkg[ALL]: SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE Struct Reference

  • Data Fields

SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE Struct Reference

Data Fields

EFI_GUID | Guid
UINTN | DataSize
UINTN | NameSize
UINT32 | Attributes
CHAR16 | Name [1]

Detailed Description

This structure is used to communicate with SMI handler by SetVariable and GetVariable.

Field Documentation

UINT32 SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE::Attributes

UINTN SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE::DataSize

EFI_GUID SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE::Guid

CHAR16 SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE::Name[1]

UINTN SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE::NameSize


MdeModulePkg[ALL]: SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME Struct Reference

  • Data Fields

SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME Struct Reference

Data Fields

EFI_GUID | Guid
UINTN | NameSize
CHAR16 | Name [1]

Detailed Description

This structure is used to communicate with SMI handler by GetNextVariableName.

Field Documentation

EFI_GUID SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME::Guid

CHAR16 SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME::Name[1]

UINTN SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME::NameSize


MdeModulePkg[ALL]: SMM_VARIABLE_COMMUNICATE_HEADER Struct Reference

  • Data Fields

SMM_VARIABLE_COMMUNICATE_HEADER Struct Reference

Data Fields

UINTN | Function
EFI_STATUS | ReturnStatus
UINT8 | Data [1]

Field Documentation

UINT8 SMM_VARIABLE_COMMUNICATE_HEADER::Data[1]

UINTN SMM_VARIABLE_COMMUNICATE_HEADER::Function

EFI_STATUS SMM_VARIABLE_COMMUNICATE_HEADER::ReturnStatus


MdeModulePkg[ALL]: SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO Struct Reference

  • Data Fields

SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO Struct Reference

Data Fields

UINT64 | MaximumVariableStorageSize
UINT64 | RemainingVariableStorageSize
UINT64 | MaximumVariableSize
UINT32 | Attributes

Detailed Description

This structure is used to communicate with SMI handler by QueryVariableInfo.

Field Documentation

UINT32 SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO::Attributes

UINT64 SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO::MaximumVariableSize

UINT64 SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO::MaximumVariableStorageSize

UINT64 SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO::RemainingVariableStorageSize


MdeModulePkg[ALL]: TCP4_IO_CONFIG_DATA Struct Reference

  • Data Fields

TCP4_IO_CONFIG_DATA Struct Reference

Data Fields

EFI_IPv4_ADDRESS | LocalIp
EFI_IPv4_ADDRESS | SubnetMask
EFI_IPv4_ADDRESS | Gateway
UINT16 | StationPort
EFI_IPv4_ADDRESS | RemoteIp
UINT16 | RemotePort
BOOLEAN | ActiveFlag

Field Documentation

BOOLEAN TCP4_IO_CONFIG_DATA::ActiveFlag

EFI_IPv4_ADDRESS TCP4_IO_CONFIG_DATA::Gateway

EFI_IPv4_ADDRESS TCP4_IO_CONFIG_DATA::LocalIp

EFI_IPv4_ADDRESS TCP4_IO_CONFIG_DATA::RemoteIp

UINT16 TCP4_IO_CONFIG_DATA::RemotePort

UINT16 TCP4_IO_CONFIG_DATA::StationPort

EFI_IPv4_ADDRESS TCP4_IO_CONFIG_DATA::SubnetMask


MdeModulePkg[ALL]: TCP6_IO_CONFIG_DATA Struct Reference

  • Data Fields

TCP6_IO_CONFIG_DATA Struct Reference

Data Fields

UINT16 | StationPort
EFI_IPv6_ADDRESS | RemoteIp
UINT16 | RemotePort
BOOLEAN | ActiveFlag

Field Documentation

BOOLEAN TCP6_IO_CONFIG_DATA::ActiveFlag

EFI_IPv6_ADDRESS TCP6_IO_CONFIG_DATA::RemoteIp

UINT16 TCP6_IO_CONFIG_DATA::RemotePort

UINT16 TCP6_IO_CONFIG_DATA::StationPort


MdeModulePkg[ALL]: TCP_HEAD Struct Reference

  • Data Fields

TCP_HEAD Struct Reference

Data Fields

TCP_PORTNO SrcPort
TCP_PORTNO DstPort
TCP_SEQNO Seq
TCP_SEQNO Ack
UINT8 | Res: 4
UINT8 | HeadLen: 4
UINT8 | Flag
UINT16 | Wnd
UINT16 | Checksum
UINT16 | Urg

Field Documentation

TCP_SEQNO TCP_HEAD::Ack

UINT16 TCP_HEAD::Checksum

TCP_PORTNO TCP_HEAD::DstPort

UINT8 TCP_HEAD::Flag

UINT8 TCP_HEAD::HeadLen

UINT8 TCP_HEAD::Res

TCP_SEQNO TCP_HEAD::Seq

TCP_PORTNO TCP_HEAD::SrcPort

UINT16 TCP_HEAD::Urg

UINT16 TCP_HEAD::Wnd


MdeModulePkg[ALL]: TCP_IO Struct Reference

  • Data Fields

TCP_IO Struct Reference

Data Fields

UINT8 | TcpVersion
EFI_HANDLE | Image
EFI_HANDLE | Controller
EFI_HANDLE | Handle
TCP_IO_PROTOCOL Tcp
TCP_IO_PROTOCOL NewTcp
TCP_IO_CONNECTION_TOKEN ConnToken
TCP_IO_IO_TOKEN TxToken
TCP_IO_IO_TOKEN RxToken
TCP_IO_CLOSE_TOKEN CloseToken
TCP_IO_LISTEN_TOKEN ListenToken
BOOLEAN | IsConnDone
BOOLEAN | IsTxDone
BOOLEAN | IsRxDone
BOOLEAN | IsCloseDone
BOOLEAN | IsListenDone

Field Documentation

TCP_IO_CLOSE_TOKEN TCP_IO::CloseToken

TCP_IO_CONNECTION_TOKEN TCP_IO::ConnToken

EFI_HANDLE TCP_IO::Controller

EFI_HANDLE TCP_IO::Handle

EFI_HANDLE TCP_IO::Image

BOOLEAN TCP_IO::IsCloseDone

BOOLEAN TCP_IO::IsConnDone

BOOLEAN TCP_IO::IsListenDone

BOOLEAN TCP_IO::IsRxDone

BOOLEAN TCP_IO::IsTxDone

TCP_IO_LISTEN_TOKEN TCP_IO::ListenToken

TCP_IO_PROTOCOL TCP_IO::NewTcp

TCP_IO_IO_TOKEN TCP_IO::RxToken

TCP_IO_PROTOCOL TCP_IO::Tcp

UINT8 TCP_IO::TcpVersion

TCP_IO_IO_TOKEN TCP_IO::TxToken


MdeModulePkg[ALL]: TCP_IO_CLOSE_TOKEN Union Reference

  • Data Fields

TCP_IO_CLOSE_TOKEN Union Reference

Data Fields

EFI_TCP4_CLOSE_TOKEN | Tcp4Token
EFI_TCP6_CLOSE_TOKEN | Tcp6Token

Field Documentation

EFI_TCP4_CLOSE_TOKEN TCP_IO_CLOSE_TOKEN::Tcp4Token

EFI_TCP6_CLOSE_TOKEN TCP_IO_CLOSE_TOKEN::Tcp6Token


MdeModulePkg[ALL]: TCP_IO_CONFIG_DATA Union Reference

  • Data Fields

TCP_IO_CONFIG_DATA Union Reference

Data Fields

TCP4_IO_CONFIG_DATA Tcp4IoConfigData
TCP6_IO_CONFIG_DATA Tcp6IoConfigData

Field Documentation

TCP4_IO_CONFIG_DATA TCP_IO_CONFIG_DATA::Tcp4IoConfigData

TCP6_IO_CONFIG_DATA TCP_IO_CONFIG_DATA::Tcp6IoConfigData


MdeModulePkg[ALL]: TCP_IO_CONNECTION_TOKEN Union Reference

  • Data Fields

TCP_IO_CONNECTION_TOKEN Union Reference

Data Fields

EFI_TCP4_CONNECTION_TOKEN | Tcp4Token
EFI_TCP6_CONNECTION_TOKEN | Tcp6Token

Field Documentation

EFI_TCP4_CONNECTION_TOKEN TCP_IO_CONNECTION_TOKEN::Tcp4Token

EFI_TCP6_CONNECTION_TOKEN TCP_IO_CONNECTION_TOKEN::Tcp6Token


MdeModulePkg[ALL]: TCP_IO_IO_TOKEN Union Reference

  • Data Fields

TCP_IO_IO_TOKEN Union Reference

Data Fields

EFI_TCP4_IO_TOKEN | Tcp4Token
EFI_TCP6_IO_TOKEN | Tcp6Token

Field Documentation

EFI_TCP4_IO_TOKEN TCP_IO_IO_TOKEN::Tcp4Token

EFI_TCP6_IO_TOKEN TCP_IO_IO_TOKEN::Tcp6Token


MdeModulePkg[ALL]: TCP_IO_LISTEN_TOKEN Union Reference

  • Data Fields

TCP_IO_LISTEN_TOKEN Union Reference

Data Fields

EFI_TCP4_LISTEN_TOKEN | Tcp4Token
EFI_TCP6_LISTEN_TOKEN | Tcp6Token

Field Documentation

EFI_TCP4_LISTEN_TOKEN TCP_IO_LISTEN_TOKEN::Tcp4Token

EFI_TCP6_LISTEN_TOKEN TCP_IO_LISTEN_TOKEN::Tcp6Token


MdeModulePkg[ALL]: TCP_IO_PROTOCOL Union Reference

  • Data Fields

TCP_IO_PROTOCOL Union Reference

Data Fields

EFI_TCP4_PROTOCOL * | Tcp4
EFI_TCP6_PROTOCOL * | Tcp6

Field Documentation

EFI_TCP4_PROTOCOL* TCP_IO_PROTOCOL::Tcp4

EFI_TCP6_PROTOCOL* TCP_IO_PROTOCOL::Tcp6


MdeModulePkg[ALL]: UDP_COMPLETION_TOKEN Union Reference

  • Data Fields

UDP_COMPLETION_TOKEN Union Reference

Data Fields

EFI_UDP4_COMPLETION_TOKEN | Udp4
EFI_UDP6_COMPLETION_TOKEN | Udp6

Detailed Description

This structure is used internally by the UdpIo Library.

Each receive request is wrapped in an UDP_RX_TOKEN. Upon completion, the CallBack will be called. Only one receive request is sent to UDP at a time. HeadLen gives the length of the application's header. UDP_IO will make the application's header continuous before delivering up.

Field Documentation

EFI_UDP4_COMPLETION_TOKEN UDP_COMPLETION_TOKEN::Udp4

EFI_UDP6_COMPLETION_TOKEN UDP_COMPLETION_TOKEN::Udp6


MdeModulePkg[ALL]: UDP_END_POINT Struct Reference

  • Data Fields

UDP_END_POINT Struct Reference

Data Fields

EFI_IP_ADDRESS | LocalAddr
UINT16 | LocalPort
EFI_IP_ADDRESS | RemoteAddr
UINT16 | RemotePort

Detailed Description

The UDP address pair.

Field Documentation

EFI_IP_ADDRESS UDP_END_POINT::LocalAddr

UINT16 UDP_END_POINT::LocalPort

EFI_IP_ADDRESS UDP_END_POINT::RemoteAddr

UINT16 UDP_END_POINT::RemotePort


MdeModulePkg[ALL]: UDP_RX_TOKEN Struct Reference

  • Data Fields

UDP_RX_TOKEN Struct Reference

Data Fields

UINT32 | Signature
UDP_IO * UdpIo
UDP_IO_CALLBACK | CallBack
VOID * | Context
UINT32 | HeadLen
UDP_COMPLETION_TOKEN Token

Field Documentation

UDP_IO_CALLBACK UDP_RX_TOKEN::CallBack

VOID* UDP_RX_TOKEN::Context

UINT32 UDP_RX_TOKEN::HeadLen

UINT32 UDP_RX_TOKEN::Signature

UDP_COMPLETION_TOKEN UDP_RX_TOKEN::Token

UDP_IO* UDP_RX_TOKEN::UdpIo


MdeModulePkg[ALL]: UDP_SESSION_DATA Union Reference

  • Data Fields

UDP_SESSION_DATA Union Reference

Data Fields

EFI_UDP4_SESSION_DATA | Udp4
EFI_UDP6_SESSION_DATA | Udp6

Detailed Description

This structure is used internally by UdpIo Library.

Each transmit request is wrapped in an UDP_TX_TOKEN. Upon completion, the CallBack will be called. There can be several transmit requests. All transmit requests are linked in a list.

Field Documentation

EFI_UDP4_SESSION_DATA UDP_SESSION_DATA::Udp4

EFI_UDP6_SESSION_DATA UDP_SESSION_DATA::Udp6


MdeModulePkg[ALL]: UDP_TRANSMIT_DATA Union Reference

  • Data Fields

UDP_TRANSMIT_DATA Union Reference

Data Fields

EFI_UDP4_TRANSMIT_DATA | Udp4
EFI_UDP6_TRANSMIT_DATA | Udp6

Field Documentation

EFI_UDP4_TRANSMIT_DATA UDP_TRANSMIT_DATA::Udp4

EFI_UDP6_TRANSMIT_DATA UDP_TRANSMIT_DATA::Udp6


MdeModulePkg[ALL]: UDP_TX_TOKEN Struct Reference

  • Data Fields

UDP_TX_TOKEN Struct Reference

Data Fields

UINT32 | Signature
LIST_ENTRY | Link
UDP_IO * UdpIo
UDP_IO_CALLBACK | CallBack
NET_BUF * Packet
VOID * | Context
EFI_IPv4_ADDRESS | Gateway
UDP_SESSION_DATA Session
UDP_COMPLETION_TOKEN Token
UDP_TRANSMIT_DATA Data

Field Documentation

UDP_IO_CALLBACK UDP_TX_TOKEN::CallBack

VOID* UDP_TX_TOKEN::Context

UDP_TRANSMIT_DATA UDP_TX_TOKEN::Data

EFI_IPv4_ADDRESS UDP_TX_TOKEN::Gateway

LIST_ENTRY UDP_TX_TOKEN::Link

NET_BUF* UDP_TX_TOKEN::Packet

UDP_SESSION_DATA UDP_TX_TOKEN::Session

UINT32 UDP_TX_TOKEN::Signature

UDP_COMPLETION_TOKEN UDP_TX_TOKEN::Token

UDP_IO* UDP_TX_TOKEN::UdpIo


MdeModulePkg[ALL]: VARIABLE_HEADER Struct Reference

  • Data Fields

VARIABLE_HEADER Struct Reference

Data Fields

UINT16 | StartId
UINT8 | State
UINT8 | Reserved
UINT32 | Attributes
UINT32 | NameSize
UINT32 | DataSize
EFI_GUID | VendorGuid

Detailed Description

Single Variable Data Header Structure.

Field Documentation

UINT32 VARIABLE_HEADER::Attributes

Attributes of variable defined in UEFI specification.

UINT32 VARIABLE_HEADER::DataSize

Size of the variable data without this header.

UINT32 VARIABLE_HEADER::NameSize

Size of variable null-terminated Unicode string name.

UINT8 VARIABLE_HEADER::Reserved

UINT16 VARIABLE_HEADER::StartId

Variable Data Start Flag.

UINT8 VARIABLE_HEADER::State

Variable State defined above.

EFI_GUID VARIABLE_HEADER::VendorGuid

A unique identifier for the vendor that produces and consumes this varaible.


MdeModulePkg[ALL]: VARIABLE_INDEX_TABLE Struct Reference

  • Data Fields

VARIABLE_INDEX_TABLE Struct Reference

Data Fields

UINT16 | Length
UINT16 | GoneThrough
VARIABLE_HEADER * EndPtr
VARIABLE_HEADER * StartPtr
UINT16 | Index [VARIABLE_INDEX_TABLE_VOLUME]

Detailed Description

Use this data structure to store variable-related info, which can decrease the cost of access to NV.

Field Documentation

VARIABLE_HEADER* VARIABLE_INDEX_TABLE::EndPtr

UINT16 VARIABLE_INDEX_TABLE::GoneThrough

UINT16 VARIABLE_INDEX_TABLE::Index[VARIABLE_INDEX_TABLE_VOLUME]

This field is used to store the distance of two neighbouring VAR_ADDED type variables. The meaning of the field is implement-dependent.

UINT16 VARIABLE_INDEX_TABLE::Length

VARIABLE_HEADER* VARIABLE_INDEX_TABLE::StartPtr


MdeModulePkg[ALL]: VARIABLE_POINTER_TRACK Struct Reference

  • Data Fields

VARIABLE_POINTER_TRACK Struct Reference

Data Fields

VARIABLE_HEADER * CurrPtr
VARIABLE_HEADER * EndPtr
VARIABLE_HEADER * StartPtr

Field Documentation

VARIABLE_HEADER* VARIABLE_POINTER_TRACK::CurrPtr

VARIABLE_HEADER* VARIABLE_POINTER_TRACK::EndPtr

VARIABLE_HEADER* VARIABLE_POINTER_TRACK::StartPtr


MdeModulePkg[ALL]: VARIABLE_STORE_HEADER Struct Reference

  • Data Fields

VARIABLE_STORE_HEADER Struct Reference

Data Fields

EFI_GUID | Signature
UINT32 | Size
UINT8 | Format
UINT8 | State
UINT16 | Reserved
UINT32 | Reserved1

Detailed Description

Variable Store region header.

Field Documentation

UINT8 VARIABLE_STORE_HEADER::Format

Variable region format state.

UINT16 VARIABLE_STORE_HEADER::Reserved

UINT32 VARIABLE_STORE_HEADER::Reserved1

EFI_GUID VARIABLE_STORE_HEADER::Signature

Variable store region signature.

UINT32 VARIABLE_STORE_HEADER::Size

Size of entire variable store, including size of variable store header but not including the size of FvHeader.

UINT8 VARIABLE_STORE_HEADER::State

Variable region healthy state.


MdeModulePkg[ALL]: VLAN_TCI Union Reference

  • Data Fields

VLAN_TCI Union Reference

Data Fields

struct {
UINT16 Vid: 12
UINT16 Cfi: 1
UINT16 Priority: 3
} Bits
UINT16 Uint16

Field Documentation

struct { ... } VLAN_TCI::Bits

UINT16 VLAN_TCI::Cfi

UINT16 VLAN_TCI::Priority

UINT16 VLAN_TCI::Uint16

UINT16 VLAN_TCI::Vid


MdeModulePkg[ALL]: VM_CONTEXT Struct Reference

  • Data Fields

VM_CONTEXT Struct Reference

Data Fields

VM_REGISTER | Gpr [8]
UINT64 | Flags
2..63 Reserved.
VMIP Ip
Instruction pointer.
UINTN | LastException
EXCEPTION_FLAGS ExceptionFlags
to keep track of exceptions
UINT32 | StopFlags
UINT32 | CompilerVersion
via break(6)
UINTN | HighStackBottom
bottom of the upper stack
UINTN | LowStackTop
top of the lower stack
UINT64 | StackRetAddr
location of final return address on stack
UINTN * | StackMagicPtr
pointer to magic value on stack to detect corruption
EFI_HANDLE | ImageHandle
for this EBC driver
EFI_SYSTEM_TABLE * | SystemTable
for debugging only
UINTN | LastAddrConverted
for debug
UINTN | LastAddrConvertedValue
for debug
VOID * | FramePtr
VOID * | EntryPoint
entry point of EBC image
UINTN | ImageBase
VOID * | StackPool
VOID * | StackTop

Field Documentation

UINT32 VM_CONTEXT::CompilerVersion

via break(6)

VOID* VM_CONTEXT::EntryPoint

entry point of EBC image

EXCEPTION_FLAGS VM_CONTEXT::ExceptionFlags

to keep track of exceptions

UINT64 VM_CONTEXT::Flags

2..63 Reserved.

VOID* VM_CONTEXT::FramePtr

VM_REGISTER VM_CONTEXT::Gpr[8]

General purpose registers. Flags register: 0 Set to 1 if the result of the last compare was true 1 Set to 1 if stepping

UINTN VM_CONTEXT::HighStackBottom

bottom of the upper stack

UINTN VM_CONTEXT::ImageBase

EFI_HANDLE VM_CONTEXT::ImageHandle

for this EBC driver

VMIP VM_CONTEXT::Ip

Instruction pointer.

UINTN VM_CONTEXT::LastAddrConverted

for debug

UINTN VM_CONTEXT::LastAddrConvertedValue

for debug

UINTN VM_CONTEXT::LastException

UINTN VM_CONTEXT::LowStackTop

top of the lower stack

UINTN* VM_CONTEXT::StackMagicPtr

pointer to magic value on stack to detect corruption

VOID* VM_CONTEXT::StackPool

UINT64 VM_CONTEXT::StackRetAddr

location of final return address on stack

VOID* VM_CONTEXT::StackTop

UINT32 VM_CONTEXT::StopFlags

EFI_SYSTEM_TABLE* VM_CONTEXT::SystemTable

for debugging only


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- a -

  • Abort : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • Ack : TCP_HEAD
  • AcpiFacsTable : ACPI_S3_CONTEXT
  • ActiveFlag : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA
  • Addr : _IP_IO_IP_INFO
  • Alignment : _EFI_IFR_GUID_BANNER
  • Allocate : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • Arg : NET_VECTOR
  • AsciiBSPrint : _EFI_PRINT2_PROTOCOL
  • AsciiBSPrintUnicodeFormat : _EFI_PRINT2_PROTOCOL
  • AsciiSPrint : _EFI_PRINT2_PROTOCOL
  • AsciiSPrintUnicodeFormat : _EFI_PRINT2_PROTOCOL
  • AsciiValueToString : _EFI_PRINT2_PROTOCOL
  • AsmTransferControl : PEI_S3_RESUME_STATE
  • Assemble : _EFI_EBC_VM_TEST_PROTOCOL
  • Attributes : EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _VARIABLE_INFO_ENTRY , VARIABLE_HEADER , SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO


MdeModulePkg[ALL]: File Index

  • File List
  • Globals

File List

Here is a list of all files with brief descriptions:
MdeModulePkg/MdeModulePkg.dec.decdoxygen
MdeModulePkg/Include/Guid/AcpiS3Context.h
MdeModulePkg/Include/Guid/BootScriptExecutorVariable.h
MdeModulePkg/Include/Guid/CapsuleVendor.h
MdeModulePkg/Include/Guid/ConsoleInDevice.h
MdeModulePkg/Include/Guid/ConsoleOutDevice.h
MdeModulePkg/Include/Guid/Crc32GuidedSectionExtraction.h
MdeModulePkg/Include/Guid/DebugMask.h
MdeModulePkg/Include/Guid/DriverSampleHii.h
MdeModulePkg/Include/Guid/FirmwarePerformance.h
MdeModulePkg/Include/Guid/HiiResourceSampleHii.h
MdeModulePkg/Include/Guid/IdleLoopEvent.h
MdeModulePkg/Include/Guid/Ip4ConfigHii.h
MdeModulePkg/Include/Guid/Ip4IScsiConfigHii.h
MdeModulePkg/Include/Guid/LoadModuleAtFixedAddress.h
MdeModulePkg/Include/Guid/MdeModuleHii.h
MdeModulePkg/Include/Guid/MdeModulePkgTokenSpace.h
MdeModulePkg/Include/Guid/MemoryStatusCodeRecord.h
MdeModulePkg/Include/Guid/MemoryTypeInformation.h
MdeModulePkg/Include/Guid/MtcVendor.h
MdeModulePkg/Include/Guid/NicIp4ConfigNvData.h
MdeModulePkg/Include/Guid/PcdDataBaseHobGuid.h
MdeModulePkg/Include/Guid/Performance.h
MdeModulePkg/Include/Guid/PlatDriOverrideHii.h
MdeModulePkg/Include/Guid/RecoveryDevice.h
MdeModulePkg/Include/Guid/SmmLockBox.h
MdeModulePkg/Include/Guid/SmmVariableCommon.h
MdeModulePkg/Include/Guid/StandardErrorDevice.h
MdeModulePkg/Include/Guid/StatusCodeCallbackGuid.h
MdeModulePkg/Include/Guid/StatusCodeDataTypeDebug.h
MdeModulePkg/Include/Guid/SystemNvDataGuid.h
MdeModulePkg/Include/Guid/UsbKeyBoardLayout.h
MdeModulePkg/Include/Guid/VariableFormat.h
MdeModulePkg/Include/Guid/VariableIndexTable.h
MdeModulePkg/Include/Guid/VlanConfigHii.h
MdeModulePkg/Include/Guid/ZeroGuid.h
MdeModulePkg/Include/Library/CapsuleLib.h
MdeModulePkg/Include/Library/DebugAgentLib.h
MdeModulePkg/Include/Library/DpcLib.h
MdeModulePkg/Include/Library/HiiLib.h
MdeModulePkg/Include/Library/IpIoLib.h
MdeModulePkg/Include/Library/LockBoxLib.h
MdeModulePkg/Include/Library/NetLib.h
MdeModulePkg/Include/Library/OemHookStatusCodeLib.h
MdeModulePkg/Include/Library/PlatformHookLib.h
MdeModulePkg/Include/Library/RecoveryLib.h
MdeModulePkg/Include/Library/ResetSystemLib.h
MdeModulePkg/Include/Library/S3Lib.h
MdeModulePkg/Include/Library/SecurityManagementLib.h
MdeModulePkg/Include/Library/SmmCorePlatformHookLib.h
MdeModulePkg/Include/Library/TcpIoLib.h
MdeModulePkg/Include/Library/UdpIoLib.h
MdeModulePkg/Include/Library/UefiHiiServicesLib.h
MdeModulePkg/Include/Ppi/AtaController.h
MdeModulePkg/Include/Ppi/Capsule.h
MdeModulePkg/Include/Ppi/PostBootScriptTable.h
MdeModulePkg/Include/Ppi/SecPerformance.h
MdeModulePkg/Include/Ppi/SmmAccess.h
MdeModulePkg/Include/Ppi/SmmCommunication.h
MdeModulePkg/Include/Ppi/SmmControl.h
MdeModulePkg/Include/Ppi/Usb2HostController.h
MdeModulePkg/Include/Ppi/UsbController.h
MdeModulePkg/Include/Ppi/UsbHostController.h
MdeModulePkg/Include/Ppi/UsbIo.h
MdeModulePkg/Include/Protocol/BootLogo.h
MdeModulePkg/Include/Protocol/Dpc.h
MdeModulePkg/Include/Protocol/EbcSimpleDebugger.h
MdeModulePkg/Include/Protocol/EbcVmTest.h
MdeModulePkg/Include/Protocol/FaultTolerantWrite.h
MdeModulePkg/Include/Protocol/FormBrowserEx.h
MdeModulePkg/Include/Protocol/GenericMemoryTest.h
MdeModulePkg/Include/Protocol/LoadPe32Image.h
MdeModulePkg/Include/Protocol/LockBox.h
MdeModulePkg/Include/Protocol/Print2.h
MdeModulePkg/Include/Protocol/SmmFaultTolerantWrite.h
MdeModulePkg/Include/Protocol/SmmFirmwareVolumeBlock.h
MdeModulePkg/Include/Protocol/SmmSwapAddressRange.h
MdeModulePkg/Include/Protocol/SmmVariable.h
MdeModulePkg/Include/Protocol/SwapAddressRange.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/AcpiS3Context.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/AcpiS3Context.h File Reference

Data Structures

struct | SMM_S3_RESUME_STATE
struct | ACPI_S3_CONTEXT
struct | PEI_S3_RESUME_STATE

Defines

#define | SMM_S3_RESUME_SMM_32 SIGNATURE_64 ('S','M','M','S','3','_','3','2')
#define | SMM_S3_RESUME_SMM_64 SIGNATURE_64 ('S','M','M','S','3','_','6','4')
#define | EFI_ACPI_S3_CONTEXT_GUID

Variables

EFI_GUID | gEfiAcpiS3ContextGuid
EFI_GUID | gEfiAcpiVariableGuid

Detailed Description

Definitions for data structures used in S3 resume.

Copyright (c) 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_ACPI_S3_CONTEXT_GUID

Value:

{ \
    0xef98d3a, 0x3e33, 0x497a, {0xa4, 0x1, 0x77, 0xbe, 0x3e, 0xb7, 0x4f, 0x38} \
  }

#define SMM_S3_RESUME_SMM_32 SIGNATURE_64 ('S','M','M','S','3','_','3','2')

#define SMM_S3_RESUME_SMM_64 SIGNATURE_64 ('S','M','M','S','3','_','6','4')

Variable Documentation

EFI_GUID gEfiAcpiS3ContextGuid

EFI_GUID gEfiAcpiVariableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/BootScriptExecutorVariable.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/BootScriptExecutorVariable.h File Reference

Data Structures

struct | BOOT_SCRIPT_EXECUTOR_VARIABLE

Defines

#define | EFI_BOOT_SCRIPT_EXECUTOR_VARIABLE_GUID
#define | BOOT_SCRIPT_EXECUTOR_VARIABLE_NAME L"BootScriptExecutorVariable"
#define | EFI_BOOT_SCRIPT_EXECUTOR_CONTEXT_GUID

Variables

EFI_GUID | gEfiBootScriptExecutorVariableGuid
EFI_GUID | gEfiBootScriptExecutorContextGuid

Detailed Description

Define Name, GUID and data format for an EFI Variable that is used to save the entry point of a code segment which will be loaded and executed by a standalone boot script executor on S3 boot path.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BOOT_SCRIPT_EXECUTOR_VARIABLE_NAME L"BootScriptExecutorVariable"

#define EFI_BOOT_SCRIPT_EXECUTOR_CONTEXT_GUID

Value:

{ \
    0x79cb58c4, 0xac51, 0x442f, {0xaf, 0xd7, 0x98, 0xe4, 0x7d, 0x2e, 0x99, 0x8} \
  }

#define EFI_BOOT_SCRIPT_EXECUTOR_VARIABLE_GUID

Value:

{ \
    0x3079818c, 0x46d4, 0x4a73, {0xae, 0xf3, 0xe3, 0xe4, 0x6c, 0xf1, 0xee, 0xdb} \
  }

Variable Documentation

EFI_GUID gEfiBootScriptExecutorContextGuid

EFI_GUID gEfiBootScriptExecutorVariableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/CapsuleVendor.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/CapsuleVendor.h File Reference

Data Structures

struct | CAPSULE_HOB_INFO
struct | EFI_CAPSULE_LONG_MODE_BUFFER

Defines

#define | EFI_CAPSULE_VENDOR_GUID { 0x711C703F, 0xC285, 0x4B10, { 0xA3, 0xB0, 0x36, 0xEC, 0xBD, 0x3C, 0x8B, 0xE2 } }
#define | EFI_CAPSULE_VARIABLE_NAME L"CapsuleUpdateData"
#define | EFI_CAPSULE_LONG_MODE_BUFFER_NAME L"CapsuleLongModeBuffer"

Variables

EFI_GUID | gEfiCapsuleVendorGuid

Detailed Description

This file defines: the capsule vendor GUID for capsule variables and the HOB. the capsule variable name. the capsule GUID HOB data structure. The capsule HOB and variable can be used to store the capsule image start address and length. They are used by EDKII implementation of capsule update across a system reset.

Note: EDKII implementation of capsule updating has discarded this capsule GUID HOB data
structure and used one UEFI Capsule HOB (defined in PI Specification 1.2) instead.
Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_CAPSULE_LONG_MODE_BUFFER_NAME L"CapsuleLongModeBuffer"

#define EFI_CAPSULE_VARIABLE_NAME L"CapsuleUpdateData"

Name of capsule variable.

#define EFI_CAPSULE_VENDOR_GUID { 0x711C703F, 0xC285, 0x4B10, { 0xA3, 0xB0, 0x36, 0xEC, 0xBD, 0x3C, 0x8B, 0xE2 } }

This guid is used as a variable GUID for the capsule variable if the capsule pointer is passed through reset via a variable.

This guid is also used as a hob GUID for the capsule data when the capsule pointer is passed from PEI phase to DXE phase.

Variable Documentation

EFI_GUID gEfiCapsuleVendorGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/ConsoleInDevice.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/ConsoleInDevice.h File Reference

Defines

#define | EFI_CONSOLE_IN_DEVICE_GUID { 0xd3b36f2b, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variables

EFI_GUID | gEfiConsoleInDeviceGuid

Detailed Description

This GUID can be installed to the device handle to specify that the device is the console-in device.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_CONSOLE_IN_DEVICE_GUID { 0xd3b36f2b, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variable Documentation

EFI_GUID gEfiConsoleInDeviceGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/ConsoleOutDevice.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/ConsoleOutDevice.h File Reference

Defines

#define | EFI_CONSOLE_OUT_DEVICE_GUID { 0xd3b36f2c, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variables

EFI_GUID | gEfiConsoleOutDeviceGuid

Detailed Description

This GUID can be installed to the device handle to specify that the device is the console-out device.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_CONSOLE_OUT_DEVICE_GUID { 0xd3b36f2c, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variable Documentation

EFI_GUID gEfiConsoleOutDeviceGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/Crc32GuidedSectionExtraction.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/Crc32GuidedSectionExtraction.h File Reference

Defines

#define | EFI_CRC32_GUIDED_SECTION_EXTRACTION_GUID { 0xFC1BCDB0, 0x7D31, 0x49aa, {0x93, 0x6A, 0xA4, 0x60, 0x0D, 0x9D, 0xD0, 0x83 } }

Variables

EFI_GUID | gEfiCrc32GuidedSectionExtractionGuid

Detailed Description

This file defines CRC32 GUID to specify the CRC32 encapsulation scheme for the GUIDed section.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_CRC32_GUIDED_SECTION_EXTRACTION_GUID { 0xFC1BCDB0, 0x7D31, 0x49aa, {0x93, 0x6A, 0xA4, 0x60, 0x0D, 0x9D, 0xD0, 0x83 } }

Variable Documentation

EFI_GUID gEfiCrc32GuidedSectionExtractionGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/DebugMask.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/DebugMask.h File Reference

Data Structures

struct | _EFI_DEBUG_MASK_PROTOCOL

Defines

#define | EFI_DEBUG_MASK_PROTOCOL_GUID { 0x4c8a2451, 0xc207, 0x405b, {0x96, 0x94, 0x99, 0xea, 0x13, 0x25, 0x13, 0x41} }
#define | EFI_DEBUG_MASK_REVISION 0x00010000
#define | EFI_GENERIC_VARIABLE_GUID { 0x59d1c24f, 0x50f1, 0x401a, {0xb1, 0x01, 0xf3, 0x3e, 0x0d, 0xae, 0xd4, 0x43} }
#define | DEBUG_MASK_VARIABLE_NAME L"EFIDebug"

Typedefs

typedef struct
_EFI_DEBUG_MASK_PROTOCOL 		EFI_DEBUG_MASK_PROTOCOL
typedef IN OUT UINTN * | CurrentDebugMask
typedef IN UINTN | NewDebugMask

Functions

typedef | EFI_STATUS (EFIAPI *EFI_GET_DEBUG_MASK)(IN EFI_DEBUG_MASK_PROTOCOL *This

Variables

EFI_GUID | gEfiDebugMaskProtocolGuid
EFI_GUID | gEfiGenericVariableGuid

Detailed Description

Debug Mask Protocol.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define DEBUG_MASK_VARIABLE_NAME L"EFIDebug"

#define EFI_DEBUG_MASK_PROTOCOL_GUID { 0x4c8a2451, 0xc207, 0x405b, {0x96, 0x94, 0x99, 0xea, 0x13, 0x25, 0x13, 0x41} }

Protocol GUID for DXE Phase Debug Mask support

#define EFI_DEBUG_MASK_REVISION 0x00010000

#define EFI_GENERIC_VARIABLE_GUID { 0x59d1c24f, 0x50f1, 0x401a, {0xb1, 0x01, 0xf3, 0x3e, 0x0d, 0xae, 0xd4, 0x43} }

GUID used to store the global debug mask in an the "EFIDebug" EFI Variabe Also used as a GUIDed HOB that contains a UINT32 debug mask default value

Typedef Documentation

typedef IN OUT UINTN* CurrentDebugMask

typedef struct _EFI_DEBUG_MASK_PROTOCOL EFI_DEBUG_MASK_PROTOCOL

Forward reference for pure ANSI compatability

typedef IN UINTN NewDebugMask

Function Documentation

typedef EFI_STATUS ( EFIAPI * REGISTER_HOT_KEY )

Clears any system state that was created in response to the Active call.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
Periodic | Optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The source could not be cleared.
EFI_INVALID_PARAMETER | The service did not support the Periodic input argument.
This interface allows you to configure the EBC debug support driver. For example, turn on or off saving and printing of delta VM even if called. Or to even disable the entire interface, in which case all functions become no-ops.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | ConfigId | ID to be configured.
[in] | ConfigValue | Value to be set.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Configure EBC debug.
Convert AsmText to the instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | AsmText | A pointer to EBC ASM text code.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully convert AsmText to the instruction.
Dump the executed instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[out] | AsmText | Contain the disasm text.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully dump the executed instruction.
Register the hot key with its browser action, or unregistered the hot key. If the action value is zero, the hot key will be unregistered if it has been registered. If the same hot key has been registered, the new action and help string will override the previous ones.

Parameters:
[in] | KeyData | A pointer to a buffer that describes the keystroke information for the hot key. Its type is EFI_INPUT_KEY to be supported by all ConsoleIn devices.
[in] | Action | Action value that describes what action will be trigged when the hot key is pressed.
[in] | DefaultId | Specifies the type of defaults to retrieve, which is only for DEFAULT action.
[in] | HelpString | Help string that describes the hot key information. Its value may be NULL for the unregistered hot key.
Return values:
EFI_SUCCESS | Hot key is registered or unregistered.
EFI_INVALID_PARAMETER | KeyData is NULL.

Variable Documentation

EFI_GUID gEfiDebugMaskProtocolGuid

EFI_GUID gEfiGenericVariableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/DriverSampleHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/DriverSampleHii.h File Reference

Defines

#define | DRIVER_SAMPLE_FORMSET_GUID
#define | DRIVER_SAMPLE_INVENTORY_GUID
#define | EFI_IFR_REFRESH_ID_OP_GUID

Variables

EFI_GUID | gDriverSampleFormSetGuid
EFI_GUID | gDriverSampleInventoryGuid
EFI_GUID | gEfiIfrRefreshIdOpGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in Driver Sample driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define DRIVER_SAMPLE_FORMSET_GUID

Value:

{ \
    0xA04A27f4, 0xDF00, 0x4D42, {0xB5, 0x52, 0x39, 0x51, 0x13, 0x02, 0x11, 0x3D} \
  }

#define DRIVER_SAMPLE_INVENTORY_GUID

Value:

{ \
    0xb3f56470, 0x6141, 0x4621, {0x8f, 0x19, 0x70, 0x4e, 0x57, 0x7a, 0xa9, 0xe8} \
  }

#define EFI_IFR_REFRESH_ID_OP_GUID

Value:

{ \
    0xF5E655D9, 0x02A6, 0x46f2, {0x9E, 0x76, 0xB8, 0xBE, 0x8E, 0x60, 0xAB, 0x22} \
  }

Variable Documentation

EFI_GUID gDriverSampleFormSetGuid

EFI_GUID gDriverSampleInventoryGuid

EFI_GUID gEfiIfrRefreshIdOpGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/FirmwarePerformance.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/FirmwarePerformance.h File Reference

Data Structures

struct | FIRMWARE_PERFORMANCE_TABLE
struct | S3_PERFORMANCE_TABLE
struct | BOOT_PERFORMANCE_TABLE
struct | FIRMWARE_PERFORMANCE_RUNTIME_DATA
struct | FIRMWARE_PERFORMANCE_VARIABLE

Defines

#define | EFI_FIRMWARE_PERFORMANCE_GUID
#define | EFI_FIRMWARE_PERFORMANCE_VARIABLE_NAME L"FirmwarePerformance"

Variables

EFI_GUID | gEfiFirmwarePerformanceGuid

Detailed Description

ACPI Firmware Performance Data Table (FPDT) implementation specific definitions.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_FIRMWARE_PERFORMANCE_GUID

Value:

{ \
    0xc095791a, 0x3001, 0x47b2, {0x80, 0xc9, 0xea, 0xc7, 0x31, 0x9f, 0x2f, 0xa4 } \
  }
This GUID is used for FPDT implementation specific EFI Variable, LockBox and Hob.

EFI Variable: GUID - gEfiFirmwarePerformanceGuid Name - EFI_FIRMWARE_PERFORMANCE_VARIABLE_NAME Data - FIRMWARE_PERFORMANCE_VARIABLE

LockBox: GUID - gEfiFirmwarePerformanceGuid Data - EFI_ACPI_BASIC_S3_SUSPEND_PERFORMANCE_RECORD

Hob: GUID - gEfiFirmwarePerformanceGuid Data - FIRMWARE_SEC_PERFORMANCE (defined in <Ppi/SecPerformance.h>)

#define EFI_FIRMWARE_PERFORMANCE_VARIABLE_NAME L"FirmwarePerformance"

Variable Documentation

EFI_GUID gEfiFirmwarePerformanceGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/HiiResourceSampleHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/HiiResourceSampleHii.h File Reference

Defines

#define | HII_RESOURCE_SAMPLE_FORM_SET_GUID { 0x4f4ef7f0, 0xaa29, 0x4ce9, { 0xba, 0x41, 0x64, 0x3e, 0x1, 0x23, 0xa9, 0x9f }}

Variables

EFI_GUID | gHiiResourceSamleFormSetGuid

Detailed Description

GUID used as HII FormSet GUID in HII Resource Sample driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define HII_RESOURCE_SAMPLE_FORM_SET_GUID { 0x4f4ef7f0, 0xaa29, 0x4ce9, { 0xba, 0x41, 0x64, 0x3e, 0x1, 0x23, 0xa9, 0x9f }}

Variable Documentation

EFI_GUID gHiiResourceSamleFormSetGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/IdleLoopEvent.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/IdleLoopEvent.h File Reference

Defines

#define | IDLE_LOOP_EVENT_GUID { 0x3c8d294c, 0x5fc3, 0x4451, { 0xbb, 0x31, 0xc4, 0xc0, 0x32, 0x29, 0x5e, 0x6c } }

Variables

EFI_GUID | gIdleLoopEventGuid

Detailed Description

GUID is the name of events used with CreateEventEx in order to be notified when the DXE Core is idle.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define IDLE_LOOP_EVENT_GUID { 0x3c8d294c, 0x5fc3, 0x4451, { 0xbb, 0x31, 0xc4, 0xc0, 0x32, 0x29, 0x5e, 0x6c } }

Variable Documentation

EFI_GUID gIdleLoopEventGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/Ip4ConfigHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/Ip4ConfigHii.h File Reference

Defines

#define | EFI_NIC_IP4_CONFIG_NVDATA_GUID

Variables

EFI_GUID | gNicIp4ConfigNvDataGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in Ip4ConfigDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_NIC_IP4_CONFIG_NVDATA_GUID

Value:

{ \
    0x9d5b53f, 0xf4b0, 0x4f59, { 0xa0, 0xb1, 0x7b, 0x57, 0xd3, 0x5c, 0xe, 0x5 } \
  }

Variable Documentation

EFI_GUID gNicIp4ConfigNvDataGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/Ip4IScsiConfigHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/Ip4IScsiConfigHii.h File Reference

Defines

#define | IP4_ISCSI_CONFIG_GUID
#define | ISCSI_CHAP_AUTH_INFO_GUID

Variables

EFI_GUID | gIp4IScsiConfigGuid
EFI_GUID | gIScsiCHAPAuthInfoGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in IP4 IScsiDxe driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define IP4_ISCSI_CONFIG_GUID

Value:

{ \
    0x6456ed61, 0x3579, 0x41c9, { 0x8a, 0x26, 0x0a, 0x0b, 0xd6, 0x2b, 0x78, 0xfc } \
  }

#define ISCSI_CHAP_AUTH_INFO_GUID

Value:

{ \
    0x786ec0ac, 0x65ae, 0x4d1b, {0xb1, 0x37, 0xd, 0x11, 0xa, 0x48, 0x37, 0x97} \
  }

Variable Documentation

EFI_GUID gIp4IScsiConfigGuid

EFI_GUID gIScsiCHAPAuthInfoGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/LoadModuleAtFixedAddress.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/LoadModuleAtFixedAddress.h File Reference

Data Structures

struct | EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE

Defines

#define | EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE_GUID { 0x2CA88B53,0xD296,0x4080, { 0xA4,0xA5,0xCA,0xD9,0xBA,0xE2,0x4B,0x9} }

Variables

EFI_GUID | gLoadFixedAddressConfigurationTableGuid

Detailed Description

This file defines a configuration Table Guid for Load module at fixed address.

This configuration table is to hold the top address below which the Dxe runtime code and boot time code will be loaded and Tseg base. When this feature is enabled, Build tools will assigned module loading address relative to these two addresses.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE_GUID { 0x2CA88B53,0xD296,0x4080, { 0xA4,0xA5,0xCA,0xD9,0xBA,0xE2,0x4B,0x9} }

Variable Documentation

EFI_GUID gLoadFixedAddressConfigurationTableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/MdeModuleHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/MdeModuleHii.h File Reference

Data Structures

struct | _EFI_IFR_GUID_LABEL
struct | _EFI_IFR_GUID_BANNER
struct | _EFI_IFR_GUID_TIMEOUT
struct | _EFI_IFR_GUID_CLASS
struct | _EFI_IFR_GUID_SUBCLASS
struct | _EFI_IFR_GUID_OPTIONKEY
struct | _EFI_IFR_GUID_VAREQNAME

Defines

#define | NARROW_CHAR 0xFFF0
#define | WIDE_CHAR 0xFFF1
#define | NON_BREAKING_CHAR 0xFFF2
#define | BROWSER_STATE_VALIDATE_PASSWORD 0
#define | BROWSER_STATE_SET_PASSWORD 1
#define | EFI_IFR_TIANO_GUID { 0xf0b1735, 0x87a0, 0x4193, {0xb2, 0x66, 0x53, 0x8c, 0x38, 0xaf, 0x48, 0xce} }
#define | EFI_IFR_EXTEND_OP_LABEL 0x0
#define | EFI_IFR_EXTEND_OP_BANNER 0x1
#define | EFI_IFR_EXTEND_OP_TIMEOUT 0x2
#define | EFI_IFR_EXTEND_OP_CLASS 0x3
#define | EFI_IFR_EXTEND_OP_SUBCLASS 0x4
#define | EFI_IFR_BANNER_ALIGN_LEFT 0
#define | EFI_IFR_BANNER_ALIGN_CENTER 1
#define | EFI_IFR_BANNER_ALIGN_RIGHT 2
#define | EFI_NON_DEVICE_CLASS 0x00
#define | EFI_DISK_DEVICE_CLASS 0x01
#define | EFI_VIDEO_DEVICE_CLASS 0x02
#define | EFI_NETWORK_DEVICE_CLASS 0x04
#define | EFI_INPUT_DEVICE_CLASS 0x08
#define | EFI_ON_BOARD_DEVICE_CLASS 0x10
#define | EFI_OTHER_DEVICE_CLASS 0x20
#define | EFI_SETUP_APPLICATION_SUBCLASS 0x00
#define | EFI_GENERAL_APPLICATION_SUBCLASS 0x01
#define | EFI_FRONT_PAGE_SUBCLASS 0x02
#define | EFI_SINGLE_USE_SUBCLASS 0x03
#define | EFI_IFR_FRAMEWORK_GUID { 0x31ca5d1a, 0xd511, 0x4931, { 0xb7, 0x82, 0xae, 0x6b, 0x2b, 0x17, 0x8c, 0xd7 } }
#define | EFI_IFR_EXTEND_OP_OPTIONKEY 0x0
#define | EFI_IFR_EXTEND_OP_VAREQNAME 0x1

Typedefs

typedef struct _EFI_IFR_GUID_LABEL | EFI_IFR_GUID_LABEL
typedef struct _EFI_IFR_GUID_BANNER | EFI_IFR_GUID_BANNER
typedef struct
_EFI_IFR_GUID_TIMEOUT 		EFI_IFR_GUID_TIMEOUT
typedef struct _EFI_IFR_GUID_CLASS | EFI_IFR_GUID_CLASS
typedef struct
_EFI_IFR_GUID_SUBCLASS 		EFI_IFR_GUID_SUBCLASS
typedef struct
_EFI_IFR_GUID_OPTIONKEY 		EFI_IFR_GUID_OPTIONKEY
typedef struct
_EFI_IFR_GUID_VAREQNAME 		EFI_IFR_GUID_VAREQNAME

Variables

EFI_GUID | gEfiIfrTianoGuid
EFI_GUID | gEfiIfrFrameworkGuid

Detailed Description

EDKII extented HII IFR guid opcodes.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BROWSER_STATE_SET_PASSWORD 1

#define BROWSER_STATE_VALIDATE_PASSWORD 0

State defined for password statemachine .

#define EFI_DISK_DEVICE_CLASS 0x01

#define EFI_FRONT_PAGE_SUBCLASS 0x02

#define EFI_GENERAL_APPLICATION_SUBCLASS 0x01

#define EFI_IFR_BANNER_ALIGN_CENTER 1

#define EFI_IFR_BANNER_ALIGN_LEFT 0

#define EFI_IFR_BANNER_ALIGN_RIGHT 2

#define EFI_IFR_EXTEND_OP_BANNER 0x1

#define EFI_IFR_EXTEND_OP_CLASS 0x3

#define EFI_IFR_EXTEND_OP_LABEL 0x0

EDKII implementation extension opcodes, new extension can be added here later.

#define EFI_IFR_EXTEND_OP_OPTIONKEY 0x0

Two extended opcodes are added, and new extensions can be added here later. One is for framework OneOf question Option Key value; another is for framework vareqval.

#define EFI_IFR_EXTEND_OP_SUBCLASS 0x4

#define EFI_IFR_EXTEND_OP_TIMEOUT 0x2

#define EFI_IFR_EXTEND_OP_VAREQNAME 0x1

#define EFI_IFR_FRAMEWORK_GUID { 0x31ca5d1a, 0xd511, 0x4931, { 0xb7, 0x82, 0xae, 0x6b, 0x2b, 0x17, 0x8c, 0xd7 } }

GUIDed opcodes support for framework vfr.

#define EFI_IFR_TIANO_GUID { 0xf0b1735, 0x87a0, 0x4193, {0xb2, 0x66, 0x53, 0x8c, 0x38, 0xaf, 0x48, 0xce} }

GUIDed opcodes defined for EDKII implementation.

#define EFI_INPUT_DEVICE_CLASS 0x08

#define EFI_NETWORK_DEVICE_CLASS 0x04

#define EFI_NON_DEVICE_CLASS 0x00

#define EFI_ON_BOARD_DEVICE_CLASS 0x10

#define EFI_OTHER_DEVICE_CLASS 0x20

#define EFI_SETUP_APPLICATION_SUBCLASS 0x00

#define EFI_SINGLE_USE_SUBCLASS 0x03

#define EFI_VIDEO_DEVICE_CLASS 0x02

#define NARROW_CHAR 0xFFF0

#define NON_BREAKING_CHAR 0xFFF2

#define WIDE_CHAR 0xFFF1

Typedef Documentation

typedef struct _EFI_IFR_GUID_BANNER EFI_IFR_GUID_BANNER

Banner opcode.

typedef struct _EFI_IFR_GUID_CLASS EFI_IFR_GUID_CLASS

Device Class opcode.

typedef struct _EFI_IFR_GUID_LABEL EFI_IFR_GUID_LABEL

Label opcode.

typedef struct _EFI_IFR_GUID_OPTIONKEY EFI_IFR_GUID_OPTIONKEY

Store the framework vfr option key value.

typedef struct _EFI_IFR_GUID_SUBCLASS EFI_IFR_GUID_SUBCLASS

SubClass opcode

typedef struct _EFI_IFR_GUID_TIMEOUT EFI_IFR_GUID_TIMEOUT

Timeout opcode.

typedef struct _EFI_IFR_GUID_VAREQNAME EFI_IFR_GUID_VAREQNAME

Store the framework vfr vareqval name number.

Variable Documentation

EFI_GUID gEfiIfrFrameworkGuid

EFI_GUID gEfiIfrTianoGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/MdeModulePkgTokenSpace.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/MdeModulePkgTokenSpace.h File Reference

Defines

#define | MDEMODULEPKG_TOKEN_SPACE_GUID

Variables

EFI_GUID | gEfiMdeModulePkgTokenSpaceGuid

Detailed Description

GUID for MdeModulePkg PCD Token Space.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define MDEMODULEPKG_TOKEN_SPACE_GUID

Value:

{ \
    0xA1AFF049, 0xFDEB, 0x442a, { 0xB3, 0x20, 0x13, 0xAB, 0x4C, 0xB7, 0x2B, 0xBC } \
  }

Variable Documentation

EFI_GUID gEfiMdeModulePkgTokenSpaceGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/MemoryStatusCodeRecord.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/MemoryStatusCodeRecord.h File Reference

Data Structures

struct | MEMORY_STATUSCODE_PACKET_HEADER
struct | MEMORY_STATUSCODE_RECORD

Defines

#define | MEMORY_STATUS_CODE_RECORD_GUID

Variables

EFI_GUID | gMemoryStatusCodeRecordGuid

Detailed Description

GUID used to identify status code records HOB that originate from the PEI status code.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define MEMORY_STATUS_CODE_RECORD_GUID

Value:

{ \
    0x60cc026, 0x4c0d, 0x4dda, {0x8f, 0x41, 0x59, 0x5f, 0xef, 0x0, 0xa5, 0x2} \
  }
Global ID used to identify GUIDed HOBs that start with a structure of type MEMORY_STATUSCODE_PACKET_HEADER, followed by an array of structures of type MEMORY_STATUSCODE_RECORD. These GUIDed HOBs record all the information passed into the ReportStatusCode() service of PEI Services Table.

     Memory status code records packet structure :
     +---------------+----------+----------+-----+----------+-----+----------+
     | Packet Header | Record 1 | Record 2 | ... + Record n | ... | Record m |
     +---------------+----------+----------+-----+----------+-----+----------+
                     ^                                 ^                     ^
                     +--------- RecordIndex -----------+                     |
                     +---------------- MaxRecordsNumber----------------------+

Variable Documentation

EFI_GUID gMemoryStatusCodeRecordGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/MemoryTypeInformation.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/MemoryTypeInformation.h File Reference

Data Structures

struct | EFI_MEMORY_TYPE_INFORMATION

Defines

#define | EFI_MEMORY_TYPE_INFORMATION_GUID { 0x4c19049f,0x4137,0x4dd3, { 0x9c,0x10,0x8b,0x97,0xa8,0x3f,0xfd,0xfa } }
#define | EFI_MEMORY_TYPE_INFORMATION_VARIABLE_NAME L"MemoryTypeInformation"

Variables

EFI_GUID | gEfiMemoryTypeInformationGuid

Detailed Description

This file defines: Memory Type Information GUID for HOB and Variable. Memory Type Information Variable Name. Memory Type Information GUID HOB data structure.

The memory type information HOB and variable can be used to store the information for each memory type in Variable or HOB.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_MEMORY_TYPE_INFORMATION_GUID { 0x4c19049f,0x4137,0x4dd3, { 0x9c,0x10,0x8b,0x97,0xa8,0x3f,0xfd,0xfa } }

#define EFI_MEMORY_TYPE_INFORMATION_VARIABLE_NAME L"MemoryTypeInformation"

Variable Documentation

EFI_GUID gEfiMemoryTypeInformationGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/MtcVendor.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/MtcVendor.h File Reference

Defines

#define | MTC_VENDOR_GUID { 0xeb704011, 0x1402, 0x11d3, { 0x8e, 0x77, 0x0, 0xa0, 0xc9, 0x69, 0x72, 0x3b } }
#define | MTC_VARIABLE_NAME L"MTC"

Variables

EFI_GUID | gMtcVendorGuid

Detailed Description

GUID is for MTC variable.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define MTC_VARIABLE_NAME L"MTC"

#define MTC_VENDOR_GUID { 0xeb704011, 0x1402, 0x11d3, { 0x8e, 0x77, 0x0, 0xa0, 0xc9, 0x69, 0x72, 0x3b } }

Variable Documentation

EFI_GUID gMtcVendorGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/NicIp4ConfigNvData.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/NicIp4ConfigNvData.h File Reference

Data Structures

struct | NIC_ADDR
struct | NIC_IP4_CONFIG_INFO

Defines

#define | EFI_NIC_IP4_CONFIG_VARIABLE_GUID
#define | EFI_NIC_IP4_CONFIG_VARIABLE L"EfiNicIp4ConfigVariable"
#define | IP4_CONFIG_SOURCE_DHCP 0
#define | IP4_CONFIG_SOURCE_STATIC 1
#define | IP4_CONFIG_SOURCE_MAX 2
#define | IP4_NIC_NAME_LENGTH 64
#define | MAX_IP4_CONFIG_IN_VARIABLE 16

Variables

EFI_GUID | gEfiNicIp4ConfigVariableGuid

Detailed Description

This file defines NIC_IP4_CONFIG_INFO structure.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_NIC_IP4_CONFIG_VARIABLE L"EfiNicIp4ConfigVariable"

#define EFI_NIC_IP4_CONFIG_VARIABLE_GUID

Value:

{ \
    0xd8944553, 0xc4dd, 0x41f4, { 0x9b, 0x30, 0xe1, 0x39, 0x7c, 0xfb, 0x26, 0x7b } \
  }

#define IP4_CONFIG_SOURCE_DHCP 0

#define IP4_CONFIG_SOURCE_MAX 2

#define IP4_CONFIG_SOURCE_STATIC 1

#define IP4_NIC_NAME_LENGTH 64

#define MAX_IP4_CONFIG_IN_VARIABLE 16

Variable Documentation

EFI_GUID gEfiNicIp4ConfigVariableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/PcdDataBaseHobGuid.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/PcdDataBaseHobGuid.h File Reference

Defines

#define | PCD_DATABASE_HOB_GUID

Variables

EFI_GUID | gPcdDataBaseHobGuid

Detailed Description

Hob guid for Pcd DataBase.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PCD_DATABASE_HOB_GUID

Value:

{ \
    0xEA296D92, 0x0B69, 0x423C, { 0x8C, 0x28, 0x33, 0xB4, 0xE0, 0xA9, 0x12, 0x68 } \
  }

Variable Documentation

EFI_GUID gPcdDataBaseHobGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/Performance.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/Performance.h File Reference

Data Structures

struct | PEI_PERFORMANCE_LOG_ENTRY
struct | PEI_PERFORMANCE_LOG_HEADER
struct | PERF_DATA
struct | PERF_HEADER
struct | GAUGE_DATA_ENTRY
struct | GAUGE_DATA_HEADER
struct | SMM_PERF_COMMUNICATE
struct | _PERFORMANCE_PROTOCOL

Defines

#define | PEI_PERFORMANCE_STRING_SIZE 8
#define | PEI_PERFORMANCE_STRING_LENGTH (PEI_PERFORMANCE_STRING_SIZE - 1)
#define | PERFORMANCE_SIGNATURE SIGNATURE_32 ('P', 'e', 'r', 'f')
#define | PERF_TOKEN_SIZE 28
#define | PERF_TOKEN_LENGTH (PERF_TOKEN_SIZE - 1)
#define | PERF_PEI_ENTRY_MAX_NUM 50
#define | PERFORMANCE_PROTOCOL_GUID { 0x76b6bdfa, 0x2acd, 0x4462, {0x9E, 0x3F, 0xcb, 0x58, 0xC9, 0x69, 0xd9, 0x37 } }
#define | DXE_PERFORMANCE_STRING_SIZE 32
#define | DXE_PERFORMANCE_STRING_LENGTH (DXE_PERFORMANCE_STRING_SIZE - 1)
#define | INIT_DXE_GAUGE_DATA_ENTRIES 800
#define | SMM_PERFORMANCE_PROTOCOL_GUID { 0xf866226a, 0xeaa5, 0x4f5a, { 0xa9, 0xa, 0x6c, 0xfb, 0xa5, 0x7c, 0x58, 0x8e } }
#define | SMM_PERFORMANCE_STRING_SIZE 32
#define | SMM_PERFORMANCE_STRING_LENGTH (SMM_PERFORMANCE_STRING_SIZE - 1)
#define | INIT_SMM_GAUGE_DATA_ENTRIES 200
#define | SMM_PERF_FUNCTION_GET_GAUGE_ENTRY_NUMBER 1
#define | SMM_PERF_FUNCTION_GET_GAUGE_DATA 2

Typedefs

typedef struct
_PERFORMANCE_PROTOCOL 		PERFORMANCE_PROTOCOL
typedef EFI_STATUS(EFIAPI * | PERFORMANCE_START_GAUGE )(IN CONST VOID *Handle, IN CONST CHAR8 *Token, IN CONST CHAR8 *Module, IN UINT64 TimeStamp)
typedef EFI_STATUS(EFIAPI * | PERFORMANCE_END_GAUGE )(IN CONST VOID *Handle, IN CONST CHAR8 *Token, IN CONST CHAR8 *Module, IN UINT64 TimeStamp)
typedef EFI_STATUS(EFIAPI * | PERFORMANCE_GET_GAUGE )(IN UINTN LogEntryKey, OUT GAUGE_DATA_ENTRY **GaugeDataEntry)

Variables

EFI_GUID | gPerformanceProtocolGuid
EFI_GUID | gSmmPerformanceProtocolGuid

Detailed Description

This file defines performance-related definitions, including the format of: performance GUID HOB. performance protocol interfaces. performance variables.

Copyright (c) 2009 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define DXE_PERFORMANCE_STRING_LENGTH (DXE_PERFORMANCE_STRING_SIZE - 1)

#define DXE_PERFORMANCE_STRING_SIZE 32

#define INIT_DXE_GAUGE_DATA_ENTRIES 800

#define INIT_SMM_GAUGE_DATA_ENTRIES 200

#define PEI_PERFORMANCE_STRING_LENGTH (PEI_PERFORMANCE_STRING_SIZE - 1)

#define PEI_PERFORMANCE_STRING_SIZE 8

#define PERF_PEI_ENTRY_MAX_NUM 50

#define PERF_TOKEN_LENGTH (PERF_TOKEN_SIZE - 1)

#define PERF_TOKEN_SIZE 28

#define PERFORMANCE_PROTOCOL_GUID { 0x76b6bdfa, 0x2acd, 0x4462, {0x9E, 0x3F, 0xcb, 0x58, 0xC9, 0x69, 0xd9, 0x37 } }

#define PERFORMANCE_SIGNATURE SIGNATURE_32 ('P', 'e', 'r', 'f')

#define SMM_PERF_FUNCTION_GET_GAUGE_DATA 2

#define SMM_PERF_FUNCTION_GET_GAUGE_ENTRY_NUMBER 1

#define SMM_PERFORMANCE_PROTOCOL_GUID { 0xf866226a, 0xeaa5, 0x4f5a, { 0xa9, 0xa, 0x6c, 0xfb, 0xa5, 0x7c, 0x58, 0x8e } }

#define SMM_PERFORMANCE_STRING_LENGTH (SMM_PERFORMANCE_STRING_SIZE - 1)

#define SMM_PERFORMANCE_STRING_SIZE 32

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PERFORMANCE_END_GAUGE)(IN CONST VOID *Handle, IN CONST CHAR8 *Token, IN CONST CHAR8 *Module, IN UINT64 TimeStamp)

Searches the performance measurement log from the beginning of the log for the first matching record that contains a zero end time and fills in a valid end time.

Searches the performance measurement log from the beginning of the log for the first record that matches Handle, Token, and Module, and has an end time value of zero. If the record can not be found then return EFI_NOT_FOUND. If the record is found and TimeStamp is not zero, then the end time in the record is filled in with the value specified by TimeStamp. If the record is found and TimeStamp is zero, then the end time in the matching record is filled in with the current time stamp value.

Parameters:
Handle | The pointer to environment specific context used to identify the component being measured.
Token | The pointer to a Null-terminated ASCII string that identifies the component being measured.
Module | The pointer to a Null-terminated ASCII string that identifies the module being measured.
TimeStamp | The 64-bit time stamp.
Return values:
EFI_SUCCESS | The end of the measurement was recorded.
EFI_NOT_FOUND | The specified measurement record could not be found.

typedef EFI_STATUS(EFIAPI * PERFORMANCE_GET_GAUGE)(IN UINTN LogEntryKey, OUT GAUGE_DATA_ENTRY **GaugeDataEntry)

Retrieves a previously logged performance measurement.

Retrieves the performance log entry from the performance log specified by LogEntryKey. If it stands for a valid entry, then EFI_SUCCESS is returned and GaugeDataEntry stores the pointer to that entry.

Parameters:
LogEntryKey | The key for the previous performance measurement log entry. If 0, then the first performance measurement log entry is retrieved.
GaugeDataEntry | Out parameter for the indirect pointer to the gauge data entry specified by LogEntryKey.
Return values:
EFI_SUCCESS | The GuageDataEntry is successfully found based on LogEntryKey.
EFI_NOT_FOUND | There is no entry after the measurement referred to by LogEntryKey.
EFI_INVALID_PARAMETER | The LogEntryKey is not a valid entry, or GaugeDataEntry is NULL.

typedef struct _PERFORMANCE_PROTOCOL PERFORMANCE_PROTOCOL

typedef EFI_STATUS(EFIAPI * PERFORMANCE_START_GAUGE)(IN CONST VOID *Handle, IN CONST CHAR8 *Token, IN CONST CHAR8 *Module, IN UINT64 TimeStamp)

Adds a record at the end of the performance measurement log that records the start time of a performance measurement.

The added record contains the Handle, Token, and Module. The end time of the new record is not recorded, so it is set to zero. If TimeStamp is not zero, then TimeStamp is used to fill in the start time in the record. If TimeStamp is zero, the start time in the record is filled in with the value read from the current time stamp.

Parameters:
Handle | The pointer to environment specific context used to identify the component being measured.
Token | The pointer to a Null-terminated ASCII string that identifies the component being measured.
Module | The pointer to a Null-terminated ASCII string that identifies the module being measured.
TimeStamp | The 64-bit time stamp.
Return values:
EFI_SUCCESS | The data was read correctly from the device.
EFI_OUT_OF_RESOURCES | There are not enough resources to record the measurement.

Variable Documentation

EFI_GUID gPerformanceProtocolGuid

EFI_GUID gSmmPerformanceProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/PlatDriOverrideHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/PlatDriOverrideHii.h File Reference

Defines

#define | PLAT_OVER_MNGR_GUID

Variables

EFI_GUID | gPlatformOverridesManagerGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in PlatDriOverride driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PLAT_OVER_MNGR_GUID

Value:

{ \
    0x8614567d, 0x35be, 0x4415, {0x8d, 0x88, 0xbd, 0x7d, 0xc, 0x9c, 0x70, 0xc0} \
  }

Variable Documentation

EFI_GUID gPlatformOverridesManagerGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/RecoveryDevice.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/RecoveryDevice.h File Reference

Defines

#define | RECOVERY_ON_DATA_CD_GUID
#define | RECOVERY_ON_FAT_FLOPPY_DISK_GUID
#define | RECOVERY_ON_FAT_IDE_DISK_GUID
#define | RECOVERY_ON_FAT_USB_DISK_GUID

Variables

EFI_GUID | gRecoveryOnDataCdGuid
EFI_GUID | gRecoveryOnFatFloppyDiskGuid
EFI_GUID | gRecoveryOnFatIdeDiskGuid
EFI_GUID | gRecoveryOnFatUsbDiskGuid

Detailed Description

Defines Name GUIDs to represent a Recovery Capsule loaded from a recovery device.

These are contracts between the recovery module and device recovery module that convey the name of a given recovery module type.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define RECOVERY_ON_DATA_CD_GUID

Value:

{ \
    0x5cac0099, 0x0dc9, 0x48e5, {0x80, 0x68, 0xbb, 0x95, 0xf5, 0x40, 0x0a, 0x9f } \
  };
The Global ID used to identify a recovery capsule that was loaded from a CD/DVD device.

#define RECOVERY_ON_FAT_FLOPPY_DISK_GUID

Value:

{ \
    0x2e3d2e75, 0x9b2e, 0x412d, {0xb4, 0xb1, 0x70, 0x41, 0x6b, 0x87, 0x0, 0xff } \
  };
The Global ID used to identify a recovery capsule that was loaded from floppy device.

#define RECOVERY_ON_FAT_IDE_DISK_GUID

Value:

{ \
    0xb38573b6, 0x6200, 0x4ac5, {0xb5, 0x1d, 0x82, 0xe6, 0x59, 0x38, 0xd7, 0x83 } \
  };
The Global ID used to identify a recovery capsule that was loaded from IDE hard drive.

#define RECOVERY_ON_FAT_USB_DISK_GUID

Value:

{ \
    0x0ffbce19, 0x324c, 0x4690, {0xa0, 0x09, 0x98, 0xc6, 0xae, 0x2e, 0xb1, 0x86 } \
  };
The Global ID used to identify a recovery capsule that was loaded from USB BOT device.

Variable Documentation

EFI_GUID gRecoveryOnDataCdGuid

EFI_GUID gRecoveryOnFatFloppyDiskGuid

EFI_GUID gRecoveryOnFatIdeDiskGuid

EFI_GUID gRecoveryOnFatUsbDiskGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/SmmLockBox.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/SmmLockBox.h File Reference

Data Structures

struct | EFI_SMM_LOCK_BOX_PARAMETER_HEADER
struct | EFI_SMM_LOCK_BOX_PARAMETER_SAVE
struct | EFI_SMM_LOCK_BOX_PARAMETER_UPDATE
struct | EFI_SMM_LOCK_BOX_PARAMETER_RESTORE
struct | EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES
struct | EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE

Defines

#define | EFI_SMM_LOCK_BOX_COMMUNICATION_GUID {0x2a3cfebd, 0x27e8, 0x4d0a, {0x8b, 0x79, 0xd6, 0x88, 0xc2, 0xa3, 0xe1, 0xc0}}
#define | EFI_SMM_LOCK_BOX_COMMAND_SAVE 0x1
#define | EFI_SMM_LOCK_BOX_COMMAND_UPDATE 0x2
#define | EFI_SMM_LOCK_BOX_COMMAND_RESTORE 0x3
#define | EFI_SMM_LOCK_BOX_COMMAND_SET_ATTRIBUTES 0x4
#define | EFI_SMM_LOCK_BOX_COMMAND_RESTORE_ALL_IN_PLACE 0x5

Variables

EFI_GUID | gEfiSmmLockBoxCommunicationGuid

Detailed Description

SmmLockBox guid header file.

Copyright (c) 2010 - 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_LOCK_BOX_COMMAND_RESTORE 0x3

#define EFI_SMM_LOCK_BOX_COMMAND_RESTORE_ALL_IN_PLACE 0x5

#define EFI_SMM_LOCK_BOX_COMMAND_SAVE 0x1

#define EFI_SMM_LOCK_BOX_COMMAND_SET_ATTRIBUTES 0x4

#define EFI_SMM_LOCK_BOX_COMMAND_UPDATE 0x2

#define EFI_SMM_LOCK_BOX_COMMUNICATION_GUID {0x2a3cfebd, 0x27e8, 0x4d0a, {0x8b, 0x79, 0xd6, 0x88, 0xc2, 0xa3, 0xe1, 0xc0}}

Variable Documentation

EFI_GUID gEfiSmmLockBoxCommunicationGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/SmmVariableCommon.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/SmmVariableCommon.h File Reference

Data Structures

struct | SMM_VARIABLE_COMMUNICATE_HEADER
struct | SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE
struct | SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME
struct | SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO

Defines

#define | EFI_SMM_VARIABLE_WRITE_GUID { 0x93ba1826, 0xdffb, 0x45dd, { 0x82, 0xa7, 0xe7, 0xdc, 0xaa, 0x3b, 0xbd, 0xf3 } }
#define | SMM_VARIABLE_FUNCTION_GET_VARIABLE 1
#define | SMM_VARIABLE_FUNCTION_GET_NEXT_VARIABLE_NAME 2
#define | SMM_VARIABLE_FUNCTION_SET_VARIABLE 3
#define | SMM_VARIABLE_FUNCTION_QUERY_VARIABLE_INFO 4
#define | SMM_VARIABLE_FUNCTION_READY_TO_BOOT 5
#define | SMM_VARIABLE_FUNCTION_EXIT_BOOT_SERVICE 6
#define | SMM_VARIABLE_FUNCTION_GET_STATISTICS 7
#define | SMM_COMMUNICATE_HEADER_SIZE (OFFSET_OF (EFI_SMM_COMMUNICATE_HEADER, Data))
#define | SMM_VARIABLE_COMMUNICATE_HEADER_SIZE (OFFSET_OF (SMM_VARIABLE_COMMUNICATE_HEADER, Data))

Variables

EFI_GUID | gSmmVariableWriteGuid

Detailed Description

The file defined some common structures used for communicating between SMM variable module and SMM variable wrapper module.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_VARIABLE_WRITE_GUID { 0x93ba1826, 0xdffb, 0x45dd, { 0x82, 0xa7, 0xe7, 0xdc, 0xaa, 0x3b, 0xbd, 0xf3 } }

#define SMM_COMMUNICATE_HEADER_SIZE (OFFSET_OF (EFI_SMM_COMMUNICATE_HEADER, Data))

Size of SMM communicate header, without including the payload.

#define SMM_VARIABLE_COMMUNICATE_HEADER_SIZE (OFFSET_OF (SMM_VARIABLE_COMMUNICATE_HEADER, Data))

Size of SMM variable communicate header, without including the payload.

#define SMM_VARIABLE_FUNCTION_EXIT_BOOT_SERVICE 6

#define SMM_VARIABLE_FUNCTION_GET_NEXT_VARIABLE_NAME 2

#define SMM_VARIABLE_FUNCTION_GET_STATISTICS 7

#define SMM_VARIABLE_FUNCTION_GET_VARIABLE 1

#define SMM_VARIABLE_FUNCTION_QUERY_VARIABLE_INFO 4

#define SMM_VARIABLE_FUNCTION_READY_TO_BOOT 5

#define SMM_VARIABLE_FUNCTION_SET_VARIABLE 3

Variable Documentation

EFI_GUID gSmmVariableWriteGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/StandardErrorDevice.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/StandardErrorDevice.h File Reference

Defines

#define | EFI_STANDARD_ERROR_DEVICE_GUID { 0xd3b36f2d, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variables

EFI_GUID | gEfiStandardErrorDeviceGuid

Detailed Description

This GUID is installed to the device handler to specify that the device is a StdErr device.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_STANDARD_ERROR_DEVICE_GUID { 0xd3b36f2d, 0xd551, 0x11d4, {0x9a, 0x46, 0x0, 0x90, 0x27, 0x3f, 0xc1, 0x4d } }

Variable Documentation

EFI_GUID gEfiStandardErrorDeviceGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/StatusCodeCallbackGuid.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/StatusCodeCallbackGuid.h File Reference

Defines

#define | STATUS_CODE_CALLBACK_GUID

Variables

EFI_GUID | gStatusCodeCallbackGuid

Detailed Description

GUID used to identify HOB for pointers to callback functios registered on PEI report status code router.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define STATUS_CODE_CALLBACK_GUID

Value:

{ \
    0xe701458c, 0x4900, 0x4ca5, {0xb7, 0x72, 0x3d, 0x37, 0x94, 0x9f, 0x79, 0x27} \
  }

Variable Documentation

EFI_GUID gStatusCodeCallbackGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/StatusCodeDataTypeDebug.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/StatusCodeDataTypeDebug.h File Reference

Data Structures

struct | EFI_DEBUG_INFO

Defines

#define | EFI_STATUS_CODE_DATA_TYPE_DEBUG_GUID
#define | EFI_STATUS_CODE_DATA_MAX_SIZE 200

Variables

EFI_GUID | gEfiStatusCodeDataTypeDebugGuid

Detailed Description

This file defines the GUID and data structure used to pass DEBUG() macro information to the Status Code Protocol and Status Code PPI.

Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_STATUS_CODE_DATA_MAX_SIZE 200

The maximum size of an EFI_DEBUG_INFO structure.

#define EFI_STATUS_CODE_DATA_TYPE_DEBUG_GUID

Value:

{ \
    0x9A4E9246, 0xD553, 0x11D5, { 0x87, 0xE2, 0x00, 0x06, 0x29, 0x45, 0xC3, 0xb9 } \
  }
The Global ID used to identify a structure of type EFI_DEBUG_INFO.

Variable Documentation

EFI_GUID gEfiStatusCodeDataTypeDebugGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/SystemNvDataGuid.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/SystemNvDataGuid.h File Reference

Data Structures

struct | EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER

Defines

#define | EFI_SYSTEM_NV_DATA_FV_GUID {0xfff12b8d, 0x7696, 0x4c8b, {0xa9, 0x85, 0x27, 0x47, 0x7, 0x5b, 0x4f, 0x50} }
#define | WORKING_BLOCK_VALID 0x1
#define | WORKING_BLOCK_INVALID 0x2

Variables

EFI_GUID | gEfiSystemNvDataFvGuid

Detailed Description

This file defines NvDataFv GUID and FTW working block structure header. This guid can be used as FileSystemGuid in EFI_FIRMWARE_VOLUME_HEADER if this FV image contains NV data, such as NV variable data. This guid can also be used as the signature of FTW working block header.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SYSTEM_NV_DATA_FV_GUID {0xfff12b8d, 0x7696, 0x4c8b, {0xa9, 0x85, 0x27, 0x47, 0x7, 0x5b, 0x4f, 0x50} }

#define WORKING_BLOCK_INVALID 0x2

#define WORKING_BLOCK_VALID 0x1

Variable Documentation

EFI_GUID gEfiSystemNvDataFvGuid

An NvDataFv GUID used as the signature of FTW working block header.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/UsbKeyBoardLayout.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/UsbKeyBoardLayout.h File Reference

Defines

#define | USB_KEYBOARD_LAYOUT_PACKAGE_GUID
#define | USB_KEYBOARD_LAYOUT_KEY_GUID

Variables

EFI_GUID | gUsbKeyboardLayoutPackageGuid
EFI_GUID | gUsbKeyboardLayoutKeyGuid

Detailed Description

USB KeyBoard Layout GUIDs

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define USB_KEYBOARD_LAYOUT_KEY_GUID

Value:

{ \
    0x3a4d7a7c, 0x18a, 0x4b42, { 0x81, 0xb3, 0xdc, 0x10, 0xe3, 0xb5, 0x91, 0xbd } \
  }

#define USB_KEYBOARD_LAYOUT_PACKAGE_GUID

Value:

{ \
    0xc0f3b43, 0x44de, 0x4907, { 0xb4, 0x78, 0x22, 0x5f, 0x6f, 0x62, 0x89, 0xdc } \
  }

Variable Documentation

EFI_GUID gUsbKeyboardLayoutKeyGuid

EFI_GUID gUsbKeyboardLayoutPackageGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/VariableFormat.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/VariableFormat.h File Reference

Data Structures

struct | VARIABLE_STORE_HEADER
struct | VARIABLE_HEADER
struct | _VARIABLE_INFO_ENTRY

Defines

#define | EFI_VARIABLE_GUID { 0xddcf3616, 0x3275, 0x4164, { 0x98, 0xb6, 0xfe, 0x85, 0x70, 0x7f, 0xfe, 0x7d } }
#define | ALIGNMENT 8
#define | GET_PAD_SIZE(a) (((~a) + 1) & (ALIGNMENT - 1))
#define | HEADER_ALIGNMENT 4
#define | HEADER_ALIGN(Header) (((UINTN) (Header) + HEADER_ALIGNMENT - 1) & (~(HEADER_ALIGNMENT - 1)))
#define | VARIABLE_STORE_SIGNATURE EFI_VARIABLE_GUID
#define | VARIABLE_STORE_FORMATTED 0x5a
#define | VARIABLE_STORE_HEALTHY 0xfe
#define | VARIABLE_DATA 0x55AA
#define | VAR_IN_DELETED_TRANSITION 0xfe
Variable is in obsolete transition.
#define | VAR_DELETED 0xfd
Variable is obsolete.
#define | VAR_HEADER_VALID_ONLY 0x7f
Variable header has been valid.
#define | VAR_ADDED 0x3f
Variable has been completely added.

Typedefs

typedef struct _VARIABLE_INFO_ENTRY | VARIABLE_INFO_ENTRY

Enumerations

enum | VARIABLE_STORE_STATUS { EfiRaw, EfiValid, EfiInvalid, EfiUnknown }

Variables

EFI_GUID | gEfiVariableGuid

Detailed Description

The variable data structures are related to EDK II-specific implementation of UEFI variables. VariableFormat.h defines variable data headers and variable storage region headers.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define ALIGNMENT 8

Alignment of variable name and data, according to the architecture: For IA-32 and Intel(R) 64 architectures: 1. For IA-64 architecture: 8.

#define EFI_VARIABLE_GUID { 0xddcf3616, 0x3275, 0x4164, { 0x98, 0xb6, 0xfe, 0x85, 0x70, 0x7f, 0xfe, 0x7d } }

#define GET_PAD_SIZE ( a ) (((~a) + 1) & (ALIGNMENT - 1))

#define HEADER_ALIGN ( Header ) (((UINTN) (Header) + HEADER_ALIGNMENT - 1) & (~(HEADER_ALIGNMENT - 1)))

#define HEADER_ALIGNMENT 4

Alignment of Variable Data Header in Variable Store region.

#define VAR_ADDED 0x3f

Variable has been completely added.

#define VAR_DELETED 0xfd

Variable is obsolete.

#define VAR_HEADER_VALID_ONLY 0x7f

Variable header has been valid.

#define VAR_IN_DELETED_TRANSITION 0xfe

Variable is in obsolete transition.

Variable State flags.

#define VARIABLE_DATA 0x55AA

Variable data start flag.

#define VARIABLE_STORE_FORMATTED 0x5a

Variable Store Header Format and State.

#define VARIABLE_STORE_HEALTHY 0xfe

#define VARIABLE_STORE_SIGNATURE EFI_VARIABLE_GUID

Typedef Documentation

typedef struct _VARIABLE_INFO_ENTRY VARIABLE_INFO_ENTRY

Enumeration Type Documentation

enum VARIABLE_STORE_STATUS

Status of Variable Store Region.

Enumerator:
EfiRaw
EfiValid
EfiInvalid
EfiUnknown

Variable Documentation

EFI_GUID gEfiVariableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/VariableIndexTable.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/VariableIndexTable.h File Reference

Data Structures

struct | VARIABLE_POINTER_TRACK
struct | VARIABLE_INDEX_TABLE

Defines

#define | VARIABLE_INDEX_TABLE_VOLUME 122
#define | EFI_VARIABLE_INDEX_TABLE_GUID { 0x8cfdb8c8, 0xd6b2, 0x40f3, { 0x8e, 0x97, 0x02, 0x30, 0x7c, 0xc9, 0x8b, 0x7c } }

Variables

EFI_GUID | gEfiVariableIndexTableGuid

Detailed Description

The variable data structures are related to EDK II-specific implementation of UEFI variables. VariableFormat.h defines variable data headers and variable storage region headers.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_VARIABLE_INDEX_TABLE_GUID { 0x8cfdb8c8, 0xd6b2, 0x40f3, { 0x8e, 0x97, 0x02, 0x30, 0x7c, 0xc9, 0x8b, 0x7c } }

#define VARIABLE_INDEX_TABLE_VOLUME 122

Variable Documentation

EFI_GUID gEfiVariableIndexTableGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/VlanConfigHii.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/VlanConfigHii.h File Reference

Defines

#define | VLAN_CONFIG_FORM_SET_GUID

Variables

EFI_GUID | gVlanConfigFormSetGuid

Detailed Description

GUIDs used as HII FormSet and HII Package list GUID in VlanConfig driver.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define VLAN_CONFIG_FORM_SET_GUID

Value:

{ \
    0xd79df6b0, 0xef44, 0x43bd, {0x97, 0x97, 0x43, 0xe9, 0x3b, 0xcf, 0x5f, 0xa8 } \
  }

Variable Documentation

EFI_GUID gVlanConfigFormSetGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Guid/ZeroGuid.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Guid/ZeroGuid.h File Reference

Defines

#define | ZERO_GUID

Variables

EFI_GUID | gZeroGuid

Detailed Description

GUID has all zero values.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define ZERO_GUID

Value:

{ \
    0x0, 0x0, 0x0, {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0} \
  }

Variable Documentation

EFI_GUID gZeroGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/CapsuleLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/CapsuleLib.h File Reference

Functions

EFI_STATUS EFIAPI | SupportCapsuleImage (IN EFI_CAPSULE_HEADER *CapsuleHeader)
EFI_STATUS EFIAPI | ProcessCapsuleImage (IN EFI_CAPSULE_HEADER *CapsuleHeader)

Detailed Description

This library class defines a set of interfaces for how to process capsule image updates.

Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI ProcessCapsuleImage ( IN EFI_CAPSULE_HEADER * CapsuleHeader )

The firmware-specific implementation processes the capsule image if it recognized the format of this capsule image.

Parameters:
CapsuleHeader Pointer to the UEFI capsule image to be processed.
Return values:
EFI_SUCESS | Capsule Image processed successfully.
EFI_UNSUPPORTED | Capsule image is not supported by the firmware.

EFI_STATUS EFIAPI SupportCapsuleImage ( IN EFI_CAPSULE_HEADER * CapsuleHeader )

The firmware checks whether the capsule image is supported by the CapsuleGuid in CapsuleHeader or if there is other specific information in the capsule image.

Parameters:
CapsuleHeader Pointer to the UEFI capsule image to be checked.
Return values:
EFI_SUCESS | Input capsule is supported by firmware.
EFI_UNSUPPORTED | Input capsule is not supported by the firmware.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/DebugAgentLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/DebugAgentLib.h File Reference

Data Structures

struct | DEBUG_AGENT_CONTEXT_POSTMEM_SEC

Defines

#define | DEBUG_AGENT_INIT_PREMEM_SEC 1
#define | DEBUG_AGENT_INIT_POSTMEM_SEC 2
#define | DEBUG_AGENT_INIT_DXE_CORE 3
#define | DEBUG_AGENT_INIT_SMM 4
#define | DEBUG_AGENT_INIT_ENTER_SMI 5
#define | DEBUG_AGENT_INIT_EXIT_SMI 6
#define | DEBUG_AGENT_INIT_S3 7
#define | DEBUG_AGENT_INIT_DXE_AP 8

Typedefs

typedef VOID(EFIAPI * | DEBUG_AGENT_CONTINUE )(IN VOID *Context)

Functions

VOID EFIAPI | InitializeDebugAgent (IN UINT32 InitFlag, IN VOID *Context, IN DEBUG_AGENT_CONTINUE Function)
BOOLEAN EFIAPI | SaveAndSetDebugTimerInterrupt (IN BOOLEAN EnableStatus)

Detailed Description

Debug Agent Library provide source-level debug capability.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define DEBUG_AGENT_INIT_DXE_AP 8

#define DEBUG_AGENT_INIT_DXE_CORE 3

#define DEBUG_AGENT_INIT_ENTER_SMI 5

#define DEBUG_AGENT_INIT_EXIT_SMI 6

#define DEBUG_AGENT_INIT_POSTMEM_SEC 2

#define DEBUG_AGENT_INIT_PREMEM_SEC 1

#define DEBUG_AGENT_INIT_S3 7

#define DEBUG_AGENT_INIT_SMM 4

Typedef Documentation

typedef VOID(EFIAPI * DEBUG_AGENT_CONTINUE)(IN VOID *Context)

Caller provided function to be invoked at the end of InitializeDebugAgent().

Refer to the descrption for InitializeDebugAgent() for more details.

Parameters:
[in] Context The first input parameter of InitializeDebugAgent().

Function Documentation

VOID EFIAPI InitializeDebugAgent | ( | IN UINT32 | InitFlag,
 |  | IN VOID * | Context,
 |  | IN DEBUG_AGENT_CONTINUE | Function
 | ) |  |

Initialize debug agent.

This function is used to set up debug environment to support source level debugging. If certain Debug Agent Library instance has to save some private data in the stack, this function must work on the mode that doesn't return to the caller, then the caller needs to wrap up all rest of logic after InitializeDebugAgent() into one function and pass it into InitializeDebugAgent(). InitializeDebugAgent() is responsible to invoke the passing-in function at the end of InitializeDebugAgent().

If the parameter Function is not NULL, Debug Agent Libary instance will invoke it by passing in the Context to be its parameter.

If Function() is NULL, Debug Agent Library instance will return after setup debug environment.

Parameters:
[in] | InitFlag | Init flag is used to decide the initialize process.
[in] | Context | Context needed according to InitFlag; it was optional.
[in] | Function | Continue function called by debug agent library; it was optional.

BOOLEAN EFIAPI SaveAndSetDebugTimerInterrupt ( IN BOOLEAN EnableStatus )

Enable/Disable the interrupt of debug timer and return the interrupt state prior to the operation.

If EnableStatus is TRUE, enable the interrupt of debug timer. If EnableStatus is FALSE, disable the interrupt of debug timer.

Parameters:
[in] EnableStatus Enable/Disable.
Return values:
TRUE | Debug timer interrupt were enabled on entry to this call.
FALSE | Debug timer interrupt were disabled on entry to this call.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/DpcLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/DpcLib.h File Reference

Functions

EFI_STATUS EFIAPI | QueueDpc (IN EFI_TPL DpcTpl, IN EFI_DPC_PROCEDURE DpcProcedure, IN VOID *DpcContext)
EFI_STATUS EFIAPI | DispatchDpc (VOID)

Detailed Description

DpcLib.h.

Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI DispatchDpc ( VOID )

Dispatch the queue of DPCs. All DPCs that have been queued with a DpcTpl value greater than or equal to the current TPL are invoked in the order that they were queued. DPCs with higher DpcTpl values are invoked before DPCs with lower DpcTpl values.

Return values:
EFI_SUCCESS | One or more DPCs were invoked.
EFI_NOT_FOUND | No DPCs were invoked.

EFI_STATUS EFIAPI QueueDpc | ( | IN EFI_TPL | DpcTpl,
 |  | IN EFI_DPC_PROCEDURE | DpcProcedure,
 |  | IN VOID * | DpcContext
 | ) |  |

Add a Deferred Procedure Call to the end of the DPC queue.

Parameters:
[in] | DpcTpl | The EFI_TPL that the DPC should invoke.
[in] | DpcProcedure | The pointer to the DPC's function.
[in] | DpcContext | The pointer to the DPC's context. Passed to DpcProcedure when DpcProcedure is invoked.
Return values:
EFI_SUCCESS | The DPC was queued.
EFI_INVALID_PARAMETER | DpcTpl is not a valid EFI_TPL.
EFI_INVALID_PARAMETER | DpcProcedure is NULL.
EFI_OUT_OF_RESOURCES | There are not enough resources available to add the DPC to the queue.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/HiiLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/HiiLib.h File Reference

Defines

#define | EFI_HII_TIME_UINT64(Hour, Minute, Second) (UINT64)((Hour & 0xff) | ((Minute & 0xff) << 8) | ((Second & 0xff) << 16))
#define | EFI_HII_DATE_UINT64(Year, Month, Day) (UINT64)((Year & 0xffff) | ((Month & 0xff) << 16) | ((Day & 0xff) << 24))

Functions

EFI_HII_HANDLE EFIAPI | HiiAddPackages (IN CONST EFI_GUID *PackageListGuid, IN EFI_HANDLE DeviceHandle,...)
VOID EFIAPI | HiiRemovePackages (IN EFI_HII_HANDLE HiiHandle)
EFI_STRING_ID EFIAPI | HiiSetString (IN EFI_HII_HANDLE HiiHandle, IN EFI_STRING_ID StringId, IN CONST EFI_STRING String, IN CONST CHAR8 *SupportedLanguages)
EFI_STRING EFIAPI | HiiGetString (IN EFI_HII_HANDLE HiiHandle, IN EFI_STRING_ID StringId, IN CONST CHAR8 *Language)
EFI_STRING EFIAPI | HiiGetPackageString (IN CONST EFI_GUID *PackageListGuid, IN EFI_STRING_ID StringId, IN CONST CHAR8 *Language)
EFI_HII_HANDLE *EFIAPI | HiiGetHiiHandles (IN CONST EFI_GUID *PackageListGuid)
CHAR8 *EFIAPI | HiiGetSupportedLanguages (IN EFI_HII_HANDLE HiiHandle)
EFI_STRING EFIAPI | HiiConstructConfigHdr (IN CONST EFI_GUID *Guid, IN CONST CHAR16 *Name, IN EFI_HANDLE DriverHandle)
BOOLEAN EFIAPI | HiiSetToDefaults (IN CONST EFI_STRING Request, IN UINT16 DefaultId)
BOOLEAN EFIAPI | HiiValidateSettings (IN CONST EFI_STRING Request)
BOOLEAN EFIAPI | HiiIsConfigHdrMatch (IN CONST EFI_STRING ConfigHdr, IN CONST EFI_GUID *Guid, IN CONST CHAR16 *Name)
BOOLEAN EFIAPI | HiiGetBrowserData (IN CONST EFI_GUID *VariableGuid, IN CONST CHAR16 *VariableName, IN UINTN BufferSize, OUT UINT8 *Buffer)
BOOLEAN EFIAPI | HiiSetBrowserData (IN CONST EFI_GUID *VariableGuid, IN CONST CHAR16 *VariableName, IN UINTN BufferSize, IN CONST UINT8 *Buffer, IN CONST CHAR16 *RequestElement)
VOID *EFIAPI | HiiAllocateOpCodeHandle (VOID)
VOID EFIAPI | HiiFreeOpCodeHandle (VOID *OpCodeHandle)
UINT8 *EFIAPI | HiiCreateRawOpCodes (IN VOID *OpCodeHandle, IN UINT8 *RawBuffer, IN UINTN RawBufferSize)
UINT8 *EFIAPI | HiiCreateEndOpCode (IN VOID *OpCodeHandle)
UINT8 *EFIAPI | HiiCreateOneOfOptionOpCode (IN VOID *OpCodeHandle, IN UINT16 StringId, IN UINT8 Flags, IN UINT8 Type, IN UINT64 Value)
UINT8 *EFIAPI | HiiCreateDefaultOpCode (IN VOID *OpCodeHandle, IN UINT16 DefaultId, IN UINT8 Type, IN UINT64 Value)
UINT8 *EFIAPI | HiiCreateGuidOpCode (IN VOID *OpCodeHandle, IN CONST EFI_GUID *Guid, IN CONST VOID *GuidOpCode, IN UINTN OpCodeSize)
UINT8 *EFIAPI | HiiCreateActionOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN EFI_STRING_ID QuestionConfig)
UINT8 *EFIAPI | HiiCreateSubTitleOpCode (IN VOID *OpCodeHandle, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 Flags, IN UINT8 Scope)
UINT8 *EFIAPI | HiiCreateGotoOpCode (IN VOID *OpCodeHandle, IN EFI_FORM_ID FormId, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN EFI_QUESTION_ID QuestionId)
UINT8 *EFIAPI | HiiCreateCheckBoxOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 CheckBoxFlags, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateNumericOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 NumericFlags, IN UINT64 Minimum, IN UINT64 Maximum, IN UINT64 Step, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateStringOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 StringFlags, IN UINT8 MinSize, IN UINT8 MaxSize, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateOneOfOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 OneOfFlags, IN VOID *OptionsOpCodeHandle, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateOrderedListOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 OrderedListFlags, IN UINT8 DataType, IN UINT8 MaxContainers, IN VOID *OptionsOpCodeHandle, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateTextOpCode (IN VOID *OpCodeHandle, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN EFI_STRING_ID TextTwo)
UINT8 *EFIAPI | HiiCreateDateOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 DateFlags, IN VOID *DefaultsOpCodeHandle)
UINT8 *EFIAPI | HiiCreateTimeOpCode (IN VOID *OpCodeHandle, IN EFI_QUESTION_ID QuestionId, IN EFI_VARSTORE_ID VarStoreId, IN UINT16 VarOffset, IN EFI_STRING_ID Prompt, IN EFI_STRING_ID Help, IN UINT8 QuestionFlags, IN UINT8 TimeFlags, IN VOID *DefaultsOpCodeHandle)
EFI_STATUS EFIAPI | HiiUpdateForm (IN EFI_HII_HANDLE HiiHandle, IN EFI_GUID *FormSetGuid, IN EFI_FORM_ID FormId, IN VOID *StartOpCodeHandle, IN VOID *EndOpCodeHandle)

Detailed Description

Public include file for the HII Library

Copyright (c) 2007 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_HII_DATE_UINT64 | ( | Year,
 |  | Month,
 |  | Day | ) | (UINT64)((Year & 0xffff) | ((Month & 0xff) << 16) | ((Day & 0xff) << 24))

Returns a UINT64 value that contains bit fields for Year, Month, and Day. The lower 16-bits of Year are placed in bits 0..15. The lower 8-bits of Month are placed in bits 16..23, and the lower 8-bits of Day are placed in bits 24..31. This format was selected because it can be easily translated to an EFI_HII_DATE structure in an EFI_IFR_TYPE_VALUE union.

Parameters:
Year | The year value to be encoded.
Month | The month value to be encoded.
Day | The day value to be encoded.
Returns:
A 64-bit containing Year, Month, and Day.

#define EFI_HII_TIME_UINT64 | ( | Hour,
 |  | Minute,
 |  | Second | ) | (UINT64)((Hour & 0xff) | ((Minute & 0xff) << 8) | ((Second & 0xff) << 16))

IFR Functions Returns a UINT64 value that contains bitfields for Hour, Minute, and Second. The lower 8-bits of Hour are placed in bits 0..7. The lower 8-bits of Minute are placed in bits 8..15, and the lower 8-bits of Second are placed in bits 16..23. This format was selected because it can be easily translated to an EFI_HII_TIME structure in an EFI_IFR_TYPE_VALUE union.

Parameters:
Hour | The hour value to be encoded.
Minute | The minute value to be encoded.
Second | The second value to be encoded.
Returns:
A 64-bit containing Hour, Minute, and Second.

Function Documentation

EFI_HII_HANDLE EFIAPI HiiAddPackages | ( | IN CONST EFI_GUID * | PackageListGuid,
 |  | IN EFI_HANDLE | DeviceHandle,
 |  |  | ...
 | ) |  |

Registers a list of packages in the HII Database and returns the HII Handle associated with that registration. If an HII Handle has already been registered with the same PackageListGuid and DeviceHandle, then NULL is returned. If there are not enough resources to perform the registration, then NULL is returned. If an empty list of packages is passed in, then NULL is returned. If the size of the list of package is 0, then NULL is returned.

The variable arguments are pointers that point to package headers defined by UEFI VFR compiler and StringGather tool.

pragma pack (push, 1) typedef struct { UINT32 BinaryLength; EFI_HII_PACKAGE_HEADER PackageHeader; } EDKII_AUTOGEN_PACKAGES_HEADER; pragma pack (pop)

Parameters:
[in] | PackageListGuid | The GUID of the package list.
[in] | DeviceHandle | If not NULL, the Device Handle on which an instance of DEVICE_PATH_PROTOCOL is installed. This Device Handle uniquely defines the device that the added packages are associated with.
[in] ... The variable argument list that contains pointers to packages terminated by a NULL.
Return values:
NULL | An HII Handle has already been registered in the HII Database with the same PackageListGuid and DeviceHandle.
NULL | The HII Handle could not be created.
NULL | An empty list of packages was passed in.
NULL | All packages are empty.
Other | The HII Handle associated with the newly registered package list.

VOID* EFIAPI HiiAllocateOpCodeHandle ( VOID )

Allocates and returns a new OpCode Handle. OpCode Handles must be freed with HiiFreeOpCodeHandle().

Return values:
NULL | There are not enough resources to allocate a new OpCode Handle.
Other | A new OpCode handle.

EFI_STRING EFIAPI HiiConstructConfigHdr | ( | IN CONST EFI_GUID * | Guid,
 |  | IN CONST CHAR16 * | Name,
 |  | IN EFI_HANDLE | DriverHandle
 | ) |  |

Allocates and returns a Null-terminated Unicode <ConfigHdr> string using routing information that includes a GUID, an optional Unicode string name, and a device path. The string returned is allocated with AllocatePool(). The caller is responsible for freeing the allocated string with FreePool().

The format of a <ConfigHdr> is as follows:

GUID=<HexCh>32&NAME=<Char>NameLength&PATH=<HexChar>DevicePathSize<Null>

Parameters:
[in] | Guid | The pointer to an EFI_GUID that is the routing information GUID. Each of the 16 bytes in Guid is converted to a 2 Unicode character hexidecimal string. This is an optional parameter that may be NULL.
[in] | Name | The pointer to a Null-terminated Unicode string that is the routing information NAME. This is an optional parameter that may be NULL. Each 16-bit Unicode character in Name is converted to a 4 character Unicode hexidecimal string.
[in] | DriverHandle | The driver handle that supports a Device Path Protocol that is the routing information PATH. Each byte of the Device Path associated with DriverHandle is converted to a two (Unicode) character hexidecimal string.
Return values:
NULL | DriverHandle does not support the Device Path Protocol.
NULL | DriverHandle does not support the Device Path Protocol.
Other | A pointer to the Null-terminate Unicode <ConfigHdr> string

UINT8* EFIAPI HiiCreateActionOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN EFI_STRING_ID | QuestionConfig
 | ) |  |

Create EFI_IFR_ACTION_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The Question ID.
[in] | Prompt | The String ID for Prompt.
[in] | Help | The String ID for Help.
[in] | QuestionFlags | The flags in the Question Header.
[in] | QuestionConfig | The String ID for the configuration.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateCheckBoxOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | CheckBoxFlags,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_CHECKBOX_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in CheckBoxFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The question ID.
[in] | VarStoreId | The storage ID.
[in] | VarOffset | The offset in Storage.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header.
[in] | CheckBoxFlags | The flags for checkbox opcode.
[in] | DefaultsOpCodeHandle | The handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateDateOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | DateFlags,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_DATE_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in DateFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | Handle to the buffer of opcodes.
[in] | QuestionId | Question ID
[in] | VarStoreId | Storage ID, optional. If DateFlags is not QF_DATE_STORAGE_NORMAL, this parameter is ignored.
[in] | VarOffset | Offset in Storage, optional. If DateFlags is not QF_DATE_STORAGE_NORMAL, this parameter is ignored.
[in] | Prompt | String ID for Prompt
[in] | Help | String ID for Help
[in] | QuestionFlags | Flags in Question Header
[in] | DateFlags | Flags for date opcode
[in] | DefaultsOpCodeHandle | Handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateDefaultOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN UINT16 | DefaultId,
 |  | IN UINT8 | Type,
 |  | IN UINT64 | Value
 | ) |  |

Create EFI_IFR_DEFAULT_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If Type is invalid, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | DefaultId | The DefaultId for the default.
[in] | Type | The type for the default.
[in] | Value | The value for the default.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateEndOpCode ( IN VOID * OpCodeHandle )

Create EFI_IFR_END_OP opcode.

If OpCodeHandle is NULL, then ASSERT().

Parameters:
[in] OpCodeHandle Handle to the buffer of opcodes.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateGotoOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_FORM_ID | FormId,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN EFI_QUESTION_ID | QuestionId
 | ) |  |

Create EFI_IFR_REF_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | FormId | The Destination Form ID.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header
[in] | QuestionId | Question ID.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateGuidOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN CONST EFI_GUID * | Guid,
 |  | IN CONST VOID * | GuidOpCode,
 |  | IN UINTN | OpCodeSize
 | ) |  |

Create EFI_IFR_GUID opcode.

If OpCodeHandle is NULL, then ASSERT(). If Guid is NULL, then ASSERT(). If OpCodeSize < sizeof (EFI_IFR_GUID), then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | Guid | The pointer to EFI_GUID of this guided opcode.
[in] | GuidOpCode | The pointer to an EFI_IFR_GUID opcode. This is an optional parameter that may be NULL. If this parameter is NULL, then the GUID extension region of the created opcode is filled with zeros. If this parameter is not NULL, then the GUID extension region of GuidData will be copied to the GUID extension region of the created opcode.
[in] | OpCodeSize | The size, in bytes, of created opcode. This value must be >= sizeof(EFI_IFR_GUID).
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateNumericOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | NumericFlags,
 |  | IN UINT64 | Minimum,
 |  | IN UINT64 | Maximum,
 |  | IN UINT64 | Step,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_NUMERIC_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in NumericFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The question ID.
[in] | VarStoreId | The storage ID.
[in] | VarOffset | The offset in Storage.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header.
[in] | NumericFlags | The flags for a numeric opcode.
[in] | Minimum | The numeric minimum value.
[in] | Maximum | The numeric maximum value.
[in] | Step | The numeric step for edit.
[in] | DefaultsOpCodeHandle | The handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateOneOfOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | OneOfFlags,
 |  | IN VOID * | OptionsOpCodeHandle,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_ONE_OF_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in OneOfFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The question ID.
[in] | VarStoreId | The storage ID.
[in] | VarOffset | The offset in Storage.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header.
[in] | OneOfFlags | The flags for a oneof opcode.
[in] | OptionsOpCodeHandle | The handle for a buffer of ONE_OF_OPTION opcodes.
[in] | DefaultsOpCodeHandle | The handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateOneOfOptionOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN UINT16 | StringId,
 |  | IN UINT8 | Flags,
 |  | IN UINT8 | Type,
 |  | IN UINT64 | Value
 | ) |  |

Create EFI_IFR_ONE_OF_OPTION_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If Type is invalid, then ASSERT(). If Flags is invalid, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | StringId | StringId for the option.
[in] | Flags | The flags for the option.
[in] | Type | The type for the option.
[in] | Value | The value for the option.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateOrderedListOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | OrderedListFlags,
 |  | IN UINT8 | DataType,
 |  | IN UINT8 | MaxContainers,
 |  | IN VOID * | OptionsOpCodeHandle,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_ORDERED_LIST_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in OrderedListFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The question ID.
[in] | VarStoreId | The storage ID.
[in] | VarOffset | The offset in Storage.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header.
[in] | OrderedListFlags | The flags for an ordered list opcode.
[in] | DataType | The type for option value.
[in] | MaxContainers | Maximum count for options in this ordered list
[in] | OptionsOpCodeHandle | The handle for a buffer of ONE_OF_OPTION opcodes.
[in] | DefaultsOpCodeHandle | Handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateRawOpCodes | ( | IN VOID * | OpCodeHandle,
 |  | IN UINT8 * | RawBuffer,
 |  | IN UINTN | RawBufferSize
 | ) |  |

Append raw opcodes to an OpCodeHandle.

If OpCodeHandle is NULL, then ASSERT(). If RawBuffer is NULL, then ASSERT();

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | RawBuffer | The buffer of opcodes to append.
[in] | RawBufferSize | The size, in bytes, of Buffer.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the appended opcodes.

UINT8* EFIAPI HiiCreateStringOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | StringFlags,
 |  | IN UINT8 | MinSize,
 |  | IN UINT8 | MaxSize,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_STRING_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in StringFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | QuestionId | The question ID.
[in] | VarStoreId | The storage ID.
[in] | VarOffset | The offset in Storage.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | QuestionFlags | The flags in Question Header.
[in] | StringFlags | The flags for a string opcode.
[in] | MinSize | The string minimum length.
[in] | MaxSize | The string maximum length.
[in] | DefaultsOpCodeHandle | The handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateSubTitleOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | Flags,
 |  | IN UINT8 | Scope
 | ) |  |

Create EFI_IFR_SUBTITLE_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in Flags, then ASSERT(). If Scope > 1, then ASSERT().

Parameters:
[in] | OpCodeHandle | The handle to the buffer of opcodes.
[in] | Prompt | The string ID for Prompt.
[in] | Help | The string ID for Help.
[in] | Flags | The subtitle opcode flags.
[in] | Scope | 1 if this opcode is the beginning of a new scope. 0 if this opcode is within the current scope.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateTextOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN EFI_STRING_ID | TextTwo
 | ) |  |

Create EFI_IFR_TEXT_OP opcode.

If OpCodeHandle is NULL, then ASSERT().

Parameters:
[in] | OpCodeHandle | Handle to the buffer of opcodes.
[in] | Prompt | String ID for Prompt.
[in] | Help | String ID for Help.
[in] | TextTwo | String ID for TextTwo.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

UINT8* EFIAPI HiiCreateTimeOpCode | ( | IN VOID * | OpCodeHandle,
 |  | IN EFI_QUESTION_ID | QuestionId,
 |  | IN EFI_VARSTORE_ID | VarStoreId,
 |  | IN UINT16 | VarOffset,
 |  | IN EFI_STRING_ID | Prompt,
 |  | IN EFI_STRING_ID | Help,
 |  | IN UINT8 | QuestionFlags,
 |  | IN UINT8 | TimeFlags,
 |  | IN VOID * | DefaultsOpCodeHandle
 | ) |  |

Create EFI_IFR_TIME_OP opcode.

If OpCodeHandle is NULL, then ASSERT(). If any reserved bits are set in QuestionFlags, then ASSERT(). If any reserved bits are set in TimeFlags, then ASSERT().

Parameters:
[in] | OpCodeHandle | Handle to the buffer of opcodes.
[in] | QuestionId | Question ID
[in] | VarStoreId | Storage ID, optional. If TimeFlags is not QF_TIME_STORAGE_NORMAL, this parameter is ignored.
[in] | VarOffset | Offset in Storage, optional. If TimeFlags is not QF_TIME_STORAGE_NORMAL, this parameter is ignored.
[in] | Prompt | String ID for Prompt
[in] | Help | String ID for Help
[in] | QuestionFlags | Flags in Question Header
[in] | TimeFlags | Flags for time opcode
[in] | DefaultsOpCodeHandle | Handle for a buffer of DEFAULT opcodes. This is an optional parameter that may be NULL.
Return values:
NULL | There is not enough space left in Buffer to add the opcode.
Other | A pointer to the created opcode.

VOID EFIAPI HiiFreeOpCodeHandle ( VOID * OpCodeHandle )

Frees an OpCode Handle that was previously allocated with HiiAllocateOpCodeHandle(). When an OpCode Handle is freed, all of the opcodes associated with the OpCode Handle are also freed.

If OpCodeHandle is NULL, then ASSERT().

Parameters:
[in] OpCodeHandle The handle to the buffer of opcodes.

BOOLEAN EFIAPI HiiGetBrowserData | ( | IN CONST EFI_GUID * | VariableGuid,
 |  | IN CONST CHAR16 * | VariableName,
 |  | IN UINTN | BufferSize,
 |  | OUT UINT8 * | Buffer
 | ) |  |

Retrieves uncommitted data from the Form Browser and converts it to a binary buffer.

Parameters:
[in] | VariableGuid | The pointer to an EFI_GUID structure. This is an optional parameter that may be NULL.
[in] | VariableName | The pointer to a Null-terminated Unicode string. This is an optional parameter that may be NULL.
[in] | BufferSize | The length in bytes of buffer to hold retrieved data.
[out] | Buffer | The buffer of data to be updated.
Return values:
FALSE | The uncommitted data could not be retrieved.
TRUE | The uncommitted data was retrieved.

EFI_HII_HANDLE* EFIAPI HiiGetHiiHandles ( IN CONST EFI_GUID * PackageListGuid )

Retrieves the array of all the HII Handles or the HII handles of a specific package list GUID in the HII Database. This array is terminated with a NULL HII Handle. This function allocates the returned array using AllocatePool(). The caller is responsible for freeing the array with FreePool().

Parameters:
[in] PackageListGuid An optional parameter that is used to request HII Handles associated with a specific Package List GUID. If this parameter is NULL, then all the HII Handles in the HII Database are returned. If this parameter is not NULL, then zero or more HII Handles associated with PackageListGuid are returned.
Return values:
NULL | No HII handles were found in the HII database
NULL | The array of HII Handles could not be retrieved
Other | A pointer to the NULL terminated array of HII Handles

EFI_STRING EFIAPI HiiGetPackageString | ( | IN CONST EFI_GUID * | PackageListGuid,
 |  | IN EFI_STRING_ID | StringId,
 |  | IN CONST CHAR8 * | Language
 | ) |  |

Retrieves a string from a string package named by GUID, in the specified language. If the language is not specified, then a string from a string package in the current platform language is retrieved. If the string cannot be retrieved using the specified language or the current platform language, then the string is retrieved from the string package in the first language the string package supports. The returned string is allocated using AllocatePool(). The caller is responsible for freeing the allocated buffer using FreePool().

If PackageListGuid is NULL, then ASSERT(). If StringId is 0, then ASSERT().

Parameters:
[in] | PackageListGuid | The GUID of a package list that was previously registered in the HII Database.
[in] | StringId | The identifier of the string to retrieved from the string package associated with PackageListGuid.
[in] | Language | The language of the string to retrieve. If this parameter is NULL, then the current platform language is used. The format of Language must follow the language format assumed in the HII Database.
Return values:
NULL | The package list specified by PackageListGuid is not present in the HII Database.
NULL | The string specified by StringId is not present in the string package.
Other | The string was returned.

EFI_STRING EFIAPI HiiGetString | ( | IN EFI_HII_HANDLE | HiiHandle,
 |  | IN EFI_STRING_ID | StringId,
 |  | IN CONST CHAR8 * | Language
 | ) |  |

Retrieves a string from a string package in a specific language. If the language is not specified, then a string from a string package in the current platform language is retrieved. If the string cannot be retrieved using the specified language or the current platform language, then the string is retrieved from the string package in the first language the string package supports. The returned string is allocated using AllocatePool(). The caller is responsible for freeing the allocated buffer using FreePool().

If HiiHandle is NULL, then ASSERT(). If StringId is 0, then ASSERT().

Parameters:
[in] | HiiHandle | A handle that was previously registered in the HII Database.
[in] | StringId | The identifier of the string to retrieved from the string package associated with HiiHandle.
[in] | Language | The language of the string to retrieve. If this parameter is NULL, then the current platform language is used. The format of Language must follow the language format assumed in the HII Database.
Return values:
NULL | The string specified by StringId is not present in the string package.
Other | The string was returned.

CHAR8* EFIAPI HiiGetSupportedLanguages ( IN EFI_HII_HANDLE HiiHandle )

Retrieves a pointer to a Null-terminated ASCII string containing the list of languages that an HII handle in the HII Database supports. The returned string is allocated using AllocatePool(). The caller is responsible for freeing the returned string using FreePool(). The format of the returned string follows the language format assumed in the HII Database.

If HiiHandle is NULL, then ASSERT().

Parameters:
[in] HiiHandle A handle that was previously registered in the HII Database.
Return values:
NULL | HiiHandle is not registered in the HII database
NULL | There are not enough resources available to retrieve the suported languages.
NULL | The list of suported languages could not be retrieved.
Other | A pointer to the Null-terminated ASCII string of supported languages.

BOOLEAN EFIAPI HiiIsConfigHdrMatch | ( | IN CONST EFI_STRING | ConfigHdr,
 |  | IN CONST EFI_GUID * | Guid,
 |  | IN CONST CHAR16 * | Name
 | ) |  |

Determines if the routing data specified by GUID and NAME match a <ConfigHdr>.

If ConfigHdr is NULL, then ASSERT().

Parameters:
[in] | ConfigHdr | Either <ConfigRequest> or <ConfigResp>.
[in] | Guid | The GUID of the storage.
[in] | Name | The NAME of the storage.
Return values:
TRUE | Routing information matches <ConfigHdr>.
FALSE | Routing information does not match <ConfigHdr>.

VOID EFIAPI HiiRemovePackages ( IN EFI_HII_HANDLE HiiHandle )

Removes a package list from the HII database.

If HiiHandle is NULL, then ASSERT(). If HiiHandle is not a valid EFI_HII_HANDLE in the HII database, then ASSERT().

Parameters:
[in] HiiHandle The handle that was previously registered in the HII database

BOOLEAN EFIAPI HiiSetBrowserData | ( | IN CONST EFI_GUID * | VariableGuid,
 |  | IN CONST CHAR16 * | VariableName,
 |  | IN UINTN | BufferSize,
 |  | IN CONST UINT8 * | Buffer,
 |  | IN CONST CHAR16 * | RequestElement
 | ) |  |

Updates uncommitted data in the Form Browser.

If Buffer is NULL, then ASSERT().

Parameters:
[in] | VariableGuid | The pointer to an EFI_GUID structure. This is an optional parameter that may be NULL.
[in] | VariableName | The pointer to a Null-terminated Unicode string. This is an optional parameter that may be NULL.
[in] | BufferSize | The length, in bytes, of Buffer.
[in] | Buffer | The buffer of data to commit.
[in] | RequestElement | An optional field to specify which part of the buffer data will be send back to Browser. If NULL, the whole buffer of data will be committed to Browser. <RequestElement> ::= &OFFSET=<Number>&WIDTH=<Number>*
Return values:
FALSE | The uncommitted data could not be updated.
TRUE | The uncommitted data was updated.

EFI_STRING_ID EFIAPI HiiSetString | ( | IN EFI_HII_HANDLE | HiiHandle,
 |  | IN EFI_STRING_ID | StringId,
 |  | IN CONST EFI_STRING | String,
 |  | IN CONST CHAR8 * | SupportedLanguages
 | ) |  |

This function creates a new string in String Package or updates an existing string in a String Package. If StringId is 0, then a new string is added to a String Package. If StringId is not zero, then a string in String Package is updated. If SupportedLanguages is NULL, then the string is added or updated for all the languages that the String Package supports. If SupportedLanguages is not NULL, then the string is added or updated for the set of languages specified by SupportedLanguages.

If HiiHandle is NULL, then ASSERT(). If String is NULL, then ASSERT().

Parameters:
[in] | HiiHandle | A handle that was previously registered in the HII Database.
[in] | StringId | If zero, then a new string is created in the String Package associated with HiiHandle. If non-zero, then the string specified by StringId is updated in the String Package associated with HiiHandle.
[in] | String | A pointer to the Null-terminated Unicode string to add or update in the String Package associated with HiiHandle.
[in] | SupportedLanguages | A pointer to a Null-terminated ASCII string of language codes. If this parameter is NULL, then String is added or updated in the String Package associated with HiiHandle for all the languages that the String Package supports. If this parameter is not NULL, then String is added or updated in the String Package associated with HiiHandle for the set of languages specified by SupportedLanguages. The format of SupportedLanguages must follow the language format assumed in the HII Database.
Return values:
0 | The string could not be added or updated in the String Package.
Other | The EFI_STRING_ID of the newly added or updated string.

BOOLEAN EFIAPI HiiSetToDefaults | ( | IN CONST EFI_STRING | Request,
 |  | IN UINT16 | DefaultId
 | ) |  |

Reset the default value specified by DefaultId to the driver configuration specified by the Request string.

NULL request string support depends on the ExportConfig interface of HiiConfigRouting protocol in UEFI specification.

Parameters:
Request | A null-terminated Unicode string in <MultiConfigRequest> format. It can be NULL. If it is NULL, all configurations for the entirety of the current HII database will be reset.
DefaultId | Specifies the type of defaults to retrieve.
Return values:
TURE | The default value was set successfully.
FALSE | The default value was not found.

EFI_STATUS EFIAPI HiiUpdateForm | ( | IN EFI_HII_HANDLE | HiiHandle,
 |  | IN EFI_GUID * | FormSetGuid,
 |  | IN EFI_FORM_ID | FormId,
 |  | IN VOID * | StartOpCodeHandle,
 |  | IN VOID * | EndOpCodeHandle
 | ) |  |

This function updates a form that has previously been registered with the HII Database. This function will perform at most one update operation.

The form to update is specified by Handle, FormSetGuid, and FormId. Binary comparisons of IFR opcodes are performed from the beginning of the form being updated until an IFR opcode is found that exactly matches the first IFR opcode specified by StartOpCodeHandle. The following rules are used to determine if an insert, replace, or delete operation is performed:

1) If no matches are found, then NULL is returned. 2) If a match is found, and EndOpCodeHandle is NULL, then all of the IFR opcodes from StartOpCodeHandle except the first opcode are inserted immediately after the matching IFR opcode in the form to be updated. 3) If a match is found, and EndOpCodeHandle is not NULL, then a search is made from the matching IFR opcode until an IFR opcode exactly matches the first IFR opcode specified by EndOpCodeHandle. If no match is found for the first IFR opcode specified by EndOpCodeHandle, then NULL is returned. If a match is found, then all of the IFR opcodes between the start match and the end match are deleted from the form being updated and all of the IFR opcodes from StartOpCodeHandle except the first opcode are inserted immediately after the matching start IFR opcode. If StartOpCcodeHandle only contains one IFR instruction, then the result of this operation will delete all of the IFR opcodes between the start end matches.

If HiiHandle is NULL, then ASSERT(). If StartOpCodeHandle is NULL, then ASSERT().

Parameters:
[in] | HiiHandle | The HII Handle of the form to update.
[in] | FormSetGuid | The Formset GUID of the form to update. This is an optional parameter that may be NULL. If it is NULL, all FormSet will be updated.
[in] | FormId | The ID of the form to update.
[in] | StartOpCodeHandle | An OpCode Handle that contains the set of IFR opcodes to be inserted or replaced in the form. The first IFR instruction in StartOpCodeHandle is used to find matching IFR opcode in the form.
[in] | EndOpCodeHandle | An OpCcode Handle that contains the IFR opcode that marks the end of a replace operation in the form. This is an optional parameter that may be NULL. If it is NULL, then the IFR opcodes specified by StartOpCodeHandle are inserted into the form.
Return values:
EFI_OUT_OF_RESOURCES | Not enough memory resources are allocated.
EFI_NOT_FOUND | The following cases will return EFI_NOT_FOUND: 1) The form specified by HiiHandle, FormSetGuid, and FormId could not be found in the HII Database. 2) No IFR opcodes in the target form match the first IFR opcode in StartOpCodeHandle. 3) EndOpCOde is not NULL, and no IFR opcodes in the target form following a matching start opcode match the first IFR opcode in EndOpCodeHandle.
EFI_SUCCESS | The matched form is updated by StartOpcode.

BOOLEAN EFIAPI HiiValidateSettings ( IN CONST EFI_STRING Request )

Validate the current configuration by parsing the IFR opcode in HII form.

NULL request string support depends on the ExportConfig interface of HiiConfigRouting protocol in the UEFI specification.

Parameters:
Request A null-terminated Unicode string in <MultiConfigRequest> format. It can be NULL. If it is NULL, all current configurations for the entirety of the current HII database will be validated.
Return values:
TRUE | The current configuration is valid.
FALSE | The current configuration is invalid.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/IpIoLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/IpIoLib.h File Reference

Data Structures

struct | ICMP_ERROR_INFO
union | IP_IO_IP_COMPLETION_TOKEN
union | IP_IO_IP_TX_DATA
union | IP_IO_IP_RX_DATA
union | IP_IO_OVERRIDE
union | IP_IO_IP_CONFIG_DATA
union | IP_IO_IP_HEADER
union | IP_IO_IP_MASK
union | IP_IO_IP_PROTOCOL
struct | _EFI_NET_SESSION_DATA
struct | _IP_IO
struct | _IP_IO_OPEN_DATA
struct | _IP_IO_SEND_ENTRY
struct | _IP_IO_IP_INFO

Defines

#define | ICMP_TYPE_UNREACH 3
#define | ICMP_TYPE_TIMXCEED 11
#define | ICMP_TYPE_PARAMPROB 12
#define | ICMP_TYPE_SOURCEQUENCH 4
#define | ICMP_CODE_UNREACH_NET 0
#define | ICMP_CODE_UNREACH_HOST 1
#define | ICMP_CODE_UNREACH_PROTOCOL 2
#define | ICMP_CODE_UNREACH_PORT 3
#define | ICMP_CODE_UNREACH_NEEDFRAG 4
#define | ICMP_CODE_UNREACH_SRCFAIL 5
#define | ICMP_CODE_UNREACH_NET_UNKNOWN 6
#define | ICMP_CODE_UNREACH_HOST_UNKNOWN 7
#define | ICMP_CODE_UNREACH_ISOLATED 8
#define | ICMP_CODE_UNREACH_NET_PROHIB 9
#define | ICMP_CODE_UNREACH_HOST_PROHIB 10
#define | ICMP_CODE_UNREACH_TOSNET 11
#define | ICMP_CODE_UNREACH_TOSHOST 12
#define | EFI_IP4_HEADER_LEN(HdrPtr) ((HdrPtr)->HeaderLength << 2)
#define | ICMP_ERRLEN(IpHdr) (sizeof(IP4_ICMP_HEAD) + EFI_IP4_HEADER_LEN(IpHdr) + 8)
#define | NET_PROTO_HDR(Buf, Type) ((Type *) ((Buf)->BlockOp[0].Head))
#define | ICMP_ERR_UNREACH_NET 0
#define | ICMP_ERR_UNREACH_HOST 1
#define | ICMP_ERR_UNREACH_PROTOCOL 2
#define | ICMP_ERR_UNREACH_PORT 3
#define | ICMP_ERR_MSGSIZE 4
#define | ICMP_ERR_UNREACH_SRCFAIL 5
#define | ICMP_ERR_TIMXCEED_INTRANS 6
#define | ICMP_ERR_TIMXCEED_REASS 7
#define | ICMP_ERR_QUENCH 8
#define | ICMP_ERR_PARAMPROB 9
#define | ICMP6_ERR_UNREACH_NET 0
#define | ICMP6_ERR_UNREACH_HOST 1
#define | ICMP6_ERR_UNREACH_PROTOCOL 2
#define | ICMP6_ERR_UNREACH_PORT 3
#define | ICMP6_ERR_PACKAGE_TOOBIG 4
#define | ICMP6_ERR_TIMXCEED_HOPLIMIT 5
#define | ICMP6_ERR_TIMXCEED_REASS 6
#define | ICMP6_ERR_PARAMPROB_HEADER 7
#define | ICMP6_ERR_PARAMPROB_NEXHEADER 8
#define | ICMP6_ERR_PARAMPROB_IPV6OPTION 9

Typedefs

typedef struct
_EFI_NET_SESSION_DATA 		EFI_NET_SESSION_DATA
typedef IN UINT8 | IcmpErr
typedef IN UINT8 IN
EFI_NET_SESSION_DATA * 		NetSession
typedef IN UINT8 IN
EFI_NET_SESSION_DATA IN
NET_BUF * 		Pkt
typedef IN UINT8 IN
EFI_NET_SESSION_DATA IN
NET_BUF IN VOID * 		Context
typedef IN VOID IN
IP_IO_IP_PROTOCOL 		Sender
typedef IN VOID IN
IP_IO_IP_PROTOCOL IN VOID * 		NotifyData
typedef struct _IP_IO | IP_IO
typedef struct _IP_IO_OPEN_DATA | IP_IO_OPEN_DATA
typedef struct _IP_IO_SEND_ENTRY | IP_IO_SEND_ENTRY
typedef struct _IP_IO_IP_INFO | IP_IO_IP_INFO

Functions

typedef | VOID (EFIAPI *PKT_RCVD_NOTIFY)(IN EFI_STATUS Status
IP_IO *EFIAPI | IpIoCreate (IN EFI_HANDLE Image, IN EFI_HANDLE Controller, IN UINT8 IpVersion)
EFI_STATUS EFIAPI | IpIoDestroy (IN OUT IP_IO *IpIo)
EFI_STATUS EFIAPI | IpIoStop (IN OUT IP_IO *IpIo)
EFI_STATUS EFIAPI | IpIoOpen (IN OUT IP_IO *IpIo, IN IP_IO_OPEN_DATA *OpenData)
EFI_STATUS EFIAPI | IpIoSend (IN OUT IP_IO *IpIo, IN OUT NET_BUF *Pkt, IN IP_IO_IP_INFO *Sender, IN VOID *Context, IN VOID *NotifyData, IN EFI_IP_ADDRESS *Dest, IN IP_IO_OVERRIDE *OverrideData)
VOID EFIAPI | IpIoCancelTxToken (IN IP_IO *IpIo, IN VOID *Packet)
IP_IO_IP_INFO *EFIAPI | IpIoAddIp (IN OUT IP_IO *IpIo)
EFI_STATUS EFIAPI | IpIoConfigIp (IN OUT IP_IO_IP_INFO *IpInfo, IN OUT VOID *IpConfigData)
VOID EFIAPI | IpIoRemoveIp (IN IP_IO *IpIo, IN IP_IO_IP_INFO *IpInfo)
IP_IO_IP_INFO *EFIAPI | IpIoFindSender (IN OUT IP_IO **IpIo, IN UINT8 IpVersion, IN EFI_IP_ADDRESS *Src)
EFI_STATUS EFIAPI | IpIoGetIcmpErrStatus (IN UINT8 IcmpError, IN UINT8 IpVersion, OUT BOOLEAN *IsHard, OUT BOOLEAN *Notify)
EFI_STATUS | IpIoRefreshNeighbor (IN IP_IO *IpIo, IN EFI_IP_ADDRESS *Neighbor, IN UINT32 Timeout)

Variables

EFI_IP4_CONFIG_DATA | mIp4IoDefaultIpConfigData
EFI_IP6_CONFIG_DATA | mIp6IoDefaultIpConfigData

Detailed Description

This library is only intended to be used by UEFI network stack modules. It provides the combined IpIo layer on the EFI IP4 Protocol and EFI IP6 protocol.

Copyright (c) 2005 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_IP4_HEADER_LEN ( HdrPtr ) ((HdrPtr)->HeaderLength << 2)

Get the IP header length from the struct EFI_IP4_HEADER. HeaderLength is Internet header length in 32-bit words, so HeaderLength<<2 is the real length of IP header.

Parameters:
[out] HdrPtr A pointer to EFI_IP4_HEADER.
Returns:
The IP header length.

#define ICMP6_ERR_PACKAGE_TOOBIG 4

#define ICMP6_ERR_PARAMPROB_HEADER 7

#define ICMP6_ERR_PARAMPROB_IPV6OPTION 9

#define ICMP6_ERR_PARAMPROB_NEXHEADER 8

#define ICMP6_ERR_TIMXCEED_HOPLIMIT 5

#define ICMP6_ERR_TIMXCEED_REASS 6

#define ICMP6_ERR_UNREACH_HOST 1

#define ICMP6_ERR_UNREACH_NET 0

#define ICMP6_ERR_UNREACH_PORT 3

#define ICMP6_ERR_UNREACH_PROTOCOL 2

#define ICMP_CODE_UNREACH_HOST 1

#define ICMP_CODE_UNREACH_HOST_PROHIB 10

#define ICMP_CODE_UNREACH_HOST_UNKNOWN 7

#define ICMP_CODE_UNREACH_ISOLATED 8

#define ICMP_CODE_UNREACH_NEEDFRAG 4

#define ICMP_CODE_UNREACH_NET 0

#define ICMP_CODE_UNREACH_NET_PROHIB 9

#define ICMP_CODE_UNREACH_NET_UNKNOWN 6

#define ICMP_CODE_UNREACH_PORT 3

#define ICMP_CODE_UNREACH_PROTOCOL 2

#define ICMP_CODE_UNREACH_SRCFAIL 5

#define ICMP_CODE_UNREACH_TOSHOST 12

#define ICMP_CODE_UNREACH_TOSNET 11

#define ICMP_ERR_MSGSIZE 4

#define ICMP_ERR_PARAMPROB 9

#define ICMP_ERR_QUENCH 8

#define ICMP_ERR_TIMXCEED_INTRANS 6

#define ICMP_ERR_TIMXCEED_REASS 7

#define ICMP_ERR_UNREACH_HOST 1

#define ICMP_ERR_UNREACH_NET 0

This error will be delivered to the listening transportation layer protocol that consumes IpIO.

#define ICMP_ERR_UNREACH_PORT 3

#define ICMP_ERR_UNREACH_PROTOCOL 2

#define ICMP_ERR_UNREACH_SRCFAIL 5

#define ICMP_ERRLEN ( IpHdr ) (sizeof(IP4_ICMP_HEAD) + EFI_IP4_HEADER_LEN(IpHdr) + 8)

To types of ICMP error which consist of ICMP header, IP header and original datagram's data, get length from sum of ICMP header length, IP header length and first 64 bits of datagram's data length.

Parameters:
[in] IpHdr A pointer to EFI_IP4_HEADER.
Returns:
The ICMP error length.

#define ICMP_TYPE_PARAMPROB 12

#define ICMP_TYPE_SOURCEQUENCH 4

#define ICMP_TYPE_TIMXCEED 11

#define ICMP_TYPE_UNREACH 3

#define NET_PROTO_HDR | ( | Buf,
 |  | Type | ) | ((Type *) ((Buf)->BlockOp[0].Head))

Get the packet header from NET_BUF.

Parameters:
[out] | Buf | A pointer to NET_BUF.
[in] | Type | Header type.
Returns:
The pointer to packet header.

Typedef Documentation

typedef IN VOID * Context

typedef struct _EFI_NET_SESSION_DATA EFI_NET_SESSION_DATA

The IP session for an IP receive packet.

typedef IN UINT8 IcmpErr

typedef struct _IP_IO IP_IO

This data structure wraps Ip4/Ip6 instances. The IpIo Library uses it for all Ip4/Ip6 operations.

typedef struct _IP_IO_IP_INFO IP_IO_IP_INFO

The IP_IO_IP_INFO is used in IpIoSend() to override the default IP instance in IP_IO.

typedef struct _IP_IO_OPEN_DATA IP_IO_OPEN_DATA

The struct is for the user to pass IP configuration and callbacks to IP_IO. It is used by IpIoOpen().

typedef struct _IP_IO_SEND_ENTRY IP_IO_SEND_ENTRY

Internal struct book-keeping send request of IP_IO.

An IP_IO_SEND_ENTRY will be created each time a send request is issued to IP_IO via IpIoSend().

typedef IN UINT8 IN EFI_NET_SESSION_DATA* NetSession

typedef IN VOID IN IP_IO_IP_PROTOCOL IN VOID* NotifyData

typedef IN UINT8 IN EFI_NET_SESSION_DATA IN NET_BUF* Pkt

typedef IN VOID IN IP_IO_IP_PROTOCOL Sender

Function Documentation

IP_IO_IP_INFO* EFIAPI IpIoAddIp ( IN OUT IP_IO * IpIo )

Add a new IP instance for sending data.

The function is used to add the IP_IO to the IP_IO sending list. The caller can later use IpIoFindSender() to get the IP_IO and call IpIoSend() to send data.

Parameters:
[in,out] IpIo The pointer to an IP_IO instance to add a new IP instance for sending purposes.
Returns:
The pointer to the created IP_IO_IP_INFO structure; NULL if failed.

VOID EFIAPI IpIoCancelTxToken | ( | IN IP_IO * | IpIo,
 |  | IN VOID * | Packet
 | ) |  |

Cancel the IP transmit token that wraps this Packet.

Parameters:
[in] | IpIo | The pointer to the IP_IO instance.
[in] | Packet | The pointer to the packet of NET_BUF to cancel.

EFI_STATUS EFIAPI IpIoConfigIp | ( | IN OUT IP_IO_IP_INFO * | IpInfo,
 |  | IN OUT VOID * | IpConfigData
 | ) |  |

Configure the IP instance of this IpInfo and start the receiving if IpConfigData is not NULL.

Parameters:
[in,out] | IpInfo | The pointer to the IP_IO_IP_INFO instance.
[in,out] | IpConfigData | The IP4 or IP6 configure data used to configure the IP instance. If NULL, the IP instance is reset. If UseDefaultAddress is set to TRUE, and the configure operation succeeds, the default address information is written back in this IpConfigData.
Return values:
EFI_SUCCESS | The IP instance of this IpInfo was configured successfully, or there is no need to reconfigure it.
Others | The configuration failed.

IP_IO* EFIAPI IpIoCreate | ( | IN EFI_HANDLE | Image,
 |  | IN EFI_HANDLE | Controller,
 |  | IN UINT8 | IpVersion
 | ) |  |

Create a new IP_IO instance.

This function uses IP4/IP6 service binding protocol in Controller to create an IP4/IP6 child (aka IP4/IP6 instance).

Parameters:
[in] | Image | The image handle of the driver or application that consumes IP_IO.
[in] | Controller | The controller handle that has IP4 or IP6 service binding protocol installed.
[in] | IpVersion | The version of the IP protocol to use, either IPv4 or IPv6.
Returns:
The pointer to a newly created IP_IO instance, or NULL if failed.

EFI_STATUS EFIAPI IpIoDestroy ( IN OUT IP_IO * IpIo )

Destroy an IP_IO instance.

This function is paired with IpIoCreate(). The IP_IO will be closed first. Resource will be freed afterwards. See IpIoClose().

Parameters:
[in,out] IpIo The pointer to the IP_IO instance that needs to be destroyed.
Return values:
EFI_SUCCESS | The IP_IO instance was destroyed successfully.
Others | An error condition occurred.

IP_IO_IP_INFO* EFIAPI IpIoFindSender | ( | IN OUT IP_IO ** | IpIo,
 |  | IN UINT8 | IpVersion,
 |  | IN EFI_IP_ADDRESS * | Src
 | ) |  |

Find the first IP protocol maintained in IpIo whose local address is the same as Src.

This function is called when the caller needs the IpIo to send data to the specified Src. The IpIo was added previously by IpIoAddIp().

Parameters:
[in,out] | IpIo | The pointer to the pointer of the IP_IO instance.
[in] | IpVersion | The version of the IP protocol to use, either IPv4 or IPv6.
[in] | Src | The local IP address.
Returns:
The pointer to the IP protocol can be used for sending purpose and its local address is the same with Src.

EFI_STATUS EFIAPI IpIoGetIcmpErrStatus | ( | IN UINT8 | IcmpError,
 |  | IN UINT8 | IpVersion,
 |  | OUT BOOLEAN * | IsHard,
 |  | OUT BOOLEAN * | Notify
 | ) |  |

Get the ICMP error map information.

The ErrorStatus will be returned. The IsHard and Notify are optional. If they are not NULL, this routine will fill them.

Parameters:
[in] | IcmpError | IcmpError Type.
[in] | IpVersion | The version of the IP protocol to use, either IPv4 or IPv6.
[out] | IsHard | If TRUE, indicates that it is a hard error.
[out] | Notify | If TRUE, SockError needs to be notified.
Returns:
The ICMP Error Status, such as EFI_NETWORK_UNREACHABLE.

EFI_STATUS EFIAPI IpIoOpen | ( | IN OUT IP_IO * | IpIo,
 |  | IN IP_IO_OPEN_DATA * | OpenData
 | ) |  |

Open an IP_IO instance for use.

This function is called after IpIoCreate(). It is used for configuring the IP instance and register the callbacks and their context data for sending and receiving IP packets.

Parameters:
[in,out] | IpIo | The pointer to an IP_IO instance that needs to open.
[in] | OpenData | The configuration data and callbacks for the IP_IO instance.
Return values:
EFI_SUCCESS | The IP_IO instance opened with OpenData successfully.
EFI_ACCESS_DENIED | The IP_IO instance is configured; avoid reopening it.
Others | An error condition occurred.

EFI_STATUS IpIoRefreshNeighbor | ( | IN IP_IO * | IpIo,
 |  | IN EFI_IP_ADDRESS * | Neighbor,
 |  | IN UINT32 | Timeout
 | ) |  |

Refresh the remote peer's Neighbor Cache entries.

This function is called when the caller needs the IpIo to refresh the existing IPv6 neighbor cache entries since the neighbor is considered reachable by the node has recently received a confirmation that packets sent recently to the neighbor were received by its IP layer.

Parameters:
[in] | IpIo | The pointer to an IP_IO instance
[in] | Neighbor | The IP address of the neighbor
[in] | Timeout | The time in 100-ns units that this entry will remain in the neighbor cache. A value of zero means that the entry is permanent. A value of non-zero means that the entry is dynamic and will be deleted after Timeout.
Return values:
EFI_SUCCESS | The operation completed successfully.
EFI_NOT_STARTED | The IpIo is not configured.
EFI_INVALID_PARAMETER | The Neighbor Address is invalid.
EFI_NOT_FOUND | The neighbor cache entry is not in the neighbor table.
EFI_OUT_OF_RESOURCES | Failed due to resource limitations.

VOID EFIAPI IpIoRemoveIp | ( | IN IP_IO * | IpIo,
 |  | IN IP_IO_IP_INFO * | IpInfo
 | ) |  |

Destroy an IP instance maintained in IpIo->IpList for sending purpose.

This function pairs with IpIoAddIp(). The IpInfo is previously created by IpIoAddIp(). The IP_IO_IP_INFO::RefCnt is decremented and the IP instance will be dstroyed if the RefCnt is zero.

Parameters:
[in] | IpIo | The pointer to the IP_IO instance.
[in] | IpInfo | The pointer to the IpInfo to be removed.

EFI_STATUS EFIAPI IpIoSend | ( | IN OUT IP_IO * | IpIo,
 |  | IN OUT NET_BUF * | Pkt,
 |  | IN IP_IO_IP_INFO * | Sender,
 |  | IN VOID * | Context,
 |  | IN VOID * | NotifyData,
 |  | IN EFI_IP_ADDRESS * | Dest,
 |  | IN IP_IO_OVERRIDE * | OverrideData
 | ) |  |

Send out an IP packet.

This function is called after IpIoOpen(). The data to be sent are wrapped in Pkt. The IP instance wrapped in IpIo is used for sending by default, but can be overriden by Sender. Other sending configurations, such as source address and gateway address, are specified in OverrideData.

Parameters:
[in,out] | IpIo | The pointer to an IP_IO instance used for sending IP packet.
[in,out] | Pkt | The pointer to the IP packet to be sent.
[in] | Sender | Optional. The IP protocol instance used for sending.
[in] | Context | The optional context data.
[in] | NotifyData | The optional notify data.
[in] | Dest | The destination IP address to send this packet to.
[in] | OverrideData | The data to override some configuration of the IP instance used for sending.
Return values:
EFI_SUCCESS | The operation completed successfully.
EFI_NOT_STARTED | The IpIo is not configured.
EFI_OUT_OF_RESOURCES | Failed due to resource limitations.

EFI_STATUS EFIAPI IpIoStop ( IN OUT IP_IO * IpIo )

Stop an IP_IO instance.

This function is paired with IpIoOpen(). The IP_IO will be unconfigured, and all pending send/receive tokens will be canceled.

Parameters:
[in,out] IpIo The pointer to the IP_IO instance that needs to stop.
Return values:
EFI_SUCCESS | The IP_IO instance stopped successfully.
Others | Anrror condition occurred.

typedef VOID ( EFIAPI * PKT_RCVD_NOTIFY )

The prototype is called back when an IP packet is received.

Parameters:
[in] | Status | The result of the receive request.
[in] | IcmpErr | Valid when Status is EFI_ICMP_ERROR.
[in] | NetSession | The IP session for the received packet.
[in] | Pkt | The packet received.
[in] | Context | The data provided by the user for the received packet when the callback is registered in IP_IO_OPEN_DATA::RcvdContext.
The prototype is called back when an IP packet is sent.

Parameters:
[in] | Status | Result of the IP packet being sent.
[in] | Context | The data provided by user for the received packet when the callback is registered in IP_IO_OPEN_DATA::SndContext.
[in] | Sender | A Union type to specify a pointer of EFI_IP4_PROTOCOL or EFI_IP6_PROTOCOL.
[in] | NotifyData | The Context data specified when calling IpIoSend()
Register Exit handler function. When more than one handler function is registered, the latter one will override the previous one. When NULL handler is specified, the previous Exit handler will be unregistered.

Parameters:
[in] Handler Pointer to handler function.

Variable Documentation

EFI_IP4_CONFIG_DATA mIp4IoDefaultIpConfigData

EFI_IP6_CONFIG_DATA mIp6IoDefaultIpConfigData

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/LockBoxLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/LockBoxLib.h File Reference

Defines

#define | LOCK_BOX_ATTRIBUTE_RESTORE_IN_PLACE BIT0

Functions

RETURN_STATUS EFIAPI | SaveLockBox (IN GUID *Guid, IN VOID *Buffer, IN UINTN Length)
RETURN_STATUS EFIAPI | SetLockBoxAttributes (IN GUID *Guid, IN UINT64 Attributes)
RETURN_STATUS EFIAPI | UpdateLockBox (IN GUID *Guid, IN UINTN Offset, IN VOID *Buffer, IN UINTN Length)
RETURN_STATUS EFIAPI | RestoreLockBox (IN GUID *Guid, IN VOID *Buffer, IN OUT UINTN *Length)
RETURN_STATUS EFIAPI | RestoreAllLockBoxInPlace (VOID)

Detailed Description

This library is only intended to be used by DXE modules that need save confidential information to LockBox and get it by PEI modules in S3 phase.

Copyright (c) 2010 - 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define LOCK_BOX_ATTRIBUTE_RESTORE_IN_PLACE BIT0

Function Documentation

RETURN_STATUS EFIAPI RestoreAllLockBoxInPlace ( VOID )

This function will restore confidential information from all lockbox which have RestoreInPlace attribute.

Return values:
RETURN_SUCCESS | the information is restored successfully.
RETURN_NOT_STARTED | it is too early to invoke this interface
RETURN_UNSUPPORTED | the service is not supported by implementaion.

RETURN_STATUS EFIAPI RestoreLockBox | ( | IN GUID * | Guid,
 |  | IN VOID * | Buffer,
 |  | IN OUT UINTN * | Length
 | ) |  |

This function will restore confidential information from lockbox.

Parameters:
Guid | the guid to identify the confidential information
Buffer | the address of the restored confidential information NULL means restored to original address, Length MUST be NULL at same time.
Length | the length of the restored confidential information
Return values:
RETURN_SUCCESS | the information is restored successfully.
RETURN_INVALID_PARAMETER | the Guid is NULL, or one of Buffer and Length is NULL.
RETURN_WRITE_PROTECTED | Buffer and Length are NULL, but the LockBox has no LOCK_BOX_ATTRIBUTE_RESTORE_IN_PLACE attribute.
RETURN_BUFFER_TOO_SMALL | the Length is too small to hold the confidential information.
RETURN_NOT_FOUND | the requested GUID not found.
RETURN_NOT_STARTED | it is too early to invoke this interface
RETURN_ACCESS_DENIED | not allow to restore to the address
RETURN_UNSUPPORTED | the service is not supported by implementaion.

RETURN_STATUS EFIAPI SaveLockBox | ( | IN GUID * | Guid,
 |  | IN VOID * | Buffer,
 |  | IN UINTN | Length
 | ) |  |

This function will save confidential information to lockbox.

Parameters:
Guid | the guid to identify the confidential information
Buffer | the address of the confidential information
Length | the length of the confidential information
Return values:
RETURN_SUCCESS | the information is saved successfully.
RETURN_INVALID_PARAMETER | the Guid is NULL, or Buffer is NULL, or Length is 0
RETURN_ALREADY_STARTED | the requested GUID already exist.
RETURN_OUT_OF_RESOURCES | no enough resource to save the information.
RETURN_ACCESS_DENIED | it is too late to invoke this interface
RETURN_NOT_STARTED | it is too early to invoke this interface
RETURN_UNSUPPORTED | the service is not supported by implementaion.

RETURN_STATUS EFIAPI SetLockBoxAttributes | ( | IN GUID * | Guid,
 |  | IN UINT64 | Attributes
 | ) |  |

This function will set lockbox attributes.

Parameters:
Guid | the guid to identify the confidential information
Attributes | the attributes of the lockbox
Return values:
RETURN_SUCCESS | the information is saved successfully.
RETURN_INVALID_PARAMETER | attributes is invalid.
RETURN_NOT_FOUND | the requested GUID not found.
RETURN_ACCESS_DENIED | it is too late to invoke this interface
RETURN_NOT_STARTED | it is too early to invoke this interface
RETURN_UNSUPPORTED | the service is not supported by implementaion.

RETURN_STATUS EFIAPI UpdateLockBox | ( | IN GUID * | Guid,
 |  | IN UINTN | Offset,
 |  | IN VOID * | Buffer,
 |  | IN UINTN | Length
 | ) |  |

This function will update confidential information to lockbox.

Parameters:
Guid | the guid to identify the original confidential information
Offset | the offset of the original confidential information
Buffer | the address of the updated confidential information
Length | the length of the updated confidential information
Return values:
RETURN_SUCCESS | the information is saved successfully.
RETURN_INVALID_PARAMETER | the Guid is NULL, or Buffer is NULL, or Length is 0.
RETURN_NOT_FOUND | the requested GUID not found.
RETURN_BUFFER_TOO_SMALL | the original buffer to too small to hold new information.
RETURN_ACCESS_DENIED | it is too late to invoke this interface
RETURN_NOT_STARTED | it is too early to invoke this interface
RETURN_UNSUPPORTED | the service is not supported by implementaion.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/NetLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/NetLib.h File Reference

Data Structures

struct | ETHER_HEAD
union | VLAN_TCI
struct | IP4_HEAD
struct | IP4_ICMP_HEAD
struct | IP4_ICMP_ERROR_HEAD
struct | IP4_ICMP_QUERY_HEAD
struct | IP6_ICMP_HEAD
struct | IP6_ICMP_ERROR_HEAD
struct | IP6_ICMP_INFORMATION_HEAD
struct | EFI_UDP_HEADER
struct | TCP_HEAD
struct | NET_MAP_ITEM
struct | NET_MAP
struct | NET_BLOCK
struct | NET_VECTOR
struct | NET_BLOCK_OP
union | NET_IP_HEAD
struct | NET_BUF
struct | NET_BUF_QUEUE
struct | NET_PSEUDO_HDR
struct | NET_IP6_PSEUDO_HDR
struct | NET_FRAGMENT

Defines

#define | NET_ETHER_ADDR_LEN 6
#define | NET_IFTYPE_ETHERNET 0x01
#define | NET_VLAN_TAG_LEN 4
#define | ETHER_TYPE_VLAN 0x8100
#define | EFI_IP_PROTO_UDP 0x11
#define | EFI_IP_PROTO_TCP 0x06
#define | EFI_IP_PROTO_ICMP 0x01
#define | IP4_PROTO_IGMP 0x02
#define | IP6_ICMP 58
#define | IP4_ADDR_CLASSA 1
#define | IP4_ADDR_CLASSB 2
#define | IP4_ADDR_CLASSC 3
#define | IP4_ADDR_CLASSD 4
#define | IP4_ADDR_CLASSE 5
#define | IP4_MASK_NUM 33
#define | IP6_PREFIX_NUM 129
#define | IP6_HOP_BY_HOP 0
#define | IP6_DESTINATION 60
#define | IP6_ROUTING 43
#define | IP6_FRAGMENT 44
#define | IP6_AH 51
#define | IP6_ESP 50
#define | IP6_NO_NEXT_HEADER 59
#define | IP_VERSION_4 4
#define | IP_VERSION_6 6
#define | IP6_PREFIX_LENGTH 64
#define | VLAN_TCI_CFI_CANONICAL_MAC 0
#define | VLAN_TCI_CFI_NON_CANONICAL_MAC 1
#define | NET_MAC_EQUAL(pMac1, pMac2, Len) (CompareMem ((pMac1), (pMac2), Len) == 0)
#define | NET_MAC_IS_MULTICAST(Mac, BMac, Len) (((*((UINT8 *) Mac) & 0x01) == 0x01) && (!NET_MAC_EQUAL (Mac, BMac, Len)))
#define | NTOHL(x) SwapBytes32 (x)
#define | HTONL(x) NTOHL(x)
#define | NTOHS(x) SwapBytes16 (x)
#define | HTONS(x) NTOHS(x)
#define | NTOHLL(x) SwapBytes64 (x)
#define | HTONLL(x) NTOHLL(x)
#define | NTOHLLL(x) Ip6Swap128 (x)
#define | HTONLLL(x) NTOHLLL(x)
#define | IP4_IS_MULTICAST(Ip) (((Ip) & 0xF0000000) == 0xE0000000)
#define | IP4_IS_LOCAL_BROADCAST(Ip) ((Ip) == 0xFFFFFFFF)
#define | IP4_NET_EQUAL(Ip1, Ip2, NetMask) (((Ip1) & (NetMask)) == ((Ip2) & (NetMask)))
#define | IP4_IS_VALID_NETMASK(Ip) (NetGetMaskLength (Ip) != IP4_MASK_NUM)
#define | IP6_IS_MULTICAST(Ip6) (((Ip6)->Addr[0]) == 0xFF)
#define | EFI_IP4(EfiIpAddr) (*(IP4_ADDR *) ((EfiIpAddr).Addr))
#define | EFI_NTOHL(EfiIp) (NTOHL (EFI_IP4 ((EfiIp))))
#define | EFI_IP4_EQUAL(Ip1, Ip2) (CompareMem ((Ip1), (Ip2), sizeof (EFI_IPv4_ADDRESS)) == 0)
#define | EFI_IP6_EQUAL(Ip1, Ip2) (CompareMem ((Ip1), (Ip2), sizeof (EFI_IPv6_ADDRESS)) == 0)
#define | IP4_COPY_ADDRESS(Dest, Src) (CopyMem ((Dest), (Src), sizeof (EFI_IPv4_ADDRESS)))
#define | IP6_COPY_ADDRESS(Dest, Src) (CopyMem ((Dest), (Src), sizeof (EFI_IPv6_ADDRESS)))
#define | IP6_COPY_LINK_ADDRESS(Mac1, Mac2) (CopyMem ((Mac1), (Mac2), sizeof (EFI_MAC_ADDRESS)))
#define | NETDEBUG_LEVEL_TRACE 5
#define | NETDEBUG_LEVEL_WARNING 4
#define | NETDEBUG_LEVEL_ERROR 3
#define | NET_SYSLOG_FACILITY 16
#define | NET_SYSLOG_PACKET_LEN 512
#define | NET_SYSLOG_TX_TIMEOUT (500 * 1000 * 10)
#define | NET_DEBUG_MSG_LEN 470
#define | NET_DEBUG_TRACE(Module, PrintArg)
#define | NET_DEBUG_WARNING(Module, PrintArg)
#define | NET_DEBUG_ERROR(Module, PrintArg)
#define | NET_IS_DIGIT(Ch) (('0' <= (Ch)) && ((Ch) <= '9'))
#define | NET_ROUNDUP(size, unit) (((size) + (unit) - 1) & (~((unit) - 1)))
#define | NET_IS_LOWER_CASE_CHAR(Ch) (('a' <= (Ch)) && ((Ch) <= 'z'))
#define | NET_IS_UPPER_CASE_CHAR(Ch) (('A' <= (Ch)) && ((Ch) <= 'Z'))
#define | TICKS_PER_MS 10000U
#define | TICKS_PER_SECOND 10000000U
#define | NET_RANDOM(Seed) ((UINT32) ((UINT32) (Seed) * 1103515245UL + 12345) % 4294967295UL)
#define | NET_LIST_USER_STRUCT(Entry, Type, Field) BASE_CR(Entry, Type, Field)
#define | NET_LIST_USER_STRUCT_S(Entry, Type, Field, Sig) CR(Entry, Type, Field, Sig)
#define | NET_LIST_FOR_EACH(Entry, ListHead) for(Entry = (ListHead)->ForwardLink; Entry != (ListHead); Entry = Entry->ForwardLink)
#define | NET_LIST_FOR_EACH_SAFE(Entry, NextEntry, ListHead)
#define | NET_LIST_HEAD(ListHead, Type, Field) NET_LIST_USER_STRUCT((ListHead)->ForwardLink, Type, Field)
#define | NET_LIST_TAIL(ListHead, Type, Field) NET_LIST_USER_STRUCT((ListHead)->BackLink, Type, Field)
#define | NET_MAP_INCREAMENT 64
#define | NET_BUF_SIGNATURE SIGNATURE_32 ('n', 'b', 'u', 'f')
#define | NET_VECTOR_SIGNATURE SIGNATURE_32 ('n', 'v', 'e', 'c')
#define | NET_QUE_SIGNATURE SIGNATURE_32 ('n', 'b', 'q', 'u')
#define | NET_PROTO_DATA 64
#define | NET_BUF_HEAD 1
#define | NET_BUF_TAIL 0
#define | NET_VECTOR_OWN_FIRST 0x01
#define | NET_CHECK_SIGNATURE(PData, SIGNATURE) ASSERT (((PData) != NULL) && ((PData)->Signature == (SIGNATURE)))
#define | NET_GET_REF(PData) ((PData)->RefCnt++)
#define | NET_PUT_REF(PData) ((PData)->RefCnt--)
#define | NETBUF_FROM_PROTODATA(Info) BASE_CR((Info), NET_BUF, ProtoData)
#define | NET_BUF_SHARED(Buf) (((Buf)->RefCnt > 1) || ((Buf)->Vector->RefCnt > 1))
#define | NET_VECTOR_SIZE(BlockNum) (sizeof (NET_VECTOR) + ((BlockNum) - 1) * sizeof (NET_BLOCK))
#define | NET_BUF_SIZE(BlockOpNum) (sizeof (NET_BUF) + ((BlockOpNum) - 1) * sizeof (NET_BLOCK_OP))
#define | NET_HEADSPACE(BlockOp) (UINTN)((BlockOp)->Head - (BlockOp)->BlockHead)
#define | NET_TAILSPACE(BlockOp) (UINTN)((BlockOp)->BlockTail - (BlockOp)->Tail)

Typedefs

typedef UINT32 | IP4_ADDR
typedef UINT32 | TCP_SEQNO
typedef UINT16 | TCP_PORTNO
typedef IN NET_MAP_ITEM * | Item
typedef IN NET_MAP_ITEM IN VOID * | Arg

Functions

CHAR8 *EFIAPI | NetDebugASPrint (IN CHAR8 *Format,...)
EFI_STATUS EFIAPI | NetDebugOutput (IN UINT32 Level, IN UINT8 *Module, IN UINT8 *File, IN UINT32 Line, IN UINT8 *Message)
INTN EFIAPI | NetGetMaskLength (IN IP4_ADDR NetMask)
INTN EFIAPI | NetGetIpClass (IN IP4_ADDR Addr)
BOOLEAN EFIAPI | NetIp4IsUnicast (IN IP4_ADDR Ip, IN IP4_ADDR NetMask)
BOOLEAN EFIAPI | NetIp6IsValidUnicast (IN EFI_IPv6_ADDRESS *Ip6)
BOOLEAN EFIAPI | NetIp6IsUnspecifiedAddr (IN EFI_IPv6_ADDRESS *Ip6)
BOOLEAN EFIAPI | NetIp6IsLinkLocalAddr (IN EFI_IPv6_ADDRESS *Ip6)
BOOLEAN EFIAPI | NetIp6IsNetEqual (EFI_IPv6_ADDRESS *Ip1, EFI_IPv6_ADDRESS *Ip2, UINT8 PrefixLength)
EFI_IPv6_ADDRESS *EFIAPI | Ip6Swap128 (EFI_IPv6_ADDRESS *Ip6)
UINT32 EFIAPI | NetGetUint32 (IN UINT8 *Buf)
VOID EFIAPI | NetPutUint32 (IN OUT UINT8 *Buf, IN UINT32 Data)
UINT32 EFIAPI | NetRandomInitSeed (VOID)
LIST_ENTRY *EFIAPI | NetListRemoveHead (IN OUT LIST_ENTRY *Head)
LIST_ENTRY *EFIAPI | NetListRemoveTail (IN OUT LIST_ENTRY *Head)
VOID EFIAPI | NetListInsertAfter (IN OUT LIST_ENTRY *PrevEntry, IN OUT LIST_ENTRY *NewEntry)
VOID EFIAPI | NetListInsertBefore (IN OUT LIST_ENTRY *PostEntry, IN OUT LIST_ENTRY *NewEntry)
VOID EFIAPI | NetMapInit (IN OUT NET_MAP *Map)
VOID EFIAPI | NetMapClean (IN OUT NET_MAP *Map)
BOOLEAN EFIAPI | NetMapIsEmpty (IN NET_MAP *Map)
UINTN EFIAPI | NetMapGetCount (IN NET_MAP *Map)
EFI_STATUS EFIAPI | NetMapInsertHead (IN OUT NET_MAP *Map, IN VOID *Key, IN VOID *Value)
EFI_STATUS EFIAPI | NetMapInsertTail (IN OUT NET_MAP *Map, IN VOID *Key, IN VOID *Value)
NET_MAP_ITEM *EFIAPI | NetMapFindKey (IN NET_MAP *Map, IN VOID *Key)
VOID *EFIAPI | NetMapRemoveItem (IN OUT NET_MAP *Map, IN OUT NET_MAP_ITEM *Item, OUT VOID **Value)
VOID *EFIAPI | NetMapRemoveHead (IN OUT NET_MAP *Map, OUT VOID **Value)
VOID *EFIAPI | NetMapRemoveTail (IN OUT NET_MAP *Map, OUT VOID **Value)
typedef | EFI_STATUS (EFIAPI *NET_MAP_CALLBACK)(IN NET_MAP *Map
EFI_STATUS EFIAPI | NetMapIterate (IN NET_MAP *Map, IN NET_MAP_CALLBACK CallBack, IN VOID *Arg)
EFI_STATUS EFIAPI | NetLibCreateServiceChild (IN EFI_HANDLE Controller, IN EFI_HANDLE Image, IN EFI_GUID *ServiceBindingGuid, IN OUT EFI_HANDLE *ChildHandle)
EFI_STATUS EFIAPI | NetLibDestroyServiceChild (IN EFI_HANDLE Controller, IN EFI_HANDLE Image, IN EFI_GUID *ServiceBindingGuid, IN EFI_HANDLE ChildHandle)
EFI_HANDLE EFIAPI | NetLibGetSnpHandle (IN EFI_HANDLE ServiceHandle, OUT EFI_SIMPLE_NETWORK_PROTOCOL **Snp)
UINT16 EFIAPI | NetLibGetVlanId (IN EFI_HANDLE ServiceHandle)
EFI_HANDLE EFIAPI | NetLibGetVlanHandle (IN EFI_HANDLE ControllerHandle, IN UINT16 VlanId)
EFI_STATUS EFIAPI | NetLibGetMacAddress (IN EFI_HANDLE ServiceHandle, OUT EFI_MAC_ADDRESS *MacAddress, OUT UINTN *AddressSize)
EFI_STATUS EFIAPI | NetLibGetMacString (IN EFI_HANDLE ServiceHandle, IN EFI_HANDLE ImageHandle, OUT CHAR16 **MacString)
EFI_STATUS EFIAPI | NetLibDetectMedia (IN EFI_HANDLE ServiceHandle, OUT BOOLEAN *MediaPresent)
VOID EFIAPI | NetLibCreateIPv4DPathNode (IN OUT IPv4_DEVICE_PATH *Node, IN EFI_HANDLE Controller, IN IP4_ADDR LocalIp, IN UINT16 LocalPort, IN IP4_ADDR RemoteIp, IN UINT16 RemotePort, IN UINT16 Protocol, IN BOOLEAN UseDefaultAddress)
VOID EFIAPI | NetLibCreateIPv6DPathNode (IN OUT IPv6_DEVICE_PATH *Node, IN EFI_HANDLE Controller, IN EFI_IPv6_ADDRESS *LocalIp, IN UINT16 LocalPort, IN EFI_IPv6_ADDRESS *RemoteIp, IN UINT16 RemotePort, IN UINT16 Protocol)
EFI_HANDLE EFIAPI | NetLibGetNicHandle (IN EFI_HANDLE Controller, IN EFI_GUID *ProtocolGuid)
EFI_STATUS EFIAPI | NetLibDefaultUnload (IN EFI_HANDLE ImageHandle)
EFI_STATUS EFIAPI | NetLibAsciiStrToIp4 (IN CONST CHAR8 *String, OUT EFI_IPv4_ADDRESS *Ip4Address)
EFI_STATUS EFIAPI | NetLibAsciiStrToIp6 (IN CONST CHAR8 *String, OUT EFI_IPv6_ADDRESS *Ip6Address)
EFI_STATUS EFIAPI | NetLibStrToIp4 (IN CONST CHAR16 *String, OUT EFI_IPv4_ADDRESS *Ip4Address)
EFI_STATUS EFIAPI | NetLibStrToIp6 (IN CONST CHAR16 *String, OUT EFI_IPv6_ADDRESS *Ip6Address)
EFI_STATUS EFIAPI | NetLibStrToIp6andPrefix (IN CONST CHAR16 *String, OUT EFI_IPv6_ADDRESS *Ip6Address, OUT UINT8 *PrefixLength)
typedef | VOID (EFIAPI *NET_VECTOR_EXT_FREE)(VOID *Arg)
NET_BUF *EFIAPI | NetbufAlloc (IN UINT32 Len)
VOID EFIAPI | NetbufFree (IN NET_BUF *Nbuf)
UINT8 *EFIAPI | NetbufGetByte (IN NET_BUF *Nbuf, IN UINT32 Offset, OUT UINT32 *Index)
NET_BUF *EFIAPI | NetbufClone (IN NET_BUF *Nbuf)
NET_BUF *EFIAPI | NetbufDuplicate (IN NET_BUF *Nbuf, IN OUT NET_BUF *Duplicate, IN UINT32 HeadSpace)
NET_BUF *EFIAPI | NetbufGetFragment (IN NET_BUF *Nbuf, IN UINT32 Offset, IN UINT32 Len, IN UINT32 HeadSpace)
VOID EFIAPI | NetbufReserve (IN OUT NET_BUF *Nbuf, IN UINT32 Len)
UINT8 *EFIAPI | NetbufAllocSpace (IN OUT NET_BUF *Nbuf, IN UINT32 Len, IN BOOLEAN FromHead)
UINT32 EFIAPI | NetbufTrim (IN OUT NET_BUF *Nbuf, IN UINT32 Len, IN BOOLEAN FromHead)
UINT32 EFIAPI | NetbufCopy (IN NET_BUF *Nbuf, IN UINT32 Offset, IN UINT32 Len, IN UINT8 *Dest)
NET_BUF *EFIAPI | NetbufFromExt (IN NET_FRAGMENT *ExtFragment, IN UINT32 ExtNum, IN UINT32 HeadSpace, IN UINT32 HeadLen, IN NET_VECTOR_EXT_FREE ExtFree, IN VOID *Arg)
EFI_STATUS EFIAPI | NetbufBuildExt (IN NET_BUF *Nbuf, IN OUT NET_FRAGMENT *ExtFragment, IN OUT UINT32 *ExtNum)
NET_BUF *EFIAPI | NetbufFromBufList (IN LIST_ENTRY *BufList, IN UINT32 HeadSpace, IN UINT32 HeaderLen, IN NET_VECTOR_EXT_FREE ExtFree, IN VOID *Arg)
VOID EFIAPI | NetbufFreeList (IN OUT LIST_ENTRY *Head)
VOID EFIAPI | NetbufQueInit (IN OUT NET_BUF_QUEUE *NbufQue)
NET_BUF_QUEUE *EFIAPI | NetbufQueAlloc (VOID)
VOID EFIAPI | NetbufQueFree (IN NET_BUF_QUEUE *NbufQue)
NET_BUF *EFIAPI | NetbufQueRemove (IN OUT NET_BUF_QUEUE *NbufQue)
VOID EFIAPI | NetbufQueAppend (IN OUT NET_BUF_QUEUE *NbufQue, IN OUT NET_BUF *Nbuf)
UINT32 EFIAPI | NetbufQueCopy (IN NET_BUF_QUEUE *NbufQue, IN UINT32 Offset, IN UINT32 Len, OUT UINT8 *Dest)
UINT32 EFIAPI | NetbufQueTrim (IN OUT NET_BUF_QUEUE *NbufQue, IN UINT32 Len)
VOID EFIAPI | NetbufQueFlush (IN OUT NET_BUF_QUEUE *NbufQue)
UINT16 EFIAPI | NetblockChecksum (IN UINT8 *Bulk, IN UINT32 Len)
UINT16 EFIAPI | NetAddChecksum (IN UINT16 Checksum1, IN UINT16 Checksum2)
UINT16 EFIAPI | NetbufChecksum (IN NET_BUF *Nbuf)
UINT16 EFIAPI | NetPseudoHeadChecksum (IN IP4_ADDR Src, IN IP4_ADDR Dst, IN UINT8 Proto, IN UINT16 Len)
UINT16 EFIAPI | NetIp6PseudoHeadChecksum (IN EFI_IPv6_ADDRESS *Src, IN EFI_IPv6_ADDRESS *Dst, IN UINT8 NextHeader, IN UINT32 Len)
VOID | NetIpSecNetbufFree (NET_BUF *Nbuf)
EFI_STATUS EFIAPI | NetLibGetSystemGuid (OUT EFI_GUID *SystemGuid)

Variables

IP4_ADDR | gIp4AllMasks [IP4_MASK_NUM]
EFI_IPv4_ADDRESS | mZeroIp4Addr

Detailed Description

This library is only intended to be used by UEFI network stack modules. It provides basic functions for the UEFI network stack.

Copyright (c) 2005 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at
http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_IP4 ( EfiIpAddr ) (*(IP4_ADDR *) ((EfiIpAddr).Addr))

#define EFI_IP4_EQUAL | ( | Ip1,
 |  | Ip2 | ) | (CompareMem ((Ip1), (Ip2), sizeof (EFI_IPv4_ADDRESS)) == 0)

#define EFI_IP6_EQUAL | ( | Ip1,
 |  | Ip2 | ) | (CompareMem ((Ip1), (Ip2), sizeof (EFI_IPv6_ADDRESS)) == 0)

#define EFI_IP_PROTO_ICMP 0x01

#define EFI_IP_PROTO_TCP 0x06

#define EFI_IP_PROTO_UDP 0x11

#define EFI_NTOHL ( EfiIp ) (NTOHL (EFI_IP4 ((EfiIp))))

#define ETHER_TYPE_VLAN 0x8100

#define HTONL ( x ) NTOHL(x)

#define HTONLL ( x ) NTOHLL(x)

#define HTONLLL ( x ) NTOHLLL(x)

#define HTONS ( x ) NTOHS(x)

#define IP4_ADDR_CLASSA 1

#define IP4_ADDR_CLASSB 2

#define IP4_ADDR_CLASSC 3

#define IP4_ADDR_CLASSD 4

#define IP4_ADDR_CLASSE 5

#define IP4_COPY_ADDRESS | ( | Dest,
 |  | Src | ) | (CopyMem ((Dest), (Src), sizeof (EFI_IPv4_ADDRESS)))

#define IP4_IS_LOCAL_BROADCAST ( Ip ) ((Ip) == 0xFFFFFFFF)

#define IP4_IS_MULTICAST ( Ip ) (((Ip) & 0xF0000000) == 0xE0000000)

#define IP4_IS_VALID_NETMASK ( Ip ) (NetGetMaskLength (Ip) != IP4_MASK_NUM)

#define IP4_MASK_NUM 33

#define IP4_NET_EQUAL | ( | Ip1,
 |  | Ip2,
 |  | NetMask | ) | (((Ip1) & (NetMask)) == ((Ip2) & (NetMask)))

#define IP4_PROTO_IGMP 0x02

#define IP6_AH 51

#define IP6_COPY_ADDRESS | ( | Dest,
 |  | Src | ) | (CopyMem ((Dest), (Src), sizeof (EFI_IPv6_ADDRESS)))

#define IP6_COPY_LINK_ADDRESS | ( | Mac1,
 |  | Mac2 | ) | (CopyMem ((Mac1), (Mac2), sizeof (EFI_MAC_ADDRESS)))

#define IP6_DESTINATION 60

#define IP6_ESP 50

#define IP6_FRAGMENT 44

#define IP6_HOP_BY_HOP 0

#define IP6_ICMP 58

#define IP6_IS_MULTICAST ( Ip6 ) (((Ip6)->Addr[0]) == 0xFF)

#define IP6_NO_NEXT_HEADER 59

#define IP6_PREFIX_LENGTH 64

#define IP6_PREFIX_NUM 129

#define IP6_ROUTING 43

#define IP_VERSION_4 4

#define IP_VERSION_6 6

#define NET_BUF_HEAD 1

#define NET_BUF_SHARED ( Buf ) (((Buf)->RefCnt > 1) || ((Buf)->Vector->RefCnt > 1))

#define NET_BUF_SIGNATURE SIGNATURE_32 ('n', 'b', 'u', 'f')

#define NET_BUF_SIZE ( BlockOpNum ) (sizeof (NET_BUF) + ((BlockOpNum) - 1) * sizeof (NET_BLOCK_OP))

#define NET_BUF_TAIL 0

#define NET_CHECK_SIGNATURE | ( | PData,
 |  | SIGNATURE | ) | ASSERT (((PData) != NULL) && ((PData)->Signature == (SIGNATURE)))

#define NET_DEBUG_ERROR | ( | Module,
 |  | PrintArg | )

Value:

NetDebugOutput ( \
    NETDEBUG_LEVEL_ERROR, \
    Module, \
    __FILE__, \
    __LINE__, \
    NetDebugASPrint PrintArg \
    )

#define NET_DEBUG_MSG_LEN 470

#define NET_DEBUG_TRACE | ( | Module,
 |  | PrintArg | )

Value:

NetDebugOutput ( \
    NETDEBUG_LEVEL_TRACE, \
    Module, \
    __FILE__, \
    __LINE__, \
    NetDebugASPrint PrintArg \
    )

#define NET_DEBUG_WARNING | ( | Module,
 |  | PrintArg | )

Value:

NetDebugOutput ( \
    NETDEBUG_LEVEL_WARNING, \
    Module, \
    __FILE__, \
    __LINE__, \
    NetDebugASPrint PrintArg \
    )

#define NET_ETHER_ADDR_LEN 6

#define NET_GET_REF ( PData ) ((PData)->RefCnt++)

#define NET_HEADSPACE ( BlockOp ) (UINTN)((BlockOp)->Head - (BlockOp)->BlockHead)

#define NET_IFTYPE_ETHERNET 0x01

#define NET_IS_DIGIT ( Ch ) (('0' <= (Ch)) && ((Ch) <= '9'))

#define NET_IS_LOWER_CASE_CHAR ( Ch ) (('a' <= (Ch)) && ((Ch) <= 'z'))

#define NET_IS_UPPER_CASE_CHAR ( Ch ) (('A' <= (Ch)) && ((Ch) <= 'Z'))

#define NET_LIST_FOR_EACH | ( | Entry,
 |  | ListHead | ) | for(Entry = (ListHead)->ForwardLink; Entry != (ListHead); Entry = Entry->ForwardLink)

#define NET_LIST_FOR_EACH_SAFE | ( | Entry,
 |  | NextEntry,
 |  | ListHead | )

Value:

for(Entry = (ListHead)->ForwardLink, NextEntry = Entry->ForwardLink; \
      Entry != (ListHead); \
      Entry = NextEntry, NextEntry = Entry->ForwardLink \
     )

#define NET_LIST_HEAD | ( | ListHead,
 |  | Type,
 |  | Field | ) | NET_LIST_USER_STRUCT((ListHead)->ForwardLink, Type, Field)

#define NET_LIST_TAIL | ( | ListHead,
 |  | Type,
 |  | Field | ) | NET_LIST_USER_STRUCT((ListHead)->BackLink, Type, Field)

#define NET_LIST_USER_STRUCT | ( | Entry,
 |  | Type,
 |  | Field | ) | BASE_CR(Entry, Type, Field)

#define NET_LIST_USER_STRUCT_S | ( | Entry,
 |  | Type,
 |  | Field,
 |  | Sig | ) | CR(Entry, Type, Field, Sig)

#define NET_MAC_EQUAL | ( | pMac1,
 |  | pMac2,
 |  | Len | ) | (CompareMem ((pMac1), (pMac2), Len) == 0)

#define NET_MAC_IS_MULTICAST | ( | Mac,
 |  | BMac,
 |  | Len | ) | (((*((UINT8 *) Mac) & 0x01) == 0x01) && (!NET_MAC_EQUAL (Mac, BMac, Len)))

#define NET_MAP_INCREAMENT 64

#define NET_PROTO_DATA 64

#define NET_PUT_REF ( PData ) ((PData)->RefCnt--)

#define NET_QUE_SIGNATURE SIGNATURE_32 ('n', 'b', 'q', 'u')

#define NET_RANDOM ( Seed ) ((UINT32) ((UINT32) (Seed) * 1103515245UL + 12345) % 4294967295UL)

#define NET_ROUNDUP | ( | size,
 |  | unit | ) | (((size) + (unit) - 1) & (~((unit) - 1)))

#define NET_SYSLOG_FACILITY 16

#define NET_SYSLOG_PACKET_LEN 512

#define NET_SYSLOG_TX_TIMEOUT (500 * 1000 * 10)

#define NET_TAILSPACE ( BlockOp ) (UINTN)((BlockOp)->BlockTail - (BlockOp)->Tail)

#define NET_VECTOR_OWN_FIRST 0x01

#define NET_VECTOR_SIGNATURE SIGNATURE_32 ('n', 'v', 'e', 'c')

#define NET_VECTOR_SIZE ( BlockNum ) (sizeof (NET_VECTOR) + ((BlockNum) - 1) * sizeof (NET_BLOCK))

#define NET_VLAN_TAG_LEN 4

#define NETBUF_FROM_PROTODATA ( Info ) BASE_CR((Info), NET_BUF, ProtoData)

#define NETDEBUG_LEVEL_ERROR 3

#define NETDEBUG_LEVEL_TRACE 5

#define NETDEBUG_LEVEL_WARNING 4

#define NTOHL ( x ) SwapBytes32 (x)

#define NTOHLL ( x ) SwapBytes64 (x)

#define NTOHLLL ( x ) Ip6Swap128 (x)

#define NTOHS ( x ) SwapBytes16 (x)

#define TICKS_PER_MS 10000U

#define TICKS_PER_SECOND 10000000U

#define VLAN_TCI_CFI_CANONICAL_MAC 0

#define VLAN_TCI_CFI_NON_CANONICAL_MAC 1

Typedef Documentation

typedef IN NET_MAP_ITEM IN VOID* Arg

typedef UINT32 IP4_ADDR

typedef IN NET_MAP_ITEM* Item

typedef UINT16 TCP_PORTNO

typedef UINT32 TCP_SEQNO

Function Documentation

typedef EFI_STATUS ( EFIAPI * NET_MAP_CALLBACK )

Configure what scope the hot key will impact. All hot keys have the same scope. The mixed hot keys with the different level are not supported. If no scope is set, the default scope will be FormSet level. After all registered hot keys are removed, previous Scope can reset to another level.

Parameters:
[in] Scope Scope level to be set.
Return values:
EFI_SUCCESS | Scope is set correctly.
EFI_INVALID_PARAMETER | Scope is not the valid value specified in BROWSER_SETTING_SCOPE.
EFI_UNSPPORTED | Scope level is different from current one that the registered hot keys have.
Register the hot key with its browser action, or unregistered the hot key. If the action value is zero, the hot key will be unregistered if it has been registered. If the same hot key has been registered, the new action and help string will override the previous ones.

Parameters:
[in] | KeyData | A pointer to a buffer that describes the keystroke information for the hot key. Its type is EFI_INPUT_KEY to be supported by all ConsoleIn devices.
[in] | Action | Action value that describes what action will be trigged when the hot key is pressed.
[in] | DefaultId | Specifies the type of defaults to retrieve, which is only for DEFAULT action.
[in] | HelpString | Help string that describes the hot key information. Its value may be NULL for the unregistered hot key.
Return values:
EFI_SUCCESS | Hot key is registered or unregistered.
EFI_INVALID_PARAMETER | KeyData is NULL.
Clears any system state that was created in response to the Active call.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
Periodic | Optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The source could not be cleared.
EFI_INVALID_PARAMETER | The service did not support the Periodic input argument.
This interface allows you to configure the EBC debug support driver. For example, turn on or off saving and printing of delta VM even if called. Or to even disable the entire interface, in which case all functions become no-ops.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | ConfigId | ID to be configured.
[in] | ConfigValue | Value to be set.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Configure EBC debug.
Convert AsmText to the instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | AsmText | A pointer to EBC ASM text code.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully convert AsmText to the instruction.
Dump the executed instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[out] | AsmText | Contain the disasm text.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully dump the executed instruction.
Register the hot key with its browser action, or unregistered the hot key. If the action value is zero, the hot key will be unregistered if it has been registered. If the same hot key has been registered, the new action and help string will override the previous ones.

Parameters:
[in] | KeyData | A pointer to a buffer that describes the keystroke information for the hot key. Its type is EFI_INPUT_KEY to be supported by all ConsoleIn devices.
[in] | Action | Action value that describes what action will be trigged when the hot key is pressed.
[in] | DefaultId | Specifies the type of defaults to retrieve, which is only for DEFAULT action.
[in] | HelpString | Help string that describes the hot key information. Its value may be NULL for the unregistered hot key.
Return values:
EFI_SUCCESS | Hot key is registered or unregistered.
EFI_INVALID_PARAMETER | KeyData is NULL.

EFI_IPv6_ADDRESS* EFIAPI Ip6Swap128 ( EFI_IPv6_ADDRESS * Ip6 )

Switches the endianess of an IPv6 address.

This function swaps the bytes in a 128-bit IPv6 address to switch the value from little endian to big endian or vice versa. The byte swapped value is returned.

Parameters:
Ip6 Points to an IPv6 address.
Returns:
The byte swapped IPv6 address.

UINT16 EFIAPI NetAddChecksum | ( | IN UINT16 | Checksum1,
 |  | IN UINT16 | Checksum2
 | ) |  |

Add two checksums.

Parameters:
[in] | Checksum1 | The first checksum to be added.
[in] | Checksum2 | The second checksum to be added.
Returns:
The new checksum.

UINT16 EFIAPI NetblockChecksum | ( | IN UINT8 * | Bulk,
 |  | IN UINT32 | Len
 | ) |  |

Compute the checksum for a bulk of data.

Parameters:
[in] | Bulk | The pointer to the data.
[in] | Len | The length of the data, in bytes.
Returns:
The computed checksum.

NET_BUF* EFIAPI NetbufAlloc ( IN UINT32 Len )

Allocate a single block NET_BUF. Upon allocation, all the free space is in the tail room.

Parameters:
[in] Len The length of the block.
Returns:
The pointer to the allocated NET_BUF, or NULL if the allocation failed due to resource limitations.

UINT8* EFIAPI NetbufAllocSpace | ( | IN OUT NET_BUF * | Nbuf,
 |  | IN UINT32 | Len,
 |  | IN BOOLEAN | FromHead
 | ) |  |

Allocate Len bytes of space from the header or tail of the buffer.

Parameters:
[in,out] | Nbuf | The pointer to the net buffer.
[in] | Len | The length of the buffer to be allocated.
[in] | FromHead | The flag to indicate whether to reserve the data from head (TRUE) or tail (FALSE).
Returns:
The pointer to the first byte of the allocated buffer, or NULL, if there is no sufficient space.

EFI_STATUS EFIAPI NetbufBuildExt | ( | IN NET_BUF * | Nbuf,
 |  | IN OUT NET_FRAGMENT * | ExtFragment,
 |  | IN OUT UINT32 * | ExtNum
 | ) |  |

Build a fragment table to contain the fragments in the net buffer. This is the opposite operation of the NetbufFromExt.

Parameters:
[in] | Nbuf | Points to the net buffer.
[in,out] | ExtFragment | The pointer to the data block.
[in,out] | ExtNum | The number of the data blocks.
Return values:
EFI_BUFFER_TOO_SMALL | The number of non-empty blocks is bigger than ExtNum.
EFI_SUCCESS | The fragment table was built successfully.

UINT16 EFIAPI NetbufChecksum ( IN NET_BUF * Nbuf )

Compute the checksum for a NET_BUF.

Parameters:
[in] Nbuf The pointer to the net buffer.
Returns:
The computed checksum.

NET_BUF* EFIAPI NetbufClone ( IN NET_BUF * Nbuf )

Create a copy of the net buffer that shares the associated net vector.

The reference count of the newly created net buffer is set to 1. The reference count of the associated net vector is increased by one.

Parameters:
[in] Nbuf The pointer to the net buffer to be cloned.
Returns:
The pointer to the cloned net buffer, or NULL if the allocation failed due to resource limitations.

UINT32 EFIAPI NetbufCopy | ( | IN NET_BUF * | Nbuf,
 |  | IN UINT32 | Offset,
 |  | IN UINT32 | Len,
 |  | IN UINT8 * | Dest
 | ) |  |

Copy Len bytes of data from the specific offset of the net buffer to the destination memory.

The Len bytes of data may cross several fragments of the net buffer.

Parameters:
[in] | Nbuf | The pointer to the net buffer.
[in] | Offset | The sequence number of the first byte to copy.
[in] | Len | The length of the data to copy.
[in] | Dest | The destination of the data to copy to.
Returns:
The length of the actual copied data, or 0 if the offset specified exceeds the total size of net buffer.

NET_BUF* EFIAPI NetbufDuplicate | ( | IN NET_BUF * | Nbuf,
 |  | IN OUT NET_BUF * | Duplicate,
 |  | IN UINT32 | HeadSpace
 | ) |  |

Create a duplicated copy of the net buffer with data copied and HeadSpace bytes of head space reserved.

The duplicated net buffer will allocate its own memory to hold the data of the source net buffer.

Parameters:
[in] | Nbuf | The pointer to the net buffer to be duplicated from.
[in,out] | Duplicate | The pointer to the net buffer to duplicate to. If NULL, a new net buffer is allocated.
[in] | HeadSpace | The length of the head space to reserve.
Returns:
The pointer to the duplicated net buffer, or NULL if the allocation failed due to resource limitations.

VOID EFIAPI NetbufFree ( IN NET_BUF * Nbuf )

Free the net buffer and its associated NET_VECTOR.

Decrease the reference count of the net buffer by one. Free the associated net vector and itself if the reference count of the net buffer is decreased to 0. The net vector free operation decreases the reference count of the net vector by one, and performs the resource free operation when the reference count of the net vector is 0.

Parameters:
[in] Nbuf The pointer to the NET_BUF to be freed.

VOID EFIAPI NetbufFreeList ( IN OUT LIST_ENTRY * Head )

Free a list of net buffers.

Parameters:
[in,out] Head The pointer to the head of linked net buffers.

NET_BUF* EFIAPI NetbufFromBufList | ( | IN LIST_ENTRY * | BufList,
 |  | IN UINT32 | HeadSpace,
 |  | IN UINT32 | HeaderLen,
 |  | IN NET_VECTOR_EXT_FREE | ExtFree,
 |  | IN VOID * | Arg
 | ) |  |

Build a net buffer from a list of net buffers.

All the fragments will be collected from the list of NEW_BUF, and then a new net buffer will be created through NetbufFromExt.

Parameters:
[in] | BufList | A List of the net buffer.
[in] | HeadSpace | The head space to be reserved.
[in] | HeaderLen | The length of the protocol header. The function pulls this amount of data into a linear block.
[in] | ExtFree | The pointer to the caller provided free function.
[in] | Arg | The argument passed to ExtFree when ExtFree is called.
Returns:
The pointer to the net buffer built from the list of net buffers.

NET_BUF* EFIAPI NetbufFromExt | ( | IN NET_FRAGMENT * | ExtFragment,
 |  | IN UINT32 | ExtNum,
 |  | IN UINT32 | HeadSpace,
 |  | IN UINT32 | HeadLen,
 |  | IN NET_VECTOR_EXT_FREE | ExtFree,
 |  | IN VOID * | Arg
 | ) |  |

Build a NET_BUF from external blocks.

A new NET_BUF structure will be created from external blocks. An additional block of memory will be allocated to hold reserved HeadSpace bytes of header room and existing HeadLen bytes of header, but the external blocks are shared by the net buffer to avoid data copying.

Parameters:
[in] | ExtFragment | The pointer to the data block.
[in] | ExtNum | The number of the data blocks.
[in] | HeadSpace | The head space to be reserved.
[in] | HeadLen | The length of the protocol header. The function pulls this amount of data into a linear block.
[in] | ExtFree | The pointer to the caller-provided free function.
[in] | Arg | The argument passed to ExtFree when ExtFree is called.
Returns:
The pointer to the net buffer built from the data blocks, or NULL if the allocation failed due to resource limit.

UINT8* EFIAPI NetbufGetByte | ( | IN NET_BUF * | Nbuf,
 |  | IN UINT32 | Offset,
 |  | OUT UINT32 * | Index
 | ) |  |

Get the index of NET_BLOCK_OP that contains the byte at Offset in the net buffer.

For example, this function can be used to retrieve the IP header in the packet. It also can be used to get the fragment that contains the byte used mainly by the library implementation itself.

Parameters:
[in] | Nbuf | The pointer to the net buffer.
[in] | Offset | The offset of the byte.
[out] | Index | Index of the NET_BLOCK_OP that contains the byte at Offset.
Returns:
The pointer to the Offset'th byte of data in the net buffer, or NULL if there is no such data in the net buffer.

NET_BUF* EFIAPI NetbufGetFragment | ( | IN NET_BUF * | Nbuf,
 |  | IN UINT32 | Offset,
 |  | IN UINT32 | Len,
 |  | IN UINT32 | HeadSpace
 | ) |  |

Create a NET_BUF structure which contains Len byte data of Nbuf starting from Offset.

A new NET_BUF structure will be created but the associated data in NET_VECTOR is shared. This function exists to perform IP packet fragmentation.

Parameters:
[in] | Nbuf | The pointer to the net buffer to be extracted.
[in] | Offset | Starting point of the data to be included in the new net buffer.
[in] | Len | The bytes of data to be included in the new net buffer.
[in] | HeadSpace | The bytes of the head space to reserve for the protocol header.
Returns:
The pointer to the cloned net buffer, or NULL if the allocation failed due to resource limitations.

NET_BUF_QUEUE* EFIAPI NetbufQueAlloc ( VOID )

Allocate and initialize a net buffer queue.

Returns:
The pointer to the allocated net buffer queue, or NULL if the allocation failed due to resource limit.

VOID EFIAPI NetbufQueAppend | ( | IN OUT NET_BUF_QUEUE * | NbufQue,
 |  | IN OUT NET_BUF * | Nbuf
 | ) |  |

Append a net buffer to the net buffer queue.

Parameters:
[in,out] | NbufQue | The pointer to the net buffer queue.
[in,out] | Nbuf | The pointer to the net buffer to be appended.

UINT32 EFIAPI NetbufQueCopy | ( | IN NET_BUF_QUEUE * | NbufQue,
 |  | IN UINT32 | Offset,
 |  | IN UINT32 | Len,
 |  | OUT UINT8 * | Dest
 | ) |  |

Copy Len bytes of data from the net buffer queue at the specific offset to the destination memory.

The copying operation is the same as NetbufCopy, but applies to the net buffer queue instead of the net buffer.

Parameters:
[in] | NbufQue | The pointer to the net buffer queue.
[in] | Offset | The sequence number of the first byte to copy.
[in] | Len | The length of the data to copy.
[out] | Dest | The destination of the data to copy to.
Returns:
The length of the actual copied data, or 0 if the offset specified exceeds the total size of net buffer queue.

VOID EFIAPI NetbufQueFlush ( IN OUT NET_BUF_QUEUE * NbufQue )

Flush the net buffer queue.

Parameters:
[in,out] NbufQue The pointer to the queue to be flushed.

VOID EFIAPI NetbufQueFree ( IN NET_BUF_QUEUE * NbufQue )

Free a net buffer queue.

Decrease the reference count of the net buffer queue by one. The real resource free operation isn't performed until the reference count of the net buffer queue is decreased to 0.

Parameters:
[in] NbufQue The pointer to the net buffer queue to be freed.

VOID EFIAPI NetbufQueInit ( IN OUT NET_BUF_QUEUE * NbufQue )

Initiate the net buffer queue.

Parameters:
[in,out] NbufQue The pointer to the net buffer queue to be initialized.

NET_BUF* EFIAPI NetbufQueRemove ( IN OUT NET_BUF_QUEUE * NbufQue )

Remove a net buffer from the head in the specific queue and return it.

Parameters:
[in,out] NbufQue The pointer to the net buffer queue.
Returns:
The pointer to the net buffer removed from the specific queue, or NULL if there is no net buffer in the specific queue.

UINT32 EFIAPI NetbufQueTrim | ( | IN OUT NET_BUF_QUEUE * | NbufQue,
 |  | IN UINT32 | Len
 | ) |  |

Trim Len bytes of data from the buffer queue and free any net buffer that is completely trimmed.

The trimming operation is the same as NetbufTrim but applies to the net buffer queue instead of the net buffer.

Parameters:
[in,out] | NbufQue | The pointer to the net buffer queue.
[in] | Len | The length of the data to trim.
Returns:
The actual length of the data trimmed.

VOID EFIAPI NetbufReserve | ( | IN OUT NET_BUF * | Nbuf,
 |  | IN UINT32 | Len
 | ) |  |

Reserve some space in the header room of the net buffer.

Upon allocation, all the space is in the tail room of the buffer. Call this function to move space to the header room. This function is quite limited in that it can only reserve space from the first block of an empty NET_BUF not built from the external. However, it should be enough for the network stack.

Parameters:
[in,out] | Nbuf | The pointer to the net buffer.
[in] | Len | The length of buffer to be reserved from the header.

UINT32 EFIAPI NetbufTrim | ( | IN OUT NET_BUF * | Nbuf,
 |  | IN UINT32 | Len,
 |  | IN BOOLEAN | FromHead
 | ) |  |

Trim Len bytes from the header or the tail of the net buffer.

Parameters:
[in,out] | Nbuf | The pointer to the net buffer.
[in] | Len | The length of the data to be trimmed.
[in] | FromHead | The flag to indicate whether trim data is from the head (TRUE) or the tail (FALSE).
Returns:
The length of the actual trimmed data, which may be less than Len if the TotalSize of Nbuf is less than Len.

CHAR8* EFIAPI NetDebugASPrint | ( | IN CHAR8 * | Format,
 |  |  | ...
 | ) |  |

Allocate a buffer, then format the message to it. This is a help function for the NET_DEBUG_XXX macros. The PrintArg of these macros treats the variable length print parameters as a single parameter, and pass it to the NetDebugASPrint. For example, NET_DEBUG_TRACE ("Tcp", ("State transit to %a\n", Name)) if extracted to:

NetDebugOutput ( NETDEBUG_LEVEL_TRACE, "Tcp", __FILE__, __LINE__, NetDebugASPrint ("State transit to %a\n", Name) )

Parameters:
Format The ASCII format string.
... The variable length parameter whose format is determined by the Format string.
Returns:
The buffer containing the formatted message, or NULL if memory allocation failed.

EFI_STATUS EFIAPI NetDebugOutput | ( | IN UINT32 | Level,
 |  | IN UINT8 * | Module,
 |  | IN UINT8 * | File,
 |  | IN UINT32 | Line,
 |  | IN UINT8 * | Message
 | ) |  |

Builds an UDP4 syslog packet and send it using SNP.

This function will locate a instance of SNP then send the message through it. Because it isn't open the SNP BY_DRIVER, apply caution when using it.

Parameters:
Level | The servity level of the message.
Module | The Moudle that generates the log.
File | The file that contains the log.
Line | The exact line that contains the log.
Message | The user message to log.
Return values:
EFI_INVALID_PARAMETER | Any input parameter is invalid.
EFI_OUT_OF_RESOURCES | Failed to allocate memory for the packet
EFI_SUCCESS | The log is discard because that it is more verbose than the mNetDebugLevelMax. Or, it has been sent out.

INTN EFIAPI NetGetIpClass ( IN IP4_ADDR Addr )

Return the class of the IP address, such as class A, B, C. Addr is in host byte order.

The address of class A starts with 0. If the address belong to class A, return IP4_ADDR_CLASSA. The address of class B starts with 10. If the address belong to class B, return IP4_ADDR_CLASSB. The address of class C starts with 110. If the address belong to class C, return IP4_ADDR_CLASSC. The address of class D starts with 1110. If the address belong to class D, return IP4_ADDR_CLASSD. The address of class E starts with 1111. If the address belong to class E, return IP4_ADDR_CLASSE.

Parameters:
[in] Addr The address to get the class from.
Returns:
IP address class, such as IP4_ADDR_CLASSA.

INTN EFIAPI NetGetMaskLength ( IN IP4_ADDR NetMask )

Return the length of the mask.

Return the length of the mask. Valid values are 0 to 32. If the mask is invalid, return the invalid length 33, which is IP4_MASK_NUM. NetMask is in the host byte order.

Parameters:
[in] NetMask The netmask to get the length from.
Returns:
The length of the netmask, or IP4_MASK_NUM (33) if the mask is invalid.

UINT32 EFIAPI NetGetUint32 ( IN UINT8 * Buf )

Extract a UINT32 from a byte stream.

This function copies a UINT32 from a byte stream, and then converts it from Network byte order to host byte order. Use this function to avoid alignment error.

Parameters:
[in] Buf The buffer to extract the UINT32.
Returns:
The UINT32 extracted.

BOOLEAN EFIAPI NetIp4IsUnicast | ( | IN IP4_ADDR | Ip,
 |  | IN IP4_ADDR | NetMask
 | ) |  |

Check whether the IP is a valid unicast address according to the netmask. If NetMask is zero, use the IP address's class to get the default mask.

If Ip is 0, IP is not a valid unicast address. Class D address is used for multicasting and class E address is reserved for future. If Ip belongs to class D or class E, Ip is not a valid unicast address. If all bits of the host address of Ip are 0 or 1, Ip is not a valid unicast address.

Parameters:
[in] | Ip | The IP to check against.
[in] | NetMask | The mask of the IP.
Returns:
TRUE if Ip is a valid unicast address on the network, otherwise FALSE.

BOOLEAN EFIAPI NetIp6IsLinkLocalAddr ( IN EFI_IPv6_ADDRESS * Ip6 )

Check whether the incoming Ipv6 address is a link-local address.

Parameters:
[in] Ip6 - Ip6 address, in network order.
Return values:
TRUE | - The incoming Ipv6 address is a link-local address.
FALSE | - The incoming Ipv6 address is not a link-local address.

BOOLEAN EFIAPI NetIp6IsNetEqual | ( | EFI_IPv6_ADDRESS * | Ip1,
 |  | EFI_IPv6_ADDRESS * | Ip2,
 |  | UINT8 | PrefixLength
 | ) |  |

Check whether the Ipv6 address1 and address2 are on the connected network.

Parameters:
[in] | Ip1 | - Ip6 address1, in network order.
[in] | Ip2 | - Ip6 address2, in network order.
[in] | PrefixLength | - The prefix length of the checking net.
Return values:
TRUE | - Yes, the Ipv6 address1 and address2 are connected.
FALSE | - No the Ipv6 address1 and address2 are not connected.

BOOLEAN EFIAPI NetIp6IsUnspecifiedAddr ( IN EFI_IPv6_ADDRESS * Ip6 )

Check whether the incoming Ipv6 address is the unspecified address or not.

Parameters:
[in] Ip6 - Ip6 address, in network order.
Return values:
TRUE | - Yes, incoming Ipv6 address is the unspecified address.
FALSE | - The incoming Ipv6 address is not the unspecified address

BOOLEAN EFIAPI NetIp6IsValidUnicast ( IN EFI_IPv6_ADDRESS * Ip6 )

Check whether the incoming IPv6 address is a valid unicast address.

If the address is a multicast address has binary 0xFF at the start, it is not a valid unicast address. If the address is unspecified ::, it is not a valid unicast address to be assigned to any node. If the address is loopback address ::1, it is also not a valid unicast address to be assigned to any physical interface.

Parameters:
[in] Ip6 The IPv6 address to check against.
Returns:
TRUE if Ip6 is a valid unicast address on the network, otherwise FALSE.

UINT16 EFIAPI NetIp6PseudoHeadChecksum | ( | IN EFI_IPv6_ADDRESS * | Src,
 |  | IN EFI_IPv6_ADDRESS * | Dst,
 |  | IN UINT8 | NextHeader,
 |  | IN UINT32 | Len
 | ) |  |

Compute the checksum for the TCP6/UDP6 pseudo header.

Src and Dst are in network byte order, and Len is in host byte order.

Parameters:
[in] | Src | The source address of the packet.
[in] | Dst | The destination address of the packet.
[in] | NextHeader | The protocol type of the packet.
[in] | Len | The length of the packet.
Returns:
The computed checksum.

VOID NetIpSecNetbufFree ( NET_BUF * Nbuf )

The function frees the net buffer which allocated by the IP protocol. It releases only the net buffer and doesn't call the external free function.

This function should be called after finishing the process of mIpSec->ProcessExt() for outbound traffic. The (EFI_IPSEC2_PROTOCOL)->ProcessExt() allocates a new buffer for the ESP, so there needs a function to free the old net buffer.

Parameters:
[in] Nbuf The network buffer to be freed.

EFI_STATUS EFIAPI NetLibAsciiStrToIp4 | ( | IN CONST CHAR8 * | String,
 |  | OUT EFI_IPv4_ADDRESS * | Ip4Address
 | ) |  |

Convert one Null-terminated ASCII string (decimal dotted) to EFI_IPv4_ADDRESS.

Parameters:
[in] | String | The pointer to the Ascii string.
[out] | Ip4Address | The pointer to the converted IPv4 address.
Return values:
EFI_SUCCESS | Converted to an IPv4 address successfully.
EFI_INVALID_PARAMETER | The string is malformated, or Ip4Address is NULL.

EFI_STATUS EFIAPI NetLibAsciiStrToIp6 | ( | IN CONST CHAR8 * | String,
 |  | OUT EFI_IPv6_ADDRESS * | Ip6Address
 | ) |  |

Convert one Null-terminated ASCII string to EFI_IPv6_ADDRESS. The format of the string is defined in RFC 4291 - Text Pepresentation of Addresses.

Parameters:
[in] | String | The pointer to the Ascii string.
[out] | Ip6Address | The pointer to the converted IPv6 address.
Return values:
EFI_SUCCESS | Converted to an IPv6 address successfully.
EFI_INVALID_PARAMETER | The string is malformated, or Ip6Address is NULL.

VOID EFIAPI NetLibCreateIPv4DPathNode | ( | IN OUT IPv4_DEVICE_PATH * | Node,
 |  | IN EFI_HANDLE | Controller,
 |  | IN IP4_ADDR | LocalIp,
 |  | IN UINT16 | LocalPort,
 |  | IN IP4_ADDR | RemoteIp,
 |  | IN UINT16 | RemotePort,
 |  | IN UINT16 | Protocol,
 |  | IN BOOLEAN | UseDefaultAddress
 | ) |  |

Create an IPv4 device path node.

The header type of IPv4 device path node is MESSAGING_DEVICE_PATH. The header subtype of IPv4 device path node is MSG_IPv4_DP. The length of the IPv4 device path node in bytes is 19. Get other information from parameters to make up the whole IPv4 device path node.

Parameters:
[in,out] | Node | The pointer to the IPv4 device path node.
[in] | Controller | The controller handle.
[in] | LocalIp | The local IPv4 address.
[in] | LocalPort | The local port.
[in] | RemoteIp | The remote IPv4 address.
[in] | RemotePort | The remote port.
[in] | Protocol | The protocol type in the IP header.
[in] | UseDefaultAddress | Whether this instance is using default address or not.

VOID EFIAPI NetLibCreateIPv6DPathNode | ( | IN OUT IPv6_DEVICE_PATH * | Node,
 |  | IN EFI_HANDLE | Controller,
 |  | IN EFI_IPv6_ADDRESS * | LocalIp,
 |  | IN UINT16 | LocalPort,
 |  | IN EFI_IPv6_ADDRESS * | RemoteIp,
 |  | IN UINT16 | RemotePort,
 |  | IN UINT16 | Protocol
 | ) |  |

Create an IPv6 device path node.

The header type of IPv6 device path node is MESSAGING_DEVICE_PATH. The header subtype of IPv6 device path node is MSG_IPv6_DP. The length of the IPv6 device path node in bytes is 43. Get other information from parameters to make up the whole IPv6 device path node.

Parameters:
[in,out] | Node | The pointer to the IPv6 device path node.
[in] | Controller | The controller handle.
[in] | LocalIp | The local IPv6 address.
[in] | LocalPort | The local port.
[in] | RemoteIp | The remote IPv6 address.
[in] | RemotePort | The remote port.
[in] | Protocol | The protocol type in the IP header.

EFI_STATUS EFIAPI NetLibCreateServiceChild | ( | IN EFI_HANDLE | Controller,
 |  | IN EFI_HANDLE | Image,
 |  | IN EFI_GUID * | ServiceBindingGuid,
 |  | IN OUT EFI_HANDLE * | ChildHandle
 | ) |  |

Create a child of the service that is identified by ServiceBindingGuid.

Get the ServiceBinding Protocol first, then use it to create a child.

If ServiceBindingGuid is NULL, then ASSERT(). If ChildHandle is NULL, then ASSERT().

Parameters:
[in] | Controller | The controller which has the service installed.
[in] | Image | The image handle used to open service.
[in] | ServiceBindingGuid | The service's Guid.
[in,out] | ChildHandle | The handle to receive the created child.
Return values:
EFI_SUCCESS | The child was successfully created.
Others | Failed to create the child.

EFI_STATUS EFIAPI NetLibDefaultUnload ( IN EFI_HANDLE ImageHandle )

This is the default unload handle for all the network drivers.

Disconnect the driver specified by ImageHandle from all the devices in the handle database. Uninstall all the protocols installed in the driver entry point.

Parameters:
[in] ImageHandle The drivers' driver image.
Return values:
EFI_SUCCESS | The image is unloaded.
Others | Failed to unload the image.

EFI_STATUS EFIAPI NetLibDestroyServiceChild | ( | IN EFI_HANDLE | Controller,
 |  | IN EFI_HANDLE | Image,
 |  | IN EFI_GUID * | ServiceBindingGuid,
 |  | IN EFI_HANDLE | ChildHandle
 | ) |  |

Destroy a child of the service that is identified by ServiceBindingGuid.

Get the ServiceBinding Protocol first, then use it to destroy a child.

If ServiceBindingGuid is NULL, then ASSERT().

Parameters:
[in] | Controller | The controller which has the service installed.
[in] | Image | The image handle used to open service.
[in] | ServiceBindingGuid | The service's Guid.
[in] | ChildHandle | The child to destroy.
Return values:
EFI_SUCCESS | The child was destroyed.
Others | Failed to destroy the child.

EFI_STATUS EFIAPI NetLibDetectMedia | ( | IN EFI_HANDLE | ServiceHandle,
 |  | OUT BOOLEAN * | MediaPresent
 | ) |  |

Detect media status for specified network device.

The underlying UNDI driver may or may not support reporting media status from GET_STATUS command (PXE_STATFLAGS_GET_STATUS_NO_MEDIA_SUPPORTED). This routine will try to invoke Snp->GetStatus() to get the media status. If media is already present, it returns directly. If media is not present, it will stop SNP and then restart SNP to get the latest media status. This provides an opportunity to get the correct media status for old UNDI driver, which doesn't support reporting media status from GET_STATUS command. Note: there are two limitations for the current algorithm: 1) For UNDI with this capability, when the cable is not attached, there will be an redundant Stop/Start() process. 2) for UNDI without this capability, in case that network cable is attached when Snp->Initialize() is invoked while network cable is unattached later, NetLibDetectMedia() will report MediaPresent as TRUE, causing upper layer apps to wait for timeout time.

Parameters:
[in] | ServiceHandle | The handle where network service binding protocols are installed.
[out] | MediaPresent | The pointer to store the media status.
Return values:
EFI_SUCCESS | Media detection success.
EFI_INVALID_PARAMETER | ServiceHandle is not a valid network device handle.
EFI_UNSUPPORTED | The network device does not support media detection.
EFI_DEVICE_ERROR | SNP is in an unknown state.

EFI_STATUS EFIAPI NetLibGetMacAddress | ( | IN EFI_HANDLE | ServiceHandle,
 |  | OUT EFI_MAC_ADDRESS * | MacAddress,
 |  | OUT UINTN * | AddressSize
 | ) |  |

Get MAC address associated with the network service handle.

There should be MNP Service Binding Protocol installed on the input ServiceHandle. If SNP is installed on the ServiceHandle or its parent handle, MAC address will be retrieved from SNP. If no SNP found, try to get SNP mode data use MNP.

Parameters:
[in] | ServiceHandle | The handle where network service binding protocols are installed on.
[out] | MacAddress | The pointer to store the returned MAC address.
[out] | AddressSize | The length of returned MAC address.
Return values:
EFI_SUCCESS | MAC address was returned successfully.
Others | Failed to get SNP mode data.

EFI_STATUS EFIAPI NetLibGetMacString | ( | IN EFI_HANDLE | ServiceHandle,
 |  | IN EFI_HANDLE | ImageHandle,
 |  | OUT CHAR16 ** | MacString
 | ) |  |

Convert MAC address of the NIC associated with specified Service Binding Handle to a unicode string. Callers are responsible for freeing the string storage.

Locate simple network protocol associated with the Service Binding Handle and get the mac address from SNP. Then convert the mac address into a unicode string. It takes 2 unicode characters to represent a 1 byte binary buffer. Plus one unicode character for the null-terminator.

Parameters:
[in] | ServiceHandle | The handle where network service binding protocol is installed.
[in] | ImageHandle | The image handle used to act as the agent handle to get the simple network protocol.
[out] | MacString | The pointer to store the address of the string representation of the mac address.
Return values:
EFI_SUCCESS | Converted the mac address a unicode string successfully.
EFI_OUT_OF_RESOURCES | There are not enough memory resources.
Others | Failed to open the simple network protocol.

EFI_HANDLE EFIAPI NetLibGetNicHandle | ( | IN EFI_HANDLE | Controller,
 |  | IN EFI_GUID * | ProtocolGuid
 | ) |  |

Find the UNDI/SNP handle from controller and protocol GUID.

For example, IP will open an MNP child to transmit/receive packets. When MNP is stopped, IP should also be stopped. IP needs to find its own private data that is related the IP's service binding instance that is installed on the UNDI/SNP handle. The controller is then either an MNP or an ARP child handle. Note that IP opens these handles using BY_DRIVER. Use that infomation to get the UNDI/SNP handle.

Parameters:
[in] | Controller | The protocol handle to check.
[in] | ProtocolGuid | The protocol that is related with the handle.
Returns:
The UNDI/SNP handle or NULL for errors.

EFI_HANDLE EFIAPI NetLibGetSnpHandle | ( | IN EFI_HANDLE | ServiceHandle,
 |  | OUT EFI_SIMPLE_NETWORK_PROTOCOL ** | Snp
 | ) |  |

Get handle with Simple Network Protocol installed on it.

There should be MNP Service Binding Protocol installed on the input ServiceHandle. If Simple Network Protocol is already installed on the ServiceHandle, the ServiceHandle will be returned. If SNP is not installed on the ServiceHandle, try to find its parent handle with SNP installed.

Parameters:
[in] | ServiceHandle | The handle where network service binding protocols are installed on.
[out] | Snp | The pointer to store the address of the SNP instance. This is an optional parameter that may be NULL.
Returns:
The SNP handle, or NULL if not found.

EFI_STATUS EFIAPI NetLibGetSystemGuid ( OUT EFI_GUID * SystemGuid )

This function obtains the system guid from the smbios table.

Parameters:
[out] SystemGuid The pointer of the returned system guid.
Return values:
EFI_SUCCESS | Successfully obtained the system guid.
EFI_NOT_FOUND | Did not find the SMBIOS table.

EFI_HANDLE EFIAPI NetLibGetVlanHandle | ( | IN EFI_HANDLE | ControllerHandle,
 |  | IN UINT16 | VlanId
 | ) |  |

Find VLAN device handle with specified VLAN ID.

The VLAN child device handle is created by VLAN Config Protocol on ControllerHandle. This function will append VLAN device path node to the parent device path, and then use LocateDevicePath() to find the correct VLAN device handle.

Parameters:
[in] | ControllerHandle | The handle where network service binding protocols are installed on.
[in] | VlanId | The configured VLAN ID for the VLAN device.
Returns:
The VLAN device handle, or NULL if not found.

UINT16 EFIAPI NetLibGetVlanId ( IN EFI_HANDLE ServiceHandle )

Retrieve VLAN ID of a VLAN device handle.

Search VLAN device path node in Device Path of specified ServiceHandle and return its VLAN ID. If no VLAN device path node found, then this ServiceHandle is not a VLAN device handle, and 0 will be returned.

Parameters:
[in] ServiceHandle The handle where network service binding protocols are installed on.
Returns:
VLAN ID of the device handle, or 0 if not a VLAN device.

EFI_STATUS EFIAPI NetLibStrToIp4 | ( | IN CONST CHAR16 * | String,
 |  | OUT EFI_IPv4_ADDRESS * | Ip4Address
 | ) |  |

Convert one Null-terminated Unicode string (decimal dotted) to EFI_IPv4_ADDRESS.

Parameters:
[in] | String | The pointer to the Ascii string.
[out] | Ip4Address | The pointer to the converted IPv4 address.
Return values:
EFI_SUCCESS | Converted to an IPv4 address successfully.
EFI_INVALID_PARAMETER | The string is mal-formated or Ip4Address is NULL.
EFI_OUT_OF_RESOURCES | Failed to perform the operation due to lack of resources.

EFI_STATUS EFIAPI NetLibStrToIp6 | ( | IN CONST CHAR16 * | String,
 |  | OUT EFI_IPv6_ADDRESS * | Ip6Address
 | ) |  |

Convert one Null-terminated Unicode string to EFI_IPv6_ADDRESS. The format of the string is defined in RFC 4291 - Text Pepresentation of Addresses.

Parameters:
[in] | String | The pointer to the Ascii string.
[out] | Ip6Address | The pointer to the converted IPv6 address.
Return values:
EFI_SUCCESS | Converted to an IPv6 address successfully.
EFI_INVALID_PARAMETER | The string is malformated or Ip6Address is NULL.
EFI_OUT_OF_RESOURCES | Failed to perform the operation due to a lack of resources.

EFI_STATUS EFIAPI NetLibStrToIp6andPrefix | ( | IN CONST CHAR16 * | String,
 |  | OUT EFI_IPv6_ADDRESS * | Ip6Address,
 |  | OUT UINT8 * | PrefixLength
 | ) |  |

Convert one Null-terminated Unicode string to EFI_IPv6_ADDRESS and prefix length. The format of the string is defined in RFC 4291 - Text Pepresentation of Addresses Prefixes: ipv6-address/prefix-length.

Parameters:
[in] | String | The pointer to the Ascii string.
[out] | Ip6Address | The pointer to the converted IPv6 address.
[out] | PrefixLength | The pointer to the converted prefix length.
Return values:
EFI_SUCCESS | Converted to an IPv6 address successfully.
EFI_INVALID_PARAMETER | The string is malformated, or Ip6Address is NULL.
EFI_OUT_OF_RESOURCES | Failed to perform the operation due to a lack of resources.

VOID EFIAPI NetListInsertAfter | ( | IN OUT LIST_ENTRY * | PrevEntry,
 |  | IN OUT LIST_ENTRY * | NewEntry
 | ) |  |

Insert a new node entry after a designated node entry of a doubly linked list.

Inserts a new node entry designated by NewEntry after the node entry designated by PrevEntry of the doubly linked list.

Parameters:
[in,out] | PrevEntry | The entry after which to insert.
[in,out] | NewEntry | The new entry to insert.

VOID EFIAPI NetListInsertBefore | ( | IN OUT LIST_ENTRY * | PostEntry,
 |  | IN OUT LIST_ENTRY * | NewEntry
 | ) |  |

Insert a new node entry before a designated node entry of a doubly linked list.

Inserts a new node entry designated by NewEntry before the node entry designated by PostEntry of the doubly linked list.

Parameters:
[in,out] | PostEntry | The entry to insert before.
[in,out] | NewEntry | The new entry to insert.

LIST_ENTRY* EFIAPI NetListRemoveHead ( IN OUT LIST_ENTRY * Head )

Remove the first node entry on the list, and return the removed node entry.

Removes the first node entry from a doubly linked list. It is up to the caller of this function to release the memory used by the first node, if that is required. On exit, the removed node is returned.

If Head is NULL, then ASSERT(). If Head was not initialized, then ASSERT(). If PcdMaximumLinkedListLength is not zero, and the number of nodes in the linked list including the head node is greater than or equal to PcdMaximumLinkedListLength, then ASSERT().

Parameters:
[in,out] Head The list header.
Returns:
The first node entry that is removed from the list, NULL if the list is empty.

LIST_ENTRY* EFIAPI NetListRemoveTail ( IN OUT LIST_ENTRY * Head )

Remove the last node entry on the list and return the removed node entry.

Removes the last node entry from a doubly linked list. It is up to the caller of this function to release the memory used by the first node, if that is required. On exit, the removed node is returned.

If Head is NULL, then ASSERT(). If Head was not initialized, then ASSERT(). If PcdMaximumLinkedListLength is not zero, and the number of nodes in the linked list including the head node is greater than or equal to PcdMaximumLinkedListLength, then ASSERT().

Parameters:
[in,out] Head The list head.
Returns:
The last node entry that is removed from the list, NULL if the list is empty.

VOID EFIAPI NetMapClean ( IN OUT NET_MAP * Map )

To clean up the netmap, that is, release allocated memories.

Removes all nodes of the Used doubly linked list and frees memory of all related netmap items. Removes all nodes of the Recycled doubly linked list and free memory of all related netmap items. The number of the <Key, Value> pairs in the netmap is set to zero.

If Map is NULL, then ASSERT().

Parameters:
[in,out] Map The netmap to clean up.

NET_MAP_ITEM* EFIAPI NetMapFindKey | ( | IN NET_MAP * | Map,
 |  | IN VOID * | Key
 | ) |  |

Finds the key in the netmap and returns the point to the item containing the Key.

Iterate the Used doubly linked list of the netmap to get every item. Compare the key of every item with the key to search. It returns the point to the item contains the Key if found.

If Map is NULL, then ASSERT().

Parameters:
[in] | Map | The netmap to search within.
[in] | Key | The key to search.
Returns:
The point to the item contains the Key, or NULL if Key isn't in the map.

UINTN EFIAPI NetMapGetCount ( IN NET_MAP * Map )

Return the number of the <Key, Value> pairs in the netmap.

Parameters:
[in] Map The netmap to get the entry number.
Returns:
The entry number in the netmap.

VOID EFIAPI NetMapInit ( IN OUT NET_MAP * Map )

Initialize the netmap. Netmap is a reposity to keep the <Key, Value> pairs.

Initialize the forward and backward links of two head nodes donated by Map->Used and Map->Recycled of two doubly linked lists. Initializes the count of the <Key, Value> pairs in the netmap to zero.

If Map is NULL, then ASSERT(). If the address of Map->Used is NULL, then ASSERT(). If the address of Map->Recycled is NULl, then ASSERT().

Parameters:
[in,out] Map The netmap to initialize.

EFI_STATUS EFIAPI NetMapInsertHead | ( | IN OUT NET_MAP * | Map,
 |  | IN VOID * | Key,
 |  | IN VOID * | Value
 | ) |  |

Allocate an item to save the <Key, Value> pair to the head of the netmap.

Allocate an item to save the <Key, Value> pair and add corresponding node entry to the beginning of the Used doubly linked list. The number of the <Key, Value> pairs in the netmap increase by 1.

If Map is NULL, then ASSERT().

Parameters:
[in,out] | Map | The netmap to insert into.
[in] | Key | The user's key.
[in] | Value | The user's value for the key.
Return values:
EFI_OUT_OF_RESOURCES | Failed to allocate the memory for the item.
EFI_SUCCESS | The item is inserted to the head.

EFI_STATUS EFIAPI NetMapInsertTail | ( | IN OUT NET_MAP * | Map,
 |  | IN VOID * | Key,
 |  | IN VOID * | Value
 | ) |  |

Allocate an item to save the <Key, Value> pair to the tail of the netmap.

Allocate an item to save the <Key, Value> pair and add corresponding node entry to the tail of the Used doubly linked list. The number of the <Key, Value> pairs in the netmap increase by 1.

If Map is NULL, then ASSERT().

Parameters:
[in,out] | Map | The netmap to insert into.
[in] | Key | The user's key.
[in] | Value | The user's value for the key.
Return values:
EFI_OUT_OF_RESOURCES | Failed to allocate the memory for the item.
EFI_SUCCESS | The item is inserted to the tail.

BOOLEAN EFIAPI NetMapIsEmpty ( IN NET_MAP * Map )

Test whether the netmap is empty and return true if it is.

If the number of the <Key, Value> pairs in the netmap is zero, return TRUE.

If Map is NULL, then ASSERT().

Parameters:
[in] Map The net map to test.
Returns:
TRUE if the netmap is empty, otherwise FALSE.

EFI_STATUS EFIAPI NetMapIterate | ( | IN NET_MAP * | Map,
 |  | IN NET_MAP_CALLBACK | CallBack,
 |  | IN VOID * | Arg
 | ) |  |

Iterate through the netmap and call CallBack for each item.

It will contiue the traverse if CallBack returns EFI_SUCCESS, otherwise, break from the loop. It returns the CallBack's last return value. This function is delete safe for the current item.

If Map is NULL, then ASSERT(). If CallBack is NULL, then ASSERT().

Parameters:
[in] | Map | The Map to iterate through.
[in] | CallBack | The callback function to call for each item.
[in] | Arg | The opaque parameter to the callback.
Return values:
EFI_SUCCESS | There is no item in the netmap, or CallBack for each item returns EFI_SUCCESS.
Others | It returns the CallBack's last return value.

VOID* EFIAPI NetMapRemoveHead | ( | IN OUT NET_MAP * | Map,
 |  | OUT VOID ** | Value
 | ) |  |

Remove the first node entry on the netmap and return the key of the removed item.

Remove the first node entry from the Used doubly linked list of the netmap. The number of the <Key, Value> pairs in the netmap decrease by 1. Then add the node entry to the Recycled doubly linked list of the netmap. If parameter Value is not NULL, parameter Value will point to the value of the item. It returns the key of the removed item.

If Map is NULL, then ASSERT(). If the Used doubly linked list is empty, then ASSERT().

Parameters:
[in,out] | Map | The netmap to remove the head from.
[out] | Value | The variable to receive the value if not NULL.
Returns:
The key of the item removed.

VOID* EFIAPI NetMapRemoveItem | ( | IN OUT NET_MAP * | Map,
 |  | IN OUT NET_MAP_ITEM * | Item,
 |  | OUT VOID ** | Value
 | ) |  |

Remove the node entry of the item from the netmap and return the key of the removed item.

Remove the node entry of the item from the Used doubly linked list of the netmap. The number of the <Key, Value> pairs in the netmap decrease by 1. Then add the node entry of the item to the Recycled doubly linked list of the netmap. If Value is not NULL, Value will point to the value of the item. It returns the key of the removed item.

If Map is NULL, then ASSERT(). If Item is NULL, then ASSERT(). if item in not in the netmap, then ASSERT().

Parameters:
[in,out] | Map | The netmap to remove the item from.
[in,out] | Item | The item to remove.
[out] | Value | The variable to receive the value if not NULL.
Returns:
The key of the removed item.

VOID* EFIAPI NetMapRemoveTail | ( | IN OUT NET_MAP * | Map,
 |  | OUT VOID ** | Value
 | ) |  |

Remove the last node entry on the netmap and return the key of the removed item.

Remove the last node entry from the Used doubly linked list of the netmap. The number of the <Key, Value> pairs in the netmap decrease by 1. Then add the node entry to the Recycled doubly linked list of the netmap. If parameter Value is not NULL, parameter Value will point to the value of the item. It returns the key of the removed item.

If Map is NULL, then ASSERT(). If the Used doubly linked list is empty, then ASSERT().

Parameters:
[in,out] | Map | The netmap to remove the tail from.
[out] | Value | The variable to receive the value if not NULL.
Returns:
The key of the item removed.

UINT16 EFIAPI NetPseudoHeadChecksum | ( | IN IP4_ADDR | Src,
 |  | IN IP4_ADDR | Dst,
 |  | IN UINT8 | Proto,
 |  | IN UINT16 | Len
 | ) |  |

Compute the checksum for TCP/UDP pseudo header.

Src and Dst are in network byte order, and Len is in host byte order.

Parameters:
[in] | Src | The source address of the packet.
[in] | Dst | The destination address of the packet.
[in] | Proto | The protocol type of the packet.
[in] | Len | The length of the packet.
Returns:
The computed checksum.

VOID EFIAPI NetPutUint32 | ( | IN OUT UINT8 * | Buf,
 |  | IN UINT32 | Data
 | ) |  |

Puts a UINT32 into the byte stream in network byte order.

Converts a UINT32 from host byte order to network byte order, then copies it to the byte stream.

Parameters:
[in,out] | Buf | The buffer in which to put the UINT32.
[in] | Data | The data to be converted and put into the byte stream.

UINT32 EFIAPI NetRandomInitSeed ( VOID )

Initialize a random seed using current time.

Get current time first. Then initialize a random seed based on some basic mathematical operations on the hour, day, minute, second, nanosecond and year of the current time.

Returns:
The random seed, initialized with current time.

typedef VOID ( EFIAPI * EBC_DEBUGGER_DEBUG )

The prototype is called back when an IP packet is received.

Parameters:
[in] | Status | The result of the receive request.
[in] | IcmpErr | Valid when Status is EFI_ICMP_ERROR.
[in] | NetSession | The IP session for the received packet.
[in] | Pkt | The packet received.
[in] | Context | The data provided by the user for the received packet when the callback is registered in IP_IO_OPEN_DATA::RcvdContext.
The prototype is called back when an IP packet is sent.

Parameters:
[in] | Status | Result of the IP packet being sent.
[in] | Context | The data provided by user for the received packet when the callback is registered in IP_IO_OPEN_DATA::SndContext.
[in] | Sender | A Union type to specify a pointer of EFI_IP4_PROTOCOL or EFI_IP6_PROTOCOL.
[in] | NotifyData | The Context data specified when calling IpIoSend()
Register Exit handler function. When more than one handler function is registered, the latter one will override the previous one. When NULL handler is specified, the previous Exit handler will be unregistered.

Parameters:
[in] Handler Pointer to handler function.
Prototype called when receiving or sending packets to or from a UDP point.

This prototype is used by both receive and sending when calling UdpIoRecvDatagram() or UdpIoSendDatagram(). When receiving, Netbuf is allocated by the UDP access point and released by the user. When sending, the user allocates the the NetBuf, which is then provided to the callback as a reference.

Parameters:
[in] | Packet | The packet received or sent.
[in] | EndPoint | The UDP address pair corresponds to the UDP IO.
[in] | IoStatus | The packet receiving or sending status.
[in] | Context | The user-defined data when calling UdpIoRecvDatagram() or UdpIoSendDatagram().
Given a pointer to a new VM context, debug one or more instructions.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Debug one or more instructions.

Variable Documentation

IP4_ADDR gIp4AllMasks[IP4_MASK_NUM]

EFI_IPv4_ADDRESS mZeroIp4Addr

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/OemHookStatusCodeLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/OemHookStatusCodeLib.h File Reference

Functions

EFI_STATUS EFIAPI | OemHookStatusCodeInitialize (VOID)
EFI_STATUS EFIAPI | OemHookStatusCodeReport (IN EFI_STATUS_CODE_TYPE CodeType, IN EFI_STATUS_CODE_VALUE Value, IN UINT32 Instance, IN EFI_GUID *CallerId, IN EFI_STATUS_CODE_DATA *Data)

Detailed Description

OEM hook status code library. Platform can implement an instance to initialize the OEM devices to report status code information.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI OemHookStatusCodeInitialize ( VOID )

Initialize OEM status code device.

Returns:
Status of initialization of OEM status code device.

EFI_STATUS EFIAPI OemHookStatusCodeReport | ( | IN EFI_STATUS_CODE_TYPE | CodeType,
 |  | IN EFI_STATUS_CODE_VALUE | Value,
 |  | IN UINT32 | Instance,
 |  | IN EFI_GUID * | CallerId,
 |  | IN EFI_STATUS_CODE_DATA * | Data
 | ) |  |

Report status code to OEM device.

Parameters:
CodeType | Indicates the type of status code being reported.
Value | Describes the current status of a hardware or software entity. This includes both an operation and classification information about the class and subclass. For progress codes, the operation is the current activity. For error codes, it is the exception. For debug codes, it is not defined at this time. Specific values are discussed in the Intel Platform Innovation Framework for EFI Status Code Specification.
Instance | The enumeration of a hardware or software entity within the system. A system may contain multiple entities that match a class/subclass pairing. The instance differentiates between them. An instance of 0 indicates that instance information is unavailable, not meaningful, or not relevant. Valid instance numbers start with 1.
CallerId | This optional parameter may be used to identify the caller. This parameter allows the status code driver to apply different rules to different callers. Type EFI_GUID is defined in InstallProtocolInterface() in the UEFI 2.0 Specification.
Data | This optional parameter may be used to pass additional data.
Returns:
The function always returns EFI_SUCCESS.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/PlatformHookLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/PlatformHookLib.h File Reference

Functions

RETURN_STATUS EFIAPI PlatformHookSerialPortInitialize (VOID)

Detailed Description

Platform hook library. Platform can provide an implementation of this library class to provide hooks that may be required for some type of platform initialization.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

RETURN_STATUS EFIAPI PlatformHookSerialPortInitialize ( VOID )

Performs platform specific initialization required for the CPU to access the hardware associated with a SerialPortLib instance. This function does not intiailzie the serial port hardware itself. Instead, it initializes hardware devices that are required for the CPU to access the serial port hardware. This function may be called more than once.

Return values:
RETURN_SUCCESS | The platform specific initialization succeeded.
RETURN_DEVICE_ERROR | The platform specific initialization could not be completed.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/RecoveryLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/RecoveryLib.h File Reference

Functions

EFI_STATUS EFIAPI PeiRecoverFirmware (VOID)

Detailed Description

Recovery library class defines a set of methods related recovery boot mode. This library class is no longer used and modules using this library should directly locate EFI_PEI_RECOVERY_MODULE_PPI, defined in the PI 1.2 specification.

Copyright (c) 2005 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI PeiRecoverFirmware ( VOID )

Calling this function causes the system to carry out a recovery boot path.

Return values:
EFI_SUCCESS | Recovery boot path succeeded.
Others | Recovery boot path failure.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/ResetSystemLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/ResetSystemLib.h File Reference

Functions

VOID EFIAPI | ResetCold (VOID)
VOID EFIAPI | ResetWarm (VOID)
VOID EFIAPI | ResetShutdown (VOID)
VOID EFIAPI | EnterS3WithImmediateWake (VOID)

Detailed Description

System reset Library Services. This library class defines a set of methods that reset the whole system.

Copyright (c) 2005 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

VOID EFIAPI EnterS3WithImmediateWake ( VOID )

This function causes the system to enter S3 and then wake up immediately.

If this function returns, it means that the system does not support S3 feature.

VOID EFIAPI ResetCold ( VOID )

This function causes a system-wide reset (cold reset), in which all circuitry within the system returns to its initial state. This type of reset is asynchronous to system operation and operates without regard to cycle boundaries.

If this function returns, it means that the system does not support cold reset.

VOID EFIAPI ResetShutdown ( VOID )

This function causes the system to enter a power state equivalent to the ACPI G2/S5 or G3 states.

If this function returns, it means that the system does not support shutdown reset.

VOID EFIAPI ResetWarm ( VOID )

This function causes a system-wide initialization (warm reset), in which all processors are set to their initial state. Pending cycles are not corrupted.

If this function returns, it means that the system does not support warm reset.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/S3Lib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/S3Lib.h File Reference

Functions

EFI_STATUS EFIAPI AcpiS3ResumeOs (VOID)

Detailed Description

S3 library class defines a set of methods related to S3 boot mode. This library class is no longer used and modules using this library should directly locate EFI_PEI_S3_RESUME_PPI, defined in the PI 1.2 specification.

Copyright (c) 2005 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI AcpiS3ResumeOs ( VOID )

This function is responsible for calling the S3 resume vector in the ACPI Tables.

Return values:
EFI_SUCCESS | Successfully restored the configuration from S3.
Others | Failed to restore the configuration from S3.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/SecurityManagementLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/SecurityManagementLib.h File Reference

Defines

#define | EFI_AUTH_OPERATION_NONE 0x00
#define | EFI_AUTH_OPERATION_VERIFY_IMAGE 0x01
#define | EFI_AUTH_OPERATION_DEFER_IMAGE_LOAD 0x02
#define | EFI_AUTH_OPERATION_MEASURE_IMAGE 0x04
#define | EFI_AUTH_OPERATION_IMAGE_REQUIRED 0x80000000

Typedefs

typedef EFI_STATUS(EFIAPI * | SECURITY_FILE_AUTHENTICATION_STATE_HANDLER )(IN OUT UINT32 AuthenticationStatus, IN CONST EFI_DEVICE_PATH_PROTOCOL *File, IN VOID *FileBuffer, IN UINTN FileSize)

Functions

EFI_STATUS EFIAPI | RegisterSecurityHandler (IN SECURITY_FILE_AUTHENTICATION_STATE_HANDLER SecurityHandler, IN UINT32 AuthenticationOperation)
EFI_STATUS EFIAPI | ExecuteSecurityHandlers (IN UINT32 AuthenticationStatus, IN CONST EFI_DEVICE_PATH_PROTOCOL *FilePath)

Detailed Description

This library class defines a set of interfaces to abstract the policy of security measurement by managing the different security measurement services. The library instances can be implemented according to the different security policy.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_AUTH_OPERATION_DEFER_IMAGE_LOAD 0x02

#define EFI_AUTH_OPERATION_IMAGE_REQUIRED 0x80000000

Image buffer is required by the security handler.

#define EFI_AUTH_OPERATION_MEASURE_IMAGE 0x04

#define EFI_AUTH_OPERATION_NONE 0x00

#define EFI_AUTH_OPERATION_VERIFY_IMAGE 0x01

Typedef Documentation

typedef EFI_STATUS(EFIAPI * SECURITY_FILE_AUTHENTICATION_STATE_HANDLER)(IN OUT UINT32 AuthenticationStatus, IN CONST EFI_DEVICE_PATH_PROTOCOL *File, IN VOID *FileBuffer, IN UINTN FileSize)

The security handler is used to abstract platform-specific policy from the DXE core response to an attempt to use a file that returns a given status for the authentication check from the section extraction protocol.

The possible responses in a given SAP implementation may include locking flash upon failure to authenticate, attestation logging for all signed drivers, and other exception operations. The File parameter allows for possible logging within the SAP of the driver.

If File is NULL, then EFI_INVALID_PARAMETER is returned.

If the file specified by File with an authentication status specified by AuthenticationStatus is safe for the DXE Core to use, then EFI_SUCCESS is returned.

If the file specified by File with an authentication status specified by AuthenticationStatus is not safe for the DXE Core to use under any circumstances, then EFI_ACCESS_DENIED is returned.

If the file specified by File with an authentication status specified by AuthenticationStatus is not safe for the DXE Core to use at the time, but it might be possible to use it at a future time, then EFI_SECURITY_VIOLATION is returned.

FileBuffer will be NULL and FileSize will be 0 if the handler being called did not set EFI_AUTH_OPERATION_IMAGE_REQUIRED when it was registered.

Parameters:
[in] | AuthenticationStatus | The authentication status returned from the security measurement services for the input file.
[in] | File | The pointer to the device path of the file that is being dispatched. This will optionally be used for logging.
[in] | FileBuffer | The file buffer matches the input file device path.
[in] | FileSize | The size of File buffer matches the input file device path.
Return values:
EFI_SUCCESS | The file specified by File did authenticate, and the platform policy dictates that the DXE Core may use File.
EFI_INVALID_PARAMETER | The file is NULL.
EFI_SECURITY_VIOLATION | The file specified by File did not authenticate, and the platform policy dictates that File should be placed in the untrusted state. A file may be promoted from the untrusted to the trusted state at a future time with a call to the Trust() DXE Service.
EFI_ACCESS_DENIED | The file specified by File did not authenticate, and the platform policy dictates that File should not be used for any purpose.

Function Documentation

EFI_STATUS EFIAPI ExecuteSecurityHandlers | ( | IN UINT32 | AuthenticationStatus,
 |  | IN CONST EFI_DEVICE_PATH_PROTOCOL * | FilePath
 | ) |  |

Execute registered handlers until one returns an error and that error is returned. If none of the handlers return an error, then EFI_SUCCESS is returned.

Before exectue handler, get the image buffer by file device path if a handler requires the image file. And return the image buffer to each handler when exectue handler.

The handlers are executed in same order to their registered order.

Parameters:
[in] | AuthenticationStatus | This is the authentication type returned from the Section Extraction protocol. See the Section Extraction Protocol Specification for details on this type.
[in] | FilePath | This is a pointer to the device path of the file that is being dispatched. This will optionally be used for logging.
Return values:
EFI_SUCCESS | The file specified by File authenticated when more than one security handler services were registered, or the file did not authenticate when no security handler service was registered. And the platform policy dictates that the DXE Core may use File.
EFI_INVALID_PARAMETER | File is NULL.
EFI_SECURITY_VIOLATION | The file specified by File did not authenticate, and the platform policy dictates that File should be placed in the untrusted state. A file may be promoted from the untrusted to the trusted state at a future time with a call to the Trust() DXE Service.
EFI_ACCESS_DENIED | The file specified by File did not authenticate, and the platform policy dictates that File should not be used for any purpose.

EFI_STATUS EFIAPI RegisterSecurityHandler | ( | IN SECURITY_FILE_AUTHENTICATION_STATE_HANDLER | SecurityHandler,
 |  | IN UINT32 | AuthenticationOperation
 | ) |  |

Register security measurement handler with its operation type. Different handlers with the same operation can all be registered.

If SecurityHandler is NULL, then ASSERT(). If no enough resources available to register new handler, then ASSERT(). If AuthenticationOperation is not recongnized, then ASSERT(). If the previous register handler can't be executed before the later register handler, then ASSERT().

Parameters:
[in] | SecurityHandler | The security measurement service handler to be registered.
[in] | AuthenticationOperation | Theoperation type is specified for the registered handler.
Return values:
EFI_SUCCESS The handlers were registered successfully.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/SmmCorePlatformHookLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/SmmCorePlatformHookLib.h File Reference

Functions

EFI_STATUS EFIAPI | PlatformHookBeforeSmmDispatch (VOID)
EFI_STATUS EFIAPI | PlatformHookAfterSmmDispatch (VOID)

Detailed Description

Smm Core Platform Hook Library. This library class defines a set of platform hooks called by the SMM Core.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Function Documentation

EFI_STATUS EFIAPI PlatformHookAfterSmmDispatch ( VOID )

Performs platform specific tasks after invoking registered SMI handlers.

This function performs platform specific tasks after invoking registered SMI handlers.

Return values:
EFI_SUCCESS | The platform hook completes successfully.
Other | values The paltform hook cannot complete due to some error.

EFI_STATUS EFIAPI PlatformHookBeforeSmmDispatch ( VOID )

Performs platform specific tasks before invoking registered SMI handlers.

This function performs platform specific tasks before invoking registered SMI handlers.

Return values:
EFI_SUCCESS | The platform hook completes successfully.
Other | values The paltform hook cannot complete due to some error.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/TcpIoLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/TcpIoLib.h File Reference

Data Structures

struct | TCP4_IO_CONFIG_DATA
struct | TCP6_IO_CONFIG_DATA
union | TCP_IO_CONFIG_DATA
union | TCP_IO_PROTOCOL
union | TCP_IO_CONNECTION_TOKEN
union | TCP_IO_IO_TOKEN
union | TCP_IO_CLOSE_TOKEN
union | TCP_IO_LISTEN_TOKEN
struct | TCP_IO

Defines

#define | TCP_VERSION_4 IP_VERSION_4
#define | TCP_VERSION_6 IP_VERSION_6
#define | TCP_GET_MAPPING_TIMEOUT 100000000U

Functions

EFI_STATUS EFIAPI | TcpIoCreateSocket (IN EFI_HANDLE Image, IN EFI_HANDLE Controller, IN UINT8 TcpVersion, IN TCP_IO_CONFIG_DATA *ConfigData, OUT TCP_IO *TcpIo)
VOID EFIAPI | TcpIoDestroySocket (IN TCP_IO *TcpIo)
EFI_STATUS EFIAPI | TcpIoConnect (IN OUT TCP_IO *TcpIo, IN EFI_EVENT Timeout)
EFI_STATUS EFIAPI | TcpIoAccept (IN OUT TCP_IO *TcpIo, IN EFI_EVENT Timeout)
VOID EFIAPI | TcpIoReset (IN OUT TCP_IO *TcpIo)
EFI_STATUS EFIAPI | TcpIoTransmit (IN TCP_IO *TcpIo, IN NET_BUF *Packet)
EFI_STATUS EFIAPI | TcpIoReceive (IN OUT TCP_IO *TcpIo, IN NET_BUF *Packet, IN BOOLEAN AsyncMode, IN EFI_EVENT Timeout)

Detailed Description

This library is used to share code between UEFI network stack modules. It provides the helper routines to access TCP service.

Copyright (c) 2010 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at
http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define TCP_GET_MAPPING_TIMEOUT 100000000U

10 seconds

#define TCP_VERSION_4 IP_VERSION_4

#define TCP_VERSION_6 IP_VERSION_6

Function Documentation

EFI_STATUS EFIAPI TcpIoAccept | ( | IN OUT TCP_IO * | TcpIo,
 |  | IN EFI_EVENT | Timeout
 | ) |  |

Accept the incomding request from the other endpoint of the TCP socket.

Parameters:
[in,out] | TcpIo | The TcpIo wrapping the TCP socket.
[in] | Timeout | The time to wait for connection done.
Return values:
EFI_SUCCESS | Connect to the other endpoint of the TCP socket successfully.
EFI_INVALID_PARAMETER | One or more parameters are invalid.
EFI_UNSUPPORTED | One or more of the control options are not supported in the implementation.
EFI_TIMEOUT | Failed to connect to the other endpoint of the TCP socket in the specified time period.
Others | Other errors as indicated.

EFI_STATUS EFIAPI TcpIoConnect | ( | IN OUT TCP_IO * | TcpIo,
 |  | IN EFI_EVENT | Timeout
 | ) |  |

Connect to the other endpoint of the TCP socket.

Parameters:
[in,out] | TcpIo | The TcpIo wrapping the TCP socket.
[in] | Timeout | The time to wait for connection done.
Return values:
EFI_SUCCESS | Connect to the other endpoint of the TCP socket successfully.
EFI_TIMEOUT | Failed to connect to the other endpoint of the TCP socket in the specified time period.
EFI_INVALID_PARAMETER | One or more parameters are invalid.
EFI_UNSUPPORTED | One or more of the control options are not supported in the implementation.
Others | Other errors as indicated.

EFI_STATUS EFIAPI TcpIoCreateSocket | ( | IN EFI_HANDLE | Image,
 |  | IN EFI_HANDLE | Controller,
 |  | IN UINT8 | TcpVersion,
 |  | IN TCP_IO_CONFIG_DATA * | ConfigData,
 |  | OUT TCP_IO * | TcpIo
 | ) |  |

Create a TCP socket with the specified configuration data.

Parameters:
[in] | Image | The handle of the driver image.
[in] | Controller | The handle of the controller.
[in] | TcpVersion | The version of Tcp, TCP_VERSION_4 or TCP_VERSION_6.
[in] | ConfigData | The Tcp configuration data.
[out] | TcpIo | The TcpIo.
Return values:
EFI_SUCCESS | The TCP socket is created and configured.
EFI_INVALID_PARAMETER | One or more parameters are invalid.
EFI_UNSUPPORTED | One or more of the control options are not supported in the implementation.
EFI_OUT_OF_RESOURCES | Failed to allocate memory.
Others | Failed to create the TCP socket or configure it.

VOID EFIAPI TcpIoDestroySocket ( IN TCP_IO * TcpIo )

Destroy the socket.

Parameters:
[in] TcpIo The TcpIo which wraps the socket to be destroyed.

EFI_STATUS EFIAPI TcpIoReceive | ( | IN OUT TCP_IO * | TcpIo,
 |  | IN NET_BUF * | Packet,
 |  | IN BOOLEAN | AsyncMode,
 |  | IN EFI_EVENT | Timeout
 | ) |  |

Receive data from the socket.

Parameters:
[in,out] | TcpIo | The TcpIo which wraps the socket to be destroyed.
[in] | Packet | The buffer to hold the data copy from the socket rx buffer.
[in] | AsyncMode | Is this receive asyncronous or not.
[in] | Timeout | The time to wait for receiving the amount of data the Packet can hold.
Return values:
EFI_SUCCESS | The required amount of data is received from the socket.
EFI_INVALID_PARAMETER | One or more parameters are invalid.
EFI_DEVICE_ERROR | An unexpected network or system error occurred.
EFI_OUT_OF_RESOURCES | Failed to allocate momery.
EFI_TIMEOUT | Failed to receive the required amount of data in the specified time period.
Others | Other errors as indicated.

VOID EFIAPI TcpIoReset ( IN OUT TCP_IO * TcpIo )

Reset the socket.

Parameters:
[in,out] TcpIo The TcpIo wrapping the TCP socket.

EFI_STATUS EFIAPI TcpIoTransmit | ( | IN TCP_IO * | TcpIo,
 |  | IN NET_BUF * | Packet
 | ) |  |

Transmit the Packet to the other endpoint of the socket.

Parameters:
[in] | TcpIo | The TcpIo wrapping the TCP socket.
[in] | Packet | The packet to transmit.
Return values:
EFI_SUCCESS | The packet is trasmitted.
EFI_INVALID_PARAMETER | One or more parameters are invalid.
EFI_UNSUPPORTED | One or more of the control options are not supported in the implementation.
EFI_OUT_OF_RESOURCES | Failed to allocate memory.
EFI_DEVICE_ERROR | An unexpected network or system error occurred.
Others | Other errors as indicated.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/UdpIoLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/UdpIoLib.h File Reference

Data Structures

struct | UDP_END_POINT
union | UDP_COMPLETION_TOKEN
struct | UDP_RX_TOKEN
union | UDP_SESSION_DATA
union | UDP_TRANSMIT_DATA
struct | UDP_TX_TOKEN
struct | _UDP_IO

Defines

#define | UDP_IO_RX_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'R')
#define | UDP_IO_TX_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'T')
#define | UDP_IO_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'I')
#define | UDP_IO_UDP4_VERSION 4
#define | UDP_IO_UDP6_VERSION 6

Typedefs

typedef struct _UDP_IO | UDP_IO
typedef IN UDP_END_POINT * | EndPoint
typedef IN UDP_END_POINT IN
EFI_STATUS 		IoStatus
typedef IN UDP_END_POINT IN
EFI_STATUS IN VOID * 		Context

Functions

typedef | VOID (EFIAPI *UDP_IO_CALLBACK)(IN NET_BUF *Packet
typedef | EFI_STATUS (EFIAPI *UDP_IO_CONFIG)(IN UDP_IO *UdpIo
typedef | BOOLEAN (EFIAPI *UDP_IO_TO_CANCEL)(IN UDP_TX_TOKEN *Token
VOID EFIAPI | UdpIoCancelDgrams (IN UDP_IO *UdpIo, IN EFI_STATUS IoStatus, IN UDP_IO_TO_CANCEL ToCancel, IN VOID *Context)
UDP_IO *EFIAPI | UdpIoCreateIo (IN EFI_HANDLE Controller, IN EFI_HANDLE ImageHandle, IN UDP_IO_CONFIG Configure, IN UINT8 UdpVersion, IN VOID *Context)
EFI_STATUS EFIAPI | UdpIoFreeIo (IN UDP_IO *UdpIo)
VOID EFIAPI | UdpIoCleanIo (IN UDP_IO *UdpIo)
EFI_STATUS EFIAPI | UdpIoSendDatagram (IN UDP_IO *UdpIo, IN NET_BUF *Packet, IN UDP_END_POINT *EndPoint, IN EFI_IP_ADDRESS *Gateway, IN UDP_IO_CALLBACK CallBack, IN VOID *Context)
VOID EFIAPI | UdpIoCancelSentDatagram (IN UDP_IO *UdpIo, IN NET_BUF *Packet)
EFI_STATUS EFIAPI | UdpIoRecvDatagram (IN UDP_IO *UdpIo, IN UDP_IO_CALLBACK CallBack, IN VOID *Context, IN UINT32 HeadLen)

Detailed Description

This library is used to share code between UEFI network stack modules. It provides the helper routines to access UDP service. It is used by both DHCP and MTFTP.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at
http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define UDP_IO_RX_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'R')

Signatures used by UdpIo Library.

#define UDP_IO_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'I')

#define UDP_IO_TX_SIGNATURE SIGNATURE_32 ('U', 'D', 'P', 'T')

#define UDP_IO_UDP4_VERSION 4

#define UDP_IO_UDP6_VERSION 6

Typedef Documentation

typedef IN VOID* Context

typedef IN UDP_END_POINT* EndPoint

typedef IN UDP_END_POINT IN EFI_STATUS IoStatus

typedef struct _UDP_IO UDP_IO

Function Documentation

typedef BOOLEAN ( EFIAPI * UDP_IO_TO_CANCEL )

The select function to decide whether to cancel the UDP_TX_TOKEN.

Parameters:
[in] | Token | The UDP_TX_TOKEN to decide whether to cancel.
[in] | Context | User-defined data in UdpIoCancelDgrams().
Return values:
TRUE | Cancel the UDP_TX_TOKEN.
FALSE | Do not cancel this UDP_TX_TOKEN.

typedef EFI_STATUS ( EFIAPI * UDP_IO_CONFIG )

The prototype called when UdpIo Library configures a UDP instance.

The prototype is set and called when creating a UDP_IO in UdpIoCreatePort().

Parameters:
[in] | UdpIo | The UDP_IO to configure.
[in] | Context | The user-defined data when calling UdpIoCreatePort().
Return values:
EFI_SUCCESS | The configuration succeeded.
Others | The UDP_IO fails to configure indicating UdpIoCreatePort() should fail.

VOID EFIAPI UdpIoCancelDgrams | ( | IN UDP_IO * | UdpIo,
 |  | IN EFI_STATUS | IoStatus,
 |  | IN UDP_IO_TO_CANCEL | ToCancel,
 |  | IN VOID * | Context
 | ) |  |

Cancel all the sent datagram that pass the selection criteria of ToCancel. If ToCancel is NULL, all the datagrams are cancelled.

Parameters:
[in] | UdpIo | The UDP_IO to cancel packet.
[in] | IoStatus | The IoStatus to return to the packet owners.
[in] | ToCancel | The select funtion to test whether to cancel this packet or not.
[in] | Context | The opaque parameter to the ToCancel.

VOID EFIAPI UdpIoCancelSentDatagram | ( | IN UDP_IO * | UdpIo,
 |  | IN NET_BUF * | Packet
 | ) |  |

Cancel a single sent datagram.

Parameters:
[in] | UdpIo | The UDP_IO from which to cancel the packet
[in] | Packet | The packet to cancel

VOID EFIAPI UdpIoCleanIo ( IN UDP_IO * UdpIo )

Cleans up the UDP_IO without freeing it. Call this function if you intend to later re-use the UDP_IO.

This function releases all transmitted datagrams and receive requests and configures NULL for the UDP instance.

Parameters:
[in] UdpIo The UDP_IO to clean up.

UDP_IO* EFIAPI UdpIoCreateIo | ( | IN EFI_HANDLE | Controller,
 |  | IN EFI_HANDLE | ImageHandle,
 |  | IN UDP_IO_CONFIG | Configure,
 |  | IN UINT8 | UdpVersion,
 |  | IN VOID * | Context
 | ) |  |

Creates a UDP_IO to access the UDP service. It creates and configures a UDP child.

It locates the UDP service binding prototype on the Controller parameter uses the UDP service binding prototype to create a UDP child (also known as a UDP instance) configures the UDP child by calling Configure function prototype. Any failures in creating or configuring the UDP child return NULL for failure.

Parameters:
[in] | Controller | The controller that has the UDP service binding. protocol installed.
[in] | ImageHandle | The image handle for the driver.
[in] | Configure | The function to configure the created UDP child.
[in] | UdpVersion | The UDP protocol version, UDP4 or UDP6.
[in] | Context | The opaque parameter for the Configure funtion.
Returns:
The newly-created UDP_IO, or NULL if failed.

EFI_STATUS EFIAPI UdpIoFreeIo ( IN UDP_IO * UdpIo )

Free the UDP_IO and all its related resources.

The function cancels all sent datagrams and receive requests.

Parameters:
[in] UdpIo The UDP_IO to free.
Return values:
EFI_SUCCESS The UDP_IO is freed.

EFI_STATUS EFIAPI UdpIoRecvDatagram | ( | IN UDP_IO * | UdpIo,
 |  | IN UDP_IO_CALLBACK | CallBack,
 |  | IN VOID * | Context,
 |  | IN UINT32 | HeadLen
 | ) |  |

Issue a receive request to the UDP_IO.

This function is called when upper-layer needs packet from UDP for processing. Only one receive request is acceptable at a time. Therefore, one common usage model is to invoke this function inside its Callback function when the former packet is processed.

Parameters:
[in] | UdpIo | The UDP_IO to receive the packet from.
[in] | CallBack | The call back function to execute when the packet is received.
[in] | Context | The opaque context passed to Callback.
[in] | HeadLen | The length of the upper-layer's protocol header.
Return values:
EFI_ALREADY_STARTED | There is already a pending receive request. Only one receive request is supported at a time.
EFI_OUT_OF_RESOURCES | Failed to allocate needed resources.
EFI_SUCCESS | The receive request was issued successfully.
EFI_UNSUPPORTED | The UDP version in UDP_IO is not supported.

EFI_STATUS EFIAPI UdpIoSendDatagram | ( | IN UDP_IO * | UdpIo,
 |  | IN NET_BUF * | Packet,
 |  | IN UDP_END_POINT * | EndPoint,
 |  | IN EFI_IP_ADDRESS * | Gateway,
 |  | IN UDP_IO_CALLBACK | CallBack,
 |  | IN VOID * | Context
 | ) |  |

Send a packet through the UDP_IO.

The packet will be wrapped in UDP_TX_TOKEN. Function Callback will be called when the packet is sent. The optional parameter EndPoint overrides the default address pair if specified.

Parameters:
[in] | UdpIo | The UDP_IO to send the packet through.
[in] | Packet | The packet to send.
[in] | EndPoint | The local and remote access point. Override the default address pair set during configuration.
[in] | Gateway | The gateway to use.
[in] | CallBack | The function being called when packet is transmitted or failed.
[in] | Context | The opaque parameter passed to CallBack.
Return values:
EFI_OUT_OF_RESOURCES | Failed to allocate resource for the packet.
EFI_SUCCESS | The packet is successfully delivered to UDP for transmission.

typedef VOID ( EFIAPI * UDP_IO_CALLBACK )

Prototype called when receiving or sending packets to or from a UDP point.

This prototype is used by both receive and sending when calling UdpIoRecvDatagram() or UdpIoSendDatagram(). When receiving, Netbuf is allocated by the UDP access point and released by the user. When sending, the user allocates the the NetBuf, which is then provided to the callback as a reference.

Parameters:
[in] | Packet | The packet received or sent.
[in] | EndPoint | The UDP address pair corresponds to the UDP IO.
[in] | IoStatus | The packet receiving or sending status.
[in] | Context | The user-defined data when calling UdpIoRecvDatagram() or UdpIoSendDatagram().

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Library/UefiHiiServicesLib.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Library/UefiHiiServicesLib.h File Reference

Variables

EFI_HII_FONT_PROTOCOL * | gHiiFont
EFI_HII_STRING_PROTOCOL * | gHiiString
EFI_HII_IMAGE_PROTOCOL * | gHiiImage
EFI_HII_DATABASE_PROTOCOL * | gHiiDatabase
EFI_HII_CONFIG_ROUTING_PROTOCOL * | gHiiConfigRouting

Detailed Description

Provides global variables that are pointers to the UEFI HII related protocols. All of the UEFI HII related protocols are optional, so the consumers of this library class must verify that the global variable pointers are not NULL before use.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Variable Documentation

EFI_HII_CONFIG_ROUTING_PROTOCOL* gHiiConfigRouting

The pointer to the UEFI HII Config Rounting Protocol.

EFI_HII_DATABASE_PROTOCOL* gHiiDatabase

The pointer to the UEFI HII Database Protocol.

EFI_HII_FONT_PROTOCOL* gHiiFont

The pointer to the UEFI HII Font Protocol.

EFI_HII_IMAGE_PROTOCOL* gHiiImage

The pointer to the UEFI HII Image Protocol.

EFI_HII_STRING_PROTOCOL* gHiiString

The pointer to the UEFI HII String Protocol.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/AtaController.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/AtaController.h File Reference

Data Structures

struct | IDE_REGS_BASE_ADDR
struct | _PEI_ATA_CONTROLLER_PPI

Defines

#define | PEI_ATA_CONTROLLER_PPI_GUID
#define | PEI_ICH_IDE_NONE 0x00
#define | PEI_ICH_IDE_PRIMARY 0x01
#define | PEI_ICH_IDE_SECONDARY 0x02
#define | PEI_ICH_SATA_NONE 0x04
#define | PEI_ICH_SATA_PRIMARY 0x08
#define | PEI_ICH_SATA_SECONDARY 0x010

Typedefs

typedef struct
_PEI_ATA_CONTROLLER_PPI 		PEI_ATA_CONTROLLER_PPI
typedef EFI_STATUS(EFIAPI * | PEI_ENABLE_ATA )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_ATA_CONTROLLER_PPI *This, IN UINT8 ChannelMask)
typedef UINT32(EFIAPI * | GET_IDE_REGS_BASE_ADDR )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_ATA_CONTROLLER_PPI *This, OUT IDE_REGS_BASE_ADDR *IdeRegsBaseAddr)

Variables

EFI_GUID | gPeiAtaControllerPpiGuid

Detailed Description

Define the PPI to abstract the functions that enable IDE and SATA channels, and to retrieve the base I/O port address for each of the enabled IDE and SATA channels.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_ATA_CONTROLLER_PPI_GUID

Value:

{ \
    0xa45e60d1, 0xc719, 0x44aa, {0xb0, 0x7a, 0xaa, 0x77, 0x7f, 0x85, 0x90, 0x6d } \
  }
Global ID for the PEI_ATA_CONTROLLER_PPI.

#define PEI_ICH_IDE_NONE 0x00

This bit is used in the ChannelMask parameter of EnableAtaChannel() to disable the IDE channels. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

#define PEI_ICH_IDE_PRIMARY 0x01

This bit is used in the ChannelMask parameter of EnableAtaChannel() to enable the Primary IDE channel. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

#define PEI_ICH_IDE_SECONDARY 0x02

This bit is used in the ChannelMask parameter of EnableAtaChannel() to enable the Secondary IDE channel. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

#define PEI_ICH_SATA_NONE 0x04

This bit is used in the ChannelMask parameter of EnableAtaChannel() to disable the SATA channel. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

#define PEI_ICH_SATA_PRIMARY 0x08

This bit is used in the ChannelMask parameter of EnableAtaChannel() to enable the Primary SATA channel. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

#define PEI_ICH_SATA_SECONDARY 0x010

This bit is used in the ChannelMask parameter of EnableAtaChannel() to enable the Secondary SATA channel. This is designed for old generation chipset with PATA/SATA controllers. It may be ignored in PPI implementation for new generation chipset without PATA controller.

Typedef Documentation

typedef UINT32(EFIAPI * GET_IDE_REGS_BASE_ADDR)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_ATA_CONTROLLER_PPI *This, OUT IDE_REGS_BASE_ADDR *IdeRegsBaseAddr)

Retrieves the I/O port base addresses for command and control registers of the enabled IDE/SATA channels.

This service fills in the structure poionted to by IdeRegsBaseAddr with the I/O port base addresses for the command and control registers of the IDE and SATA channels that were previously enabled in EnableAtaChannel(). The number of enabled IDE and SATA channels is returned.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_ATA_CONTROLLER_PPI.
[out] | IdeRegsBaseAddr | The pointer to caller allocated space to return the I/O port base addresses of the IDE and SATA channels that were previosuly enabled with EnableAtaChannel().
Returns:
The number of enabled IDE and SATA channels in the platform.

typedef struct _PEI_ATA_CONTROLLER_PPI PEI_ATA_CONTROLLER_PPI

Forward declaration for the PEI_ATA_CONTROLLER_PPI.

typedef EFI_STATUS(EFIAPI * PEI_ENABLE_ATA)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_ATA_CONTROLLER_PPI *This, IN UINT8 ChannelMask)

Sets IDE and SATA channels to an enabled or disabled state.

This service enables or disables the IDE and SATA channels specified by ChannelMask. It may ignore ChannelMask setting to enable or disable IDE and SATA channels based on the platform policy. The number of the enabled channels will be returned by GET_IDE_REGS_BASE_ADDR() function.

If the new state is set, then EFI_SUCCESS is returned. If the new state can not be set, then EFI_DEVICE_ERROR is returned.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_ATA_CONTROLLER_PPI.
[in] | ChannelMask | The bitmask that identifies the IDE and SATA channels to enable or disable. This paramter is optional.
Return values:
EFI_SUCCESS | The IDE or SATA channels were enabled or disabled successfully.
EFI_DEVICE_ERROR | The IDE or SATA channels could not be enabled or disabled.

Variable Documentation

EFI_GUID gPeiAtaControllerPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/Capsule.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/Capsule.h File Reference

Data Structures

struct | _PEI_CAPSULE_PPI

Defines

#define | PEI_CAPSULE_PPI_GUID

Typedefs

typedef struct _PEI_CAPSULE_PPI | PEI_CAPSULE_PPI
typedef EFI_STATUS(EFIAPI * | PEI_CAPSULE_COALESCE )(IN EFI_PEI_SERVICES **PeiServices, IN OUT VOID **MemoryBase, IN OUT UINTN *MemSize)
typedef EFI_STATUS(EFIAPI * | PEI_CAPSULE_CHECK_CAPSULE_UPDATE )(IN EFI_PEI_SERVICES **PeiServices)
typedef EFI_STATUS(EFIAPI * | PEI_CAPSULE_CREATE_STATE )(IN EFI_PEI_SERVICES **PeiServices, IN VOID *CapsuleBase, IN UINTN CapsuleSize)

Variables

EFI_GUID | gPeiCapsulePpiGuid

Detailed Description

Defines the APIs that enable PEI services to work with the underlying capsule capabilities of the platform.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_CAPSULE_PPI_GUID

Value:

{ \
    0x3acf33ee, 0xd892, 0x40f4, {0xa2, 0xfc, 0x38, 0x54, 0xd2, 0xe1, 0x32, 0x3d } \
  }
Global ID for the PEI_CAPSULE_PPI.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PEI_CAPSULE_CHECK_CAPSULE_UPDATE)(IN EFI_PEI_SERVICES **PeiServices)

Determine if a capsule needs to be processed. The means by which the presence of a capsule is determined is platform specific. For example, an implementation could be driven by the presence of a Capsule EFI Variable containing a list of EFI_CAPSULE_BLOCK_DESCRIPTOR entries. If present, return EFI_SUCCESS, otherwise return EFI_NOT_FOUND.

Parameters:
[in] PeiServices Pointer to the PEI Services Table.
Return values:
EFI_SUCCESS | If a capsule is available.
EFI_NOT_FOUND | No capsule detected.

typedef EFI_STATUS(EFIAPI * PEI_CAPSULE_COALESCE)(IN EFI_PEI_SERVICES **PeiServices, IN OUT VOID **MemoryBase, IN OUT UINTN *MemSize)

Upon determining that there is a capsule to operate on, this service will use a series of EFI_CAPSULE_BLOCK_DESCRIPTOR entries to determine the current location of the various capsule fragments and coalesce them into a contiguous region of system memory.

Parameters:
[in] | PeiServices | Pointer to the PEI Services Table.
[out] | MemoryBase | Pointer to the base of a block of memory into which the buffers will be coalesced. On output, this variable will hold the base address of a coalesced capsule.
[out] | MemorySize | Size of the memory region pointed to by MemoryBase. On output, this variable will contain the size of the coalesced capsule.
Return values:
EFI_NOT_FOUND | If: boot modecould not be determined, or the boot mode is not flash-update, or the capsule descriptors were not found.
EFI_BUFFER_TOO_SMALL | The capsule could not be coalesced in the provided memory region.
EFI_SUCCESS | There was no capsule, or the capsule was processed successfully.

typedef EFI_STATUS(EFIAPI * PEI_CAPSULE_CREATE_STATE)(IN EFI_PEI_SERVICES **PeiServices, IN VOID *CapsuleBase, IN UINTN CapsuleSize)

The Capsule PPI service that gets called after memory is available. The capsule coalesce function, which must be called first, returns a base address and size. Once the memory init PEIM has discovered memory, it should call this function and pass in the base address and size returned by the Coalesce() function. Then this function can create a capsule HOB and return.

Notes:
This function assumes it will not be called until the actual capsule update.
Parameters:
[in] | PeiServices | Pointer to the PEI Services Table.
[in] | CapsuleBase | Address returned by the capsule coalesce function.
[in] | CapsuleSize | Value returned by the capsule coalesce function.
Return values:
EFI_VOLUME_CORRUPTED | CapsuleBase does not appear to point to a coalesced capsule.
EFI_SUCCESS | Capsule HOB was created successfully.

typedef struct _PEI_CAPSULE_PPI PEI_CAPSULE_PPI

Forward declaration for the PEI_CAPSULE_PPI.

Variable Documentation

EFI_GUID gPeiCapsulePpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/PostBootScriptTable.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/PostBootScriptTable.h File Reference

Defines

#define | PEI_POST_BOOT_SCRIPT_TABLE_PPI_GUID {0x88c9d306, 0x900, 0x4eb5, 0x82, 0x60, 0x3e, 0x2d, 0xbe, 0xda, 0x1f, 0x89};

Variables

EFI_GUID | gPeiPostScriptTablePpiGuid

Detailed Description

POST BootScript Table PPI definition.

This PPI is used to be notification after boot script table execution.

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_POST_BOOT_SCRIPT_TABLE_PPI_GUID {0x88c9d306, 0x900, 0x4eb5, 0x82, 0x60, 0x3e, 0x2d, 0xbe, 0xda, 0x1f, 0x89};

Variable Documentation

EFI_GUID gPeiPostScriptTablePpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/SecPerformance.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/SecPerformance.h File Reference

Data Structures

struct | FIRMWARE_SEC_PERFORMANCE
struct | _PEI_SEC_PERFORMANCE_PPI

Defines

#define | PEI_SEC_PERFORMANCE_PPI_GUID

Typedefs

typedef struct
_PEI_SEC_PERFORMANCE_PPI 		PEI_SEC_PERFORMANCE_PPI
typedef IN
PEI_SEC_PERFORMANCE_PPI * 		This
typedef IN
PEI_SEC_PERFORMANCE_PPI OUT
FIRMWARE_SEC_PERFORMANCE * 		Performance

Functions

typedef | EFI_STATUS (EFIAPI *GET_SEC_PERFORMANCE)(IN CONST EFI_PEI_SERVICES **PeiServices

Variables

EFI_GUID | gPeiSecPerformancePpiGuid

Detailed Description

Defines the interface to convey performance information from SEC phase to PEI.

Copyright (c) 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_SEC_PERFORMANCE_PPI_GUID

Value:

{ \
    0x0ecc666b, 0x4662, 0x47f9, {0x9d, 0xd5, 0xd0, 0x96, 0xff, 0x7d, 0xa4, 0x9e } \
  }

Typedef Documentation

typedef struct _PEI_SEC_PERFORMANCE_PPI PEI_SEC_PERFORMANCE_PPI

typedef IN PEI_SEC_PERFORMANCE_PPI OUT FIRMWARE_SEC_PERFORMANCE* Performance

typedef IN PEI_SMM_CONTROL_PPI * This

Function Documentation

typedef EFI_STATUS ( EFIAPI * GET_SEC_PERFORMANCE )

This interface conveys performance information out of the Security (SEC) phase into PEI.

This service is published by the SEC phase. The SEC phase handoff has an optional EFI_PEI_PPI_DESCRIPTOR list as its final argument when control is passed from SEC into the PEI Foundation. As such, if the platform supports collecting performance data in SEC, this information is encapsulated into the data structure abstracted by this service. This information is collected for the boot-strap processor (BSP) on IA-32.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_SEC_PERFORMANCE_PPI.
[out] | Performance | The pointer to performance data collected in SEC phase.
Return values:
EFI_SUCCESS The performance data was successfully returned.

Variable Documentation

EFI_GUID gPeiSecPerformancePpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/SmmAccess.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/SmmAccess.h File Reference

Data Structures

struct | _PEI_SMM_ACCESS_PPI

Defines

#define | PEI_SMM_ACCESS_PPI_GUID { 0x268f33a9, 0xcccd, 0x48be, { 0x88, 0x17, 0x86, 0x5, 0x3a, 0xc3, 0x2e, 0xd6 }}

Typedefs

typedef struct _PEI_SMM_ACCESS_PPI | PEI_SMM_ACCESS_PPI
typedef EFI_STATUS(EFIAPI * | PEI_SMM_OPEN )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)
typedef EFI_STATUS(EFIAPI * | PEI_SMM_CLOSE )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)
typedef EFI_STATUS(EFIAPI * | PEI_SMM_LOCK )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)
typedef EFI_STATUS(EFIAPI * | PEI_SMM_CAPABILITIES )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN OUT UINTN *SmramMapSize, IN OUT EFI_SMRAM_DESCRIPTOR *SmramMap)

Variables

EFI_GUID | gPeiSmmAccessPpiGuid

Detailed Description

EFI SMM Access PPI definition.

This PPI is used to control the visibility of the SMRAM on the platform. It abstracts the location and characteristics of SMRAM. The expectation is that the north bridge or memory controller would publish this PPI.

The principal functionality found in the memory controller includes the following:

  • Exposing the SMRAM to all non-SMM agents, or the "open" state
  • Shrouding the SMRAM to all but the SMM agents, or the "closed" state
  • Preserving the system integrity, or "locking" the SMRAM, such that the settings cannot be perturbed by either boot service or runtime agents

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_SMM_ACCESS_PPI_GUID { 0x268f33a9, 0xcccd, 0x48be, { 0x88, 0x17, 0x86, 0x5, 0x3a, 0xc3, 0x2e, 0xd6 }}

Typedef Documentation

typedef struct _PEI_SMM_ACCESS_PPI PEI_SMM_ACCESS_PPI

typedef EFI_STATUS(EFIAPI * PEI_SMM_CAPABILITIES)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN OUT UINTN *SmramMapSize, IN OUT EFI_SMRAM_DESCRIPTOR *SmramMap)

Queries the memory controller for the possible regions that will support SMRAM.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The pointer to the SmmAccessPpi Interface.
SmramMapSize | The pointer to the variable containing size of the buffer to contain the description information.
SmramMap | The buffer containing the data describing the Smram region descriptors.
Return values:
EFI_BUFFER_TOO_SMALL | The user did not provide a sufficient buffer.
EFI_SUCCESS | The user provided a sufficiently-sized buffer.

typedef EFI_STATUS(EFIAPI * PEI_SMM_CLOSE)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)

Inhibits access to the SMRAM.

This function "closes" SMRAM so that it is not visible while outside of SMM. The function should return EFI_UNSUPPORTED if the hardware does not support hiding of SMRAM.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The pointer to the SMM Access Interface.
DescriptorIndex | The region of SMRAM to Close.
Return values:
EFI_SUCCESS | The region was successfully closed.
EFI_DEVICE_ERROR | The region could not be closed because locked by chipset.
EFI_INVALID_PARAMETER | The descriptor index was out of bounds.

typedef EFI_STATUS(EFIAPI * PEI_SMM_LOCK)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)

Inhibits access to the SMRAM.

This function prohibits access to the SMRAM region. This function is usually implemented such that it is a write-once operation.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The pointer to the SMM Access Interface.
DescriptorIndex | The region of SMRAM to Close.
Return values:
EFI_SUCCESS | The region was successfully locked.
EFI_DEVICE_ERROR | The region could not be locked because at least one range is still open.
EFI_INVALID_PARAMETER | The descriptor index was out of bounds.

typedef EFI_STATUS(EFIAPI * PEI_SMM_OPEN)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_SMM_ACCESS_PPI *This, IN UINTN DescriptorIndex)

Opens the SMRAM area to be accessible by a PEIM driver.

This function "opens" SMRAM so that it is visible while not inside of SMM. The function should return EFI_UNSUPPORTED if the hardware does not support hiding of SMRAM. The function should return EFI_DEVICE_ERROR if the SMRAM configuration is locked.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The pointer to the SMM Access Interface.
DescriptorIndex | The region of SMRAM to Open.
Return values:
EFI_SUCCESS | The region was successfully opened.
EFI_DEVICE_ERROR | The region could not be opened because locked by chipset.
EFI_INVALID_PARAMETER | The descriptor index was out of bounds.

Variable Documentation

EFI_GUID gPeiSmmAccessPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/SmmCommunication.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/SmmCommunication.h File Reference

Data Structures

struct | _EFI_PEI_SMM_COMMUNICATION_PPI

Defines

#define | EFI_PEI_SMM_COMMUNICATION_PPI_GUID

Typedefs

typedef struct
_EFI_PEI_SMM_COMMUNICATION_PPI 		EFI_PEI_SMM_COMMUNICATION_PPI
typedef EFI_STATUS(EFIAPI * | EFI_PEI_SMM_COMMUNICATE )(IN CONST EFI_PEI_SMM_COMMUNICATION_PPI *This, IN OUT VOID *CommBuffer, IN OUT UINTN *CommSize)

Variables

EFI_GUID | gEfiPeiSmmCommunicationPpiGuid

Detailed Description

EFI SMM Communication PPI definition.

This Ppi provides a means of communicating between PEIM and SMI handlers inside of SMM. This Ppi is produced and consumed only in S3 resume boot path. It is NOT available in normal boot path.

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_PEI_SMM_COMMUNICATION_PPI_GUID

Value:

{ \
    0xae933e1c, 0xcc47, 0x4e38, { 0x8f, 0xe, 0xe2, 0xf6, 0x1d, 0x26, 0x5, 0xdf } \
  }

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_PEI_SMM_COMMUNICATE)(IN CONST EFI_PEI_SMM_COMMUNICATION_PPI *This, IN OUT VOID *CommBuffer, IN OUT UINTN *CommSize)

Communicates with a registered handler.

This function provides a service to send and receive messages from a registered UEFI service.

Parameters:
[in] | This | The EFI_PEI_SMM_COMMUNICATION_PPI instance.
[in] | CommBuffer | A pointer to the buffer to convey into SMRAM.
[in] | CommSize | The size of the data buffer being passed in.On exit, the size of data being returned. Zero if the handler does not wish to reply with any data.
Return values:
EFI_SUCCESS | The message was successfully posted.
EFI_INVALID_PARAMETER | The CommBuffer was NULL.

typedef struct _EFI_PEI_SMM_COMMUNICATION_PPI EFI_PEI_SMM_COMMUNICATION_PPI

Variable Documentation

EFI_GUID gEfiPeiSmmCommunicationPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/SmmControl.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/SmmControl.h File Reference

Data Structures

struct | _PEI_SMM_CONTROL_PPI

Defines

#define | PEI_SMM_CONTROL_PPI_GUID { 0x61c68702, 0x4d7e, 0x4f43, 0x8d, 0xef, 0xa7, 0x43, 0x5, 0xce, 0x74, 0xc5 }

Typedefs

typedef struct _PEI_SMM_CONTROL_PPI | PEI_SMM_CONTROL_PPI
typedef IN PEI_SMM_CONTROL_PPI * | This
typedef IN PEI_SMM_CONTROL_PPI
IN OUT INT8 * 		ArgumentBuffer
typedef IN PEI_SMM_CONTROL_PPI
IN OUT INT8 IN OUT UINTN * 		ArgumentBufferSize
typedef IN PEI_SMM_CONTROL_PPI
IN OUT INT8 IN OUT UINTN IN
BOOLEAN 		Periodic
typedef IN PEI_SMM_CONTROL_PPI
IN OUT INT8 IN OUT UINTN IN
BOOLEAN IN UINTN 		ActivationInterval

Functions

typedef | EFI_STATUS (EFIAPI *PEI_SMM_ACTIVATE)(IN EFI_PEI_SERVICES **PeiServices

Variables

EFI_GUID | gPeiSmmControlPpiGuid

Detailed Description

EFI SMM Control PPI definition.

This PPI is used to initiate SMI/PMI activations. This protocol could be published by either:

  • A processor driver to abstract the SMI/PMI IPI
  • The driver that abstracts the ASIC that is supporting the APM port, such as the ICH in an Intel chipset Because of the possibility of performing SMI or PMI IPI transactions, the ability to generate this event from a platform chipset agent is an optional capability for both IA-32 and Itanium-based systems.

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_SMM_CONTROL_PPI_GUID { 0x61c68702, 0x4d7e, 0x4f43, 0x8d, 0xef, 0xa7, 0x43, 0x5, 0xce, 0x74, 0xc5 }

Typedef Documentation

typedef IN PEI_SMM_CONTROL_PPI IN OUT INT8 IN OUT UINTN IN BOOLEAN IN UINTN ActivationInterval

typedef IN PEI_SMM_CONTROL_PPI IN OUT INT8* ArgumentBuffer

typedef IN PEI_SMM_CONTROL_PPI IN OUT INT8 IN OUT UINTN* ArgumentBufferSize

typedef struct _PEI_SMM_CONTROL_PPI PEI_SMM_CONTROL_PPI

typedef IN PEI_SMM_CONTROL_PPI IN BOOLEAN Periodic

typedef IN PEI_SMM_CONTROL_PPI* This

Function Documentation

typedef EFI_STATUS ( EFIAPI * PEI_SMM_DEACTIVATE )

Invokes SMI activation from either the preboot or runtime environment.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
ArgumentBuffer | The optional sized data to pass into the protocol activation.
ArgumentBufferSize | The optional size of the data.
Periodic | An optional mechanism to periodically repeat activation.
ActivationInterval | An optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The timing is unsupported.
EFI_INVALID_PARAMETER | The activation period is unsupported.
EFI_NOT_STARTED | The SMM base service has not been initialized.
Clears any system state that was created in response to the Active call.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
Periodic | Optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The source could not be cleared.
EFI_INVALID_PARAMETER | The service did not support the Periodic input argument.

Variable Documentation

EFI_GUID gPeiSmmControlPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/Usb2HostController.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/Usb2HostController.h File Reference

Data Structures

struct | _PEI_USB2_HOST_CONTROLLER_PPI

Defines

#define | PEI_USB2_HOST_CONTROLLER_PPI_GUID

Typedefs

typedef struct
_PEI_USB2_HOST_CONTROLLER_PPI 		PEI_USB2_HOST_CONTROLLER_PPI
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 DeviceSpeed, IN UINTN MaximumPacketLength, IN USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION TransferDirection, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN TimeOut, IN EFI_USB2_HC_TRANSACTION_TRANSLATOR *Translator, OUT UINT32 *TransferResult)
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 EndPointAddress, IN UINT8 DeviceSpeed, IN UINTN MaximumPacketLength, IN OUT VOID *Data[EFI_USB_MAX_BULK_BUFFER_NUM], IN OUT UINTN *DataLength, IN OUT UINT8 *DataToggle, IN UINTN TimeOut, IN EFI_USB2_HC_TRANSACTION_TRANSLATOR *Translator, OUT UINT32 *TransferResult)
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, OUT UINT8 *PortNumber)
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, OUT EFI_USB_PORT_STATUS *PortStatus)
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)
typedef EFI_STATUS(EFIAPI * | PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Variables

EFI_GUID | gPeiUsb2HostControllerPpiGuid

Detailed Description

Defines the USB Host Controller PPI that provides I/O services for a USB Host Controller that may be used to access recovery devices. These interfaces are modeled on the UEFI 2.3 specification EFI_USB2_HOST_CONTROLLER_PROTOCOL. Refer to section 16.1 of the UEFI 2.3 Specification for more information on these interfaces.

Copyright (c) 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_USB2_HOST_CONTROLLER_PPI_GUID

Value:

{ \
    0xa7d09fe1, 0x74d4, 0x4ba5, { 0x84, 0x7c, 0x12, 0xed, 0x5b, 0x19, 0xad, 0xe4 } \
  }
Global ID for the PEI_USB2_HOST_CONTROLLER_PPI.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 EndPointAddress, IN UINT8 DeviceSpeed, IN UINTN MaximumPacketLength, IN OUT VOID *Data[EFI_USB_MAX_BULK_BUFFER_NUM], IN OUT UINTN *DataLength, IN OUT UINT8 *DataToggle, IN UINTN TimeOut, IN EFI_USB2_HC_TRANSACTION_TRANSLATOR *Translator, OUT UINT32 *TransferResult)

Initiate a USB bulk transfer using a specific USB Host controller on the USB bus.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[in] | DeviceAddress | Represents the address of the target device on the USB.
[in] | EndPointAddress | The combination of an endpoint number and an endpoint direction of the target USB device.
[in] | DeviceSpeed | Indicates device speed.
[in] | MaximumPacketLength | Indicates the maximum packet size the target endpoint is capable of sending or receiving.
[in,out] | Data | Array of pointers to the buffers of data that will be transmitted to USB device or received from USB device.
[in,out] | DataLength | When input, indicates the size, in bytes, of the data buffers specified by Data. When output, indicates the data size actually transferred.
[in,out] | DataToggle | A pointer to the data toggle value.
[in] | TimeOut | Indicates the maximum time, in milliseconds, in which the transfer is allowed to complete.
[in] | Translator | A pointer to the transaction translator data.
[out] | TransferResult | A pointer to the detailed result information of the bulk transfer.
Return values:
EFI_SUCCESS | The bulk transfer was completed successfully.
EFI_DEVICE_ERROR | The bulk transfer failed due to host controller or device error. Caller should check TransferResult for detailed error information.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_OUT_OF_RESOURCES | The bulk transfer could not be submitted due to a lack of resources.
EFI_TIMEOUT | The bulk transfer failed due to timeout.

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Clears a feature for the specified root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port whose feature is requested to be cleared.
[in] | PortFeature | Indicates the feature selector associated with the feature clear request.
Returns:
EFI_SUCCESS The feature specified by PortFeature was cleared for the USB root hub port specified by PortNumber.

EFI_INVALID_PARAMETER PortNumber is invalid or PortFeature is invalid.

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 DeviceSpeed, IN UINTN MaximumPacketLength, IN USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION TransferDirection, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN TimeOut, IN EFI_USB2_HC_TRANSACTION_TRANSLATOR *Translator, OUT UINT32 *TransferResult)

Initiate a USB control transfer using a specific USB Host controller on the USB bus.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[in] | DeviceAddress | Represents the address of the target device on the USB.
[in] | DeviceSpeed | Indicates device speed.
[in] | MaximumPacketLength | Indicates the maximum packet size that the default control transfer endpoint is capable of sending or receiving.
[in] | Request | A pointer to the USB device request that will be sent to the USB device.
[in] | TransferDirection | Specifies the data direction for the transfer. There are three values available: EfiUsbDataIn, EfiUsbDataOut and EfiUsbNoData.
[in,out] | Data | A pointer to the buffer of data that will be transmitted to USB device or received from USB device.
[in,out] | DataLength | On input, indicates the size, in bytes, of the data buffer specified by Data. On output, indicates the amount of data actually transferred.
[in] | TimeOut | Indicates the maximum time, in milliseconds, that the transfer is allowed to complete.
[in] | Translator | A pointer to the transaction translator data.
[out] | TransferResult | A pointer to the detailed result information generated by this control transfer.
Return values:
EFI_SUCCESS | The control transfer was completed successfully.
EFI_DEVICE_ERROR | The control transfer failed due to host controller or device error.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_OUT_OF_RESOURCES | The control transfer could not be completed due to a lack of resources.
EFI_TIMEOUT | The control transfer failed due to timeout.

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, OUT UINT8 *PortNumber)

Retrieves the number of root hub ports.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[out] | PortNumber | The pointer to the number of the root hub ports.
Return values:
EFI_SUCCESS | The port number was retrieved successfully.
EFI_INVALID_PARAMETER | PortNumber is NULL.

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, OUT EFI_USB_PORT_STATUS *PortStatus)

Retrieves the current status of a USB root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port from which the status is to be retrieved. This value is zero based.
[out] | PortStatus | A pointer to the current port status bits and port status change bits.
Return values:
EFI_SUCCESS | The status of the USB root hub port specified by PortNumber was returned in PortStatus.
EFI_INVALID_PARAMETER | PortNumber is invalid.

typedef struct _PEI_USB2_HOST_CONTROLLER_PPI PEI_USB2_HOST_CONTROLLER_PPI

Forward declaration for the PEI_USB2_HOST_CONTROLLER_PPI.

typedef EFI_STATUS(EFIAPI * PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB2_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Sets a feature for the specified root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB2_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port whose feature is requested to be set. This value is zero based.
[in] | PortFeature | Indicates the feature selector associated with the feature set request.
Return values:
EFI_SUCCESS | The feature specified by PortFeature was set for the USB root hub port specified by PortNumber.
EFI_INVALID_PARAMETER | PortNumber is invalid or PortFeature is invalid for this function.
EFI_TIMEOUT | The time out occurred

Variable Documentation

EFI_GUID gPeiUsb2HostControllerPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/UsbController.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/UsbController.h File Reference

Data Structures

struct | _PEI_USB_CONTROLLER_PPI

Defines

#define | PEI_USB_CONTROLLER_PPI_GUID
#define | PEI_UHCI_CONTROLLER 0x01
#define | PEI_OHCI_CONTROLLER 0x02
#define | PEI_EHCI_CONTROLLER 0x03

Typedefs

typedef struct
_PEI_USB_CONTROLLER_PPI 		PEI_USB_CONTROLLER_PPI
typedef EFI_STATUS(EFIAPI * | PEI_GET_USB_CONTROLLER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_CONTROLLER_PPI *This, IN UINT8 UsbControllerId, OUT UINTN *ControllerType, OUT UINTN *BaseAddress)

Variables

EFI_GUID | gPeiUsbControllerPpiGuid

Detailed Description

Define APIs to retrieve USB Host Controller Info such as controller type and I/O Port Base Address.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_EHCI_CONTROLLER 0x03

This bit is used in the ControllerType return parameter of GetUsbController() to identify the USB Host Controller type as EHCI

#define PEI_OHCI_CONTROLLER 0x02

This bit is used in the ControllerType return parameter of GetUsbController() to identify the USB Host Controller type as OHCI

#define PEI_UHCI_CONTROLLER 0x01

This bit is used in the ControllerType return parameter of GetUsbController() to identify the USB Host Controller type as UHCI

#define PEI_USB_CONTROLLER_PPI_GUID

Value:

{ \
    0x3bc1f6de, 0x693e, 0x4547,{ 0xa3, 0x0, 0x21, 0x82, 0x3c, 0xa4, 0x20, 0xb2} \
  }
Global ID for the PEI_USB_CONTROLLER_PPI.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PEI_GET_USB_CONTROLLER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_CONTROLLER_PPI *This, IN UINT8 UsbControllerId, OUT UINTN *ControllerType, OUT UINTN *BaseAddress)

Retrieve USB Host Controller Info such as controller type and I/O Base Address.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_CONTROLLER_PPI.
[in] | ControllerId | The ID of the USB controller.
[out] | ControllerType | On output, returns the type of the USB controller.
[out] | BaseAddress | On output, returns the base address of UHCI's I/O ports if UHCI is enabled or the base address of EHCI's MMIO if EHCI is enabled.
Return values:
EFI_SUCCESS | USB controller attributes were returned successfully.
EFI_INVALID_PARAMETER | ControllerId is greater than the maximum number of USB controller supported by this platform.

typedef struct _PEI_USB_CONTROLLER_PPI PEI_USB_CONTROLLER_PPI

Forward declaration for the PEI_USB_CONTROLLER_PPI.

Variable Documentation

EFI_GUID gPeiUsbControllerPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/UsbHostController.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/UsbHostController.h File Reference

Data Structures

struct | _PEI_USB_HOST_CONTROLLER_PPI

Defines

#define | PEI_USB_HOST_CONTROLLER_PPI_GUID

Typedefs

typedef struct
_PEI_USB_HOST_CONTROLLER_PPI 		PEI_USB_HOST_CONTROLLER_PPI
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 DeviceSpeed, IN UINT8 MaximumPacketLength, IN USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION TransferDirection, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN TimeOut, OUT UINT32 *TransferResult)
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_BULK_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 EndPointAddress, IN UINT8 MaximumPacketLength, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN OUT UINT8 *DataToggle, IN UINTN TimeOut, OUT UINT32 *TransferResult)
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, OUT UINT8 *PortNumber)
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, OUT EFI_USB_PORT_STATUS *PortStatus)
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)
typedef EFI_STATUS(EFIAPI * | PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Variables

EFI_GUID | gPeiUsbHostControllerPpiGuid

Detailed Description

Defines the USB Host Controller PPI that provides I/O services for a USB Host Controller that may be used to access recovery devices. These interfaces are modeled on the UEFI 2.3 specification EFI_USB2_HOST_CONTROLLER_PROTOCOL. Refer to section 16.1 of the UEFI 2.3 Specification for more information on these interfaces.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_USB_HOST_CONTROLLER_PPI_GUID

Value:

{ \
    0x652b38a9, 0x77f4, 0x453f, { 0x89, 0xd5, 0xe7, 0xbd, 0xc3, 0x52, 0xfc, 0x53} \
  }
Global ID for the PEI_USB_HOST_CONTROLLER_PPI.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_BULK_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 EndPointAddress, IN UINT8 MaximumPacketLength, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN OUT UINT8 *DataToggle, IN UINTN TimeOut, OUT UINT32 *TransferResult)

Initiate a USB bulk transfer using a specific USB Host controller on the USB bus.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[in] | DeviceAddress | Represents the address of the target device on the USB.
[in] | EndPointAddress | The combination of an endpoint number and an endpoint direction of the target USB device.
[in] | MaximumPacketLength | Indicates the maximum packet size the target endpoint is capable of sending or receiving.
[in,out] | Data | Array of pointers to the buffers of data that will be transmitted to USB device or received from USB device.
[in,out] | DataLength | When input, indicates the size, in bytes, of the data buffers specified by Data. When output, indicates the data size actually transferred.
[in,out] | DataToggle | A pointer to the data toggle value.
[in] | TimeOut | Indicates the maximum time, in milliseconds, in which the transfer is allowed to complete.
[out] | TransferResult | A pointer to the detailed result information of the bulk transfer.
Return values:
EFI_SUCCESS | The bulk transfer was completed successfully.
EFI_DEVICE_ERROR | The bulk transfer failed due to host controller or device error. Caller should check TransferResult for detailed error information.

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Clears a feature for the specified root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port whose feature is requested to be cleared.
[in] | PortFeature | Indicates the feature selector associated with the feature clear request.
Returns:
EFI_SUCCESS The feature specified by PortFeature was cleared for the USB root hub port specified by PortNumber.

EFI_INVALID_PARAMETER PortNumber is invalid or PortFeature is invalid.

EFI_DEVICE_ERROR Can't read the register.

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 DeviceAddress, IN UINT8 DeviceSpeed, IN UINT8 MaximumPacketLength, IN USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION TransferDirection, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN TimeOut, OUT UINT32 *TransferResult)

Initiate a USB control transfer using a specific USB Host controller on the USB bus.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[in] | DeviceAddress | Represents the address of the target device on the USB.
[in] | DeviceSpeed | Indicates device speed.
[in] | MaximumPacketLength | Indicates the maximum packet size that the default control transfer endpoint is capable of sending or receiving.
[in] | Request | A pointer to the USB device request that will be sent to the USB device.
[in] | TransferDirection | Specifies the data direction for the transfer. There are three values available: EfiUsbDataIn, EfiUsbDataOut and EfiUsbNoData.
[in,out] | Data | A pointer to the buffer of data that will be transmitted to USB device or received from USB device.
[in,out] | DataLength | On input, indicates the size, in bytes, of the data buffer specified by Data. On output, indicates the amount of data actually transferred.
[in] | TimeOut | Indicates the maximum time, in milliseconds, that the transfer is allowed to complete.
[out] | TransferResult | A pointer to the detailed result information generated by this control transfer.
Return values:
EFI_DEVICE_ERROR | The control transfer failed due to host controller or device error.
EFI_SUCCESS | The control transfer was completed successfully.

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, OUT UINT8 *PortNumber)

Retrieves the number of root hub ports.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[out] | PortNumber | The pointer to the number of the root hub ports.
Return values:
EFI_SUCCESS | The port number was retrieved successfully.
EFI_DEVICE_ERROR | An error was encountered while attempting to retrieve the port number.
EFI_INVALID_PARAMETER | PortNumber is NULL.

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, OUT EFI_USB_PORT_STATUS *PortStatus)

Retrieves the current status of a USB root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port from which the status is to be retrieved. This value is zero based.
[out] | PortStatus | A pointer to the current port status bits and port status change bits.
Return values:
EFI_SUCCESS | The status of the USB root hub port specified by PortNumber was returned in PortStatus.
EFI_INVALID_PARAMETER | PortNumber is invalid.

typedef struct _PEI_USB_HOST_CONTROLLER_PPI PEI_USB_HOST_CONTROLLER_PPI

Forward declaration for the PEI_USB_HOST_CONTROLLER_PPI.

typedef EFI_STATUS(EFIAPI * PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_HOST_CONTROLLER_PPI *This, IN UINT8 PortNumber, IN EFI_USB_PORT_FEATURE PortFeature)

Sets a feature for the specified root hub port.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_HOST_CONTROLLER_PPI.
[in] | PortNumber | Specifies the root hub port whose feature is requested to be set. This value is zero based.
[in] | PortFeature | Indicates the feature selector associated with the feature set request.
Return values:
EFI_SUCCESS | The feature specified by PortFeature was set for the USB root hub port specified by PortNumber.
EFI_INVALID_PARAMETER | PortNumber is invalid or PortFeature is invalid for this function.

Variable Documentation

EFI_GUID gPeiUsbHostControllerPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Ppi/UsbIo.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Ppi/UsbIo.h File Reference

Data Structures

struct | _PEI_USB_IO_PPI

Defines

#define | PEI_USB_IO_PPI_GUID

Typedefs

typedef struct _PEI_USB_IO_PPI | PEI_USB_IO_PPI
typedef EFI_STATUS(EFIAPI * | PEI_USB_CONTROL_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN EFI_USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION Direction, IN UINT32 Timeout, IN OUT VOID *Data, IN UINTN DataLength)
typedef EFI_STATUS(EFIAPI * | PEI_USB_BULK_TRANSFER )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN UINT8 DeviceEndpoint, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN Timeout)
typedef EFI_STATUS(EFIAPI * | PEI_USB_GET_INTERFACE_DESCRIPTOR )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN EFI_USB_INTERFACE_DESCRIPTOR **InterfaceDescriptor)
typedef EFI_STATUS(EFIAPI * | PEI_USB_GET_ENDPOINT_DESCRIPTOR )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN UINT8 EndpointIndex, IN EFI_USB_ENDPOINT_DESCRIPTOR **EndpointDescriptor)
typedef EFI_STATUS(EFIAPI * | PEI_USB_PORT_RESET )(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This)

Variables

EFI_GUID | gPeiUsbIoPpiGuid

Detailed Description

Defines the PEI_USB_IO_PPI that the USB-related PEIM can use for I/O operations on the USB BUS. This interface enables recovery from a USB-class storage device, such as USB CD/DVD, USB hard drive, or USB FLASH drive. These interfaces are modeled on the UEFI 2.3 specification EFI_USB_IO_PROTOCOL. Refer to section 16.2.4 of the UEFI 2.3 Specification for more information on these interfaces.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define PEI_USB_IO_PPI_GUID

Value:

{ \
    0x7c29785c, 0x66b9, 0x49fc, { 0xb7, 0x97, 0x1c, 0xa5, 0x55, 0xe, 0xf2, 0x83} \
  }
Global ID for the PEI_USB_IO_PPI.

Typedef Documentation

typedef EFI_STATUS(EFIAPI * PEI_USB_BULK_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN UINT8 DeviceEndpoint, IN OUT VOID *Data, IN OUT UINTN *DataLength, IN UINTN Timeout)

Submits bulk transfer to a target USB device.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_IO_PPI.
[in] | EndPointAddress | The endpoint address.
[in] | Data | The data buffer to be transfered.
[in] | DataLength | The length of data buffer.
[in] | TimeOut | The timeout for the transfer, in milliseconds.
Return values:
EFI_SUCCESS | The bulk transfer completed successfully.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_OUT_OF_RESOURCES | The bulk transfer could not be completed due to a lack of resources.
EFI_TIMEOUT | The bulk transfer failed due to timeout.
EFI_DEVICE_ERROR | The bulk transfer failed due to host controller or device error. Caller should check TransferResult for detailed error information.

typedef EFI_STATUS(EFIAPI * PEI_USB_CONTROL_TRANSFER)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN EFI_USB_DEVICE_REQUEST *Request, IN EFI_USB_DATA_DIRECTION Direction, IN UINT32 Timeout, IN OUT VOID *Data, IN UINTN DataLength)

Submits control transfer to a target USB device.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_IO_PPI.
[in] | Request | A pointer to the USB device request that will be sent to the USB device.
[in] | Direction | Specifies the data direction for the transfer. There are three values available: EfiUsbDataIn, EfiUsbDataOut and EfiUsbNoData.
[in] | TimeOut | Indicates the maximum time, in milliseconds, that the transfer is allowed to complete.
[in,out] | Data | A pointer to the buffer of data that will be transmitted to or received from the USB device.
[in] | DataLength | On input, indicates the size, in bytes, of the data buffer specified by Data.
Return values:
EFI_SUCCESS | The control transfer was completed successfully.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_OUT_OF_RESOURCES | The control transfer could not be completed due to a lack of resources.
EFI_TIMEOUT | The control transfer failed due to timeout.
EFI_DEVICE_ERROR | The control transfer failed due to host controller or device error. Caller should check TransferResult for detailed error information.

typedef EFI_STATUS(EFIAPI * PEI_USB_GET_ENDPOINT_DESCRIPTOR)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN UINT8 EndpointIndex, IN EFI_USB_ENDPOINT_DESCRIPTOR **EndpointDescriptor)

Get endpoint descriptor from a USB device.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_IO_PPI.
[in] | EndPointIndex | The index of the end point.
[in] | EndpointDescriptor | The endpoint descriptor.
Return values:
EFI_SUCCESS | The endpoint descriptor was returned.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_DEVICE_ERROR | A device error occurred, the function failed to get the endpoint descriptor.

typedef EFI_STATUS(EFIAPI * PEI_USB_GET_INTERFACE_DESCRIPTOR)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This, IN EFI_USB_INTERFACE_DESCRIPTOR **InterfaceDescriptor)

Get interface descriptor from a USB device.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_IO_PPI.
[in] | InterfaceDescriptor | The interface descriptor.
Return values:
EFI_SUCCESS | The interface descriptor was returned.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_DEVICE_ERROR | A device error occurred, the function failed to get the interface descriptor.

typedef struct _PEI_USB_IO_PPI PEI_USB_IO_PPI

Forward declaration for the PEI_USB_IO_PPI.

typedef EFI_STATUS(EFIAPI * PEI_USB_PORT_RESET)(IN EFI_PEI_SERVICES **PeiServices, IN PEI_USB_IO_PPI *This)

Issue a port reset to the device.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_USB_IO_PPI.
Return values:
EFI_SUCCESS | The port reset was issued successfully.
EFI_INVALID_PARAMETER | Some parameters are invalid.
EFI_DEVICE_ERROR | Device error occurred.

Variable Documentation

EFI_GUID gPeiUsbIoPpiGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/BootLogo.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/BootLogo.h File Reference

Data Structures

struct | _EFI_BOOT_LOGO_PROTOCOL

Defines

#define | EFI_BOOT_LOGO_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_BOOT_LOGO_PROTOCOL 		EFI_BOOT_LOGO_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_SET_BOOT_LOGO )(IN EFI_BOOT_LOGO_PROTOCOL *This, IN EFI_GRAPHICS_OUTPUT_BLT_PIXEL *BltBuffer, IN UINTN DestinationX, IN UINTN DestinationY, IN UINTN Width, IN UINTN Height)

Variables

EFI_GUID | gEfiBootLogoProtocolGuid

Detailed Description

Boot Logo protocol is used to convey information of Logo dispayed during boot.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_BOOT_LOGO_PROTOCOL_GUID

Value:

{ \
    0xcdea2bd3, 0xfc25, 0x4c1c, { 0xb9, 0x7c, 0xb3, 0x11, 0x86, 0x6, 0x49, 0x90 } \
  }

Typedef Documentation

typedef struct _EFI_BOOT_LOGO_PROTOCOL EFI_BOOT_LOGO_PROTOCOL

typedef EFI_STATUS(EFIAPI * EFI_SET_BOOT_LOGO)(IN EFI_BOOT_LOGO_PROTOCOL *This, IN EFI_GRAPHICS_OUTPUT_BLT_PIXEL *BltBuffer, IN UINTN DestinationX, IN UINTN DestinationY, IN UINTN Width, IN UINTN Height)

Update information of logo image drawn on screen.

Parameters:
This | The pointer to the Boot Logo protocol instance.
BltBuffer | The BLT buffer for logo drawn on screen. If BltBuffer is set to NULL, it indicates that logo image is no longer on the screen.
DestinationX | X coordinate of destination for the BltBuffer.
DestinationY | Y coordinate of destination for the BltBuffer.
Width | Width of rectangle in BltBuffer in pixels.
Height | Hight of rectangle in BltBuffer in pixels.
Return values:
EFI_SUCCESS | The boot logo information was updated.
EFI_INVALID_PARAMETER | One of the parameters has an invalid value.
EFI_OUT_OF_RESOURCES | The logo information was not updated due to insufficient memory resources.

Variable Documentation

EFI_GUID gEfiBootLogoProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/Dpc.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/Dpc.h File Reference

Data Structures

struct | _EFI_DPC_PROTOCOL

Defines

#define | EFI_DPC_PROTOCOL_GUID

Typedefs

typedef struct _EFI_DPC_PROTOCOL | EFI_DPC_PROTOCOL
typedef VOID(EFIAPI * | EFI_DPC_PROCEDURE )(IN VOID *DpcContext)
typedef EFI_STATUS(EFIAPI * | EFI_DPC_QUEUE_DPC )(IN EFI_DPC_PROTOCOL *This, IN EFI_TPL DpcTpl, IN EFI_DPC_PROCEDURE DpcProcedure, IN VOID *DpcContext)
typedef EFI_STATUS(EFIAPI * | EFI_DPC_DISPATCH_DPC )(IN EFI_DPC_PROTOCOL *This)

Variables

EFI_GUID | gEfiDpcProtocolGuid

Detailed Description

EFI Deferred Procedure Call Protocol.

Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_DPC_PROTOCOL_GUID

Value:

{ \
      0x480f8ae9, 0xc46, 0x4aa9, { 0xbc, 0x89, 0xdb, 0x9f, 0xba, 0x61, 0x98, 0x6 } \
    }

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_DPC_DISPATCH_DPC)(IN EFI_DPC_PROTOCOL *This)

Dispatch the queue of DPCs.

DPCs with DpcTpl value greater than the current TPL value are queued, and then DPCs with DpcTpl value lower than the current TPL value are queued. All DPCs in the first group (higher DpcTpl values) are invoked before DPCs in the second group (lower DpcTpl values).

Parameters:
This Protocol instance pointer.
Return values:
EFI_SUCCESS | One or more DPCs were invoked.
EFI_NOT_FOUND | No DPCs were invoked.

typedef VOID(EFIAPI * EFI_DPC_PROCEDURE)(IN VOID *DpcContext)

Invoke a Deferred Procedure Call.

Parameters:
DpcContext The pointer to the Deferred Procedure Call's context, which is implementation dependent.

typedef struct _EFI_DPC_PROTOCOL EFI_DPC_PROTOCOL

typedef EFI_STATUS(EFIAPI * EFI_DPC_QUEUE_DPC)(IN EFI_DPC_PROTOCOL *This, IN EFI_TPL DpcTpl, IN EFI_DPC_PROCEDURE DpcProcedure, IN VOID *DpcContext)

Add a Deferred Procedure Call to the end of the DPC queue.

Parameters:
This | The protocol instance pointer.
DpcTpl | The EFI_TPL that the DPC should invoke.
DpcProcedure | The pointer to the DPC's function.
DpcContext | The pointer to the DPC's context. Passed to DpcProcedure when DpcProcedure is invoked.
Return values:
EFI_SUCCESS | The DPC was queued.
EFI_INVALID_PARAMETER | DpcTpl is not a valid EFI_TPL.
EFI_INVALID_PARAMETER | DpcProcedure is NULL.
EFI_OUT_OF_RESOURCES | There are not enough resources available to add the DPC to the queue.

Variable Documentation

EFI_GUID gEfiDpcProtocolGuid

DPC Protocol GUID variable.

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/EbcSimpleDebugger.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/EbcSimpleDebugger.h File Reference

Data Structures

struct | _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL

Defines

#define | EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL 		EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
typedef IN VM_CONTEXT * | VmPtr
typedef IN VM_CONTEXT IN
EFI_EXCEPTION_TYPE 		ExceptionType
typedef IN VM_CONTEXT IN UINT16 * | DasmString
typedef IN VM_CONTEXT IN
UINT16 IN UINT32 		DasmStringSize
typedef IN UINT32 | ConfigId
typedef IN UINT32 IN UINTN | ConfigValue

Functions

typedef | EFI_STATUS (EFIAPI *EBC_DEBUGGER_SIGNAL_EXCEPTION)(IN EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL *This
typedef | VOID (EFIAPI *EBC_DEBUGGER_DEBUG)(IN EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL *This
typedef | UINT32 (EFIAPI *EBC_DEBUGGER_DASM)(IN EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL *This

Variables

EFI_GUID | gEfiEbcSimpleDebuggerProtocolGuid

Detailed Description

EBC Simple Debugger protocol for debug EBC code.

Copyright (c) 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL_GUID

Value:

{ \
    0x2a72d11e, 0x7376, 0x40f6, { 0x9c, 0x68, 0x23, 0xfa, 0x2f, 0xe3, 0x63, 0xf1 } \
  }

Typedef Documentation

typedef IN UINT32 ConfigId

typedef IN UINT32 IN UINTN ConfigValue

typedef IN VM_CONTEXT IN UINT16* DasmString

typedef IN VM_CONTEXT IN UINT16 IN UINT32 DasmStringSize

typedef struct _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL

typedef IN VM_CONTEXT IN EFI_EXCEPTION_TYPE ExceptionType

typedef IN VM_CONTEXT * VmPtr

Function Documentation

typedef EFI_STATUS ( EFIAPI * EBC_DEBUGGER_CONFIGURE )

Trig Exception on EBC VM.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
[in] | ExceptionType | Exception to be trigged.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Exception is trigged.
This interface allows you to configure the EBC debug support driver. For example, turn on or off saving and printing of delta VM even if called. Or to even disable the entire interface, in which case all functions become no-ops.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | ConfigId | ID to be configured.
[in] | ConfigValue | Value to be set.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Configure EBC debug.

typedef UINT32 ( EFIAPI * EBC_DEBUGGER_DASM )

Given a pointer to a new VM context, dump one or more instructions.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
[in] | DasmString | Dump string buffer.
[in] | DasmStringSize | Dump string size.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Dump one or more instructions.

typedef VOID ( EFIAPI * EBC_DEBUGGER_DEBUG )

Given a pointer to a new VM context, debug one or more instructions.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Debug one or more instructions.

Variable Documentation

EFI_GUID gEfiEbcSimpleDebuggerProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/EbcVmTest.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/EbcVmTest.h File Reference

Data Structures

struct | VM_CONTEXT
struct | _EFI_EBC_VM_TEST_PROTOCOL

Defines

#define | EFI_EBC_VM_TEST_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_EBC_VM_TEST_PROTOCOL 		EFI_EBC_VM_TEST_PROTOCOL
typedef UINT8 * | VMIP
typedef INT64 | VM_REGISTER
typedef UINT32 | EXCEPTION_FLAGS
typedef IN VM_CONTEXT * | VmPtr
typedef IN VM_CONTEXT IN OUT
UINTN * 		InstructionCount
typedef IN CHAR16 * | AsmText
typedef IN CHAR16 IN OUT INT8 * | Buffer
typedef IN CHAR16 IN OUT INT8
IN OUT UINTN * 		BufferLen
typedef IN OUT CHAR16 IN OUT
INT8 IN OUT UINTN * 		Len

Functions

typedef | EFI_STATUS (EFIAPI *EBC_VM_TEST_EXECUTE)(IN EFI_EBC_VM_TEST_PROTOCOL *This

Variables

EFI_GUID | gEfiEbcVmTestProtocolGuid

Detailed Description

EBC VM Test protocol for test purposes.

Copyright (c) 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_EBC_VM_TEST_PROTOCOL_GUID

Value:

{ \
    0xAAEACCFD, 0xF27B, 0x4C17, { 0xB6, 0x10, 0x75, 0xCA, 0x1F, 0x2D, 0xFB, 0x52 } \
  }

Typedef Documentation

typedef IN OUT CHAR16 * AsmText

typedef IN OUT CHAR16 IN OUT INT8 * Buffer

typedef IN CHAR16 IN OUT INT8 IN OUT UINTN* BufferLen

typedef struct _EFI_EBC_VM_TEST_PROTOCOL EFI_EBC_VM_TEST_PROTOCOL

typedef UINT32 EXCEPTION_FLAGS

typedef IN VM_CONTEXT IN OUT UINTN* InstructionCount

typedef IN OUT CHAR16 IN OUT INT8 IN OUT UINTN* Len

typedef INT64 VM_REGISTER

typedef UINT8* VMIP

instruction pointer for the VM

typedef IN VM_CONTEXT* VmPtr

Function Documentation

typedef EFI_STATUS ( EFIAPI * EBC_VM_TEST_DASM )

Given a pointer to a new VM context, execute one or more instructions. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
[in,out] | InstructionCount | A pointer to a UINTN value holding the number of instructions to execute. If it holds value of 0, then the instruction to be executed is 1.
Return values:
EFI_UNSUPPORTED | At least one of the opcodes is not supported.
EFI_SUCCESS | All of the instructions are executed successfully.
Convert AsmText to the instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | AsmText | A pointer to EBC ASM text code.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully convert AsmText to the instruction.
Dump the executed instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[out] | AsmText | Contain the disasm text.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully dump the executed instruction.

Variable Documentation

EFI_GUID gEfiEbcVmTestProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/FaultTolerantWrite.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/FaultTolerantWrite.h File Reference

Data Structures

struct | _EFI_FAULT_TOLERANT_WRITE_PROTOCOL

Defines

#define | EFI_FAULT_TOLERANT_WRITE_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_FAULT_TOLERANT_WRITE_PROTOCOL 		EFI_FAULT_TOLERANT_WRITE_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, OUT UINTN *BlockSize)
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_ALLOCATE )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_GUID *CallerId, IN UINTN PrivateDataSize, IN UINTN NumberOfWrites)
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_WRITE )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_LBA Lba, IN UINTN Offset, IN UINTN Length, IN VOID *PrivateData, IN EFI_HANDLE FvbHandle, IN VOID *Buffer)
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_RESTART )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_HANDLE FvbHandle)
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_ABORT )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This)
typedef EFI_STATUS(EFIAPI * | EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE )(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, OUT EFI_GUID *CallerId, OUT EFI_LBA *Lba, OUT UINTN *Offset, OUT UINTN *Length, IN OUT UINTN *PrivateDataSize, OUT VOID *PrivateData, OUT BOOLEAN *Complete)

Variables

EFI_GUID | gEfiFaultTolerantWriteProtocolGuid

Detailed Description

Fault Tolerant Write protocol provides boot-time service for fault tolerant write capability for block devices. The protocol provides for non-volatile storage of the intermediate data and private information a caller would need to recover from a critical fault, such as a power failure.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_FAULT_TOLERANT_WRITE_PROTOCOL_GUID

Value:

{ \
    0x3ebd9e82, 0x2c78, 0x4de6, {0x97, 0x86, 0x8d, 0x4b, 0xfc, 0xb7, 0xc8, 0x81 } \
  }

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_ABORT)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This)

Aborts all previously allocated writes.

Parameters:
This The calling context.
Return values:
EFI_SUCCESS | The function completed successfully.
EFI_ABORTED | The function could not complete successfully.
EFI_NOT_FOUND | No allocated writes exist.

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_ALLOCATE)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_GUID *CallerId, IN UINTN PrivateDataSize, IN UINTN NumberOfWrites)

Allocates space for the protocol to maintain information about writes. Since writes must be completed in a fault-tolerant manner and multiple writes require more resources to be successful, this function enables the protocol to ensure that enough space exists to track information about upcoming writes.

Parameters:
This | A pointer to the calling context.
CallerId | The GUID identifying the write.
PrivateDataSize | The size of the caller's private data that must be recorded for each write.
NumberOfWrites | The number of fault tolerant block writes that will need to occur.
Return values:
EFI_SUCCESS | The function completed successfully
EFI_ABORTED | The function could not complete successfully.
EFI_ACCESS_DENIED | Not all allocated writes have been completed. All writes must be completed or aborted before another fault tolerant write can occur.

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, OUT EFI_GUID *CallerId, OUT EFI_LBA *Lba, OUT UINTN *Offset, OUT UINTN *Length, IN OUT UINTN *PrivateDataSize, OUT VOID *PrivateData, OUT BOOLEAN *Complete)

Starts a target block update. This function records information about the write in fault-tolerant storage and completes the write in a recoverable manner, ensuring at all times that either the original contents or the modified contents are available.

Parameters:
This | Indicates a pointer to the calling context.
CallerId | The GUID identifying the last write.
Lba | The logical block address of the last write.
Offset | The offset within the block of the last write.
Length | The length of the last write.
PrivateDataSize | On input, the size of the PrivateData buffer. On output, the size of the private data stored for this write.
PrivateData | A pointer to a buffer. The function will copy PrivateDataSize bytes from the private data stored for this write.
Complete | A Boolean value with TRUE indicating that the write was completed.
Return values:
EFI_SUCCESS | The function completed successfully.
EFI_ABORTED | The function could not complete successfully.
EFI_NOT_FOUND | No allocated writes exist.

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, OUT UINTN *BlockSize)

Get the size of the largest block that can be updated in a fault-tolerant manner.

Parameters:
This | Indicates a pointer to the calling context.
BlockSize | A pointer to a caller-allocated UINTN that is updated to indicate the size of the largest block that can be updated.
Return values:
EFI_SUCCESS | The function completed successfully.
EFI_ABORTED | The function could not complete successfully.

typedef struct _EFI_FAULT_TOLERANT_WRITE_PROTOCOL EFI_FAULT_TOLERANT_WRITE_PROTOCOL

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_RESTART)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_HANDLE FvbHandle)

Restarts a previously interrupted write. The caller must provide the block protocol needed to complete the interrupted write.

Parameters:
This | The calling context.
FvBlockProtocol | The handle of FVB protocol that provides services. for reading, writing, and erasing the target block.
Return values:
EFI_SUCCESS | The function completed successfully.
EFI_ABORTED | The function could not complete successfully.
EFI_ACCESS_DENIED | No pending writes exist.

typedef EFI_STATUS(EFIAPI * EFI_FAULT_TOLERANT_WRITE_WRITE)(IN EFI_FAULT_TOLERANT_WRITE_PROTOCOL *This, IN EFI_LBA Lba, IN UINTN Offset, IN UINTN Length, IN VOID *PrivateData, IN EFI_HANDLE FvbHandle, IN VOID *Buffer)

Starts a target block update. This records information about the write in fault tolerant storage, and will complete the write in a recoverable manner, ensuring at all times that either the original contents or the modified contents are available.

Parameters:
This | The calling context.
Lba | The logical block address of the target block.
Offset | The offset within the target block to place the data.
Length | The number of bytes to write to the target block.
PrivateData | A pointer to private data that the caller requires to complete any pending writes in the event of a fault.
FvBlockHandle | The handle of FVB protocol that provides services for reading, writing, and erasing the target block.
Buffer | The data to write.
Return values:
EFI_SUCCESS | The function completed successfully.
EFI_ABORTED | The function could not complete successfully.
EFI_BAD_BUFFER_SIZE | The write would span a block boundary, which is not a valid action.
EFI_ACCESS_DENIED | No writes have been allocated.
EFI_NOT_READY | The last write has not been completed. Restart() must be called to complete it.

Variable Documentation

EFI_GUID gEfiFaultTolerantWriteProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/FormBrowserEx.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/FormBrowserEx.h File Reference

Data Structures

struct | _EFI_FORM_BROWSER_EXTENSION_PROTOCOL

Defines

#define | FORM_BROWSER_EXTENSION_PROTOCOL_GUID { 0x1f73b18d, 0x4630, 0x43c1, { 0xa1, 0xde, 0x6f, 0x80, 0x85, 0x5d, 0x7d, 0xa4 } }
#define | BROWSER_NO_CHANGES 0
#define | BROWSER_SAVE_CHANGES 1
#define | BROWSER_DISCARD_CHANGES 2
#define | BROWSER_ACTION_UNREGISTER 0
#define | BROWSER_ACTION_DISCARD BIT0
#define | BROWSER_ACTION_DEFAULT BIT1
#define | BROWSER_ACTION_SUBMIT BIT2
#define | BROWSER_ACTION_RESET BIT3
#define | BROWSER_ACTION_EXIT BIT4

Typedefs

typedef struct
_EFI_FORM_BROWSER_EXTENSION_PROTOCOL 		EFI_FORM_BROWSER_EXTENSION_PROTOCOL
typedef IN UINT32 | Action
typedef IN UINT32 IN UINT16 | DefaultId
typedef IN UINT32 IN UINT16 IN
EFI_STRING 		HelpString
typedef UINT32(EFIAPI * | SAVE_REMINDER )(VOID)

Enumerations

enum | BROWSER_SETTING_SCOPE { FormLevel, FormSetLevel, SystemLevel, MaxLevel }

Functions

typedef | EFI_STATUS (EFIAPI *SET_SCOPE)(IN BROWSER_SETTING_SCOPE Scope)
typedef | VOID (EFIAPI *EXIT_HANDLER)(VOID)

Variables

EFI_GUID | gEfiFormBrowserExProtocolGuid

Detailed Description

Extension Form Browser Protocol provides the services that can be used to register the different hot keys for the standard Browser actions described in UEFI specification.

Copyright (c) 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define BROWSER_ACTION_DEFAULT BIT1

#define BROWSER_ACTION_DISCARD BIT0

#define BROWSER_ACTION_EXIT BIT4

#define BROWSER_ACTION_RESET BIT3

#define BROWSER_ACTION_SUBMIT BIT2

#define BROWSER_ACTION_UNREGISTER 0

#define BROWSER_DISCARD_CHANGES 2

#define BROWSER_NO_CHANGES 0

#define BROWSER_SAVE_CHANGES 1

#define FORM_BROWSER_EXTENSION_PROTOCOL_GUID { 0x1f73b18d, 0x4630, 0x43c1, { 0xa1, 0xde, 0x6f, 0x80, 0x85, 0x5d, 0x7d, 0xa4 } }

Typedef Documentation

typedef IN UINT32 Action

typedef IN UINT32 IN UINT16 DefaultId

typedef struct _EFI_FORM_BROWSER_EXTENSION_PROTOCOL EFI_FORM_BROWSER_EXTENSION_PROTOCOL

typedef IN UINT32 IN UINT16 IN EFI_STRING HelpString

typedef UINT32(EFIAPI * SAVE_REMINDER)(VOID)

Create reminder to let user to choose save or discard the changed browser data. Caller can use it to actively check the changed browser data.

Return values:
BROWSER_NO_CHANGES | No browser data is changed.
BROWSER_SAVE_CHANGES | The changed browser data is saved.
BROWSER_DISCARD_CHANGES | The changed browser data is discard.

Enumeration Type Documentation

enum BROWSER_SETTING_SCOPE

Enumerator:
FormLevel
FormSetLevel
SystemLevel
MaxLevel

Function Documentation

typedef EFI_STATUS ( EFIAPI * EBC_VM_TEST_EXECUTE )

Configure what scope the hot key will impact. All hot keys have the same scope. The mixed hot keys with the different level are not supported. If no scope is set, the default scope will be FormSet level. After all registered hot keys are removed, previous Scope can reset to another level.

Parameters:
[in] Scope Scope level to be set.
Return values:
EFI_SUCCESS | Scope is set correctly.
EFI_INVALID_PARAMETER | Scope is not the valid value specified in BROWSER_SETTING_SCOPE.
EFI_UNSPPORTED | Scope level is different from current one that the registered hot keys have.
Register the hot key with its browser action, or unregistered the hot key. If the action value is zero, the hot key will be unregistered if it has been registered. If the same hot key has been registered, the new action and help string will override the previous ones.

Parameters:
[in] | KeyData | A pointer to a buffer that describes the keystroke information for the hot key. Its type is EFI_INPUT_KEY to be supported by all ConsoleIn devices.
[in] | Action | Action value that describes what action will be trigged when the hot key is pressed.
[in] | DefaultId | Specifies the type of defaults to retrieve, which is only for DEFAULT action.
[in] | HelpString | Help string that describes the hot key information. Its value may be NULL for the unregistered hot key.
Return values:
EFI_SUCCESS | Hot key is registered or unregistered.
EFI_INVALID_PARAMETER | KeyData is NULL.
Clears any system state that was created in response to the Active call.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
Periodic | Optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The source could not be cleared.
EFI_INVALID_PARAMETER | The service did not support the Periodic input argument.
This interface allows you to configure the EBC debug support driver. For example, turn on or off saving and printing of delta VM even if called. Or to even disable the entire interface, in which case all functions become no-ops.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | ConfigId | ID to be configured.
[in] | ConfigValue | Value to be set.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Configure EBC debug.
Convert AsmText to the instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | AsmText | A pointer to EBC ASM text code.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully convert AsmText to the instruction.
Dump the executed instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[out] | AsmText | Contain the disasm text.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully dump the executed instruction.
Register the hot key with its browser action, or unregistered the hot key. If the action value is zero, the hot key will be unregistered if it has been registered. If the same hot key has been registered, the new action and help string will override the previous ones.

Parameters:
[in] | KeyData | A pointer to a buffer that describes the keystroke information for the hot key. Its type is EFI_INPUT_KEY to be supported by all ConsoleIn devices.
[in] | Action | Action value that describes what action will be trigged when the hot key is pressed.
[in] | DefaultId | Specifies the type of defaults to retrieve, which is only for DEFAULT action.
[in] | HelpString | Help string that describes the hot key information. Its value may be NULL for the unregistered hot key.
Return values:
EFI_SUCCESS | Hot key is registered or unregistered.
EFI_INVALID_PARAMETER | KeyData is NULL.
The prototype called when UdpIo Library configures a UDP instance.

The prototype is set and called when creating a UDP_IO in UdpIoCreatePort().

Parameters:
[in] | UdpIo | The UDP_IO to configure.
[in] | Context | The user-defined data when calling UdpIoCreatePort().
Return values:
EFI_SUCCESS | The configuration succeeded.
Others | The UDP_IO fails to configure indicating UdpIoCreatePort() should fail.
This interface conveys performance information out of the Security (SEC) phase into PEI.

This service is published by the SEC phase. The SEC phase handoff has an optional EFI_PEI_PPI_DESCRIPTOR list as its final argument when control is passed from SEC into the PEI Foundation. As such, if the platform supports collecting performance data in SEC, this information is encapsulated into the data structure abstracted by this service. This information is collected for the boot-strap processor (BSP) on IA-32.

Parameters:
[in] | PeiServices | The pointer to the PEI Services Table.
[in] | This | The pointer to this instance of the PEI_SEC_PERFORMANCE_PPI.
[out] | Performance | The pointer to performance data collected in SEC phase.
Return values:
EFI_SUCCESS The performance data was successfully returned.
Invokes SMI activation from either the preboot or runtime environment.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
ArgumentBuffer | The optional sized data to pass into the protocol activation.
ArgumentBufferSize | The optional size of the data.
Periodic | An optional mechanism to periodically repeat activation.
ActivationInterval | An optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The timing is unsupported.
EFI_INVALID_PARAMETER | The activation period is unsupported.
EFI_NOT_STARTED | The SMM base service has not been initialized.
Clears any system state that was created in response to the Active call.

Parameters:
PeiServices | General purpose services available to every PEIM.
This | The PEI_SMM_CONTROL_PPI instance.
Periodic | Optional parameter to repeat at this period one time or, if the Periodic Boolean is set, periodically.
Return values:
EFI_SUCCESS | The SMI/PMI has been engendered.
EFI_DEVICE_ERROR | The source could not be cleared.
EFI_INVALID_PARAMETER | The service did not support the Periodic input argument.
Trig Exception on EBC VM.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
[in] | ExceptionType | Exception to be trigged.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Exception is trigged.
This interface allows you to configure the EBC debug support driver. For example, turn on or off saving and printing of delta VM even if called. Or to even disable the entire interface, in which case all functions become no-ops.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | ConfigId | ID to be configured.
[in] | ConfigValue | Value to be set.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Configure EBC debug.
Given a pointer to a new VM context, execute one or more instructions. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
[in,out] | InstructionCount | A pointer to a UINTN value holding the number of instructions to execute. If it holds value of 0, then the instruction to be executed is 1.
Return values:
EFI_UNSUPPORTED | At least one of the opcodes is not supported.
EFI_SUCCESS | All of the instructions are executed successfully.
Convert AsmText to the instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[in] | AsmText | A pointer to EBC ASM text code.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully convert AsmText to the instruction.
Dump the executed instruction. This function is only used for test purposes.

Parameters:
[in] | This | A pointer to the EFI_EBC_VM_TEST_PROTOCOL structure.
[out] | AsmText | Contain the disasm text.
[out] | Buffer | Buffer to store the instruction.
[out] | BufferLen | Size of buffer that is requried to store data.
Return values:
EFI_UNSUPPORTED | This functionality is unsupported.
EFI_SUCCESS | Successfully dump the executed instruction.

typedef VOID ( EFIAPI * EBC_DEBUGGER_DEBUG )

This handler is responsbile for the left things on normal boot after all UI forms are closed. For example, it can continue to boot the first boot option.

It will be used only when EXIT action is trigged as system level.

Register Exit handler function. When more than one handler function is registered, the latter one will override the previous one. When NULL handler is specified, the previous Exit handler will be unregistered.

Parameters:
[in] Handler Pointer to handler function.
The prototype is called back when an IP packet is received.

Parameters:
[in] | Status | The result of the receive request.
[in] | IcmpErr | Valid when Status is EFI_ICMP_ERROR.
[in] | NetSession | The IP session for the received packet.
[in] | Pkt | The packet received.
[in] | Context | The data provided by the user for the received packet when the callback is registered in IP_IO_OPEN_DATA::RcvdContext.
The prototype is called back when an IP packet is sent.

Parameters:
[in] | Status | Result of the IP packet being sent.
[in] | Context | The data provided by user for the received packet when the callback is registered in IP_IO_OPEN_DATA::SndContext.
[in] | Sender | A Union type to specify a pointer of EFI_IP4_PROTOCOL or EFI_IP6_PROTOCOL.
[in] | NotifyData | The Context data specified when calling IpIoSend()
Register Exit handler function. When more than one handler function is registered, the latter one will override the previous one. When NULL handler is specified, the previous Exit handler will be unregistered.

Parameters:
[in] Handler Pointer to handler function.
Prototype called when receiving or sending packets to or from a UDP point.

This prototype is used by both receive and sending when calling UdpIoRecvDatagram() or UdpIoSendDatagram(). When receiving, Netbuf is allocated by the UDP access point and released by the user. When sending, the user allocates the the NetBuf, which is then provided to the callback as a reference.

Parameters:
[in] | Packet | The packet received or sent.
[in] | EndPoint | The UDP address pair corresponds to the UDP IO.
[in] | IoStatus | The packet receiving or sending status.
[in] | Context | The user-defined data when calling UdpIoRecvDatagram() or UdpIoSendDatagram().
Given a pointer to a new VM context, debug one or more instructions.

Parameters:
[in] | This | A pointer to the EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL structure.
[in] | VmPtr | A pointer to a VM context.
Return values:
EFI_UNSUPPORTED | No support for it.
EFI_SUCCESS | Debug one or more instructions.

Variable Documentation

EFI_GUID gEfiFormBrowserExProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/GenericMemoryTest.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/GenericMemoryTest.h File Reference

Data Structures

struct | _EFI_GENERIC_MEMORY_TEST_PROTOCOL

Defines

#define | EFI_GENERIC_MEMORY_TEST_PROTOCOL_GUID { 0x309de7f1, 0x7f5e, 0x4ace, {0xb4, 0x9c, 0x53, 0x1b, 0xe5, 0xaa, 0x95, 0xef} }

Typedefs

typedef struct
_EFI_GENERIC_MEMORY_TEST_PROTOCOL 		EFI_GENERIC_MEMORY_TEST_PROTOCOL
typedef EFI_STATUS(EFIAPI * | EFI_MEMORY_TEST_INIT )(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, IN EXTENDMEM_COVERAGE_LEVEL Level, OUT BOOLEAN *RequireSoftECCInit)
typedef EFI_STATUS(EFIAPI * | EFI_PERFORM_MEMORY_TEST )(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, OUT UINT64 *TestedMemorySize, OUT UINT64 *TotalMemorySize, OUT BOOLEAN *ErrorOut, IN BOOLEAN IfTestAbort)
typedef EFI_STATUS(EFIAPI * | EFI_MEMORY_TEST_FINISHED )(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This)
typedef EFI_STATUS(EFIAPI * | EFI_MEMORY_TEST_COMPATIBLE_RANGE )(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, IN EFI_PHYSICAL_ADDRESS StartAddress, IN UINT64 Length)

Enumerations

enum EXTENDMEM_COVERAGE_LEVEL {
IGNORE, QUICK, SPARSE, EXTENSIVE,
MAXLEVEL
}

Variables

EFI_GUID | gEfiGenericMemTestProtocolGuid

Detailed Description

This protocol defines the generic memory test interfaces in Dxe phase.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_GENERIC_MEMORY_TEST_PROTOCOL_GUID { 0x309de7f1, 0x7f5e, 0x4ace, {0xb4, 0x9c, 0x53, 0x1b, 0xe5, 0xaa, 0x95, 0xef} }

Typedef Documentation

typedef struct _EFI_GENERIC_MEMORY_TEST_PROTOCOL EFI_GENERIC_MEMORY_TEST_PROTOCOL

typedef EFI_STATUS(EFIAPI * EFI_MEMORY_TEST_COMPATIBLE_RANGE)(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, IN EFI_PHYSICAL_ADDRESS StartAddress, IN UINT64 Length)

Provides the capability to test the compatible range used by some special drivers.

Parameters:
This | The protocol instance pointer.
StartAddress | The start address of the compatible memory range that must be below 16M.
Length | The compatible memory range's length.
Return values:
EFI_SUCCESS | The compatible memory range pass the memory test.
EFI_INVALID_PARAMETER | The compatible memory range are not below Low 16M.

typedef EFI_STATUS(EFIAPI * EFI_MEMORY_TEST_FINISHED)(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This)

Finish the memory test.

Parameters:
This The protocol instance pointer.
Return values:
EFI_SUCCESS Success. All resources used in the memory test are freed.

typedef EFI_STATUS(EFIAPI * EFI_MEMORY_TEST_INIT)(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, IN EXTENDMEM_COVERAGE_LEVEL Level, OUT BOOLEAN *RequireSoftECCInit)

Initialize the generic memory test.

Parameters:
This | The protocol instance pointer.
Level | The coverage level of the memory test.
RequireSoftECCInit | Indicate if the memory need software ECC init.
Return values:
EFI_SUCCESS | The generic memory test is initialized correctly.
EFI_NO_MEDIA | The system had no memory to be tested.

typedef EFI_STATUS(EFIAPI * EFI_PERFORM_MEMORY_TEST)(IN EFI_GENERIC_MEMORY_TEST_PROTOCOL *This, OUT UINT64 *TestedMemorySize, OUT UINT64 *TotalMemorySize, OUT BOOLEAN *ErrorOut, IN BOOLEAN IfTestAbort)

Perform the memory test.

Parameters:
This | The protocol instance pointer.
TestedMemorySize | Return the tested extended memory size.
TotalMemorySize | Return the whole system physical memory size. The total memory size does not include memory in a slot with a disabled DIMM.
ErrorOut | TRUE if the memory error occured.
IfTestAbort | Indicates that the user pressed "ESC" to skip the memory test.
Return values:
EFI_SUCCESS | One block of memory passed the test.
EFI_NOT_FOUND | All memory blocks have already been tested.
EFI_DEVICE_ERROR | Memory device error occured, and no agent can handle it.

Enumeration Type Documentation

enum EXTENDMEM_COVERAGE_LEVEL

Memory test coverage level. Ignore chooses not to test memory. Quick and Sparse test some memory, and Extensive performs a detailed memory test.

Enumerator:
IGNORE
QUICK
SPARSE
EXTENSIVE
MAXLEVEL

Variable Documentation

EFI_GUID gEfiGenericMemTestProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/LoadPe32Image.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/LoadPe32Image.h File Reference

Data Structures

struct | _EFI_PE32_IMAGE_PROTOCOL

Defines

#define | PE32_IMAGE_PROTOCOL_GUID {0x5cb5c776,0x60d5,0x45ee,{0x88,0x3c,0x45,0x27,0x8,0xcd,0x74,0x3f }}
#define | EFI_LOAD_PE_IMAGE_ATTRIBUTE_NONE 0x00
#define | EFI_LOAD_PE_IMAGE_ATTRIBUTE_RUNTIME_REGISTRATION 0x01
#define | EFI_LOAD_PE_IMAGE_ATTRIBUTE_DEBUG_IMAGE_INFO_TABLE_REGISTRATION 0x02

Typedefs

typedef struct
_EFI_PE32_IMAGE_PROTOCOL 		EFI_PE32_IMAGE_PROTOCOL
typedef EFI_STATUS(EFIAPI * | LOAD_PE_IMAGE )(IN EFI_PE32_IMAGE_PROTOCOL *This, IN EFI_HANDLE ParentImageHandle, IN EFI_DEVICE_PATH_PROTOCOL *FilePath, IN VOID *SourceBuffer, IN UINTN SourceSize, IN EFI_PHYSICAL_ADDRESS DstBuffer, IN OUT UINTN *NumberOfPages, OUT EFI_HANDLE *ImageHandle, OUT EFI_PHYSICAL_ADDRESS *EntryPoint, IN UINT32 Attribute)
typedef EFI_STATUS(EFIAPI * | UNLOAD_PE_IMAGE )(IN EFI_PE32_IMAGE_PROTOCOL *This, IN EFI_HANDLE ImageHandle)

Variables

EFI_GUID | gEfiLoadPeImageProtocolGuid

Detailed Description

Load Pe32 Image protocol enables loading and unloading EFI images into memory and executing those images. This protocol uses File Device Path to get an EFI image.

Copyright (c) 2006 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_LOAD_PE_IMAGE_ATTRIBUTE_DEBUG_IMAGE_INFO_TABLE_REGISTRATION 0x02

#define EFI_LOAD_PE_IMAGE_ATTRIBUTE_NONE 0x00

#define EFI_LOAD_PE_IMAGE_ATTRIBUTE_RUNTIME_REGISTRATION 0x01

#define PE32_IMAGE_PROTOCOL_GUID {0x5cb5c776,0x60d5,0x45ee,{0x88,0x3c,0x45,0x27,0x8,0xcd,0x74,0x3f }}

Typedef Documentation

typedef struct _EFI_PE32_IMAGE_PROTOCOL EFI_PE32_IMAGE_PROTOCOL

typedef EFI_STATUS(EFIAPI * LOAD_PE_IMAGE)(IN EFI_PE32_IMAGE_PROTOCOL *This, IN EFI_HANDLE ParentImageHandle, IN EFI_DEVICE_PATH_PROTOCOL *FilePath, IN VOID *SourceBuffer, IN UINTN SourceSize, IN EFI_PHYSICAL_ADDRESS DstBuffer, IN OUT UINTN *NumberOfPages, OUT EFI_HANDLE *ImageHandle, OUT EFI_PHYSICAL_ADDRESS *EntryPoint, IN UINT32 Attribute)

Loads an EFI image into memory and returns a handle to the image with extended parameters.

Parameters:
This | The pointer to the LoadPe32Image protocol instance
ParentImageHandle | The caller's image handle.
FilePath | The specific file path from which the image is loaded.
SourceBuffer | If not NULL, a pointer to the memory location containing a copy of the image to be loaded.
SourceSize | The size in bytes of SourceBuffer.
DstBuffer | The buffer to store the image.
NumberOfPages | For input, specifies the space size of the image by caller if not NULL. For output, specifies the actual space size needed.
ImageHandle | The image handle for output.
EntryPoint | The image entry point for output.
Attribute | The bit mask of attributes to set for the load PE image.
Return values:
EFI_SUCCESS | The image was loaded into memory.
EFI_NOT_FOUND | The FilePath was not found.
EFI_INVALID_PARAMETER | One of the parameters has an invalid value.
EFI_UNSUPPORTED | The image type is not supported, or the device path cannot be parsed to locate the proper protocol for loading the file.
EFI_OUT_OF_RESOURCES | The image was not loaded due to insufficient memory resources.
EFI_LOAD_ERROR | Image was not loaded because the image format was corrupt or not understood.
EFI_DEVICE_ERROR | Image was not loaded because the device returned a read error.
EFI_ACCESS_DENIED | Image was not loaded because the platform policy prohibits the image from being loaded. NULL is returned in *ImageHandle.
EFI_SECURITY_VIOLATION | Image was loaded and an ImageHandle was created with a valid EFI_LOADED_IMAGE_PROTOCOL. However, the current platform policy specifies that the image should not be started.

typedef EFI_STATUS(EFIAPI * UNLOAD_PE_IMAGE)(IN EFI_PE32_IMAGE_PROTOCOL *This, IN EFI_HANDLE ImageHandle)

Unload the specified image.

Parameters:
This | The pointer to the LoadPe32Image protocol instance
ImageHandle | The specified image handle to be unloaded.
Return values:
EFI_INVALID_PARAMETER | Image handle is NULL.
EFI_UNSUPPORTED | Attempted to unload an unsupported image.
EFI_SUCCESS | The image successfully unloaded.
--

Variable Documentation

EFI_GUID gEfiLoadPeImageProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/LockBox.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/LockBox.h File Reference

Defines

#define | EFI_LOCK_BOX_PROTOCOL_GUID { 0xbd445d79, 0xb7ad, 0x4f04, { 0x9a, 0xd8, 0x29, 0xbd, 0x20, 0x40, 0xeb, 0x3c }}

Variables

EFI_GUID | gEfiLockBoxProtocolGuid

Detailed Description

LockBox protocol header file. This is used to resolve dependency problem. The LockBox implementation install this to broadcast that LockBox API is ready. The driver who will use LockBox at its ENTRYPOINT should add this dependency.

Copyright (c) 2010 - 2011, Intel Corporation. All rights reserved.

This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_LOCK_BOX_PROTOCOL_GUID { 0xbd445d79, 0xb7ad, 0x4f04, { 0x9a, 0xd8, 0x29, 0xbd, 0x20, 0x40, 0xeb, 0x3c }}

Global ID for the EFI LOCK BOX Protocol.

Variable Documentation

EFI_GUID gEfiLockBoxProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/Print2.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/Print2.h File Reference

Data Structures

struct | _EFI_PRINT2_PROTOCOL

Defines

#define | EFI_PRINT2_PROTOCOL_GUID { 0xf05976ef, 0x83f1, 0x4f3d, { 0x86, 0x19, 0xf7, 0x59, 0x5d, 0x41, 0xe5, 0x38 } }

Typedefs

typedef struct _EFI_PRINT2_PROTOCOL | EFI_PRINT2_PROTOCOL
typedef UINTN(EFIAPI * | UNICODE_BS_PRINT )(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString, IN BASE_LIST Marker)
typedef UINTN(EFIAPI * | UNICODE_S_PRINT )(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString,...)
typedef UINTN(EFIAPI * | UNICODE_BS_PRINT_ASCII_FORMAT )(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString, IN BASE_LIST Marker)
typedef UINTN(EFIAPI * | UNICODE_S_PRINT_ASCII_FORMAT )(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString,...)
typedef UINTN(EFIAPI * | UNICODE_VALUE_TO_STRING )(IN OUT CHAR16 *Buffer, IN UINTN Flags, IN INT64 Value, IN UINTN Width)
typedef UINTN(EFIAPI * | ASCII_BS_PRINT )(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString, IN BASE_LIST Marker)
typedef UINTN(EFIAPI * | ASCII_S_PRINT )(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString,...)
typedef UINTN(EFIAPI * | ASCII_BS_PRINT_UNICODE_FORMAT )(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString, IN BASE_LIST Marker)
typedef UINTN(EFIAPI * | ASCII_S_PRINT_UNICODE_FORMAT )(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString,...)
typedef UINTN(EFIAPI * | ASCII_VALUE_TO_STRING )(OUT CHAR8 *Buffer, IN UINTN Flags, IN INT64 Value, IN UINTN Width)

Variables

EFI_GUID | gEfiPrint2ProtocolGuid

Detailed Description

This print protocol defines six basic print functions to print the format unicode and ascii string.

Copyright (c) 2006 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_PRINT2_PROTOCOL_GUID { 0xf05976ef, 0x83f1, 0x4f3d, { 0x86, 0x19, 0xf7, 0x59, 0x5d, 0x41, 0xe5, 0x38 } }

Typedef Documentation

typedef UINTN(EFIAPI * ASCII_BS_PRINT)(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString, IN BASE_LIST Marker)

Produces a Null-terminated ASCII string in an output buffer based on a Null-terminated ASCII format string and a BASE_LIST argument list.

Produces a Null-terminated ASCII string in the output buffer pecified by StartOfBuffer and BufferSize. The ASCII string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list specified by Marker based on the contents of the format string. This function returns the number of ASCII characters in the output buffer, not including the Null-terminator. If BufferSize is 0, then no output buffer is produced and 0 is returned.

If BufferSize > 0 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 0 and FormatString is NULL, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and FormatString contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and produced Null-terminated ASCII string contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated ASCII string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated ASCII format string.
Marker | BASE_LIST marker for the variable argument list.
Returns:
The number of ASCII characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * ASCII_BS_PRINT_UNICODE_FORMAT)(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString, IN BASE_LIST Marker)

Produces a Null-terminated ASCII string in an output buffer based on a Null-terminated Unicode format string and a BASE_LIST argument list.

Produces a Null-terminated ASCII string in the output buffer specified by StartOfBuffer and BufferSize. The ASCII string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list specified by Marker based on the contents of the format string. This function returns the number of ASCII characters in the output buffer, not including the Null-terminator. If BufferSize is 0, then no output buffer is produced and 0 is returned.

If BufferSize > 0 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 0 and FormatString is NULL, then ASSERT(). If BufferSize > 0 and FormatString is not aligned on a 16-bit boundary, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and FormatString contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and produced Null-terminated ASCII string contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated ASCII string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated Unicode format string.
Marker | BASE_LIST marker for the variable argument list.
Returns:
The number of ASCII characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * ASCII_S_PRINT)(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString,...)

Produces a Null-terminated ASCII string in an output buffer based on a Null-terminated ASCII format string and variable argument list.

Produces a Null-terminated ASCII string in the output buffer specified by StartOfBuffer and BufferSize. The ASCII string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list based on the contents of the format string. This function returns the number of ASCII characters in the output buffer, not including the Null-terminator. If BufferSize is 0, then no output buffer is produced and 0 is returned.

If BufferSize > 0 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 0 and FormatString is NULL, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and FormatString contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and produced Null-terminated ASCII string contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated ASCII string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated ASCII format string.
... Variable argument list whose contents are accessed based on the format string specified by FormatString.
Returns:
The number of ASCII characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * ASCII_S_PRINT_UNICODE_FORMAT)(OUT CHAR8 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString,...)

Produces a Null-terminated ASCII string in an output buffer based on a Null-terminated Unicode format string and variable argument list.

Produces a Null-terminated ASCII string in the output buffer specified by StartOfBuffer and BufferSize. The ASCII string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list based on the contents of the format string. This function returns the number of ASCII characters in the output buffer, not including the Null-terminator. If BufferSize is 0, then no output buffer is produced and 0 is returned.

If BufferSize > 0 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 0 and FormatString is NULL, then ASSERT(). If BufferSize > 0 and FormatString is not aligned on a 16-bit boundary, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and FormatString contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and produced Null-terminated ASCII string contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated ASCII string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated Unicode format string.
... Variable argument list whose contents are accessed based on the format string specified by FormatString.
Returns:
The number of ASCII characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * ASCII_VALUE_TO_STRING)(OUT CHAR8 *Buffer, IN UINTN Flags, IN INT64 Value, IN UINTN Width)

Converts a decimal value to a Null-terminated ASCII string.

Converts the decimal number specified by Value to a Null-terminated ASCII string specified by Buffer containing at most Width characters. No padding of spaces is ever performed. If Width is 0 then a width of MAXIMUM_VALUE_CHARACTERS is assumed. The number of ASCII characters in Buffer is returned not including the Null-terminator. If the conversion contains more than Width characters, then only the first Width characters are returned, and the total number of characters required to perform the conversion is returned. Additional conversion parameters are specified in Flags. The Flags bit LEFT_JUSTIFY is always ignored. All conversions are left justified in Buffer. If Width is 0, PREFIX_ZERO is ignored in Flags. If COMMA_TYPE is set in Flags, then PREFIX_ZERO is ignored in Flags, and commas are inserted every 3rd digit starting from the right. If RADIX_HEX is set in Flags, then the output buffer will be formatted in hexadecimal format. If Value is < 0 and RADIX_HEX is not set in Flags, then the fist character in Buffer is a '-'. If PREFIX_ZERO is set in Flags and PREFIX_ZERO is not being ignored, then Buffer is padded with '0' characters so the combination of the optional '-' sign character, '0' characters, digit characters for Value, and the Null-terminator add up to Width characters.

If Buffer is NULL, then ASSERT(). If unsupported bits are set in Flags, then ASSERT(). If both COMMA_TYPE and RADIX_HEX are set in Flags, then ASSERT(). If Width >= MAXIMUM_VALUE_CHARACTERS, then ASSERT()

Parameters:
Buffer | The pointer to the output buffer for the produced Null-terminated ASCII string.
Flags | The bitmask of flags that specify left justification, zero pad, and commas.
Value | The 64-bit signed value to convert to a string.
Width | The maximum number of ASCII characters to place in Buffer, not including the Null-terminator.
Returns:
The number of ASCII characters in Buffer not including the Null-terminator.

typedef struct _EFI_PRINT2_PROTOCOL EFI_PRINT2_PROTOCOL

typedef UINTN(EFIAPI * UNICODE_BS_PRINT)(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString, IN BASE_LIST Marker)

Produces a Null-terminated Unicode string in an output buffer, based on a Null-terminated Unicode format string and a BASE_LIST argument list

Produces a Null-terminated Unicode string in the output buffer specified by StartOfBuffer and BufferSize. The Unicode string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list specified by Marker. Marker is constructed based on the contents of the format string. This function returns the number of Unicode characters in the produced output buffer, not including the Null-terminator. If BufferSize is 0 or 1, then no output buffer is produced and 0 is returned.

If BufferSize > 1 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 1 and StartOfBuffer is not aligned on a 16-bit boundary, then ASSERT(). If BufferSize > 1 and FormatString is NULL, then ASSERT(). If BufferSize > 1 and FormatString is not aligned on a 16-bit boundary, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and FormatString contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and produced Null-terminated Unicode string contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated Unicode string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated Unicode format string.
Marker | BASE_LIST marker for the variable argument list.
Returns:
The number of Unicode characters in the produced output buffer, not including the Null-terminator.

typedef UINTN(EFIAPI * UNICODE_BS_PRINT_ASCII_FORMAT)(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString, IN BASE_LIST Marker)

Produces a Null-terminated Unicode string in an output buffer, based on a Null-terminated ASCII format string and a BASE_LIST argument list

Produces a Null-terminated Unicode string in the output buffer specified by StartOfBuffer and BufferSize. The Unicode string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list specified by Marker based on the contents of the format string. This function returns the number of Unicode characters in the produced output buffer, not including the Null-terminator. If BufferSize is 0 or 1, then no output buffer is produced and 0 is returned.

If BufferSize > 1 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 1 and StartOfBuffer is not aligned on a 16-bit boundary, then ASSERT(). If BufferSize > 1 and FormatString is NULL, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and FormatString contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and produced Null-terminated Unicode string contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated Unicode string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated ASCII format string.
Marker | BASE_LIST marker for the variable argument list.
Returns:
The number of Unicode characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * UNICODE_S_PRINT)(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR16 *FormatString,...)

Produces a Null-terminated Unicode string in an output buffer based on a Null-terminated Unicode format string and variable argument list.

Produces a Null-terminated Unicode string in the output buffer specified by StartOfBuffer and BufferSize. The Unicode string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list based on the contents of the format string. This function returns the number of Unicode characters in the produced output buffer, not including the Null-terminator. If BufferSize is 0 or 1, then no output buffer is produced and 0 is returned.

If BufferSize > 1 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 1 and StartOfBuffer is not aligned on a 16-bit boundary, then ASSERT(). If BufferSize > 1 and FormatString is NULL, then ASSERT(). If BufferSize > 1 and FormatString is not aligned on a 16-bit boundary, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and FormatString contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and produced Null-terminated Unicode string contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated Unicode string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated Unicode format string.
... Variable argument list whose contents are accessed based on the format string specified by FormatString.
Returns:
The number of Unicode characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * UNICODE_S_PRINT_ASCII_FORMAT)(OUT CHAR16 *StartOfBuffer, IN UINTN BufferSize, IN CONST CHAR8 *FormatString,...)

Produces a Null-terminated Unicode string in an output buffer based on a Null-terminated ASCII format string and a variable argument list.

Produces a Null-terminated Unicode string in the output buffer specified by StartOfBuffer and BufferSize. The Unicode string is produced by parsing the format string specified by FormatString. Arguments are pulled from the variable argument list based on the contents of the format string. This function returns the number of Unicode characters in the produced output buffer, not including the Null-terminator. If BufferSize is 0 or 1, then no output buffer is produced and 0 is returned.

If BufferSize > 1 and StartOfBuffer is NULL, then ASSERT(). If BufferSize > 1 and StartOfBuffer is not aligned on a 16-bit boundary, then ASSERT(). If BufferSize > 1 and FormatString is NULL, then ASSERT(). If PcdMaximumAsciiStringLength is not zero, and FormatString contains more than PcdMaximumAsciiStringLength ASCII characters not including the Null-terminator, then ASSERT(). If PcdMaximumUnicodeStringLength is not zero, and produced Null-terminated Unicode string contains more than PcdMaximumUnicodeStringLength Unicode characters not including the Null-terminator, then ASSERT().

Parameters:
StartOfBuffer | A pointer to the output buffer for the produced Null-terminated Unicode string.
BufferSize | The size, in bytes, of the output buffer specified by StartOfBuffer.
FormatString | Null-terminated ASCII format string.
... Variable argument list whose contents are accessed based on the format string specified by FormatString.
Returns:
The number of Unicode characters in the produced output buffer not including the Null-terminator.

typedef UINTN(EFIAPI * UNICODE_VALUE_TO_STRING)(IN OUT CHAR16 *Buffer, IN UINTN Flags, IN INT64 Value, IN UINTN Width)

Converts a decimal value to a Null-terminated Unicode string.

Converts the decimal number specified by Value to a Null-terminated Unicode string specified by Buffer containing at most Width characters. No padding of spaces is ever performed. If Width is 0, then a width of MAXIMUM_VALUE_CHARACTERS is assumed. This function returns the number of Unicode characters in Buffer, not including the Null-terminator. If the conversion contains more than Width characters, this function returns the first Width characters in the conversion, along with the total number of characters in the conversion. Additional conversion parameters are specified in Flags.

The Flags bit LEFT_JUSTIFY is always ignored. All conversions are left justified in Buffer. If Width is 0, PREFIX_ZERO is ignored in Flags. If COMMA_TYPE is set in Flags, then PREFIX_ZERO is ignored in Flags, and commas are inserted every 3rd digit starting from the right. If RADIX_HEX is set in Flags, then the output buffer will be formatted in hexadecimal format. If Value is < 0 and RADIX_HEX is not set in Flags, then the fist character in Buffer is a '-'. If PREFIX_ZERO is set in Flags and PREFIX_ZERO is not being ignored, then Buffer is padded with '0' characters so the combination of the optional '-' sign character, '0' characters, digit characters for Value, and the Null-terminator add up to Width characters. If both COMMA_TYPE and RADIX_HEX are set in Flags, then ASSERT(). If Buffer is NULL, then ASSERT(). If Buffer is not aligned on a 16-bit boundary, then ASSERT(). If unsupported bits are set in Flags, then ASSERT(). If both COMMA_TYPE and RADIX_HEX are set in Flags, then ASSERT(). If Width >= MAXIMUM_VALUE_CHARACTERS, then ASSERT()

Parameters:
Buffer | The pointer to the output buffer for the produced Null-terminated Unicode string.
Flags | The bitmask of flags that specify left justification, zero pad, and commas.
Value | The 64-bit signed value to convert to a string.
Width | The maximum number of Unicode characters to place in Buffer, not including the Null-terminator.
Returns:
The number of Unicode characters in Buffer not including the Null-terminator.

Variable Documentation

EFI_GUID gEfiPrint2ProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/SmmFaultTolerantWrite.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/SmmFaultTolerantWrite.h File Reference

Defines

#define | EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL_GUID

Typedefs

typedef
EFI_FAULT_TOLERANT_WRITE_PROTOCOL 		EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL

Variables

EFI_GUID | gEfiSmmFaultTolerantWriteProtocolGuid

Detailed Description

SMM Fault Tolerant Write protocol is related to EDK II-specific implementation of FTW, provides boot-time service for fault tolerant write capability for block devices in EFI SMM environment. The protocol provides for non-volatile storage of the intermediate data and private information a caller would need to recover from a critical fault, such as a power failure.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL_GUID

Value:

{ \
    0x3868fc3b, 0x7e45, 0x43a7, { 0x90, 0x6c, 0x4b, 0xa4, 0x7d, 0xe1, 0x75, 0x4d } \
  }

Typedef Documentation

typedef EFI_FAULT_TOLERANT_WRITE_PROTOCOL EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL

Variable Documentation

EFI_GUID gEfiSmmFaultTolerantWriteProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/SmmFirmwareVolumeBlock.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/SmmFirmwareVolumeBlock.h File Reference

Defines

#define | EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL_GUID

Typedefs

typedef
EFI_FIRMWARE_VOLUME_BLOCK_PROTOCOL 		EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL

Variables

EFI_GUID | gEfiSmmFirmwareVolumeBlockProtocolGuid

Detailed Description

SMM Firmware Volume Block protocol is related to EDK II-specific implementation of FVB driver, provides control over block-oriented firmware devices and is intended to use in the EFI SMM environment.

Copyright (c) 2010 - 2011, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL_GUID

Value:

{ \
    0xd326d041, 0xbd31, 0x4c01, { 0xb5, 0xa8, 0x62, 0x8b, 0xe8, 0x7f, 0x6, 0x53 } \
  }

Typedef Documentation

typedef EFI_FIRMWARE_VOLUME_BLOCK_PROTOCOL EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL

Variable Documentation

EFI_GUID gEfiSmmFirmwareVolumeBlockProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/SmmSwapAddressRange.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/SmmSwapAddressRange.h File Reference

Defines

#define | EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL_GUID

Typedefs

typedef
EFI_SWAP_ADDRESS_RANGE_PROTOCOL 		EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL

Variables

EFI_GUID | gEfiSmmSwapAddressRangeProtocolGuid

Detailed Description

The EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL is related to EDK II-specific implementation and used to abstract the swap operation of boot block and backup block of FV in EFI SMM environment. This swap is especially needed when updating the boot block of FV. If a power failure happens during the boot block update, the swapped backup block (now the boot block) can boot the machine with the old boot block backed up in it. The swap operation is platform dependent, so other protocols such as SMM FTW (Fault Tolerant Write) should use this protocol instead of handling hardware directly.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL_GUID

Value:

{ \
    0x67c4f112, 0x3385, 0x4e55, { 0x9c, 0x5b, 0xc0, 0x5b, 0x71, 0x7c, 0x42, 0x28 } \
  }

Typedef Documentation

typedef EFI_SWAP_ADDRESS_RANGE_PROTOCOL EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL

Variable Documentation

EFI_GUID gEfiSmmSwapAddressRangeProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/SmmVariable.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/SmmVariable.h File Reference

Data Structures

struct | _EFI_SMM_VARIABLE_PROTOCOL

Defines

#define | EFI_SMM_VARIABLE_PROTOCOL_GUID

Typedefs

typedef struct
_EFI_SMM_VARIABLE_PROTOCOL 		EFI_SMM_VARIABLE_PROTOCOL

Variables

EFI_GUID | gEfiSmmVariableProtocolGuid

Detailed Description

EFI SMM Variable Protocol is related to EDK II-specific implementation of variables and intended for use as a means to store data in the EFI SMM environment.

Copyright (c) 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License which accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_SMM_VARIABLE_PROTOCOL_GUID

Value:

{ \
    0xed32d533, 0x99e6, 0x4209, { 0x9c, 0xc0, 0x2d, 0x72, 0xcd, 0xd9, 0x98, 0xa7 } \
  }

Typedef Documentation

typedef struct _EFI_SMM_VARIABLE_PROTOCOL EFI_SMM_VARIABLE_PROTOCOL

Variable Documentation

EFI_GUID gEfiSmmVariableProtocolGuid

Generated on Sat Dec 17 17:45:10 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/Include/Protocol/SwapAddressRange.h File Reference

  • File List
  • Globals

MdeModulePkg/Include/Protocol/SwapAddressRange.h File Reference

Data Structures

struct | _EFI_SWAP_ADDRESS_RANGE_PROTOCOL

Defines

#define | EFI_SWAP_ADDRESS_RANGE_PROTOCOL_GUID
#define | EFI_UNSUPPORT_LOCK 0
#define | EFI_SOFTWARE_LOCK 1
#define | EFI_HARDWARE_LOCK 2

Typedefs

typedef struct
_EFI_SWAP_ADDRESS_RANGE_PROTOCOL 		EFI_SWAP_ADDRESS_RANGE_PROTOCOL
typedef UINT8 | EFI_SWAP_LOCK_CAPABILITY
typedef EFI_STATUS(EFIAPI * | EFI_GET_RANGE_LOCATION )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT EFI_PHYSICAL_ADDRESS *BootBlockBase, OUT UINTN *BootBlockSize, OUT EFI_PHYSICAL_ADDRESS *BackupBlockBase, OUT UINTN *BackupBlockSize)
typedef EFI_STATUS(EFIAPI * | EFI_GET_SWAP_STATE )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT BOOLEAN *SwapState)
typedef EFI_STATUS(EFIAPI * | EFI_SET_SWAP_STATE )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, IN BOOLEAN NewSwapState)
typedef EFI_STATUS(EFIAPI * | EFI_GET_RTC_POWER_STATUS )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT BOOLEAN *RtcPowerFailed)
typedef EFI_STATUS(EFIAPI * | EFI_GET_SWAP_LOCK_CAPABILITY )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT EFI_SWAP_LOCK_CAPABILITY *LockCapability)
typedef EFI_STATUS(EFIAPI * | EFI_SET_SWAP_LOCK )(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, IN EFI_SWAP_LOCK_CAPABILITY LockCapability, IN BOOLEAN NewLockState)

Variables

EFI_GUID | gEfiSwapAddressRangeProtocolGuid

Detailed Description

The EFI_SWAP_ADDRESS_RANGE_PROTOCOL is used to abstract the swap operation of boot block and backup block of FV. This swap is especially needed when updating the boot block of FV. If a power failure happens during the boot block update, the swapped backup block (now the boot block) can boot the machine with the old boot block backed up in it. The swap operation is platform dependent, so other protocols such as FTW (Fault Tolerant Write) should use this protocol instead of handling hardware directly.

Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.
This program and the accompanying materials are licensed and made available under the terms and conditions of the BSD License that accompanies this distribution. The full text of the license may be found at http://opensource.org/licenses/bsd-license.php.

THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.

Define Documentation

#define EFI_HARDWARE_LOCK 2

#define EFI_SOFTWARE_LOCK 1

#define EFI_SWAP_ADDRESS_RANGE_PROTOCOL_GUID

Value:

{ \
    0x1259f60d, 0xb754, 0x468e, {0xa7, 0x89, 0x4d, 0xb8, 0x5d, 0x55, 0xe8, 0x7e } \
  }

#define EFI_UNSUPPORT_LOCK 0

Typedef Documentation

typedef EFI_STATUS(EFIAPI * EFI_GET_RANGE_LOCATION)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT EFI_PHYSICAL_ADDRESS *BootBlockBase, OUT UINTN *BootBlockSize, OUT EFI_PHYSICAL_ADDRESS *BackupBlockBase, OUT UINTN *BackupBlockSize)

This function gets the address range location of boot block and backup block.

Parameters:
This | Indicates the calling context.
BootBlockBase | The base address of current boot block.
BootBlockSize | The size (in bytes) of current boot block.
BackupBlockBase | The base address of current backup block.
BackupBlockSize | The size (in bytes) of current backup block.
Return values:
EFI_SUCCESS The call was successful.

typedef EFI_STATUS(EFIAPI * EFI_GET_RTC_POWER_STATUS)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT BOOLEAN *RtcPowerFailed)

This service checks if a Real Time Clock (RTC) power failure happened.

If parameter RtcPowerFailed is true after the function returns, RTC power supply failed or was removed. It is recommended to check RTC power status before calling GetSwapState().

Parameters:
This | Indicates the calling context.
RtcPowerFailed | True if the RTC (Real Time Clock) power failed or was removed.
Return values:
EFI_SUCCESS The call was successful.

typedef EFI_STATUS(EFIAPI * EFI_GET_SWAP_LOCK_CAPABILITY)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT EFI_SWAP_LOCK_CAPABILITY *LockCapability)

This service returns all lock methods for swap operations that the current platform supports. Could be software lock, hardware lock, or unsupport lock. Note that software and hardware lock methods can be used simultaneously.

Parameters:
This | Indicates the calling context.
LockCapability | The current lock method for swap operations.
Return values:
EFI_SUCCESS The call was successful.

typedef EFI_STATUS(EFIAPI * EFI_GET_SWAP_STATE)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, OUT BOOLEAN *SwapState)

This service checks if the boot block and backup block has been swapped.

Parameters:
This | Indicates the calling context.
SwapState | True if the boot block and backup block has been swapped. False if the boot block and backup block has not been swapped.
Return values:
EFI_SUCCESS The call was successful.

typedef EFI_STATUS(EFIAPI * EFI_SET_SWAP_LOCK)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, IN EFI_SWAP_LOCK_CAPABILITY LockCapability, IN BOOLEAN NewLockState)

This service is used to acquire or release appointed kind of lock for Swap Address Range operations.

Note that software and hardware lock mothod can be used simultaneously.

Parameters:
This | Indicates the calling context.
LockCapability | Indicates which lock to acquire or release.
NewLockState | True to acquire lock; False to release lock.
Return values:
EFI_SUCCESS The call was successful.

typedef EFI_STATUS(EFIAPI * EFI_SET_SWAP_STATE)(IN EFI_SWAP_ADDRESS_RANGE_PROTOCOL *This, IN BOOLEAN NewSwapState)

This service swaps the boot block and backup block, or swaps them back.

It also acquires and releases software swap lock during operation. The setting of the new swap state is not affected by the old swap state.

Parameters:
This | Indicates the calling context.
NewSwapState | True to swap real boot block and backup block, False to swap them back.
Return values:
EFI_SUCCESS | The call was successful.
EFI_ABORTED | Set swap state error.

typedef struct _EFI_SWAP_ADDRESS_RANGE_PROTOCOL EFI_SWAP_ADDRESS_RANGE_PROTOCOL

typedef UINT8 EFI_SWAP_LOCK_CAPABILITY

Variable Documentation

EFI_GUID gEfiSwapAddressRangeProtocolGuid


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- a -

  • AcpiS3ResumeOs() : S3Lib.h
  • Action : FormBrowserEx.h
  • ActivationInterval : SmmControl.h
  • ALIGNMENT : VariableFormat.h
  • Arg : NetLib.h
  • ArgumentBuffer : SmmControl.h
  • ArgumentBufferSize : SmmControl.h
  • ASCII_BS_PRINT : Print2.h
  • ASCII_BS_PRINT_UNICODE_FORMAT : Print2.h
  • ASCII_S_PRINT : Print2.h
  • ASCII_S_PRINT_UNICODE_FORMAT : Print2.h
  • ASCII_VALUE_TO_STRING : Print2.h
  • AsmText : EbcVmTest.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Alphabetical List

  • Data Fields

Data Structure Index

A | B | C | D | E | F | G | I | M | N | P | S | T | U | V | _

A
GAUGE_DATA_ENTRY NET_IP6_PSEUDO_HDR TCP_IO_CONNECTION_TOKEN _EFI_IFR_GUID_CLASS
ACPI_S3_CONTEXT GAUGE_DATA_HEADER NET_IP_HEAD TCP_IO_IO_TOKEN _EFI_IFR_GUID_LABEL
B
I
NET_MAP TCP_IO_LISTEN_TOKEN _EFI_IFR_GUID_OPTIONKEY
BOOT_PERFORMANCE_TABLE ICMP_ERROR_INFO NET_MAP_ITEM TCP_IO_PROTOCOL _EFI_IFR_GUID_SUBCLASS
BOOT_SCRIPT_EXECUTOR_VARIABLE IDE_REGS_BASE_ADDR NET_PSEUDO_HDR
U
_EFI_IFR_GUID_TIMEOUT
C
IP4_HEAD NET_VECTOR UDP_COMPLETION_TOKEN _EFI_IFR_GUID_VAREQNAME
CAPSULE_HOB_INFO IP4_ICMP_ERROR_HEAD NIC_ADDR UDP_END_POINT _EFI_NET_SESSION_DATA
D
IP4_ICMP_HEAD NIC_IP4_CONFIG_INFO UDP_RX_TOKEN _EFI_PE32_IMAGE_PROTOCOL
DEBUG_AGENT_CONTEXT_POSTMEM_SEC IP4_ICMP_QUERY_HEAD
P
UDP_SESSION_DATA _EFI_PEI_SMM_COMMUNICATION_PPI
E
IP6_ICMP_ERROR_HEAD PEI_PERFORMANCE_LOG_ENTRY UDP_TRANSMIT_DATA _EFI_PRINT2_PROTOCOL
EFI_CAPSULE_LONG_MODE_BUFFER IP6_ICMP_HEAD PEI_PERFORMANCE_LOG_HEADER UDP_TX_TOKEN _EFI_SMM_VARIABLE_PROTOCOL
EFI_DEBUG_INFO IP6_ICMP_INFORMATION_HEAD PEI_S3_RESUME_STATE
V
_EFI_SWAP_ADDRESS_RANGE_PROTOCOL
EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER IP_IO_IP_COMPLETION_TOKEN PERF_DATA VARIABLE_HEADER _IP_IO
EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE IP_IO_IP_CONFIG_DATA PERF_HEADER VARIABLE_INDEX_TABLE _IP_IO_IP_INFO
EFI_MEMORY_TYPE_INFORMATION IP_IO_IP_HEADER
S
VARIABLE_POINTER_TRACK _IP_IO_OPEN_DATA
EFI_SMM_LOCK_BOX_PARAMETER_HEADER IP_IO_IP_MASK S3_PERFORMANCE_TABLE VARIABLE_STORE_HEADER _IP_IO_SEND_ENTRY
EFI_SMM_LOCK_BOX_PARAMETER_RESTORE IP_IO_IP_PROTOCOL SMM_PERF_COMMUNICATE VLAN_TCI _PEI_ATA_CONTROLLER_PPI
EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE IP_IO_IP_RX_DATA SMM_S3_RESUME_STATE VM_CONTEXT _PEI_CAPSULE_PPI
EFI_SMM_LOCK_BOX_PARAMETER_SAVE IP_IO_IP_TX_DATA SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE
_
_PEI_SEC_PERFORMANCE_PPI
EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES IP_IO_OVERRIDE SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME _EFI_BOOT_LOGO_PROTOCOL _PEI_SMM_ACCESS_PPI
EFI_SMM_LOCK_BOX_PARAMETER_UPDATE
M
SMM_VARIABLE_COMMUNICATE_HEADER _EFI_DEBUG_MASK_PROTOCOL _PEI_SMM_CONTROL_PPI
EFI_UDP_HEADER MEMORY_STATUSCODE_PACKET_HEADER SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO _EFI_DPC_PROTOCOL _PEI_USB2_HOST_CONTROLLER_PPI
ETHER_HEAD MEMORY_STATUSCODE_RECORD
T
_EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL _PEI_USB_CONTROLLER_PPI
F
N
TCP4_IO_CONFIG_DATA _EFI_EBC_VM_TEST_PROTOCOL _PEI_USB_HOST_CONTROLLER_PPI
FIRMWARE_PERFORMANCE_RUNTIME_DATA NET_BLOCK TCP6_IO_CONFIG_DATA _EFI_FAULT_TOLERANT_WRITE_PROTOCOL _PEI_USB_IO_PPI
FIRMWARE_PERFORMANCE_TABLE NET_BLOCK_OP TCP_HEAD _EFI_FORM_BROWSER_EXTENSION_PROTOCOL _PERFORMANCE_PROTOCOL
FIRMWARE_PERFORMANCE_VARIABLE NET_BUF TCP_IO _EFI_GENERIC_MEMORY_TEST_PROTOCOL _UDP_IO
FIRMWARE_SEC_PERFORMANCE NET_BUF_QUEUE TCP_IO_CLOSE_TOKEN _EFI_IFR_GUID_BANNER _VARIABLE_INFO_ENTRY
G
NET_FRAGMENT TCP_IO_CONFIG_DATA

A | B | C | D | E | F | G | I | M | N | P | S | T | U | V | _


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- k -

  • Key : NET_MAP_ITEM
  • KeyValue : _EFI_IFR_GUID_OPTIONKEY


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- l -

  • LastAddrConverted : VM_CONTEXT
  • LastAddrConvertedValue : VM_CONTEXT
  • LastException : VM_CONTEXT
  • Len : NIC_ADDR , NET_IP6_PSEUDO_HDR , NET_FRAGMENT , NET_BLOCK , NET_VECTOR , NET_PSEUDO_HDR
  • Length : CAPSULE_HOB_INFO , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , VARIABLE_INDEX_TABLE , EFI_UDP_HEADER
  • LineNumber : _EFI_IFR_GUID_BANNER
  • Link : NET_MAP_ITEM , UDP_TX_TOKEN , _UDP_IO
  • List : NET_BUF , NET_BUF_QUEUE
  • ListenToken : TCP_IO
  • LoadPeImage : _EFI_PE32_IMAGE_PROTOCOL
  • LocalAddr : UDP_END_POINT
  • LocalIp : TCP4_IO_CONFIG_DATA
  • LocalPort : UDP_END_POINT
  • Lock : _PEI_SMM_ACCESS_PPI
  • LockState : _PEI_SMM_ACCESS_PPI
  • LogEntryKey : SMM_PERF_COMMUNICATE
  • LowStackTop : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- m -

  • MacAddr : NIC_ADDR
  • MaximumVariableSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • MaximumVariableStorageSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • MaxRecordsNumber : MEMORY_STATUSCODE_PACKET_HEADER
  • MemoryTestInit : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Module : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- n -

  • Name : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , _VARIABLE_INFO_ENTRY
  • NameId : _EFI_IFR_GUID_VAREQNAME
  • NameSize : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , VARIABLE_HEADER
  • NewTcp : TCP_IO
  • Next : _VARIABLE_INFO_ENTRY
  • NextHeader : NET_IP6_PSEUDO_HDR
  • NicAddr : NIC_IP4_CONFIG_INFO
  • Notify : ICMP_ERROR_INFO
  • NotifyData : _IP_IO_SEND_ENTRY
  • Number : _EFI_IFR_GUID_LABEL
  • NumberOfEntries : PEI_PERFORMANCE_LOG_HEADER , SMM_PERF_COMMUNICATE , GAUGE_DATA_HEADER
  • NumberOfPages : EFI_MEMORY_TYPE_INFORMATION


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- o -

  • Offset : EFI_SMM_LOCK_BOX_PARAMETER_UPDATE
  • Open : _PEI_SMM_ACCESS_PPI
  • OpenState : _PEI_SMM_ACCESS_PPI
  • OptionValue : _EFI_IFR_GUID_OPTIONKEY


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- b -

  • BaseAddress : CAPSULE_HOB_INFO
  • BasicBoot : BOOT_PERFORMANCE_TABLE
  • BDSRaw : PERF_HEADER
  • Bits : VLAN_TCI
  • Block : NET_VECTOR
  • BlockHead : NET_BLOCK_OP
  • BlockNum : NET_VECTOR
  • BlockOp : NET_BUF
  • BlockOpNum : NET_BUF
  • BlockTail : NET_BLOCK_OP
  • BootPerformance : FIRMWARE_PERFORMANCE_RUNTIME_DATA
  • BootPerformanceTablePointer : FIRMWARE_PERFORMANCE_VARIABLE
  • BootPointerRecord : FIRMWARE_PERFORMANCE_TABLE
  • BootScriptExecutorEntrypoint : BOOT_SCRIPT_EXECUTOR_VARIABLE
  • BootScriptStackBase : ACPI_S3_CONTEXT
  • BootScriptStackSize : ACPI_S3_CONTEXT
  • BootToOs : PERF_HEADER
  • Buffer : EFI_SMM_LOCK_BOX_PARAMETER_SAVE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE
  • BufList : NET_BUF_QUEUE
  • BufNum : NET_BUF_QUEUE
  • BufSize : NET_BUF_QUEUE
  • Bulk : NET_FRAGMENT , NET_BLOCK
  • BulkTransfer : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- c -

  • CacheCount : _VARIABLE_INFO_ENTRY
  • CallBack : UDP_RX_TOKEN , UDP_TX_TOKEN
  • Cfi : VLAN_TCI
  • CheckCapsuleUpdate : _PEI_CAPSULE_PPI
  • Checksum : IP6_ICMP_HEAD , EFI_UDP_HEADER , TCP_HEAD , IP4_HEAD , IP4_ICMP_HEAD
  • ChildHandle : _IP_IO , _IP_IO_IP_INFO
  • Class : _EFI_IFR_GUID_CLASS
  • Clear : _PEI_SMM_CONTROL_PPI
  • ClearRootHubPortFeature : _PEI_USB_HOST_CONTROLLER_PPI , _PEI_USB2_HOST_CONTROLLER_PPI
  • Close : _PEI_SMM_ACCESS_PPI
  • CloseToken : TCP_IO
  • Coalesce : _PEI_CAPSULE_PPI
  • Code : IP4_ICMP_HEAD , IP6_ICMP_HEAD
  • CodeType : MEMORY_STATUSCODE_RECORD
  • Command : EFI_SMM_LOCK_BOX_PARAMETER_HEADER
  • CommandBlockBaseAddr : IDE_REGS_BASE_ADDR
  • Communicate : _EFI_PEI_SMM_COMMUNICATION_PPI
  • CompatibleRangeTest : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • CompilerVersion : VM_CONTEXT
  • Config : _UDP_IO
  • Configure : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • ConnToken : TCP_IO
  • Context : UDP_RX_TOKEN , UDP_TX_TOKEN , _IP_IO_SEND_ENTRY
  • ControlBlockBaseAddr : IDE_REGS_BASE_ADDR
  • Controller : TCP_IO , _IP_IO , _UDP_IO
  • ControlTransfer : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • Count : NET_MAP , PERF_HEADER
  • CpuFreq : PERF_HEADER
  • Crc : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • CreateState : _PEI_CAPSULE_PPI
  • CurrPtr : VARIABLE_POINTER_TRACK


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- d -

  • Dasm : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • Data : SMM_VARIABLE_COMMUNICATE_HEADER , UDP_TX_TOKEN
  • DataLength : EFI_SMM_LOCK_BOX_PARAMETER_HEADER
  • DataSize : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , VARIABLE_HEADER
  • Debugger : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • DeleteCount : _VARIABLE_INFO_ENTRY
  • Dest : _EFI_NET_SESSION_DATA
  • Disassemble : _EFI_EBC_VM_TEST_PROTOCOL
  • DispatchDpc : _EFI_DPC_PROTOCOL
  • Dst : IP4_HEAD
  • DstIp : NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • DstMac : ETHER_HEAD
  • DstPort : EFI_UDP_HEADER , TCP_HEAD
  • DummyRcvToken : _IP_IO_IP_INFO
  • Duration : PERF_DATA
  • DxeCodeTopAddress : EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- e -

  • EnableAtaChannel : _PEI_ATA_CONTROLLER_PPI
  • EndGauge : _PERFORMANCE_PROTOCOL
  • EndPtr : VARIABLE_INDEX_TABLE , VARIABLE_POINTER_TRACK
  • EndTimeStamp : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY
  • Entry : _IP_IO_SEND_ENTRY , _IP_IO_IP_INFO , _IP_IO
  • EntryPoint : VM_CONTEXT
  • ErrorLevel : EFI_DEBUG_INFO
  • EtherType : ETHER_HEAD
  • ExceptionFlags : VM_CONTEXT
  • Execute : _EFI_EBC_VM_TEST_PROTOCOL
  • ExtendOpCode : _EFI_IFR_GUID_VAREQNAME , _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_LABEL , _EFI_IFR_GUID_TIMEOUT , _EFI_IFR_GUID_BANNER , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_SUBCLASS


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- f -

  • Finished : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Flag : TCP_HEAD , NET_VECTOR
  • Flags : VM_CONTEXT
  • Format : VARIABLE_STORE_HEADER
  • Fourth : IP6_ICMP_INFORMATION_HEAD , IP4_ICMP_ERROR_HEAD , IP6_ICMP_ERROR_HEAD
  • Fragment : IP4_HEAD
  • FramePtr : VM_CONTEXT
  • Free : NET_VECTOR
  • Function : SMM_VARIABLE_COMMUNICATE_HEADER , SMM_PERF_COMMUNICATE


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- g -

  • Gateway : TCP4_IO_CONFIG_DATA , UDP_TX_TOKEN
  • GaugeData : SMM_PERF_COMMUNICATE
  • GetCapabilities : _PEI_SMM_ACCESS_PPI
  • GetDebugMask : _EFI_DEBUG_MASK_PROTOCOL
  • GetGauge : _PERFORMANCE_PROTOCOL
  • GetIdeRegsBaseAddr : _PEI_ATA_CONTROLLER_PPI
  • GetLastWrite : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • GetMaxBlockSize : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • GetPerformance : _PEI_SEC_PERFORMANCE_PPI
  • GetRangeLocation : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetRootHubPortNumber : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • GetRootHubPortStatus : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • GetRtcPowerStatus : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetSwapLockCapability : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetSwapState : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetUsbController : _PEI_USB_CONTROLLER_PPI
  • GoneThrough : VARIABLE_INDEX_TABLE
  • Gpr : VM_CONTEXT
  • Guid : EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_VAREQNAME , EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_LABEL , _EFI_IFR_GUID_TIMEOUT , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , _EFI_IFR_GUID_SUBCLASS , _EFI_IFR_GUID_BANNER


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- h -

  • Handle : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY , TCP_IO
  • Head : IP4_ICMP_ERROR_HEAD , NET_BLOCK_OP , IP4_ICMP_QUERY_HEAD , IP6_ICMP_ERROR_HEAD , IP6_ICMP_INFORMATION_HEAD
  • Header : EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , _EFI_IFR_GUID_SUBCLASS , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , _EFI_IFR_GUID_OPTIONKEY , FIRMWARE_PERFORMANCE_TABLE , _EFI_IFR_GUID_VAREQNAME , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_TIMEOUT , _EFI_IFR_GUID_BANNER , S3_PERFORMANCE_TABLE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , BOOT_PERFORMANCE_TABLE , EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _EFI_IFR_GUID_LABEL , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE
  • HeadLen : UDP_RX_TOKEN , IP4_HEAD , TCP_HEAD
  • HeapMigrateOffset : DEBUG_AGENT_CONTEXT_POSTMEM_SEC
  • HighStackBottom : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- i -

  • Id : IP4_HEAD , IP4_ICMP_QUERY_HEAD
  • Idtr : PEI_S3_RESUME_STATE
  • IdtrProfile : ACPI_S3_CONTEXT
  • Image : _IP_IO , TCP_IO , _UDP_IO
  • ImageBase : VM_CONTEXT
  • ImageHandle : VM_CONTEXT
  • Index : VARIABLE_INDEX_TABLE
  • Instance : MEMORY_STATUSCODE_RECORD
  • Ip : VM_CONTEXT , _IP_IO , _IP_IO_SEND_ENTRY , _IP_IO_IP_INFO , NET_BUF
  • Ip4 : IP_IO_IP_PROTOCOL , NET_IP_HEAD
  • Ip4CfgData : IP_IO_IP_CONFIG_DATA
  • Ip4Hdr : IP_IO_IP_HEADER
  • Ip4Info : NIC_IP4_CONFIG_INFO
  • Ip4OverrideData : IP_IO_OVERRIDE
  • Ip4RxData : IP_IO_IP_RX_DATA
  • Ip4Token : IP_IO_IP_COMPLETION_TOKEN
  • Ip4TxData : IP_IO_IP_TX_DATA
  • Ip6 : IP_IO_IP_PROTOCOL , NET_IP_HEAD
  • Ip6CfgData : IP_IO_IP_CONFIG_DATA
  • Ip6Hdr : IP_IO_IP_HEADER
  • Ip6OverrideData : IP_IO_OVERRIDE
  • Ip6RxData : IP_IO_IP_RX_DATA
  • Ip6Token : IP_IO_IP_COMPLETION_TOKEN
  • Ip6TxData : IP_IO_IP_TX_DATA
  • IpConfigData : _IP_IO_OPEN_DATA
  • IpHdr : _EFI_NET_SESSION_DATA
  • IpHdrLen : _EFI_NET_SESSION_DATA
  • IpHead : IP6_ICMP_ERROR_HEAD , IP4_ICMP_ERROR_HEAD
  • IpIo : _IP_IO_SEND_ENTRY
  • IpList : _IP_IO
  • IpVersion : _EFI_NET_SESSION_DATA , _IP_IO , _IP_IO_IP_INFO
  • IsCloseDone : TCP_IO
  • IsConfigured : _IP_IO
  • IsConnDone : TCP_IO
  • IsHard : ICMP_ERROR_INFO
  • IsListenDone : TCP_IO
  • IsRxDone : TCP_IO
  • IsTxDone : TCP_IO


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- p -

  • Packet : UDP_TX_TOKEN
  • PacketIndex : MEMORY_STATUSCODE_PACKET_HEADER
  • PageTableAddress : EFI_CAPSULE_LONG_MODE_BUFFER
  • PendingSndList : _IP_IO
  • PerformMemoryTest : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Perment : NIC_IP4_CONFIG_INFO
  • Pkt : _IP_IO_SEND_ENTRY
  • PktRcvdNotify : _IP_IO , _IP_IO_OPEN_DATA
  • PktSentNotify : _IP_IO , _IP_IO_OPEN_DATA
  • PrefixLength : IP_IO_IP_MASK
  • PreMask : _IP_IO_IP_INFO
  • Priority : VLAN_TCI
  • Protocol : NET_PSEUDO_HDR , _UDP_IO , _IP_IO , IP4_HEAD
  • ProtoData : NET_BUF


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- q -

  • QuestionId : _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_VAREQNAME
  • QueueDpc : _EFI_DPC_PROTOCOL


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- r -

  • RcvdContext : _IP_IO , _IP_IO_OPEN_DATA
  • RcvToken : _IP_IO
  • ReadCount : _VARIABLE_INFO_ENTRY
  • RecordIndex : MEMORY_STATUSCODE_PACKET_HEADER
  • RecvRequest : _UDP_IO
  • Recycled : NET_MAP
  • RefCnt : _IP_IO_IP_INFO , NET_VECTOR , NET_BUF , NET_BUF_QUEUE , _UDP_IO
  • RegiserExitHandler : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • RegisterHotKey : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • RemainingVariableStorageSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • RemoteAddr : UDP_END_POINT
  • RemoteIp : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA
  • RemotePort : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA , UDP_END_POINT
  • Res : TCP_HEAD
  • Reserved : VARIABLE_HEADER , PEI_PERFORMANCE_LOG_HEADER , GAUGE_DATA_HEADER , EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER , VARIABLE_STORE_HEADER , NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • Reserved1 : VARIABLE_STORE_HEADER
  • Reserved3 : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • ResetEnd : FIRMWARE_SEC_PERFORMANCE
  • Restart : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • ReturnContext1 : SMM_S3_RESUME_STATE
  • ReturnContext2 : SMM_S3_RESUME_STATE
  • ReturnCs : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnEntryPoint : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnStackPointer : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnStatus : SMM_PERF_COMMUNICATE , EFI_SMM_LOCK_BOX_PARAMETER_HEADER , SMM_VARIABLE_COMMUNICATE_HEADER
  • Revision : _EFI_DEBUG_MASK_PROTOCOL
  • RxToken : TCP_IO


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- s -

  • S3DebugBufferAddress : ACPI_S3_CONTEXT
  • S3Entry : PERF_HEADER
  • S3EntryNum : PERF_HEADER
  • S3NvsPageTableAddress : ACPI_S3_CONTEXT
  • S3Performance : FIRMWARE_PERFORMANCE_RUNTIME_DATA
  • S3PerformanceTablePointer : FIRMWARE_PERFORMANCE_VARIABLE
  • S3PointerRecord : FIRMWARE_PERFORMANCE_TABLE
  • S3Resume : S3_PERFORMANCE_TABLE , PERF_HEADER
  • S3Suspend : S3_PERFORMANCE_TABLE
  • SaveReminder : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • SentDatagram : _UDP_IO
  • Seq : IP4_ICMP_QUERY_HEAD , TCP_HEAD
  • Session : UDP_TX_TOKEN
  • SetBootLogo : _EFI_BOOT_LOGO_PROTOCOL
  • SetDebugMask : _EFI_DEBUG_MASK_PROTOCOL
  • SetRootHubPortFeature : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • SetScope : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • SetSwapLock : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • SetSwapState : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • SignalException : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • Signature : _UDP_IO , SMM_S3_RESUME_STATE , EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER , VARIABLE_STORE_HEADER , NET_VECTOR , NET_BUF , NET_BUF_QUEUE , UDP_RX_TOKEN , UDP_TX_TOKEN
  • Signiture : PERF_HEADER
  • Size : VARIABLE_STORE_HEADER , NET_BLOCK_OP
  • SmmGetNextVariableName : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmGetVariable : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmQueryVariableInfo : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmS3Cr0 : SMM_S3_RESUME_STATE
  • SmmS3Cr3 : SMM_S3_RESUME_STATE
  • SmmS3Cr4 : SMM_S3_RESUME_STATE
  • SmmS3ResumeEntryPoint : SMM_S3_RESUME_STATE
  • SmmS3StackBase : SMM_S3_RESUME_STATE
  • SmmS3StackSize : SMM_S3_RESUME_STATE
  • SmmSetVariable : _EFI_SMM_VARIABLE_PROTOCOL
  • SmramBase : EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE
  • Smst : SMM_S3_RESUME_STATE
  • SndContext : _IP_IO , _IP_IO_OPEN_DATA
  • SndToken : _IP_IO_SEND_ENTRY
  • SnpMode : _UDP_IO
  • Source : NIC_IP4_CONFIG_INFO , _EFI_NET_SESSION_DATA
  • Src : IP4_HEAD
  • SrcIp : NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • SrcMac : ETHER_HEAD
  • SrcPort : TCP_HEAD , EFI_UDP_HEADER
  • StackBaseAddress : EFI_CAPSULE_LONG_MODE_BUFFER
  • StackMagicPtr : VM_CONTEXT
  • StackMigrateOffset : DEBUG_AGENT_CONTEXT_POSTMEM_SEC
  • StackPool : VM_CONTEXT
  • StackRetAddr : VM_CONTEXT
  • StackSize : EFI_CAPSULE_LONG_MODE_BUFFER
  • StackTop : VM_CONTEXT
  • StartGauge : _PERFORMANCE_PROTOCOL
  • StartId : VARIABLE_HEADER
  • StartPtr : VARIABLE_INDEX_TABLE , VARIABLE_POINTER_TRACK
  • StartTimeStamp : GAUGE_DATA_ENTRY , PEI_PERFORMANCE_LOG_ENTRY
  • State : VARIABLE_HEADER , VARIABLE_STORE_HEADER
  • StationPort : TCP6_IO_CONFIG_DATA , TCP4_IO_CONFIG_DATA
  • StopFlags : VM_CONTEXT
  • SubClass : _EFI_IFR_GUID_SUBCLASS
  • SubnetMask : TCP4_IO_CONFIG_DATA , IP_IO_IP_MASK
  • SystemTable : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- t -

  • Tail : NET_BLOCK_OP
  • Tcp : NET_BUF , TCP_IO
  • Tcp4 : TCP_IO_PROTOCOL
  • Tcp4IoConfigData : TCP_IO_CONFIG_DATA
  • Tcp4Token : TCP_IO_CLOSE_TOKEN , TCP_IO_LISTEN_TOKEN , TCP_IO_CONNECTION_TOKEN , TCP_IO_IO_TOKEN
  • Tcp6 : TCP_IO_PROTOCOL
  • Tcp6IoConfigData : TCP_IO_CONFIG_DATA
  • Tcp6Token : TCP_IO_CONNECTION_TOKEN , TCP_IO_IO_TOKEN , TCP_IO_CLOSE_TOKEN , TCP_IO_LISTEN_TOKEN
  • TcpVersion : TCP_IO
  • TimeOut : _EFI_IFR_GUID_TIMEOUT
  • Title : _EFI_IFR_GUID_BANNER
  • Token : PEI_PERFORMANCE_LOG_ENTRY , PERF_DATA , GAUGE_DATA_ENTRY , UDP_RX_TOKEN , UDP_TX_TOKEN
  • Tos : IP4_HEAD
  • TotalLen : IP4_HEAD
  • TotalSize : NET_BUF
  • Trigger : _PEI_SMM_CONTROL_PPI
  • Ttl : IP4_HEAD
  • TxToken : TCP_IO
  • Type : EFI_MEMORY_TYPE_INFORMATION , IP4_ICMP_HEAD , IP6_ICMP_HEAD , NIC_ADDR


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- u -

  • Udp : NET_BUF
  • Udp4 : UDP_COMPLETION_TOKEN , UDP_TRANSMIT_DATA , _UDP_IO , UDP_SESSION_DATA , _UDP_IO
  • Udp6 : UDP_SESSION_DATA , UDP_TRANSMIT_DATA , _UDP_IO , UDP_COMPLETION_TOKEN
  • UdpHandle : _UDP_IO
  • UdpIo : UDP_RX_TOKEN , UDP_TX_TOKEN
  • UdpVersion : _UDP_IO
  • Uint16 : VLAN_TCI
  • UnicodeBSPrint : _EFI_PRINT2_PROTOCOL
  • UnicodeBSPrintAsciiFormat : _EFI_PRINT2_PROTOCOL
  • UnicodeSPrint : _EFI_PRINT2_PROTOCOL
  • UnicodeSPrintAsciiFormat : _EFI_PRINT2_PROTOCOL
  • UnicodeValueToString : _EFI_PRINT2_PROTOCOL
  • UnLoadPeImage : _EFI_PE32_IMAGE_PROTOCOL
  • Urg : TCP_HEAD
  • UsbBulkTransfer : _PEI_USB_IO_PPI
  • UsbControlTransfer : _PEI_USB_IO_PPI
  • UsbGetEndpointDescriptor : _PEI_USB_IO_PPI
  • UsbGetInterfaceDescriptor : _PEI_USB_IO_PPI
  • UsbPortReset : _PEI_USB_IO_PPI
  • Used : NET_MAP


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- v -

  • Value : MEMORY_STATUSCODE_RECORD , NET_MAP_ITEM
  • Vector : NET_BUF
  • VendorGuid : VARIABLE_HEADER , _VARIABLE_INFO_ENTRY
  • Ver : IP4_HEAD
  • Vid : VLAN_TCI
  • Volatile : _VARIABLE_INFO_ENTRY


MdeModulePkg[ALL]: Data Fields

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- w -

  • Wnd : TCP_HEAD
  • WorkingBlockInvalid : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • WorkingBlockValid : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • Write : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • WriteCount : _VARIABLE_INFO_ENTRY
  • WriteQueueSize : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- a -

  • Abort : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • Ack : TCP_HEAD
  • AcpiFacsTable : ACPI_S3_CONTEXT
  • ActiveFlag : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA
  • Addr : _IP_IO_IP_INFO
  • Alignment : _EFI_IFR_GUID_BANNER
  • Allocate : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • Arg : NET_VECTOR
  • AsciiBSPrint : _EFI_PRINT2_PROTOCOL
  • AsciiBSPrintUnicodeFormat : _EFI_PRINT2_PROTOCOL
  • AsciiSPrint : _EFI_PRINT2_PROTOCOL
  • AsciiSPrintUnicodeFormat : _EFI_PRINT2_PROTOCOL
  • AsciiValueToString : _EFI_PRINT2_PROTOCOL
  • AsmTransferControl : PEI_S3_RESUME_STATE
  • Assemble : _EFI_EBC_VM_TEST_PROTOCOL
  • Attributes : EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _VARIABLE_INFO_ENTRY , VARIABLE_HEADER , SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- k -

  • Key : NET_MAP_ITEM
  • KeyValue : _EFI_IFR_GUID_OPTIONKEY


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- l -

  • LastAddrConverted : VM_CONTEXT
  • LastAddrConvertedValue : VM_CONTEXT
  • LastException : VM_CONTEXT
  • Len : NIC_ADDR , NET_IP6_PSEUDO_HDR , NET_FRAGMENT , NET_BLOCK , NET_VECTOR , NET_PSEUDO_HDR
  • Length : CAPSULE_HOB_INFO , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , VARIABLE_INDEX_TABLE , EFI_UDP_HEADER
  • LineNumber : _EFI_IFR_GUID_BANNER
  • Link : NET_MAP_ITEM , UDP_TX_TOKEN , _UDP_IO
  • List : NET_BUF , NET_BUF_QUEUE
  • ListenToken : TCP_IO
  • LoadPeImage : _EFI_PE32_IMAGE_PROTOCOL
  • LocalAddr : UDP_END_POINT
  • LocalIp : TCP4_IO_CONFIG_DATA
  • LocalPort : UDP_END_POINT
  • Lock : _PEI_SMM_ACCESS_PPI
  • LockState : _PEI_SMM_ACCESS_PPI
  • LogEntryKey : SMM_PERF_COMMUNICATE
  • LowStackTop : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- m -

  • MacAddr : NIC_ADDR
  • MaximumVariableSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • MaximumVariableStorageSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • MaxRecordsNumber : MEMORY_STATUSCODE_PACKET_HEADER
  • MemoryTestInit : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Module : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- n -

  • Name : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , _VARIABLE_INFO_ENTRY
  • NameId : _EFI_IFR_GUID_VAREQNAME
  • NameSize : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , VARIABLE_HEADER
  • NewTcp : TCP_IO
  • Next : _VARIABLE_INFO_ENTRY
  • NextHeader : NET_IP6_PSEUDO_HDR
  • NicAddr : NIC_IP4_CONFIG_INFO
  • Notify : ICMP_ERROR_INFO
  • NotifyData : _IP_IO_SEND_ENTRY
  • Number : _EFI_IFR_GUID_LABEL
  • NumberOfEntries : PEI_PERFORMANCE_LOG_HEADER , SMM_PERF_COMMUNICATE , GAUGE_DATA_HEADER
  • NumberOfPages : EFI_MEMORY_TYPE_INFORMATION


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- o -

  • Offset : EFI_SMM_LOCK_BOX_PARAMETER_UPDATE
  • Open : _PEI_SMM_ACCESS_PPI
  • OpenState : _PEI_SMM_ACCESS_PPI
  • OptionValue : _EFI_IFR_GUID_OPTIONKEY


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- b -

  • BaseAddress : CAPSULE_HOB_INFO
  • BasicBoot : BOOT_PERFORMANCE_TABLE
  • BDSRaw : PERF_HEADER
  • Bits : VLAN_TCI
  • Block : NET_VECTOR
  • BlockHead : NET_BLOCK_OP
  • BlockNum : NET_VECTOR
  • BlockOp : NET_BUF
  • BlockOpNum : NET_BUF
  • BlockTail : NET_BLOCK_OP
  • BootPerformance : FIRMWARE_PERFORMANCE_RUNTIME_DATA
  • BootPerformanceTablePointer : FIRMWARE_PERFORMANCE_VARIABLE
  • BootPointerRecord : FIRMWARE_PERFORMANCE_TABLE
  • BootScriptExecutorEntrypoint : BOOT_SCRIPT_EXECUTOR_VARIABLE
  • BootScriptStackBase : ACPI_S3_CONTEXT
  • BootScriptStackSize : ACPI_S3_CONTEXT
  • BootToOs : PERF_HEADER
  • Buffer : EFI_SMM_LOCK_BOX_PARAMETER_SAVE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE
  • BufList : NET_BUF_QUEUE
  • BufNum : NET_BUF_QUEUE
  • BufSize : NET_BUF_QUEUE
  • Bulk : NET_FRAGMENT , NET_BLOCK
  • BulkTransfer : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- c -

  • CacheCount : _VARIABLE_INFO_ENTRY
  • CallBack : UDP_RX_TOKEN , UDP_TX_TOKEN
  • Cfi : VLAN_TCI
  • CheckCapsuleUpdate : _PEI_CAPSULE_PPI
  • Checksum : IP6_ICMP_HEAD , EFI_UDP_HEADER , TCP_HEAD , IP4_HEAD , IP4_ICMP_HEAD
  • ChildHandle : _IP_IO , _IP_IO_IP_INFO
  • Class : _EFI_IFR_GUID_CLASS
  • Clear : _PEI_SMM_CONTROL_PPI
  • ClearRootHubPortFeature : _PEI_USB_HOST_CONTROLLER_PPI , _PEI_USB2_HOST_CONTROLLER_PPI
  • Close : _PEI_SMM_ACCESS_PPI
  • CloseToken : TCP_IO
  • Coalesce : _PEI_CAPSULE_PPI
  • Code : IP4_ICMP_HEAD , IP6_ICMP_HEAD
  • CodeType : MEMORY_STATUSCODE_RECORD
  • Command : EFI_SMM_LOCK_BOX_PARAMETER_HEADER
  • CommandBlockBaseAddr : IDE_REGS_BASE_ADDR
  • Communicate : _EFI_PEI_SMM_COMMUNICATION_PPI
  • CompatibleRangeTest : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • CompilerVersion : VM_CONTEXT
  • Config : _UDP_IO
  • Configure : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • ConnToken : TCP_IO
  • Context : UDP_RX_TOKEN , UDP_TX_TOKEN , _IP_IO_SEND_ENTRY
  • ControlBlockBaseAddr : IDE_REGS_BASE_ADDR
  • Controller : TCP_IO , _IP_IO , _UDP_IO
  • ControlTransfer : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • Count : NET_MAP , PERF_HEADER
  • CpuFreq : PERF_HEADER
  • Crc : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • CreateState : _PEI_CAPSULE_PPI
  • CurrPtr : VARIABLE_POINTER_TRACK


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- d -

  • Dasm : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • Data : SMM_VARIABLE_COMMUNICATE_HEADER , UDP_TX_TOKEN
  • DataLength : EFI_SMM_LOCK_BOX_PARAMETER_HEADER
  • DataSize : SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , VARIABLE_HEADER
  • Debugger : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • DeleteCount : _VARIABLE_INFO_ENTRY
  • Dest : _EFI_NET_SESSION_DATA
  • Disassemble : _EFI_EBC_VM_TEST_PROTOCOL
  • DispatchDpc : _EFI_DPC_PROTOCOL
  • Dst : IP4_HEAD
  • DstIp : NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • DstMac : ETHER_HEAD
  • DstPort : EFI_UDP_HEADER , TCP_HEAD
  • DummyRcvToken : _IP_IO_IP_INFO
  • Duration : PERF_DATA
  • DxeCodeTopAddress : EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- e -

  • EnableAtaChannel : _PEI_ATA_CONTROLLER_PPI
  • EndGauge : _PERFORMANCE_PROTOCOL
  • EndPtr : VARIABLE_INDEX_TABLE , VARIABLE_POINTER_TRACK
  • EndTimeStamp : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY
  • Entry : _IP_IO_SEND_ENTRY , _IP_IO_IP_INFO , _IP_IO
  • EntryPoint : VM_CONTEXT
  • ErrorLevel : EFI_DEBUG_INFO
  • EtherType : ETHER_HEAD
  • ExceptionFlags : VM_CONTEXT
  • Execute : _EFI_EBC_VM_TEST_PROTOCOL
  • ExtendOpCode : _EFI_IFR_GUID_VAREQNAME , _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_LABEL , _EFI_IFR_GUID_TIMEOUT , _EFI_IFR_GUID_BANNER , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_SUBCLASS


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- f -

  • Finished : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Flag : TCP_HEAD , NET_VECTOR
  • Flags : VM_CONTEXT
  • Format : VARIABLE_STORE_HEADER
  • Fourth : IP6_ICMP_INFORMATION_HEAD , IP4_ICMP_ERROR_HEAD , IP6_ICMP_ERROR_HEAD
  • Fragment : IP4_HEAD
  • FramePtr : VM_CONTEXT
  • Free : NET_VECTOR
  • Function : SMM_VARIABLE_COMMUNICATE_HEADER , SMM_PERF_COMMUNICATE


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- g -

  • Gateway : TCP4_IO_CONFIG_DATA , UDP_TX_TOKEN
  • GaugeData : SMM_PERF_COMMUNICATE
  • GetCapabilities : _PEI_SMM_ACCESS_PPI
  • GetDebugMask : _EFI_DEBUG_MASK_PROTOCOL
  • GetGauge : _PERFORMANCE_PROTOCOL
  • GetIdeRegsBaseAddr : _PEI_ATA_CONTROLLER_PPI
  • GetLastWrite : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • GetMaxBlockSize : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • GetPerformance : _PEI_SEC_PERFORMANCE_PPI
  • GetRangeLocation : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetRootHubPortNumber : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • GetRootHubPortStatus : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • GetRtcPowerStatus : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetSwapLockCapability : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetSwapState : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • GetUsbController : _PEI_USB_CONTROLLER_PPI
  • GoneThrough : VARIABLE_INDEX_TABLE
  • Gpr : VM_CONTEXT
  • Guid : EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , SMM_VARIABLE_COMMUNICATE_ACCESS_VARIABLE , _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_VAREQNAME , EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_LABEL , _EFI_IFR_GUID_TIMEOUT , SMM_VARIABLE_COMMUNICATE_GET_NEXT_VARIABLE_NAME , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , _EFI_IFR_GUID_SUBCLASS , _EFI_IFR_GUID_BANNER


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- h -

  • Handle : PEI_PERFORMANCE_LOG_ENTRY , GAUGE_DATA_ENTRY , TCP_IO
  • Head : IP4_ICMP_ERROR_HEAD , NET_BLOCK_OP , IP4_ICMP_QUERY_HEAD , IP6_ICMP_ERROR_HEAD , IP6_ICMP_INFORMATION_HEAD
  • Header : EFI_SMM_LOCK_BOX_PARAMETER_RESTORE , _EFI_IFR_GUID_SUBCLASS , EFI_SMM_LOCK_BOX_PARAMETER_SAVE , _EFI_IFR_GUID_OPTIONKEY , FIRMWARE_PERFORMANCE_TABLE , _EFI_IFR_GUID_VAREQNAME , _EFI_IFR_GUID_CLASS , _EFI_IFR_GUID_TIMEOUT , _EFI_IFR_GUID_BANNER , S3_PERFORMANCE_TABLE , EFI_SMM_LOCK_BOX_PARAMETER_UPDATE , BOOT_PERFORMANCE_TABLE , EFI_SMM_LOCK_BOX_PARAMETER_SET_ATTRIBUTES , _EFI_IFR_GUID_LABEL , EFI_SMM_LOCK_BOX_PARAMETER_RESTORE_ALL_IN_PLACE
  • HeadLen : UDP_RX_TOKEN , IP4_HEAD , TCP_HEAD
  • HeapMigrateOffset : DEBUG_AGENT_CONTEXT_POSTMEM_SEC
  • HighStackBottom : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- i -

  • Id : IP4_HEAD , IP4_ICMP_QUERY_HEAD
  • Idtr : PEI_S3_RESUME_STATE
  • IdtrProfile : ACPI_S3_CONTEXT
  • Image : _IP_IO , TCP_IO , _UDP_IO
  • ImageBase : VM_CONTEXT
  • ImageHandle : VM_CONTEXT
  • Index : VARIABLE_INDEX_TABLE
  • Instance : MEMORY_STATUSCODE_RECORD
  • Ip : VM_CONTEXT , _IP_IO , _IP_IO_SEND_ENTRY , _IP_IO_IP_INFO , NET_BUF
  • Ip4 : IP_IO_IP_PROTOCOL , NET_IP_HEAD
  • Ip4CfgData : IP_IO_IP_CONFIG_DATA
  • Ip4Hdr : IP_IO_IP_HEADER
  • Ip4Info : NIC_IP4_CONFIG_INFO
  • Ip4OverrideData : IP_IO_OVERRIDE
  • Ip4RxData : IP_IO_IP_RX_DATA
  • Ip4Token : IP_IO_IP_COMPLETION_TOKEN
  • Ip4TxData : IP_IO_IP_TX_DATA
  • Ip6 : IP_IO_IP_PROTOCOL , NET_IP_HEAD
  • Ip6CfgData : IP_IO_IP_CONFIG_DATA
  • Ip6Hdr : IP_IO_IP_HEADER
  • Ip6OverrideData : IP_IO_OVERRIDE
  • Ip6RxData : IP_IO_IP_RX_DATA
  • Ip6Token : IP_IO_IP_COMPLETION_TOKEN
  • Ip6TxData : IP_IO_IP_TX_DATA
  • IpConfigData : _IP_IO_OPEN_DATA
  • IpHdr : _EFI_NET_SESSION_DATA
  • IpHdrLen : _EFI_NET_SESSION_DATA
  • IpHead : IP6_ICMP_ERROR_HEAD , IP4_ICMP_ERROR_HEAD
  • IpIo : _IP_IO_SEND_ENTRY
  • IpList : _IP_IO
  • IpVersion : _EFI_NET_SESSION_DATA , _IP_IO , _IP_IO_IP_INFO
  • IsCloseDone : TCP_IO
  • IsConfigured : _IP_IO
  • IsConnDone : TCP_IO
  • IsHard : ICMP_ERROR_INFO
  • IsListenDone : TCP_IO
  • IsRxDone : TCP_IO
  • IsTxDone : TCP_IO


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- p -

  • Packet : UDP_TX_TOKEN
  • PacketIndex : MEMORY_STATUSCODE_PACKET_HEADER
  • PageTableAddress : EFI_CAPSULE_LONG_MODE_BUFFER
  • PendingSndList : _IP_IO
  • PerformMemoryTest : _EFI_GENERIC_MEMORY_TEST_PROTOCOL
  • Perment : NIC_IP4_CONFIG_INFO
  • Pkt : _IP_IO_SEND_ENTRY
  • PktRcvdNotify : _IP_IO , _IP_IO_OPEN_DATA
  • PktSentNotify : _IP_IO , _IP_IO_OPEN_DATA
  • PrefixLength : IP_IO_IP_MASK
  • PreMask : _IP_IO_IP_INFO
  • Priority : VLAN_TCI
  • Protocol : NET_PSEUDO_HDR , _UDP_IO , _IP_IO , IP4_HEAD
  • ProtoData : NET_BUF


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- q -

  • QuestionId : _EFI_IFR_GUID_OPTIONKEY , _EFI_IFR_GUID_VAREQNAME
  • QueueDpc : _EFI_DPC_PROTOCOL


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- r -

  • RcvdContext : _IP_IO , _IP_IO_OPEN_DATA
  • RcvToken : _IP_IO
  • ReadCount : _VARIABLE_INFO_ENTRY
  • RecordIndex : MEMORY_STATUSCODE_PACKET_HEADER
  • RecvRequest : _UDP_IO
  • Recycled : NET_MAP
  • RefCnt : _IP_IO_IP_INFO , NET_VECTOR , NET_BUF , NET_BUF_QUEUE , _UDP_IO
  • RegiserExitHandler : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • RegisterHotKey : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • RemainingVariableStorageSize : SMM_VARIABLE_COMMUNICATE_QUERY_VARIABLE_INFO
  • RemoteAddr : UDP_END_POINT
  • RemoteIp : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA
  • RemotePort : TCP4_IO_CONFIG_DATA , TCP6_IO_CONFIG_DATA , UDP_END_POINT
  • Res : TCP_HEAD
  • Reserved : VARIABLE_HEADER , PEI_PERFORMANCE_LOG_HEADER , GAUGE_DATA_HEADER , EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER , VARIABLE_STORE_HEADER , NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • Reserved1 : VARIABLE_STORE_HEADER
  • Reserved3 : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • ResetEnd : FIRMWARE_SEC_PERFORMANCE
  • Restart : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • ReturnContext1 : SMM_S3_RESUME_STATE
  • ReturnContext2 : SMM_S3_RESUME_STATE
  • ReturnCs : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnEntryPoint : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnStackPointer : SMM_S3_RESUME_STATE , PEI_S3_RESUME_STATE
  • ReturnStatus : SMM_PERF_COMMUNICATE , EFI_SMM_LOCK_BOX_PARAMETER_HEADER , SMM_VARIABLE_COMMUNICATE_HEADER
  • Revision : _EFI_DEBUG_MASK_PROTOCOL
  • RxToken : TCP_IO


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- s -

  • S3DebugBufferAddress : ACPI_S3_CONTEXT
  • S3Entry : PERF_HEADER
  • S3EntryNum : PERF_HEADER
  • S3NvsPageTableAddress : ACPI_S3_CONTEXT
  • S3Performance : FIRMWARE_PERFORMANCE_RUNTIME_DATA
  • S3PerformanceTablePointer : FIRMWARE_PERFORMANCE_VARIABLE
  • S3PointerRecord : FIRMWARE_PERFORMANCE_TABLE
  • S3Resume : S3_PERFORMANCE_TABLE , PERF_HEADER
  • S3Suspend : S3_PERFORMANCE_TABLE
  • SaveReminder : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • SentDatagram : _UDP_IO
  • Seq : IP4_ICMP_QUERY_HEAD , TCP_HEAD
  • Session : UDP_TX_TOKEN
  • SetBootLogo : _EFI_BOOT_LOGO_PROTOCOL
  • SetDebugMask : _EFI_DEBUG_MASK_PROTOCOL
  • SetRootHubPortFeature : _PEI_USB2_HOST_CONTROLLER_PPI , _PEI_USB_HOST_CONTROLLER_PPI
  • SetScope : _EFI_FORM_BROWSER_EXTENSION_PROTOCOL
  • SetSwapLock : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • SetSwapState : _EFI_SWAP_ADDRESS_RANGE_PROTOCOL
  • SignalException : _EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL
  • Signature : _UDP_IO , SMM_S3_RESUME_STATE , EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER , VARIABLE_STORE_HEADER , NET_VECTOR , NET_BUF , NET_BUF_QUEUE , UDP_RX_TOKEN , UDP_TX_TOKEN
  • Signiture : PERF_HEADER
  • Size : VARIABLE_STORE_HEADER , NET_BLOCK_OP
  • SmmGetNextVariableName : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmGetVariable : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmQueryVariableInfo : _EFI_SMM_VARIABLE_PROTOCOL
  • SmmS3Cr0 : SMM_S3_RESUME_STATE
  • SmmS3Cr3 : SMM_S3_RESUME_STATE
  • SmmS3Cr4 : SMM_S3_RESUME_STATE
  • SmmS3ResumeEntryPoint : SMM_S3_RESUME_STATE
  • SmmS3StackBase : SMM_S3_RESUME_STATE
  • SmmS3StackSize : SMM_S3_RESUME_STATE
  • SmmSetVariable : _EFI_SMM_VARIABLE_PROTOCOL
  • SmramBase : EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE
  • Smst : SMM_S3_RESUME_STATE
  • SndContext : _IP_IO , _IP_IO_OPEN_DATA
  • SndToken : _IP_IO_SEND_ENTRY
  • SnpMode : _UDP_IO
  • Source : NIC_IP4_CONFIG_INFO , _EFI_NET_SESSION_DATA
  • Src : IP4_HEAD
  • SrcIp : NET_PSEUDO_HDR , NET_IP6_PSEUDO_HDR
  • SrcMac : ETHER_HEAD
  • SrcPort : TCP_HEAD , EFI_UDP_HEADER
  • StackBaseAddress : EFI_CAPSULE_LONG_MODE_BUFFER
  • StackMagicPtr : VM_CONTEXT
  • StackMigrateOffset : DEBUG_AGENT_CONTEXT_POSTMEM_SEC
  • StackPool : VM_CONTEXT
  • StackRetAddr : VM_CONTEXT
  • StackSize : EFI_CAPSULE_LONG_MODE_BUFFER
  • StackTop : VM_CONTEXT
  • StartGauge : _PERFORMANCE_PROTOCOL
  • StartId : VARIABLE_HEADER
  • StartPtr : VARIABLE_INDEX_TABLE , VARIABLE_POINTER_TRACK
  • StartTimeStamp : GAUGE_DATA_ENTRY , PEI_PERFORMANCE_LOG_ENTRY
  • State : VARIABLE_HEADER , VARIABLE_STORE_HEADER
  • StationPort : TCP6_IO_CONFIG_DATA , TCP4_IO_CONFIG_DATA
  • StopFlags : VM_CONTEXT
  • SubClass : _EFI_IFR_GUID_SUBCLASS
  • SubnetMask : TCP4_IO_CONFIG_DATA , IP_IO_IP_MASK
  • SystemTable : VM_CONTEXT


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- t -

  • Tail : NET_BLOCK_OP
  • Tcp : NET_BUF , TCP_IO
  • Tcp4 : TCP_IO_PROTOCOL
  • Tcp4IoConfigData : TCP_IO_CONFIG_DATA
  • Tcp4Token : TCP_IO_CLOSE_TOKEN , TCP_IO_LISTEN_TOKEN , TCP_IO_CONNECTION_TOKEN , TCP_IO_IO_TOKEN
  • Tcp6 : TCP_IO_PROTOCOL
  • Tcp6IoConfigData : TCP_IO_CONFIG_DATA
  • Tcp6Token : TCP_IO_CONNECTION_TOKEN , TCP_IO_IO_TOKEN , TCP_IO_CLOSE_TOKEN , TCP_IO_LISTEN_TOKEN
  • TcpVersion : TCP_IO
  • TimeOut : _EFI_IFR_GUID_TIMEOUT
  • Title : _EFI_IFR_GUID_BANNER
  • Token : PEI_PERFORMANCE_LOG_ENTRY , PERF_DATA , GAUGE_DATA_ENTRY , UDP_RX_TOKEN , UDP_TX_TOKEN
  • Tos : IP4_HEAD
  • TotalLen : IP4_HEAD
  • TotalSize : NET_BUF
  • Trigger : _PEI_SMM_CONTROL_PPI
  • Ttl : IP4_HEAD
  • TxToken : TCP_IO
  • Type : EFI_MEMORY_TYPE_INFORMATION , IP4_ICMP_HEAD , IP6_ICMP_HEAD , NIC_ADDR


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- u -

  • Udp : NET_BUF
  • Udp4 : UDP_COMPLETION_TOKEN , UDP_TRANSMIT_DATA , _UDP_IO , UDP_SESSION_DATA , _UDP_IO
  • Udp6 : UDP_SESSION_DATA , UDP_TRANSMIT_DATA , _UDP_IO , UDP_COMPLETION_TOKEN
  • UdpHandle : _UDP_IO
  • UdpIo : UDP_RX_TOKEN , UDP_TX_TOKEN
  • UdpVersion : _UDP_IO
  • Uint16 : VLAN_TCI
  • UnicodeBSPrint : _EFI_PRINT2_PROTOCOL
  • UnicodeBSPrintAsciiFormat : _EFI_PRINT2_PROTOCOL
  • UnicodeSPrint : _EFI_PRINT2_PROTOCOL
  • UnicodeSPrintAsciiFormat : _EFI_PRINT2_PROTOCOL
  • UnicodeValueToString : _EFI_PRINT2_PROTOCOL
  • UnLoadPeImage : _EFI_PE32_IMAGE_PROTOCOL
  • Urg : TCP_HEAD
  • UsbBulkTransfer : _PEI_USB_IO_PPI
  • UsbControlTransfer : _PEI_USB_IO_PPI
  • UsbGetEndpointDescriptor : _PEI_USB_IO_PPI
  • UsbGetInterfaceDescriptor : _PEI_USB_IO_PPI
  • UsbPortReset : _PEI_USB_IO_PPI
  • Used : NET_MAP


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- v -

  • Value : MEMORY_STATUSCODE_RECORD , NET_MAP_ITEM
  • Vector : NET_BUF
  • VendorGuid : VARIABLE_HEADER , _VARIABLE_INFO_ENTRY
  • Ver : IP4_HEAD
  • Vid : VLAN_TCI
  • Volatile : _VARIABLE_INFO_ENTRY


MdeModulePkg[ALL]: Data Fields - Variables

  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w

- w -

  • Wnd : TCP_HEAD
  • WorkingBlockInvalid : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • WorkingBlockValid : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER
  • Write : _EFI_FAULT_TOLERANT_WRITE_PROTOCOL
  • WriteCount : _VARIABLE_INFO_ENTRY
  • WriteQueueSize : EFI_FAULT_TOLERANT_WORKING_BLOCK_HEADER


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- l -

  • Len : EbcVmTest.h
  • LOAD_PE_IMAGE : LoadPe32Image.h
  • LOCK_BOX_ATTRIBUTE_RESTORE_IN_PLACE : LockBoxLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- m -

  • MAX_IP4_CONFIG_IN_VARIABLE : NicIp4ConfigNvData.h
  • MaxLevel : FormBrowserEx.h
  • MAXLEVEL : GenericMemoryTest.h
  • MDEMODULEPKG_TOKEN_SPACE_GUID : MdeModulePkgTokenSpace.h
  • MEMORY_STATUS_CODE_RECORD_GUID : MemoryStatusCodeRecord.h
  • mIp4IoDefaultIpConfigData : IpIoLib.h
  • mIp6IoDefaultIpConfigData : IpIoLib.h
  • MTC_VARIABLE_NAME : MtcVendor.h
  • MTC_VENDOR_GUID : MtcVendor.h
  • mZeroIp4Addr : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- n -

  • NARROW_CHAR : MdeModuleHii.h
  • NET_BUF_HEAD : NetLib.h
  • NET_BUF_SHARED : NetLib.h
  • NET_BUF_SIGNATURE : NetLib.h
  • NET_BUF_SIZE : NetLib.h
  • NET_BUF_TAIL : NetLib.h
  • NET_CHECK_SIGNATURE : NetLib.h
  • NET_DEBUG_ERROR : NetLib.h
  • NET_DEBUG_MSG_LEN : NetLib.h
  • NET_DEBUG_TRACE : NetLib.h
  • NET_DEBUG_WARNING : NetLib.h
  • NET_ETHER_ADDR_LEN : NetLib.h
  • NET_GET_REF : NetLib.h
  • NET_HEADSPACE : NetLib.h
  • NET_IFTYPE_ETHERNET : NetLib.h
  • NET_IS_DIGIT : NetLib.h
  • NET_IS_LOWER_CASE_CHAR : NetLib.h
  • NET_IS_UPPER_CASE_CHAR : NetLib.h
  • NET_LIST_FOR_EACH : NetLib.h
  • NET_LIST_FOR_EACH_SAFE : NetLib.h
  • NET_LIST_HEAD : NetLib.h
  • NET_LIST_TAIL : NetLib.h
  • NET_LIST_USER_STRUCT : NetLib.h
  • NET_LIST_USER_STRUCT_S : NetLib.h
  • NET_MAC_EQUAL : NetLib.h
  • NET_MAC_IS_MULTICAST : NetLib.h
  • NET_MAP_INCREAMENT : NetLib.h
  • NET_PROTO_DATA : NetLib.h
  • NET_PROTO_HDR : IpIoLib.h
  • NET_PUT_REF : NetLib.h
  • NET_QUE_SIGNATURE : NetLib.h
  • NET_RANDOM : NetLib.h
  • NET_ROUNDUP : NetLib.h
  • NET_SYSLOG_FACILITY : NetLib.h
  • NET_SYSLOG_PACKET_LEN : NetLib.h
  • NET_SYSLOG_TX_TIMEOUT : NetLib.h
  • NET_TAILSPACE : NetLib.h
  • NET_VECTOR_OWN_FIRST : NetLib.h
  • NET_VECTOR_SIGNATURE : NetLib.h
  • NET_VECTOR_SIZE : NetLib.h
  • NET_VLAN_TAG_LEN : NetLib.h
  • NetAddChecksum() : NetLib.h
  • NetblockChecksum() : NetLib.h
  • NETBUF_FROM_PROTODATA : NetLib.h
  • NetbufAlloc() : NetLib.h
  • NetbufAllocSpace() : NetLib.h
  • NetbufBuildExt() : NetLib.h
  • NetbufChecksum() : NetLib.h
  • NetbufClone() : NetLib.h
  • NetbufCopy() : NetLib.h
  • NetbufDuplicate() : NetLib.h
  • NetbufFree() : NetLib.h
  • NetbufFreeList() : NetLib.h
  • NetbufFromBufList() : NetLib.h
  • NetbufFromExt() : NetLib.h
  • NetbufGetByte() : NetLib.h
  • NetbufGetFragment() : NetLib.h
  • NetbufQueAlloc() : NetLib.h
  • NetbufQueAppend() : NetLib.h
  • NetbufQueCopy() : NetLib.h
  • NetbufQueFlush() : NetLib.h
  • NetbufQueFree() : NetLib.h
  • NetbufQueInit() : NetLib.h
  • NetbufQueRemove() : NetLib.h
  • NetbufQueTrim() : NetLib.h
  • NetbufReserve() : NetLib.h
  • NetbufTrim() : NetLib.h
  • NETDEBUG_LEVEL_ERROR : NetLib.h
  • NETDEBUG_LEVEL_TRACE : NetLib.h
  • NETDEBUG_LEVEL_WARNING : NetLib.h
  • NetDebugASPrint() : NetLib.h
  • NetDebugOutput() : NetLib.h
  • NetGetIpClass() : NetLib.h
  • NetGetMaskLength() : NetLib.h
  • NetGetUint32() : NetLib.h
  • NetIp4IsUnicast() : NetLib.h
  • NetIp6IsLinkLocalAddr() : NetLib.h
  • NetIp6IsNetEqual() : NetLib.h
  • NetIp6IsUnspecifiedAddr() : NetLib.h
  • NetIp6IsValidUnicast() : NetLib.h
  • NetIp6PseudoHeadChecksum() : NetLib.h
  • NetIpSecNetbufFree() : NetLib.h
  • NetLibAsciiStrToIp4() : NetLib.h
  • NetLibAsciiStrToIp6() : NetLib.h
  • NetLibCreateIPv4DPathNode() : NetLib.h
  • NetLibCreateIPv6DPathNode() : NetLib.h
  • NetLibCreateServiceChild() : NetLib.h
  • NetLibDefaultUnload() : NetLib.h
  • NetLibDestroyServiceChild() : NetLib.h
  • NetLibDetectMedia() : NetLib.h
  • NetLibGetMacAddress() : NetLib.h
  • NetLibGetMacString() : NetLib.h
  • NetLibGetNicHandle() : NetLib.h
  • NetLibGetSnpHandle() : NetLib.h
  • NetLibGetSystemGuid() : NetLib.h
  • NetLibGetVlanHandle() : NetLib.h
  • NetLibGetVlanId() : NetLib.h
  • NetLibStrToIp4() : NetLib.h
  • NetLibStrToIp6() : NetLib.h
  • NetLibStrToIp6andPrefix() : NetLib.h
  • NetListInsertAfter() : NetLib.h
  • NetListInsertBefore() : NetLib.h
  • NetListRemoveHead() : NetLib.h
  • NetListRemoveTail() : NetLib.h
  • NetMapClean() : NetLib.h
  • NetMapFindKey() : NetLib.h
  • NetMapGetCount() : NetLib.h
  • NetMapInit() : NetLib.h
  • NetMapInsertHead() : NetLib.h
  • NetMapInsertTail() : NetLib.h
  • NetMapIsEmpty() : NetLib.h
  • NetMapIterate() : NetLib.h
  • NetMapRemoveHead() : NetLib.h
  • NetMapRemoveItem() : NetLib.h
  • NetMapRemoveTail() : NetLib.h
  • NetPseudoHeadChecksum() : NetLib.h
  • NetPutUint32() : NetLib.h
  • NetRandomInitSeed() : NetLib.h
  • NetSession : IpIoLib.h
  • NewDebugMask : DebugMask.h
  • NON_BREAKING_CHAR : MdeModuleHii.h
  • NotifyData : IpIoLib.h
  • NTOHL : NetLib.h
  • NTOHLL : NetLib.h
  • NTOHLLL : NetLib.h
  • NTOHS : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- o -

  • OemHookStatusCodeInitialize() : OemHookStatusCodeLib.h
  • OemHookStatusCodeReport() : OemHookStatusCodeLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- z -

  • ZERO_GUID : ZeroGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- b -

  • BOOLEAN() : UdpIoLib.h
  • BOOT_SCRIPT_EXECUTOR_VARIABLE_NAME : BootScriptExecutorVariable.h
  • BROWSER_ACTION_DEFAULT : FormBrowserEx.h
  • BROWSER_ACTION_DISCARD : FormBrowserEx.h
  • BROWSER_ACTION_EXIT : FormBrowserEx.h
  • BROWSER_ACTION_RESET : FormBrowserEx.h
  • BROWSER_ACTION_SUBMIT : FormBrowserEx.h
  • BROWSER_ACTION_UNREGISTER : FormBrowserEx.h
  • BROWSER_DISCARD_CHANGES : FormBrowserEx.h
  • BROWSER_NO_CHANGES : FormBrowserEx.h
  • BROWSER_SAVE_CHANGES : FormBrowserEx.h
  • BROWSER_SETTING_SCOPE : FormBrowserEx.h
  • BROWSER_STATE_SET_PASSWORD : MdeModuleHii.h
  • BROWSER_STATE_VALIDATE_PASSWORD : MdeModuleHii.h
  • Buffer : EbcVmTest.h
  • BufferLen : EbcVmTest.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- c -

  • ConfigId : EbcSimpleDebugger.h
  • ConfigValue : EbcSimpleDebugger.h
  • Context : UdpIoLib.h , IpIoLib.h
  • CurrentDebugMask : DebugMask.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- d -

  • DasmString : EbcSimpleDebugger.h
  • DasmStringSize : EbcSimpleDebugger.h
  • DEBUG_AGENT_CONTINUE : DebugAgentLib.h
  • DEBUG_AGENT_INIT_DXE_AP : DebugAgentLib.h
  • DEBUG_AGENT_INIT_DXE_CORE : DebugAgentLib.h
  • DEBUG_AGENT_INIT_ENTER_SMI : DebugAgentLib.h
  • DEBUG_AGENT_INIT_EXIT_SMI : DebugAgentLib.h
  • DEBUG_AGENT_INIT_POSTMEM_SEC : DebugAgentLib.h
  • DEBUG_AGENT_INIT_PREMEM_SEC : DebugAgentLib.h
  • DEBUG_AGENT_INIT_S3 : DebugAgentLib.h
  • DEBUG_AGENT_INIT_SMM : DebugAgentLib.h
  • DEBUG_MASK_VARIABLE_NAME : DebugMask.h
  • DefaultId : FormBrowserEx.h
  • DispatchDpc() : DpcLib.h
  • DRIVER_SAMPLE_FORMSET_GUID : DriverSampleHii.h
  • DRIVER_SAMPLE_INVENTORY_GUID : DriverSampleHii.h
  • DXE_PERFORMANCE_STRING_LENGTH : Performance.h
  • DXE_PERFORMANCE_STRING_SIZE : Performance.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- e -

  • EFI_ACPI_S3_CONTEXT_GUID : AcpiS3Context.h
  • EFI_AUTH_OPERATION_DEFER_IMAGE_LOAD : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_IMAGE_REQUIRED : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_MEASURE_IMAGE : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_NONE : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_VERIFY_IMAGE : SecurityManagementLib.h
  • EFI_BOOT_LOGO_PROTOCOL : BootLogo.h
  • EFI_BOOT_LOGO_PROTOCOL_GUID : BootLogo.h
  • EFI_BOOT_SCRIPT_EXECUTOR_CONTEXT_GUID : BootScriptExecutorVariable.h
  • EFI_BOOT_SCRIPT_EXECUTOR_VARIABLE_GUID : BootScriptExecutorVariable.h
  • EFI_CAPSULE_LONG_MODE_BUFFER_NAME : CapsuleVendor.h
  • EFI_CAPSULE_VARIABLE_NAME : CapsuleVendor.h
  • EFI_CAPSULE_VENDOR_GUID : CapsuleVendor.h
  • EFI_CONSOLE_IN_DEVICE_GUID : ConsoleInDevice.h
  • EFI_CONSOLE_OUT_DEVICE_GUID : ConsoleOutDevice.h
  • EFI_CRC32_GUIDED_SECTION_EXTRACTION_GUID : Crc32GuidedSectionExtraction.h
  • EFI_DEBUG_MASK_PROTOCOL : DebugMask.h
  • EFI_DEBUG_MASK_PROTOCOL_GUID : DebugMask.h
  • EFI_DEBUG_MASK_REVISION : DebugMask.h
  • EFI_DISK_DEVICE_CLASS : MdeModuleHii.h
  • EFI_DPC_DISPATCH_DPC : Dpc.h
  • EFI_DPC_PROCEDURE : Dpc.h
  • EFI_DPC_PROTOCOL : Dpc.h
  • EFI_DPC_PROTOCOL_GUID : Dpc.h
  • EFI_DPC_QUEUE_DPC : Dpc.h
  • EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL : EbcSimpleDebugger.h
  • EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL_GUID : EbcSimpleDebugger.h
  • EFI_EBC_VM_TEST_PROTOCOL : EbcVmTest.h
  • EFI_EBC_VM_TEST_PROTOCOL_GUID : EbcVmTest.h
  • EFI_FAULT_TOLERANT_WRITE_ABORT : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_ALLOCATE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_PROTOCOL : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_PROTOCOL_GUID : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_RESTART : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_WRITE : FaultTolerantWrite.h
  • EFI_FIRMWARE_PERFORMANCE_GUID : FirmwarePerformance.h
  • EFI_FIRMWARE_PERFORMANCE_VARIABLE_NAME : FirmwarePerformance.h
  • EFI_FORM_BROWSER_EXTENSION_PROTOCOL : FormBrowserEx.h
  • EFI_FRONT_PAGE_SUBCLASS : MdeModuleHii.h
  • EFI_GENERAL_APPLICATION_SUBCLASS : MdeModuleHii.h
  • EFI_GENERIC_MEMORY_TEST_PROTOCOL : GenericMemoryTest.h
  • EFI_GENERIC_MEMORY_TEST_PROTOCOL_GUID : GenericMemoryTest.h
  • EFI_GENERIC_VARIABLE_GUID : DebugMask.h
  • EFI_GET_RANGE_LOCATION : SwapAddressRange.h
  • EFI_GET_RTC_POWER_STATUS : SwapAddressRange.h
  • EFI_GET_SWAP_LOCK_CAPABILITY : SwapAddressRange.h
  • EFI_GET_SWAP_STATE : SwapAddressRange.h
  • EFI_HARDWARE_LOCK : SwapAddressRange.h
  • EFI_HII_DATE_UINT64 : HiiLib.h
  • EFI_HII_TIME_UINT64 : HiiLib.h
  • EFI_IFR_BANNER_ALIGN_CENTER : MdeModuleHii.h
  • EFI_IFR_BANNER_ALIGN_LEFT : MdeModuleHii.h
  • EFI_IFR_BANNER_ALIGN_RIGHT : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_BANNER : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_CLASS : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_LABEL : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_OPTIONKEY : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_SUBCLASS : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_TIMEOUT : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_VAREQNAME : MdeModuleHii.h
  • EFI_IFR_FRAMEWORK_GUID : MdeModuleHii.h
  • EFI_IFR_GUID_BANNER : MdeModuleHii.h
  • EFI_IFR_GUID_CLASS : MdeModuleHii.h
  • EFI_IFR_GUID_LABEL : MdeModuleHii.h
  • EFI_IFR_GUID_OPTIONKEY : MdeModuleHii.h
  • EFI_IFR_GUID_SUBCLASS : MdeModuleHii.h
  • EFI_IFR_GUID_TIMEOUT : MdeModuleHii.h
  • EFI_IFR_GUID_VAREQNAME : MdeModuleHii.h
  • EFI_IFR_REFRESH_ID_OP_GUID : DriverSampleHii.h
  • EFI_IFR_TIANO_GUID : MdeModuleHii.h
  • EFI_INPUT_DEVICE_CLASS : MdeModuleHii.h
  • EFI_IP4 : NetLib.h
  • EFI_IP4_EQUAL : NetLib.h
  • EFI_IP4_HEADER_LEN : IpIoLib.h
  • EFI_IP6_EQUAL : NetLib.h
  • EFI_IP_PROTO_ICMP : NetLib.h
  • EFI_IP_PROTO_TCP : NetLib.h
  • EFI_IP_PROTO_UDP : NetLib.h
  • EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE_GUID : LoadModuleAtFixedAddress.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_DEBUG_IMAGE_INFO_TABLE_REGISTRATION : LoadPe32Image.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_NONE : LoadPe32Image.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_RUNTIME_REGISTRATION : LoadPe32Image.h
  • EFI_LOCK_BOX_PROTOCOL_GUID : LockBox.h
  • EFI_MEMORY_TEST_COMPATIBLE_RANGE : GenericMemoryTest.h
  • EFI_MEMORY_TEST_FINISHED : GenericMemoryTest.h
  • EFI_MEMORY_TEST_INIT : GenericMemoryTest.h
  • EFI_MEMORY_TYPE_INFORMATION_GUID : MemoryTypeInformation.h
  • EFI_MEMORY_TYPE_INFORMATION_VARIABLE_NAME : MemoryTypeInformation.h
  • EFI_NET_SESSION_DATA : IpIoLib.h
  • EFI_NETWORK_DEVICE_CLASS : MdeModuleHii.h
  • EFI_NIC_IP4_CONFIG_NVDATA_GUID : Ip4ConfigHii.h
  • EFI_NIC_IP4_CONFIG_VARIABLE : NicIp4ConfigNvData.h
  • EFI_NIC_IP4_CONFIG_VARIABLE_GUID : NicIp4ConfigNvData.h
  • EFI_NON_DEVICE_CLASS : MdeModuleHii.h
  • EFI_NTOHL : NetLib.h
  • EFI_ON_BOARD_DEVICE_CLASS : MdeModuleHii.h
  • EFI_OTHER_DEVICE_CLASS : MdeModuleHii.h
  • EFI_PE32_IMAGE_PROTOCOL : LoadPe32Image.h
  • EFI_PEI_SMM_COMMUNICATE : SmmCommunication.h
  • EFI_PEI_SMM_COMMUNICATION_PPI : SmmCommunication.h
  • EFI_PEI_SMM_COMMUNICATION_PPI_GUID : SmmCommunication.h
  • EFI_PERFORM_MEMORY_TEST : GenericMemoryTest.h
  • EFI_PRINT2_PROTOCOL : Print2.h
  • EFI_PRINT2_PROTOCOL_GUID : Print2.h
  • EFI_SET_BOOT_LOGO : BootLogo.h
  • EFI_SET_SWAP_LOCK : SwapAddressRange.h
  • EFI_SET_SWAP_STATE : SwapAddressRange.h
  • EFI_SETUP_APPLICATION_SUBCLASS : MdeModuleHii.h
  • EFI_SINGLE_USE_SUBCLASS : MdeModuleHii.h
  • EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL : SmmFaultTolerantWrite.h
  • EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL_GUID : SmmFaultTolerantWrite.h
  • EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL : SmmFirmwareVolumeBlock.h
  • EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL_GUID : SmmFirmwareVolumeBlock.h
  • EFI_SMM_LOCK_BOX_COMMAND_RESTORE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_RESTORE_ALL_IN_PLACE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_SAVE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_SET_ATTRIBUTES : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_UPDATE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMUNICATION_GUID : SmmLockBox.h
  • EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL : SmmSwapAddressRange.h
  • EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL_GUID : SmmSwapAddressRange.h
  • EFI_SMM_VARIABLE_PROTOCOL : SmmVariable.h
  • EFI_SMM_VARIABLE_PROTOCOL_GUID : SmmVariable.h
  • EFI_SMM_VARIABLE_WRITE_GUID : SmmVariableCommon.h
  • EFI_SOFTWARE_LOCK : SwapAddressRange.h
  • EFI_STANDARD_ERROR_DEVICE_GUID : StandardErrorDevice.h
  • EFI_STATUS() : NetLib.h , SecPerformance.h , FormBrowserEx.h , SmmControl.h , UdpIoLib.h , DebugMask.h , EbcSimpleDebugger.h , EbcVmTest.h
  • EFI_STATUS_CODE_DATA_MAX_SIZE : StatusCodeDataTypeDebug.h
  • EFI_STATUS_CODE_DATA_TYPE_DEBUG_GUID : StatusCodeDataTypeDebug.h
  • EFI_SWAP_ADDRESS_RANGE_PROTOCOL : SwapAddressRange.h
  • EFI_SWAP_ADDRESS_RANGE_PROTOCOL_GUID : SwapAddressRange.h
  • EFI_SWAP_LOCK_CAPABILITY : SwapAddressRange.h
  • EFI_SYSTEM_NV_DATA_FV_GUID : SystemNvDataGuid.h
  • EFI_UNSUPPORT_LOCK : SwapAddressRange.h
  • EFI_VARIABLE_GUID : VariableFormat.h
  • EFI_VARIABLE_INDEX_TABLE_GUID : VariableIndexTable.h
  • EFI_VIDEO_DEVICE_CLASS : MdeModuleHii.h
  • EfiInvalid : VariableFormat.h
  • EfiRaw : VariableFormat.h
  • EfiUnknown : VariableFormat.h
  • EfiValid : VariableFormat.h
  • EndPoint : UdpIoLib.h
  • EnterS3WithImmediateWake() : ResetSystemLib.h
  • ETHER_TYPE_VLAN : NetLib.h
  • EXCEPTION_FLAGS : EbcVmTest.h
  • ExceptionType : EbcSimpleDebugger.h
  • ExecuteSecurityHandlers() : SecurityManagementLib.h
  • EXTENDMEM_COVERAGE_LEVEL : GenericMemoryTest.h
  • EXTENSIVE : GenericMemoryTest.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- f -

  • FORM_BROWSER_EXTENSION_PROTOCOL_GUID : FormBrowserEx.h
  • FormLevel : FormBrowserEx.h
  • FormSetLevel : FormBrowserEx.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- g -

  • gDriverSampleFormSetGuid : DriverSampleHii.h
  • gDriverSampleInventoryGuid : DriverSampleHii.h
  • gEfiAcpiS3ContextGuid : AcpiS3Context.h
  • gEfiAcpiVariableGuid : AcpiS3Context.h
  • gEfiBootLogoProtocolGuid : BootLogo.h
  • gEfiBootScriptExecutorContextGuid : BootScriptExecutorVariable.h
  • gEfiBootScriptExecutorVariableGuid : BootScriptExecutorVariable.h
  • gEfiCapsuleVendorGuid : CapsuleVendor.h
  • gEfiConsoleInDeviceGuid : ConsoleInDevice.h
  • gEfiConsoleOutDeviceGuid : ConsoleOutDevice.h
  • gEfiCrc32GuidedSectionExtractionGuid : Crc32GuidedSectionExtraction.h
  • gEfiDebugMaskProtocolGuid : DebugMask.h
  • gEfiDpcProtocolGuid : Dpc.h
  • gEfiEbcSimpleDebuggerProtocolGuid : EbcSimpleDebugger.h
  • gEfiEbcVmTestProtocolGuid : EbcVmTest.h
  • gEfiFaultTolerantWriteProtocolGuid : FaultTolerantWrite.h
  • gEfiFirmwarePerformanceGuid : FirmwarePerformance.h
  • gEfiFormBrowserExProtocolGuid : FormBrowserEx.h
  • gEfiGenericMemTestProtocolGuid : GenericMemoryTest.h
  • gEfiGenericVariableGuid : DebugMask.h
  • gEfiIfrFrameworkGuid : MdeModuleHii.h
  • gEfiIfrRefreshIdOpGuid : DriverSampleHii.h
  • gEfiIfrTianoGuid : MdeModuleHii.h
  • gEfiLoadPeImageProtocolGuid : LoadPe32Image.h
  • gEfiLockBoxProtocolGuid : LockBox.h
  • gEfiMdeModulePkgTokenSpaceGuid : MdeModulePkgTokenSpace.h
  • gEfiMemoryTypeInformationGuid : MemoryTypeInformation.h
  • gEfiNicIp4ConfigVariableGuid : NicIp4ConfigNvData.h
  • gEfiPeiSmmCommunicationPpiGuid : SmmCommunication.h
  • gEfiPrint2ProtocolGuid : Print2.h
  • gEfiSmmFaultTolerantWriteProtocolGuid : SmmFaultTolerantWrite.h
  • gEfiSmmFirmwareVolumeBlockProtocolGuid : SmmFirmwareVolumeBlock.h
  • gEfiSmmLockBoxCommunicationGuid : SmmLockBox.h
  • gEfiSmmSwapAddressRangeProtocolGuid : SmmSwapAddressRange.h
  • gEfiSmmVariableProtocolGuid : SmmVariable.h
  • gEfiStandardErrorDeviceGuid : StandardErrorDevice.h
  • gEfiStatusCodeDataTypeDebugGuid : StatusCodeDataTypeDebug.h
  • gEfiSwapAddressRangeProtocolGuid : SwapAddressRange.h
  • gEfiSystemNvDataFvGuid : SystemNvDataGuid.h
  • gEfiVariableGuid : VariableFormat.h
  • gEfiVariableIndexTableGuid : VariableIndexTable.h
  • GET_IDE_REGS_BASE_ADDR : AtaController.h
  • GET_PAD_SIZE : VariableFormat.h
  • gHiiConfigRouting : UefiHiiServicesLib.h
  • gHiiDatabase : UefiHiiServicesLib.h
  • gHiiFont : UefiHiiServicesLib.h
  • gHiiImage : UefiHiiServicesLib.h
  • gHiiResourceSamleFormSetGuid : HiiResourceSampleHii.h
  • gHiiString : UefiHiiServicesLib.h
  • gIdleLoopEventGuid : IdleLoopEvent.h
  • gIp4AllMasks : NetLib.h
  • gIp4IScsiConfigGuid : Ip4IScsiConfigHii.h
  • gIScsiCHAPAuthInfoGuid : Ip4IScsiConfigHii.h
  • gLoadFixedAddressConfigurationTableGuid : LoadModuleAtFixedAddress.h
  • gMemoryStatusCodeRecordGuid : MemoryStatusCodeRecord.h
  • gMtcVendorGuid : MtcVendor.h
  • gNicIp4ConfigNvDataGuid : Ip4ConfigHii.h
  • gPcdDataBaseHobGuid : PcdDataBaseHobGuid.h
  • gPeiAtaControllerPpiGuid : AtaController.h
  • gPeiCapsulePpiGuid : Capsule.h
  • gPeiPostScriptTablePpiGuid : PostBootScriptTable.h
  • gPeiSecPerformancePpiGuid : SecPerformance.h
  • gPeiSmmAccessPpiGuid : SmmAccess.h
  • gPeiSmmControlPpiGuid : SmmControl.h
  • gPeiUsb2HostControllerPpiGuid : Usb2HostController.h
  • gPeiUsbControllerPpiGuid : UsbController.h
  • gPeiUsbHostControllerPpiGuid : UsbHostController.h
  • gPeiUsbIoPpiGuid : UsbIo.h
  • gPerformanceProtocolGuid : Performance.h
  • gPlatformOverridesManagerGuid : PlatDriOverrideHii.h
  • gRecoveryOnDataCdGuid : RecoveryDevice.h
  • gRecoveryOnFatFloppyDiskGuid : RecoveryDevice.h
  • gRecoveryOnFatIdeDiskGuid : RecoveryDevice.h
  • gRecoveryOnFatUsbDiskGuid : RecoveryDevice.h
  • gSmmPerformanceProtocolGuid : Performance.h
  • gSmmVariableWriteGuid : SmmVariableCommon.h
  • gStatusCodeCallbackGuid : StatusCodeCallbackGuid.h
  • gUsbKeyboardLayoutKeyGuid : UsbKeyBoardLayout.h
  • gUsbKeyboardLayoutPackageGuid : UsbKeyBoardLayout.h
  • gVlanConfigFormSetGuid : VlanConfigHii.h
  • gZeroGuid : ZeroGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- h -

  • HEADER_ALIGN : VariableFormat.h
  • HEADER_ALIGNMENT : VariableFormat.h
  • HelpString : FormBrowserEx.h
  • HII_RESOURCE_SAMPLE_FORM_SET_GUID : HiiResourceSampleHii.h
  • HiiAddPackages() : HiiLib.h
  • HiiAllocateOpCodeHandle() : HiiLib.h
  • HiiConstructConfigHdr() : HiiLib.h
  • HiiCreateActionOpCode() : HiiLib.h
  • HiiCreateCheckBoxOpCode() : HiiLib.h
  • HiiCreateDateOpCode() : HiiLib.h
  • HiiCreateDefaultOpCode() : HiiLib.h
  • HiiCreateEndOpCode() : HiiLib.h
  • HiiCreateGotoOpCode() : HiiLib.h
  • HiiCreateGuidOpCode() : HiiLib.h
  • HiiCreateNumericOpCode() : HiiLib.h
  • HiiCreateOneOfOpCode() : HiiLib.h
  • HiiCreateOneOfOptionOpCode() : HiiLib.h
  • HiiCreateOrderedListOpCode() : HiiLib.h
  • HiiCreateRawOpCodes() : HiiLib.h
  • HiiCreateStringOpCode() : HiiLib.h
  • HiiCreateSubTitleOpCode() : HiiLib.h
  • HiiCreateTextOpCode() : HiiLib.h
  • HiiCreateTimeOpCode() : HiiLib.h
  • HiiFreeOpCodeHandle() : HiiLib.h
  • HiiGetBrowserData() : HiiLib.h
  • HiiGetHiiHandles() : HiiLib.h
  • HiiGetPackageString() : HiiLib.h
  • HiiGetString() : HiiLib.h
  • HiiGetSupportedLanguages() : HiiLib.h
  • HiiIsConfigHdrMatch() : HiiLib.h
  • HiiRemovePackages() : HiiLib.h
  • HiiSetBrowserData() : HiiLib.h
  • HiiSetString() : HiiLib.h
  • HiiSetToDefaults() : HiiLib.h
  • HiiUpdateForm() : HiiLib.h
  • HiiValidateSettings() : HiiLib.h
  • HTONL : NetLib.h
  • HTONLL : NetLib.h
  • HTONLLL : NetLib.h
  • HTONS : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- i -

  • ICMP6_ERR_PACKAGE_TOOBIG : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_HEADER : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_IPV6OPTION : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_NEXHEADER : IpIoLib.h
  • ICMP6_ERR_TIMXCEED_HOPLIMIT : IpIoLib.h
  • ICMP6_ERR_TIMXCEED_REASS : IpIoLib.h
  • ICMP6_ERR_UNREACH_HOST : IpIoLib.h
  • ICMP6_ERR_UNREACH_NET : IpIoLib.h
  • ICMP6_ERR_UNREACH_PORT : IpIoLib.h
  • ICMP6_ERR_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST_PROHIB : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST_UNKNOWN : IpIoLib.h
  • ICMP_CODE_UNREACH_ISOLATED : IpIoLib.h
  • ICMP_CODE_UNREACH_NEEDFRAG : IpIoLib.h
  • ICMP_CODE_UNREACH_NET : IpIoLib.h
  • ICMP_CODE_UNREACH_NET_PROHIB : IpIoLib.h
  • ICMP_CODE_UNREACH_NET_UNKNOWN : IpIoLib.h
  • ICMP_CODE_UNREACH_PORT : IpIoLib.h
  • ICMP_CODE_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_CODE_UNREACH_SRCFAIL : IpIoLib.h
  • ICMP_CODE_UNREACH_TOSHOST : IpIoLib.h
  • ICMP_CODE_UNREACH_TOSNET : IpIoLib.h
  • ICMP_ERR_MSGSIZE : IpIoLib.h
  • ICMP_ERR_PARAMPROB : IpIoLib.h
  • ICMP_ERR_QUENCH : IpIoLib.h
  • ICMP_ERR_TIMXCEED_INTRANS : IpIoLib.h
  • ICMP_ERR_TIMXCEED_REASS : IpIoLib.h
  • ICMP_ERR_UNREACH_HOST : IpIoLib.h
  • ICMP_ERR_UNREACH_NET : IpIoLib.h
  • ICMP_ERR_UNREACH_PORT : IpIoLib.h
  • ICMP_ERR_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_ERR_UNREACH_SRCFAIL : IpIoLib.h
  • ICMP_ERRLEN : IpIoLib.h
  • ICMP_TYPE_PARAMPROB : IpIoLib.h
  • ICMP_TYPE_SOURCEQUENCH : IpIoLib.h
  • ICMP_TYPE_TIMXCEED : IpIoLib.h
  • ICMP_TYPE_UNREACH : IpIoLib.h
  • IcmpErr : IpIoLib.h
  • IDLE_LOOP_EVENT_GUID : IdleLoopEvent.h
  • IGNORE : GenericMemoryTest.h
  • INIT_DXE_GAUGE_DATA_ENTRIES : Performance.h
  • INIT_SMM_GAUGE_DATA_ENTRIES : Performance.h
  • InitializeDebugAgent() : DebugAgentLib.h
  • InstructionCount : EbcVmTest.h
  • IoStatus : UdpIoLib.h
  • IP4_ADDR : NetLib.h
  • IP4_ADDR_CLASSA : NetLib.h
  • IP4_ADDR_CLASSB : NetLib.h
  • IP4_ADDR_CLASSC : NetLib.h
  • IP4_ADDR_CLASSD : NetLib.h
  • IP4_ADDR_CLASSE : NetLib.h
  • IP4_CONFIG_SOURCE_DHCP : NicIp4ConfigNvData.h
  • IP4_CONFIG_SOURCE_MAX : NicIp4ConfigNvData.h
  • IP4_CONFIG_SOURCE_STATIC : NicIp4ConfigNvData.h
  • IP4_COPY_ADDRESS : NetLib.h
  • IP4_IS_LOCAL_BROADCAST : NetLib.h
  • IP4_IS_MULTICAST : NetLib.h
  • IP4_IS_VALID_NETMASK : NetLib.h
  • IP4_ISCSI_CONFIG_GUID : Ip4IScsiConfigHii.h
  • IP4_MASK_NUM : NetLib.h
  • IP4_NET_EQUAL : NetLib.h
  • IP4_NIC_NAME_LENGTH : NicIp4ConfigNvData.h
  • IP4_PROTO_IGMP : NetLib.h
  • IP6_AH : NetLib.h
  • IP6_COPY_ADDRESS : NetLib.h
  • IP6_COPY_LINK_ADDRESS : NetLib.h
  • IP6_DESTINATION : NetLib.h
  • IP6_ESP : NetLib.h
  • IP6_FRAGMENT : NetLib.h
  • IP6_HOP_BY_HOP : NetLib.h
  • IP6_ICMP : NetLib.h
  • IP6_IS_MULTICAST : NetLib.h
  • IP6_NO_NEXT_HEADER : NetLib.h
  • IP6_PREFIX_LENGTH : NetLib.h
  • IP6_PREFIX_NUM : NetLib.h
  • IP6_ROUTING : NetLib.h
  • Ip6Swap128() : NetLib.h
  • IP_IO : IpIoLib.h
  • IP_IO_IP_INFO : IpIoLib.h
  • IP_IO_OPEN_DATA : IpIoLib.h
  • IP_IO_SEND_ENTRY : IpIoLib.h
  • IP_VERSION_4 : NetLib.h
  • IP_VERSION_6 : NetLib.h
  • IpIoAddIp() : IpIoLib.h
  • IpIoCancelTxToken() : IpIoLib.h
  • IpIoConfigIp() : IpIoLib.h
  • IpIoCreate() : IpIoLib.h
  • IpIoDestroy() : IpIoLib.h
  • IpIoFindSender() : IpIoLib.h
  • IpIoGetIcmpErrStatus() : IpIoLib.h
  • IpIoOpen() : IpIoLib.h
  • IpIoRefreshNeighbor() : IpIoLib.h
  • IpIoRemoveIp() : IpIoLib.h
  • IpIoSend() : IpIoLib.h
  • IpIoStop() : IpIoLib.h
  • ISCSI_CHAP_AUTH_INFO_GUID : Ip4IScsiConfigHii.h
  • Item : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- p -

  • PCD_DATABASE_HOB_GUID : PcdDataBaseHobGuid.h
  • PE32_IMAGE_PROTOCOL_GUID : LoadPe32Image.h
  • PEI_ATA_CONTROLLER_PPI : AtaController.h
  • PEI_ATA_CONTROLLER_PPI_GUID : AtaController.h
  • PEI_CAPSULE_CHECK_CAPSULE_UPDATE : Capsule.h
  • PEI_CAPSULE_COALESCE : Capsule.h
  • PEI_CAPSULE_CREATE_STATE : Capsule.h
  • PEI_CAPSULE_PPI : Capsule.h
  • PEI_CAPSULE_PPI_GUID : Capsule.h
  • PEI_EHCI_CONTROLLER : UsbController.h
  • PEI_ENABLE_ATA : AtaController.h
  • PEI_GET_USB_CONTROLLER : UsbController.h
  • PEI_ICH_IDE_NONE : AtaController.h
  • PEI_ICH_IDE_PRIMARY : AtaController.h
  • PEI_ICH_IDE_SECONDARY : AtaController.h
  • PEI_ICH_SATA_NONE : AtaController.h
  • PEI_ICH_SATA_PRIMARY : AtaController.h
  • PEI_ICH_SATA_SECONDARY : AtaController.h
  • PEI_OHCI_CONTROLLER : UsbController.h
  • PEI_PERFORMANCE_STRING_LENGTH : Performance.h
  • PEI_PERFORMANCE_STRING_SIZE : Performance.h
  • PEI_POST_BOOT_SCRIPT_TABLE_PPI_GUID : PostBootScriptTable.h
  • PEI_SEC_PERFORMANCE_PPI : SecPerformance.h
  • PEI_SEC_PERFORMANCE_PPI_GUID : SecPerformance.h
  • PEI_SMM_ACCESS_PPI : SmmAccess.h
  • PEI_SMM_ACCESS_PPI_GUID : SmmAccess.h
  • PEI_SMM_CAPABILITIES : SmmAccess.h
  • PEI_SMM_CLOSE : SmmAccess.h
  • PEI_SMM_CONTROL_PPI : SmmControl.h
  • PEI_SMM_CONTROL_PPI_GUID : SmmControl.h
  • PEI_SMM_LOCK : SmmAccess.h
  • PEI_SMM_OPEN : SmmAccess.h
  • PEI_UHCI_CONTROLLER : UsbController.h
  • PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_PPI : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_PPI_GUID : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE : Usb2HostController.h
  • PEI_USB_BULK_TRANSFER : UsbIo.h
  • PEI_USB_CONTROL_TRANSFER : UsbIo.h
  • PEI_USB_CONTROLLER_PPI : UsbController.h
  • PEI_USB_CONTROLLER_PPI_GUID : UsbController.h
  • PEI_USB_GET_ENDPOINT_DESCRIPTOR : UsbIo.h
  • PEI_USB_GET_INTERFACE_DESCRIPTOR : UsbIo.h
  • PEI_USB_HOST_CONTROLLER_BULK_TRANSFER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_PPI : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_PPI_GUID : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE : UsbHostController.h
  • PEI_USB_IO_PPI : UsbIo.h
  • PEI_USB_IO_PPI_GUID : UsbIo.h
  • PEI_USB_PORT_RESET : UsbIo.h
  • PeiRecoverFirmware() : RecoveryLib.h
  • PERF_PEI_ENTRY_MAX_NUM : Performance.h
  • PERF_TOKEN_LENGTH : Performance.h
  • PERF_TOKEN_SIZE : Performance.h
  • Performance : SecPerformance.h
  • PERFORMANCE_END_GAUGE : Performance.h
  • PERFORMANCE_GET_GAUGE : Performance.h
  • PERFORMANCE_PROTOCOL : Performance.h
  • PERFORMANCE_PROTOCOL_GUID : Performance.h
  • PERFORMANCE_SIGNATURE : Performance.h
  • PERFORMANCE_START_GAUGE : Performance.h
  • Periodic : SmmControl.h
  • Pkt : IpIoLib.h
  • PLAT_OVER_MNGR_GUID : PlatDriOverrideHii.h
  • PlatformHookAfterSmmDispatch() : SmmCorePlatformHookLib.h
  • PlatformHookBeforeSmmDispatch() : SmmCorePlatformHookLib.h
  • PlatformHookSerialPortInitialize() : PlatformHookLib.h
  • ProcessCapsuleImage() : CapsuleLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- q -

  • QueueDpc() : DpcLib.h
  • QUICK : GenericMemoryTest.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- r -

  • RECOVERY_ON_DATA_CD_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_FLOPPY_DISK_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_IDE_DISK_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_USB_DISK_GUID : RecoveryDevice.h
  • RegisterSecurityHandler() : SecurityManagementLib.h
  • ResetCold() : ResetSystemLib.h
  • ResetShutdown() : ResetSystemLib.h
  • ResetWarm() : ResetSystemLib.h
  • RestoreAllLockBoxInPlace() : LockBoxLib.h
  • RestoreLockBox() : LockBoxLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- s -

  • SAVE_REMINDER : FormBrowserEx.h
  • SaveAndSetDebugTimerInterrupt() : DebugAgentLib.h
  • SaveLockBox() : LockBoxLib.h
  • SECURITY_FILE_AUTHENTICATION_STATE_HANDLER : SecurityManagementLib.h
  • Sender : IpIoLib.h
  • SetLockBoxAttributes() : LockBoxLib.h
  • SMM_COMMUNICATE_HEADER_SIZE : SmmVariableCommon.h
  • SMM_PERF_FUNCTION_GET_GAUGE_DATA : Performance.h
  • SMM_PERF_FUNCTION_GET_GAUGE_ENTRY_NUMBER : Performance.h
  • SMM_PERFORMANCE_PROTOCOL_GUID : Performance.h
  • SMM_PERFORMANCE_STRING_LENGTH : Performance.h
  • SMM_PERFORMANCE_STRING_SIZE : Performance.h
  • SMM_S3_RESUME_SMM_32 : AcpiS3Context.h
  • SMM_S3_RESUME_SMM_64 : AcpiS3Context.h
  • SMM_VARIABLE_COMMUNICATE_HEADER_SIZE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_EXIT_BOOT_SERVICE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_NEXT_VARIABLE_NAME : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_STATISTICS : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_VARIABLE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_QUERY_VARIABLE_INFO : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_READY_TO_BOOT : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_SET_VARIABLE : SmmVariableCommon.h
  • SPARSE : GenericMemoryTest.h
  • STATUS_CODE_CALLBACK_GUID : StatusCodeCallbackGuid.h
  • SupportCapsuleImage() : CapsuleLib.h
  • SystemLevel : FormBrowserEx.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- t -

  • TCP_GET_MAPPING_TIMEOUT : TcpIoLib.h
  • TCP_PORTNO : NetLib.h
  • TCP_SEQNO : NetLib.h
  • TCP_VERSION_4 : TcpIoLib.h
  • TCP_VERSION_6 : TcpIoLib.h
  • TcpIoAccept() : TcpIoLib.h
  • TcpIoConnect() : TcpIoLib.h
  • TcpIoCreateSocket() : TcpIoLib.h
  • TcpIoDestroySocket() : TcpIoLib.h
  • TcpIoReceive() : TcpIoLib.h
  • TcpIoReset() : TcpIoLib.h
  • TcpIoTransmit() : TcpIoLib.h
  • This : SecPerformance.h , SmmControl.h
  • TICKS_PER_MS : NetLib.h
  • TICKS_PER_SECOND : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- u -

  • UDP_IO : UdpIoLib.h
  • UDP_IO_RX_SIGNATURE : UdpIoLib.h
  • UDP_IO_SIGNATURE : UdpIoLib.h
  • UDP_IO_TX_SIGNATURE : UdpIoLib.h
  • UDP_IO_UDP4_VERSION : UdpIoLib.h
  • UDP_IO_UDP6_VERSION : UdpIoLib.h
  • UdpIoCancelDgrams() : UdpIoLib.h
  • UdpIoCancelSentDatagram() : UdpIoLib.h
  • UdpIoCleanIo() : UdpIoLib.h
  • UdpIoCreateIo() : UdpIoLib.h
  • UdpIoFreeIo() : UdpIoLib.h
  • UdpIoRecvDatagram() : UdpIoLib.h
  • UdpIoSendDatagram() : UdpIoLib.h
  • UINT32() : EbcSimpleDebugger.h
  • UNICODE_BS_PRINT : Print2.h
  • UNICODE_BS_PRINT_ASCII_FORMAT : Print2.h
  • UNICODE_S_PRINT : Print2.h
  • UNICODE_S_PRINT_ASCII_FORMAT : Print2.h
  • UNICODE_VALUE_TO_STRING : Print2.h
  • UNLOAD_PE_IMAGE : LoadPe32Image.h
  • UpdateLockBox() : LockBoxLib.h
  • USB_KEYBOARD_LAYOUT_KEY_GUID : UsbKeyBoardLayout.h
  • USB_KEYBOARD_LAYOUT_PACKAGE_GUID : UsbKeyBoardLayout.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- v -

  • VAR_ADDED : VariableFormat.h
  • VAR_DELETED : VariableFormat.h
  • VAR_HEADER_VALID_ONLY : VariableFormat.h
  • VAR_IN_DELETED_TRANSITION : VariableFormat.h
  • VARIABLE_DATA : VariableFormat.h
  • VARIABLE_INDEX_TABLE_VOLUME : VariableIndexTable.h
  • VARIABLE_INFO_ENTRY : VariableFormat.h
  • VARIABLE_STORE_FORMATTED : VariableFormat.h
  • VARIABLE_STORE_HEALTHY : VariableFormat.h
  • VARIABLE_STORE_SIGNATURE : VariableFormat.h
  • VARIABLE_STORE_STATUS : VariableFormat.h
  • VLAN_CONFIG_FORM_SET_GUID : VlanConfigHii.h
  • VLAN_TCI_CFI_CANONICAL_MAC : NetLib.h
  • VLAN_TCI_CFI_NON_CANONICAL_MAC : NetLib.h
  • VM_REGISTER : EbcVmTest.h
  • VMIP : EbcVmTest.h
  • VmPtr : EbcVmTest.h , EbcSimpleDebugger.h
  • VOID() : NetLib.h , IpIoLib.h , UdpIoLib.h , FormBrowserEx.h , EbcSimpleDebugger.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • z
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- w -

  • WIDE_CHAR : MdeModuleHii.h
  • WORKING_BLOCK_INVALID : SystemNvDataGuid.h
  • WORKING_BLOCK_VALID : SystemNvDataGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- a -

  • ALIGNMENT : VariableFormat.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- l -

  • LOCK_BOX_ATTRIBUTE_RESTORE_IN_PLACE : LockBoxLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- m -

  • MAX_IP4_CONFIG_IN_VARIABLE : NicIp4ConfigNvData.h
  • MDEMODULEPKG_TOKEN_SPACE_GUID : MdeModulePkgTokenSpace.h
  • MEMORY_STATUS_CODE_RECORD_GUID : MemoryStatusCodeRecord.h
  • MTC_VARIABLE_NAME : MtcVendor.h
  • MTC_VENDOR_GUID : MtcVendor.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- n -

  • NARROW_CHAR : MdeModuleHii.h
  • NET_BUF_HEAD : NetLib.h
  • NET_BUF_SHARED : NetLib.h
  • NET_BUF_SIGNATURE : NetLib.h
  • NET_BUF_SIZE : NetLib.h
  • NET_BUF_TAIL : NetLib.h
  • NET_CHECK_SIGNATURE : NetLib.h
  • NET_DEBUG_ERROR : NetLib.h
  • NET_DEBUG_MSG_LEN : NetLib.h
  • NET_DEBUG_TRACE : NetLib.h
  • NET_DEBUG_WARNING : NetLib.h
  • NET_ETHER_ADDR_LEN : NetLib.h
  • NET_GET_REF : NetLib.h
  • NET_HEADSPACE : NetLib.h
  • NET_IFTYPE_ETHERNET : NetLib.h
  • NET_IS_DIGIT : NetLib.h
  • NET_IS_LOWER_CASE_CHAR : NetLib.h
  • NET_IS_UPPER_CASE_CHAR : NetLib.h
  • NET_LIST_FOR_EACH : NetLib.h
  • NET_LIST_FOR_EACH_SAFE : NetLib.h
  • NET_LIST_HEAD : NetLib.h
  • NET_LIST_TAIL : NetLib.h
  • NET_LIST_USER_STRUCT : NetLib.h
  • NET_LIST_USER_STRUCT_S : NetLib.h
  • NET_MAC_EQUAL : NetLib.h
  • NET_MAC_IS_MULTICAST : NetLib.h
  • NET_MAP_INCREAMENT : NetLib.h
  • NET_PROTO_DATA : NetLib.h
  • NET_PROTO_HDR : IpIoLib.h
  • NET_PUT_REF : NetLib.h
  • NET_QUE_SIGNATURE : NetLib.h
  • NET_RANDOM : NetLib.h
  • NET_ROUNDUP : NetLib.h
  • NET_SYSLOG_FACILITY : NetLib.h
  • NET_SYSLOG_PACKET_LEN : NetLib.h
  • NET_SYSLOG_TX_TIMEOUT : NetLib.h
  • NET_TAILSPACE : NetLib.h
  • NET_VECTOR_OWN_FIRST : NetLib.h
  • NET_VECTOR_SIGNATURE : NetLib.h
  • NET_VECTOR_SIZE : NetLib.h
  • NET_VLAN_TAG_LEN : NetLib.h
  • NETBUF_FROM_PROTODATA : NetLib.h
  • NETDEBUG_LEVEL_ERROR : NetLib.h
  • NETDEBUG_LEVEL_TRACE : NetLib.h
  • NETDEBUG_LEVEL_WARNING : NetLib.h
  • NON_BREAKING_CHAR : MdeModuleHii.h
  • NTOHL : NetLib.h
  • NTOHLL : NetLib.h
  • NTOHLLL : NetLib.h
  • NTOHS : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- z -

  • ZERO_GUID : ZeroGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- b -

  • BOOT_SCRIPT_EXECUTOR_VARIABLE_NAME : BootScriptExecutorVariable.h
  • BROWSER_ACTION_DEFAULT : FormBrowserEx.h
  • BROWSER_ACTION_DISCARD : FormBrowserEx.h
  • BROWSER_ACTION_EXIT : FormBrowserEx.h
  • BROWSER_ACTION_RESET : FormBrowserEx.h
  • BROWSER_ACTION_SUBMIT : FormBrowserEx.h
  • BROWSER_ACTION_UNREGISTER : FormBrowserEx.h
  • BROWSER_DISCARD_CHANGES : FormBrowserEx.h
  • BROWSER_NO_CHANGES : FormBrowserEx.h
  • BROWSER_SAVE_CHANGES : FormBrowserEx.h
  • BROWSER_STATE_SET_PASSWORD : MdeModuleHii.h
  • BROWSER_STATE_VALIDATE_PASSWORD : MdeModuleHii.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- d -

  • DEBUG_AGENT_INIT_DXE_AP : DebugAgentLib.h
  • DEBUG_AGENT_INIT_DXE_CORE : DebugAgentLib.h
  • DEBUG_AGENT_INIT_ENTER_SMI : DebugAgentLib.h
  • DEBUG_AGENT_INIT_EXIT_SMI : DebugAgentLib.h
  • DEBUG_AGENT_INIT_POSTMEM_SEC : DebugAgentLib.h
  • DEBUG_AGENT_INIT_PREMEM_SEC : DebugAgentLib.h
  • DEBUG_AGENT_INIT_S3 : DebugAgentLib.h
  • DEBUG_AGENT_INIT_SMM : DebugAgentLib.h
  • DEBUG_MASK_VARIABLE_NAME : DebugMask.h
  • DRIVER_SAMPLE_FORMSET_GUID : DriverSampleHii.h
  • DRIVER_SAMPLE_INVENTORY_GUID : DriverSampleHii.h
  • DXE_PERFORMANCE_STRING_LENGTH : Performance.h
  • DXE_PERFORMANCE_STRING_SIZE : Performance.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- e -

  • EFI_ACPI_S3_CONTEXT_GUID : AcpiS3Context.h
  • EFI_AUTH_OPERATION_DEFER_IMAGE_LOAD : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_IMAGE_REQUIRED : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_MEASURE_IMAGE : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_NONE : SecurityManagementLib.h
  • EFI_AUTH_OPERATION_VERIFY_IMAGE : SecurityManagementLib.h
  • EFI_BOOT_LOGO_PROTOCOL_GUID : BootLogo.h
  • EFI_BOOT_SCRIPT_EXECUTOR_CONTEXT_GUID : BootScriptExecutorVariable.h
  • EFI_BOOT_SCRIPT_EXECUTOR_VARIABLE_GUID : BootScriptExecutorVariable.h
  • EFI_CAPSULE_LONG_MODE_BUFFER_NAME : CapsuleVendor.h
  • EFI_CAPSULE_VARIABLE_NAME : CapsuleVendor.h
  • EFI_CAPSULE_VENDOR_GUID : CapsuleVendor.h
  • EFI_CONSOLE_IN_DEVICE_GUID : ConsoleInDevice.h
  • EFI_CONSOLE_OUT_DEVICE_GUID : ConsoleOutDevice.h
  • EFI_CRC32_GUIDED_SECTION_EXTRACTION_GUID : Crc32GuidedSectionExtraction.h
  • EFI_DEBUG_MASK_PROTOCOL_GUID : DebugMask.h
  • EFI_DEBUG_MASK_REVISION : DebugMask.h
  • EFI_DISK_DEVICE_CLASS : MdeModuleHii.h
  • EFI_DPC_PROTOCOL_GUID : Dpc.h
  • EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL_GUID : EbcSimpleDebugger.h
  • EFI_EBC_VM_TEST_PROTOCOL_GUID : EbcVmTest.h
  • EFI_FAULT_TOLERANT_WRITE_PROTOCOL_GUID : FaultTolerantWrite.h
  • EFI_FIRMWARE_PERFORMANCE_GUID : FirmwarePerformance.h
  • EFI_FIRMWARE_PERFORMANCE_VARIABLE_NAME : FirmwarePerformance.h
  • EFI_FRONT_PAGE_SUBCLASS : MdeModuleHii.h
  • EFI_GENERAL_APPLICATION_SUBCLASS : MdeModuleHii.h
  • EFI_GENERIC_MEMORY_TEST_PROTOCOL_GUID : GenericMemoryTest.h
  • EFI_GENERIC_VARIABLE_GUID : DebugMask.h
  • EFI_HARDWARE_LOCK : SwapAddressRange.h
  • EFI_HII_DATE_UINT64 : HiiLib.h
  • EFI_HII_TIME_UINT64 : HiiLib.h
  • EFI_IFR_BANNER_ALIGN_CENTER : MdeModuleHii.h
  • EFI_IFR_BANNER_ALIGN_LEFT : MdeModuleHii.h
  • EFI_IFR_BANNER_ALIGN_RIGHT : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_BANNER : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_CLASS : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_LABEL : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_OPTIONKEY : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_SUBCLASS : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_TIMEOUT : MdeModuleHii.h
  • EFI_IFR_EXTEND_OP_VAREQNAME : MdeModuleHii.h
  • EFI_IFR_FRAMEWORK_GUID : MdeModuleHii.h
  • EFI_IFR_REFRESH_ID_OP_GUID : DriverSampleHii.h
  • EFI_IFR_TIANO_GUID : MdeModuleHii.h
  • EFI_INPUT_DEVICE_CLASS : MdeModuleHii.h
  • EFI_IP4 : NetLib.h
  • EFI_IP4_EQUAL : NetLib.h
  • EFI_IP4_HEADER_LEN : IpIoLib.h
  • EFI_IP6_EQUAL : NetLib.h
  • EFI_IP_PROTO_ICMP : NetLib.h
  • EFI_IP_PROTO_TCP : NetLib.h
  • EFI_IP_PROTO_UDP : NetLib.h
  • EFI_LOAD_FIXED_ADDRESS_CONFIGURATION_TABLE_GUID : LoadModuleAtFixedAddress.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_DEBUG_IMAGE_INFO_TABLE_REGISTRATION : LoadPe32Image.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_NONE : LoadPe32Image.h
  • EFI_LOAD_PE_IMAGE_ATTRIBUTE_RUNTIME_REGISTRATION : LoadPe32Image.h
  • EFI_LOCK_BOX_PROTOCOL_GUID : LockBox.h
  • EFI_MEMORY_TYPE_INFORMATION_GUID : MemoryTypeInformation.h
  • EFI_MEMORY_TYPE_INFORMATION_VARIABLE_NAME : MemoryTypeInformation.h
  • EFI_NETWORK_DEVICE_CLASS : MdeModuleHii.h
  • EFI_NIC_IP4_CONFIG_NVDATA_GUID : Ip4ConfigHii.h
  • EFI_NIC_IP4_CONFIG_VARIABLE : NicIp4ConfigNvData.h
  • EFI_NIC_IP4_CONFIG_VARIABLE_GUID : NicIp4ConfigNvData.h
  • EFI_NON_DEVICE_CLASS : MdeModuleHii.h
  • EFI_NTOHL : NetLib.h
  • EFI_ON_BOARD_DEVICE_CLASS : MdeModuleHii.h
  • EFI_OTHER_DEVICE_CLASS : MdeModuleHii.h
  • EFI_PEI_SMM_COMMUNICATION_PPI_GUID : SmmCommunication.h
  • EFI_PRINT2_PROTOCOL_GUID : Print2.h
  • EFI_SETUP_APPLICATION_SUBCLASS : MdeModuleHii.h
  • EFI_SINGLE_USE_SUBCLASS : MdeModuleHii.h
  • EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL_GUID : SmmFaultTolerantWrite.h
  • EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL_GUID : SmmFirmwareVolumeBlock.h
  • EFI_SMM_LOCK_BOX_COMMAND_RESTORE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_RESTORE_ALL_IN_PLACE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_SAVE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_SET_ATTRIBUTES : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMAND_UPDATE : SmmLockBox.h
  • EFI_SMM_LOCK_BOX_COMMUNICATION_GUID : SmmLockBox.h
  • EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL_GUID : SmmSwapAddressRange.h
  • EFI_SMM_VARIABLE_PROTOCOL_GUID : SmmVariable.h
  • EFI_SMM_VARIABLE_WRITE_GUID : SmmVariableCommon.h
  • EFI_SOFTWARE_LOCK : SwapAddressRange.h
  • EFI_STANDARD_ERROR_DEVICE_GUID : StandardErrorDevice.h
  • EFI_STATUS_CODE_DATA_MAX_SIZE : StatusCodeDataTypeDebug.h
  • EFI_STATUS_CODE_DATA_TYPE_DEBUG_GUID : StatusCodeDataTypeDebug.h
  • EFI_SWAP_ADDRESS_RANGE_PROTOCOL_GUID : SwapAddressRange.h
  • EFI_SYSTEM_NV_DATA_FV_GUID : SystemNvDataGuid.h
  • EFI_UNSUPPORT_LOCK : SwapAddressRange.h
  • EFI_VARIABLE_GUID : VariableFormat.h
  • EFI_VARIABLE_INDEX_TABLE_GUID : VariableIndexTable.h
  • EFI_VIDEO_DEVICE_CLASS : MdeModuleHii.h
  • ETHER_TYPE_VLAN : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- f -

  • FORM_BROWSER_EXTENSION_PROTOCOL_GUID : FormBrowserEx.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- g -

  • GET_PAD_SIZE : VariableFormat.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- h -

  • HEADER_ALIGN : VariableFormat.h
  • HEADER_ALIGNMENT : VariableFormat.h
  • HII_RESOURCE_SAMPLE_FORM_SET_GUID : HiiResourceSampleHii.h
  • HTONL : NetLib.h
  • HTONLL : NetLib.h
  • HTONLLL : NetLib.h
  • HTONS : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- i -

  • ICMP6_ERR_PACKAGE_TOOBIG : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_HEADER : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_IPV6OPTION : IpIoLib.h
  • ICMP6_ERR_PARAMPROB_NEXHEADER : IpIoLib.h
  • ICMP6_ERR_TIMXCEED_HOPLIMIT : IpIoLib.h
  • ICMP6_ERR_TIMXCEED_REASS : IpIoLib.h
  • ICMP6_ERR_UNREACH_HOST : IpIoLib.h
  • ICMP6_ERR_UNREACH_NET : IpIoLib.h
  • ICMP6_ERR_UNREACH_PORT : IpIoLib.h
  • ICMP6_ERR_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST_PROHIB : IpIoLib.h
  • ICMP_CODE_UNREACH_HOST_UNKNOWN : IpIoLib.h
  • ICMP_CODE_UNREACH_ISOLATED : IpIoLib.h
  • ICMP_CODE_UNREACH_NEEDFRAG : IpIoLib.h
  • ICMP_CODE_UNREACH_NET : IpIoLib.h
  • ICMP_CODE_UNREACH_NET_PROHIB : IpIoLib.h
  • ICMP_CODE_UNREACH_NET_UNKNOWN : IpIoLib.h
  • ICMP_CODE_UNREACH_PORT : IpIoLib.h
  • ICMP_CODE_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_CODE_UNREACH_SRCFAIL : IpIoLib.h
  • ICMP_CODE_UNREACH_TOSHOST : IpIoLib.h
  • ICMP_CODE_UNREACH_TOSNET : IpIoLib.h
  • ICMP_ERR_MSGSIZE : IpIoLib.h
  • ICMP_ERR_PARAMPROB : IpIoLib.h
  • ICMP_ERR_QUENCH : IpIoLib.h
  • ICMP_ERR_TIMXCEED_INTRANS : IpIoLib.h
  • ICMP_ERR_TIMXCEED_REASS : IpIoLib.h
  • ICMP_ERR_UNREACH_HOST : IpIoLib.h
  • ICMP_ERR_UNREACH_NET : IpIoLib.h
  • ICMP_ERR_UNREACH_PORT : IpIoLib.h
  • ICMP_ERR_UNREACH_PROTOCOL : IpIoLib.h
  • ICMP_ERR_UNREACH_SRCFAIL : IpIoLib.h
  • ICMP_ERRLEN : IpIoLib.h
  • ICMP_TYPE_PARAMPROB : IpIoLib.h
  • ICMP_TYPE_SOURCEQUENCH : IpIoLib.h
  • ICMP_TYPE_TIMXCEED : IpIoLib.h
  • ICMP_TYPE_UNREACH : IpIoLib.h
  • IDLE_LOOP_EVENT_GUID : IdleLoopEvent.h
  • INIT_DXE_GAUGE_DATA_ENTRIES : Performance.h
  • INIT_SMM_GAUGE_DATA_ENTRIES : Performance.h
  • IP4_ADDR_CLASSA : NetLib.h
  • IP4_ADDR_CLASSB : NetLib.h
  • IP4_ADDR_CLASSC : NetLib.h
  • IP4_ADDR_CLASSD : NetLib.h
  • IP4_ADDR_CLASSE : NetLib.h
  • IP4_CONFIG_SOURCE_DHCP : NicIp4ConfigNvData.h
  • IP4_CONFIG_SOURCE_MAX : NicIp4ConfigNvData.h
  • IP4_CONFIG_SOURCE_STATIC : NicIp4ConfigNvData.h
  • IP4_COPY_ADDRESS : NetLib.h
  • IP4_IS_LOCAL_BROADCAST : NetLib.h
  • IP4_IS_MULTICAST : NetLib.h
  • IP4_IS_VALID_NETMASK : NetLib.h
  • IP4_ISCSI_CONFIG_GUID : Ip4IScsiConfigHii.h
  • IP4_MASK_NUM : NetLib.h
  • IP4_NET_EQUAL : NetLib.h
  • IP4_NIC_NAME_LENGTH : NicIp4ConfigNvData.h
  • IP4_PROTO_IGMP : NetLib.h
  • IP6_AH : NetLib.h
  • IP6_COPY_ADDRESS : NetLib.h
  • IP6_COPY_LINK_ADDRESS : NetLib.h
  • IP6_DESTINATION : NetLib.h
  • IP6_ESP : NetLib.h
  • IP6_FRAGMENT : NetLib.h
  • IP6_HOP_BY_HOP : NetLib.h
  • IP6_ICMP : NetLib.h
  • IP6_IS_MULTICAST : NetLib.h
  • IP6_NO_NEXT_HEADER : NetLib.h
  • IP6_PREFIX_LENGTH : NetLib.h
  • IP6_PREFIX_NUM : NetLib.h
  • IP6_ROUTING : NetLib.h
  • IP_VERSION_4 : NetLib.h
  • IP_VERSION_6 : NetLib.h
  • ISCSI_CHAP_AUTH_INFO_GUID : Ip4IScsiConfigHii.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- p -

  • PCD_DATABASE_HOB_GUID : PcdDataBaseHobGuid.h
  • PE32_IMAGE_PROTOCOL_GUID : LoadPe32Image.h
  • PEI_ATA_CONTROLLER_PPI_GUID : AtaController.h
  • PEI_CAPSULE_PPI_GUID : Capsule.h
  • PEI_EHCI_CONTROLLER : UsbController.h
  • PEI_ICH_IDE_NONE : AtaController.h
  • PEI_ICH_IDE_PRIMARY : AtaController.h
  • PEI_ICH_IDE_SECONDARY : AtaController.h
  • PEI_ICH_SATA_NONE : AtaController.h
  • PEI_ICH_SATA_PRIMARY : AtaController.h
  • PEI_ICH_SATA_SECONDARY : AtaController.h
  • PEI_OHCI_CONTROLLER : UsbController.h
  • PEI_PERFORMANCE_STRING_LENGTH : Performance.h
  • PEI_PERFORMANCE_STRING_SIZE : Performance.h
  • PEI_POST_BOOT_SCRIPT_TABLE_PPI_GUID : PostBootScriptTable.h
  • PEI_SEC_PERFORMANCE_PPI_GUID : SecPerformance.h
  • PEI_SMM_ACCESS_PPI_GUID : SmmAccess.h
  • PEI_SMM_CONTROL_PPI_GUID : SmmControl.h
  • PEI_UHCI_CONTROLLER : UsbController.h
  • PEI_USB2_HOST_CONTROLLER_PPI_GUID : Usb2HostController.h
  • PEI_USB_CONTROLLER_PPI_GUID : UsbController.h
  • PEI_USB_HOST_CONTROLLER_PPI_GUID : UsbHostController.h
  • PEI_USB_IO_PPI_GUID : UsbIo.h
  • PERF_PEI_ENTRY_MAX_NUM : Performance.h
  • PERF_TOKEN_LENGTH : Performance.h
  • PERF_TOKEN_SIZE : Performance.h
  • PERFORMANCE_PROTOCOL_GUID : Performance.h
  • PERFORMANCE_SIGNATURE : Performance.h
  • PLAT_OVER_MNGR_GUID : PlatDriOverrideHii.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- r -

  • RECOVERY_ON_DATA_CD_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_FLOPPY_DISK_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_IDE_DISK_GUID : RecoveryDevice.h
  • RECOVERY_ON_FAT_USB_DISK_GUID : RecoveryDevice.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- s -

  • SMM_COMMUNICATE_HEADER_SIZE : SmmVariableCommon.h
  • SMM_PERF_FUNCTION_GET_GAUGE_DATA : Performance.h
  • SMM_PERF_FUNCTION_GET_GAUGE_ENTRY_NUMBER : Performance.h
  • SMM_PERFORMANCE_PROTOCOL_GUID : Performance.h
  • SMM_PERFORMANCE_STRING_LENGTH : Performance.h
  • SMM_PERFORMANCE_STRING_SIZE : Performance.h
  • SMM_S3_RESUME_SMM_32 : AcpiS3Context.h
  • SMM_S3_RESUME_SMM_64 : AcpiS3Context.h
  • SMM_VARIABLE_COMMUNICATE_HEADER_SIZE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_EXIT_BOOT_SERVICE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_NEXT_VARIABLE_NAME : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_STATISTICS : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_GET_VARIABLE : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_QUERY_VARIABLE_INFO : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_READY_TO_BOOT : SmmVariableCommon.h
  • SMM_VARIABLE_FUNCTION_SET_VARIABLE : SmmVariableCommon.h
  • STATUS_CODE_CALLBACK_GUID : StatusCodeCallbackGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- t -

  • TCP_GET_MAPPING_TIMEOUT : TcpIoLib.h
  • TCP_VERSION_4 : TcpIoLib.h
  • TCP_VERSION_6 : TcpIoLib.h
  • TICKS_PER_MS : NetLib.h
  • TICKS_PER_SECOND : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- u -

  • UDP_IO_RX_SIGNATURE : UdpIoLib.h
  • UDP_IO_SIGNATURE : UdpIoLib.h
  • UDP_IO_TX_SIGNATURE : UdpIoLib.h
  • UDP_IO_UDP4_VERSION : UdpIoLib.h
  • UDP_IO_UDP6_VERSION : UdpIoLib.h
  • USB_KEYBOARD_LAYOUT_KEY_GUID : UsbKeyBoardLayout.h
  • USB_KEYBOARD_LAYOUT_PACKAGE_GUID : UsbKeyBoardLayout.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- v -

  • VAR_ADDED : VariableFormat.h
  • VAR_DELETED : VariableFormat.h
  • VAR_HEADER_VALID_ONLY : VariableFormat.h
  • VAR_IN_DELETED_TRANSITION : VariableFormat.h
  • VARIABLE_DATA : VariableFormat.h
  • VARIABLE_INDEX_TABLE_VOLUME : VariableIndexTable.h
  • VARIABLE_STORE_FORMATTED : VariableFormat.h
  • VARIABLE_STORE_HEALTHY : VariableFormat.h
  • VARIABLE_STORE_SIGNATURE : VariableFormat.h
  • VLAN_CONFIG_FORM_SET_GUID : VlanConfigHii.h
  • VLAN_TCI_CFI_CANONICAL_MAC : NetLib.h
  • VLAN_TCI_CFI_NON_CANONICAL_MAC : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • z

- w -

  • WIDE_CHAR : MdeModuleHii.h
  • WORKING_BLOCK_INVALID : SystemNvDataGuid.h
  • WORKING_BLOCK_VALID : SystemNvDataGuid.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • BROWSER_SETTING_SCOPE : FormBrowserEx.h
  • EXTENDMEM_COVERAGE_LEVEL : GenericMemoryTest.h
  • VARIABLE_STORE_STATUS : VariableFormat.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • EfiInvalid : VariableFormat.h
  • EfiRaw : VariableFormat.h
  • EfiUnknown : VariableFormat.h
  • EfiValid : VariableFormat.h
  • EXTENSIVE : GenericMemoryTest.h
  • FormLevel : FormBrowserEx.h
  • FormSetLevel : FormBrowserEx.h
  • IGNORE : GenericMemoryTest.h
  • MaxLevel : FormBrowserEx.h
  • MAXLEVEL : GenericMemoryTest.h
  • QUICK : GenericMemoryTest.h
  • SPARSE : GenericMemoryTest.h
  • SystemLevel : FormBrowserEx.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • d
  • e
  • h
  • i
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v

- a -

  • AcpiS3ResumeOs() : S3Lib.h

- b -

  • BOOLEAN() : UdpIoLib.h

- d -

  • DispatchDpc() : DpcLib.h

- e -

  • EFI_STATUS() : DebugMask.h , NetLib.h , SecPerformance.h , FormBrowserEx.h , EbcVmTest.h , EbcSimpleDebugger.h , SmmControl.h , UdpIoLib.h
  • EnterS3WithImmediateWake() : ResetSystemLib.h
  • ExecuteSecurityHandlers() : SecurityManagementLib.h

- h -

  • HiiAddPackages() : HiiLib.h
  • HiiAllocateOpCodeHandle() : HiiLib.h
  • HiiConstructConfigHdr() : HiiLib.h
  • HiiCreateActionOpCode() : HiiLib.h
  • HiiCreateCheckBoxOpCode() : HiiLib.h
  • HiiCreateDateOpCode() : HiiLib.h
  • HiiCreateDefaultOpCode() : HiiLib.h
  • HiiCreateEndOpCode() : HiiLib.h
  • HiiCreateGotoOpCode() : HiiLib.h
  • HiiCreateGuidOpCode() : HiiLib.h
  • HiiCreateNumericOpCode() : HiiLib.h
  • HiiCreateOneOfOpCode() : HiiLib.h
  • HiiCreateOneOfOptionOpCode() : HiiLib.h
  • HiiCreateOrderedListOpCode() : HiiLib.h
  • HiiCreateRawOpCodes() : HiiLib.h
  • HiiCreateStringOpCode() : HiiLib.h
  • HiiCreateSubTitleOpCode() : HiiLib.h
  • HiiCreateTextOpCode() : HiiLib.h
  • HiiCreateTimeOpCode() : HiiLib.h
  • HiiFreeOpCodeHandle() : HiiLib.h
  • HiiGetBrowserData() : HiiLib.h
  • HiiGetHiiHandles() : HiiLib.h
  • HiiGetPackageString() : HiiLib.h
  • HiiGetString() : HiiLib.h
  • HiiGetSupportedLanguages() : HiiLib.h
  • HiiIsConfigHdrMatch() : HiiLib.h
  • HiiRemovePackages() : HiiLib.h
  • HiiSetBrowserData() : HiiLib.h
  • HiiSetString() : HiiLib.h
  • HiiSetToDefaults() : HiiLib.h
  • HiiUpdateForm() : HiiLib.h
  • HiiValidateSettings() : HiiLib.h

- i -

  • InitializeDebugAgent() : DebugAgentLib.h
  • Ip6Swap128() : NetLib.h
  • IpIoAddIp() : IpIoLib.h
  • IpIoCancelTxToken() : IpIoLib.h
  • IpIoConfigIp() : IpIoLib.h
  • IpIoCreate() : IpIoLib.h
  • IpIoDestroy() : IpIoLib.h
  • IpIoFindSender() : IpIoLib.h
  • IpIoGetIcmpErrStatus() : IpIoLib.h
  • IpIoOpen() : IpIoLib.h
  • IpIoRefreshNeighbor() : IpIoLib.h
  • IpIoRemoveIp() : IpIoLib.h
  • IpIoSend() : IpIoLib.h
  • IpIoStop() : IpIoLib.h

- n -

  • NetAddChecksum() : NetLib.h
  • NetblockChecksum() : NetLib.h
  • NetbufAlloc() : NetLib.h
  • NetbufAllocSpace() : NetLib.h
  • NetbufBuildExt() : NetLib.h
  • NetbufChecksum() : NetLib.h
  • NetbufClone() : NetLib.h
  • NetbufCopy() : NetLib.h
  • NetbufDuplicate() : NetLib.h
  • NetbufFree() : NetLib.h
  • NetbufFreeList() : NetLib.h
  • NetbufFromBufList() : NetLib.h
  • NetbufFromExt() : NetLib.h
  • NetbufGetByte() : NetLib.h
  • NetbufGetFragment() : NetLib.h
  • NetbufQueAlloc() : NetLib.h
  • NetbufQueAppend() : NetLib.h
  • NetbufQueCopy() : NetLib.h
  • NetbufQueFlush() : NetLib.h
  • NetbufQueFree() : NetLib.h
  • NetbufQueInit() : NetLib.h
  • NetbufQueRemove() : NetLib.h
  • NetbufQueTrim() : NetLib.h
  • NetbufReserve() : NetLib.h
  • NetbufTrim() : NetLib.h
  • NetDebugASPrint() : NetLib.h
  • NetDebugOutput() : NetLib.h
  • NetGetIpClass() : NetLib.h
  • NetGetMaskLength() : NetLib.h
  • NetGetUint32() : NetLib.h
  • NetIp4IsUnicast() : NetLib.h
  • NetIp6IsLinkLocalAddr() : NetLib.h
  • NetIp6IsNetEqual() : NetLib.h
  • NetIp6IsUnspecifiedAddr() : NetLib.h
  • NetIp6IsValidUnicast() : NetLib.h
  • NetIp6PseudoHeadChecksum() : NetLib.h
  • NetIpSecNetbufFree() : NetLib.h
  • NetLibAsciiStrToIp4() : NetLib.h
  • NetLibAsciiStrToIp6() : NetLib.h
  • NetLibCreateIPv4DPathNode() : NetLib.h
  • NetLibCreateIPv6DPathNode() : NetLib.h
  • NetLibCreateServiceChild() : NetLib.h
  • NetLibDefaultUnload() : NetLib.h
  • NetLibDestroyServiceChild() : NetLib.h
  • NetLibDetectMedia() : NetLib.h
  • NetLibGetMacAddress() : NetLib.h
  • NetLibGetMacString() : NetLib.h
  • NetLibGetNicHandle() : NetLib.h
  • NetLibGetSnpHandle() : NetLib.h
  • NetLibGetSystemGuid() : NetLib.h
  • NetLibGetVlanHandle() : NetLib.h
  • NetLibGetVlanId() : NetLib.h
  • NetLibStrToIp4() : NetLib.h
  • NetLibStrToIp6() : NetLib.h
  • NetLibStrToIp6andPrefix() : NetLib.h
  • NetListInsertAfter() : NetLib.h
  • NetListInsertBefore() : NetLib.h
  • NetListRemoveHead() : NetLib.h
  • NetListRemoveTail() : NetLib.h
  • NetMapClean() : NetLib.h
  • NetMapFindKey() : NetLib.h
  • NetMapGetCount() : NetLib.h
  • NetMapInit() : NetLib.h
  • NetMapInsertHead() : NetLib.h
  • NetMapInsertTail() : NetLib.h
  • NetMapIsEmpty() : NetLib.h
  • NetMapIterate() : NetLib.h
  • NetMapRemoveHead() : NetLib.h
  • NetMapRemoveItem() : NetLib.h
  • NetMapRemoveTail() : NetLib.h
  • NetPseudoHeadChecksum() : NetLib.h
  • NetPutUint32() : NetLib.h
  • NetRandomInitSeed() : NetLib.h

- o -

  • OemHookStatusCodeInitialize() : OemHookStatusCodeLib.h
  • OemHookStatusCodeReport() : OemHookStatusCodeLib.h

- p -

  • PeiRecoverFirmware() : RecoveryLib.h
  • PlatformHookAfterSmmDispatch() : SmmCorePlatformHookLib.h
  • PlatformHookBeforeSmmDispatch() : SmmCorePlatformHookLib.h
  • PlatformHookSerialPortInitialize() : PlatformHookLib.h
  • ProcessCapsuleImage() : CapsuleLib.h

- q -

  • QueueDpc() : DpcLib.h

- r -

  • RegisterSecurityHandler() : SecurityManagementLib.h
  • ResetCold() : ResetSystemLib.h
  • ResetShutdown() : ResetSystemLib.h
  • ResetWarm() : ResetSystemLib.h
  • RestoreAllLockBoxInPlace() : LockBoxLib.h
  • RestoreLockBox() : LockBoxLib.h

- s -

  • SaveAndSetDebugTimerInterrupt() : DebugAgentLib.h
  • SaveLockBox() : LockBoxLib.h
  • SetLockBoxAttributes() : LockBoxLib.h
  • SupportCapsuleImage() : CapsuleLib.h

- t -

  • TcpIoAccept() : TcpIoLib.h
  • TcpIoConnect() : TcpIoLib.h
  • TcpIoCreateSocket() : TcpIoLib.h
  • TcpIoDestroySocket() : TcpIoLib.h
  • TcpIoReceive() : TcpIoLib.h
  • TcpIoReset() : TcpIoLib.h
  • TcpIoTransmit() : TcpIoLib.h

- u -

  • UdpIoCancelDgrams() : UdpIoLib.h
  • UdpIoCancelSentDatagram() : UdpIoLib.h
  • UdpIoCleanIo() : UdpIoLib.h
  • UdpIoCreateIo() : UdpIoLib.h
  • UdpIoFreeIo() : UdpIoLib.h
  • UdpIoRecvDatagram() : UdpIoLib.h
  • UdpIoSendDatagram() : UdpIoLib.h
  • UINT32() : EbcSimpleDebugger.h
  • UpdateLockBox() : LockBoxLib.h

- v -

  • VOID() : IpIoLib.h , FormBrowserEx.h , EbcSimpleDebugger.h , UdpIoLib.h , NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • a
  • b
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • p
  • s
  • t
  • u
  • v

- a -

  • Action : FormBrowserEx.h
  • ActivationInterval : SmmControl.h
  • Arg : NetLib.h
  • ArgumentBuffer : SmmControl.h
  • ArgumentBufferSize : SmmControl.h
  • ASCII_BS_PRINT : Print2.h
  • ASCII_BS_PRINT_UNICODE_FORMAT : Print2.h
  • ASCII_S_PRINT : Print2.h
  • ASCII_S_PRINT_UNICODE_FORMAT : Print2.h
  • ASCII_VALUE_TO_STRING : Print2.h
  • AsmText : EbcVmTest.h

- b -

  • Buffer : EbcVmTest.h
  • BufferLen : EbcVmTest.h

- c -

  • ConfigId : EbcSimpleDebugger.h
  • ConfigValue : EbcSimpleDebugger.h
  • Context : UdpIoLib.h , IpIoLib.h
  • CurrentDebugMask : DebugMask.h

- d -

  • DasmString : EbcSimpleDebugger.h
  • DasmStringSize : EbcSimpleDebugger.h
  • DEBUG_AGENT_CONTINUE : DebugAgentLib.h
  • DefaultId : FormBrowserEx.h

- e -

  • EFI_BOOT_LOGO_PROTOCOL : BootLogo.h
  • EFI_DEBUG_MASK_PROTOCOL : DebugMask.h
  • EFI_DPC_DISPATCH_DPC : Dpc.h
  • EFI_DPC_PROCEDURE : Dpc.h
  • EFI_DPC_PROTOCOL : Dpc.h
  • EFI_DPC_QUEUE_DPC : Dpc.h
  • EFI_EBC_SIMPLE_DEBUGGER_PROTOCOL : EbcSimpleDebugger.h
  • EFI_EBC_VM_TEST_PROTOCOL : EbcVmTest.h
  • EFI_FAULT_TOLERANT_WRITE_ABORT : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_ALLOCATE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_GET_LAST_WRITE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_GET_MAX_BLOCK_SIZE : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_PROTOCOL : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_RESTART : FaultTolerantWrite.h
  • EFI_FAULT_TOLERANT_WRITE_WRITE : FaultTolerantWrite.h
  • EFI_FORM_BROWSER_EXTENSION_PROTOCOL : FormBrowserEx.h
  • EFI_GENERIC_MEMORY_TEST_PROTOCOL : GenericMemoryTest.h
  • EFI_GET_RANGE_LOCATION : SwapAddressRange.h
  • EFI_GET_RTC_POWER_STATUS : SwapAddressRange.h
  • EFI_GET_SWAP_LOCK_CAPABILITY : SwapAddressRange.h
  • EFI_GET_SWAP_STATE : SwapAddressRange.h
  • EFI_IFR_GUID_BANNER : MdeModuleHii.h
  • EFI_IFR_GUID_CLASS : MdeModuleHii.h
  • EFI_IFR_GUID_LABEL : MdeModuleHii.h
  • EFI_IFR_GUID_OPTIONKEY : MdeModuleHii.h
  • EFI_IFR_GUID_SUBCLASS : MdeModuleHii.h
  • EFI_IFR_GUID_TIMEOUT : MdeModuleHii.h
  • EFI_IFR_GUID_VAREQNAME : MdeModuleHii.h
  • EFI_MEMORY_TEST_COMPATIBLE_RANGE : GenericMemoryTest.h
  • EFI_MEMORY_TEST_FINISHED : GenericMemoryTest.h
  • EFI_MEMORY_TEST_INIT : GenericMemoryTest.h
  • EFI_NET_SESSION_DATA : IpIoLib.h
  • EFI_PE32_IMAGE_PROTOCOL : LoadPe32Image.h
  • EFI_PEI_SMM_COMMUNICATE : SmmCommunication.h
  • EFI_PEI_SMM_COMMUNICATION_PPI : SmmCommunication.h
  • EFI_PERFORM_MEMORY_TEST : GenericMemoryTest.h
  • EFI_PRINT2_PROTOCOL : Print2.h
  • EFI_SET_BOOT_LOGO : BootLogo.h
  • EFI_SET_SWAP_LOCK : SwapAddressRange.h
  • EFI_SET_SWAP_STATE : SwapAddressRange.h
  • EFI_SMM_FAULT_TOLERANT_WRITE_PROTOCOL : SmmFaultTolerantWrite.h
  • EFI_SMM_FIRMWARE_VOLUME_BLOCK_PROTOCOL : SmmFirmwareVolumeBlock.h
  • EFI_SMM_SWAP_ADDRESS_RANGE_PROTOCOL : SmmSwapAddressRange.h
  • EFI_SMM_VARIABLE_PROTOCOL : SmmVariable.h
  • EFI_SWAP_ADDRESS_RANGE_PROTOCOL : SwapAddressRange.h
  • EFI_SWAP_LOCK_CAPABILITY : SwapAddressRange.h
  • EndPoint : UdpIoLib.h
  • EXCEPTION_FLAGS : EbcVmTest.h
  • ExceptionType : EbcSimpleDebugger.h

- g -

  • GET_IDE_REGS_BASE_ADDR : AtaController.h

- h -

  • HelpString : FormBrowserEx.h

- i -

  • IcmpErr : IpIoLib.h
  • InstructionCount : EbcVmTest.h
  • IoStatus : UdpIoLib.h
  • IP4_ADDR : NetLib.h
  • IP_IO : IpIoLib.h
  • IP_IO_IP_INFO : IpIoLib.h
  • IP_IO_OPEN_DATA : IpIoLib.h
  • IP_IO_SEND_ENTRY : IpIoLib.h
  • Item : NetLib.h

- l -

  • Len : EbcVmTest.h
  • LOAD_PE_IMAGE : LoadPe32Image.h

- n -

  • NetSession : IpIoLib.h
  • NewDebugMask : DebugMask.h
  • NotifyData : IpIoLib.h

- p -

  • PEI_ATA_CONTROLLER_PPI : AtaController.h
  • PEI_CAPSULE_CHECK_CAPSULE_UPDATE : Capsule.h
  • PEI_CAPSULE_COALESCE : Capsule.h
  • PEI_CAPSULE_CREATE_STATE : Capsule.h
  • PEI_CAPSULE_PPI : Capsule.h
  • PEI_ENABLE_ATA : AtaController.h
  • PEI_GET_USB_CONTROLLER : UsbController.h
  • PEI_SEC_PERFORMANCE_PPI : SecPerformance.h
  • PEI_SMM_ACCESS_PPI : SmmAccess.h
  • PEI_SMM_CAPABILITIES : SmmAccess.h
  • PEI_SMM_CLOSE : SmmAccess.h
  • PEI_SMM_CONTROL_PPI : SmmControl.h
  • PEI_SMM_LOCK : SmmAccess.h
  • PEI_SMM_OPEN : SmmAccess.h
  • PEI_USB2_HOST_CONTROLLER_BULK_TRANSFER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_CONTROL_TRANSFER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_PPI : Usb2HostController.h
  • PEI_USB2_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE : Usb2HostController.h
  • PEI_USB_BULK_TRANSFER : UsbIo.h
  • PEI_USB_CONTROL_TRANSFER : UsbIo.h
  • PEI_USB_CONTROLLER_PPI : UsbController.h
  • PEI_USB_GET_ENDPOINT_DESCRIPTOR : UsbIo.h
  • PEI_USB_GET_INTERFACE_DESCRIPTOR : UsbIo.h
  • PEI_USB_HOST_CONTROLLER_BULK_TRANSFER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_CLEAR_ROOTHUB_PORT_FEATURE : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_CONTROL_TRANSFER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_NUMBER : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_GET_ROOTHUB_PORT_STATUS : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_PPI : UsbHostController.h
  • PEI_USB_HOST_CONTROLLER_SET_ROOTHUB_PORT_FEATURE : UsbHostController.h
  • PEI_USB_IO_PPI : UsbIo.h
  • PEI_USB_PORT_RESET : UsbIo.h
  • Performance : SecPerformance.h
  • PERFORMANCE_END_GAUGE : Performance.h
  • PERFORMANCE_GET_GAUGE : Performance.h
  • PERFORMANCE_PROTOCOL : Performance.h
  • PERFORMANCE_START_GAUGE : Performance.h
  • Periodic : SmmControl.h
  • Pkt : IpIoLib.h

- s -

  • SAVE_REMINDER : FormBrowserEx.h
  • SECURITY_FILE_AUTHENTICATION_STATE_HANDLER : SecurityManagementLib.h
  • Sender : IpIoLib.h

- t -

  • TCP_PORTNO : NetLib.h
  • TCP_SEQNO : NetLib.h
  • This : SecPerformance.h , SmmControl.h

- u -

  • UDP_IO : UdpIoLib.h
  • UNICODE_BS_PRINT : Print2.h
  • UNICODE_BS_PRINT_ASCII_FORMAT : Print2.h
  • UNICODE_S_PRINT : Print2.h
  • UNICODE_S_PRINT_ASCII_FORMAT : Print2.h
  • UNICODE_VALUE_TO_STRING : Print2.h
  • UNLOAD_PE_IMAGE : LoadPe32Image.h

- v -

  • VARIABLE_INFO_ENTRY : VariableFormat.h
  • VM_REGISTER : EbcVmTest.h
  • VMIP : EbcVmTest.h
  • VmPtr : EbcSimpleDebugger.h , EbcVmTest.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: Data Fields

  • File List
  • Globals
  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • g
  • m

- g -

  • gDriverSampleFormSetGuid : DriverSampleHii.h
  • gDriverSampleInventoryGuid : DriverSampleHii.h
  • gEfiAcpiS3ContextGuid : AcpiS3Context.h
  • gEfiAcpiVariableGuid : AcpiS3Context.h
  • gEfiBootLogoProtocolGuid : BootLogo.h
  • gEfiBootScriptExecutorContextGuid : BootScriptExecutorVariable.h
  • gEfiBootScriptExecutorVariableGuid : BootScriptExecutorVariable.h
  • gEfiCapsuleVendorGuid : CapsuleVendor.h
  • gEfiConsoleInDeviceGuid : ConsoleInDevice.h
  • gEfiConsoleOutDeviceGuid : ConsoleOutDevice.h
  • gEfiCrc32GuidedSectionExtractionGuid : Crc32GuidedSectionExtraction.h
  • gEfiDebugMaskProtocolGuid : DebugMask.h
  • gEfiDpcProtocolGuid : Dpc.h
  • gEfiEbcSimpleDebuggerProtocolGuid : EbcSimpleDebugger.h
  • gEfiEbcVmTestProtocolGuid : EbcVmTest.h
  • gEfiFaultTolerantWriteProtocolGuid : FaultTolerantWrite.h
  • gEfiFirmwarePerformanceGuid : FirmwarePerformance.h
  • gEfiFormBrowserExProtocolGuid : FormBrowserEx.h
  • gEfiGenericMemTestProtocolGuid : GenericMemoryTest.h
  • gEfiGenericVariableGuid : DebugMask.h
  • gEfiIfrFrameworkGuid : MdeModuleHii.h
  • gEfiIfrRefreshIdOpGuid : DriverSampleHii.h
  • gEfiIfrTianoGuid : MdeModuleHii.h
  • gEfiLoadPeImageProtocolGuid : LoadPe32Image.h
  • gEfiLockBoxProtocolGuid : LockBox.h
  • gEfiMdeModulePkgTokenSpaceGuid : MdeModulePkgTokenSpace.h
  • gEfiMemoryTypeInformationGuid : MemoryTypeInformation.h
  • gEfiNicIp4ConfigVariableGuid : NicIp4ConfigNvData.h
  • gEfiPeiSmmCommunicationPpiGuid : SmmCommunication.h
  • gEfiPrint2ProtocolGuid : Print2.h
  • gEfiSmmFaultTolerantWriteProtocolGuid : SmmFaultTolerantWrite.h
  • gEfiSmmFirmwareVolumeBlockProtocolGuid : SmmFirmwareVolumeBlock.h
  • gEfiSmmLockBoxCommunicationGuid : SmmLockBox.h
  • gEfiSmmSwapAddressRangeProtocolGuid : SmmSwapAddressRange.h
  • gEfiSmmVariableProtocolGuid : SmmVariable.h
  • gEfiStandardErrorDeviceGuid : StandardErrorDevice.h
  • gEfiStatusCodeDataTypeDebugGuid : StatusCodeDataTypeDebug.h
  • gEfiSwapAddressRangeProtocolGuid : SwapAddressRange.h
  • gEfiSystemNvDataFvGuid : SystemNvDataGuid.h
  • gEfiVariableGuid : VariableFormat.h
  • gEfiVariableIndexTableGuid : VariableIndexTable.h
  • gHiiConfigRouting : UefiHiiServicesLib.h
  • gHiiDatabase : UefiHiiServicesLib.h
  • gHiiFont : UefiHiiServicesLib.h
  • gHiiImage : UefiHiiServicesLib.h
  • gHiiResourceSamleFormSetGuid : HiiResourceSampleHii.h
  • gHiiString : UefiHiiServicesLib.h
  • gIdleLoopEventGuid : IdleLoopEvent.h
  • gIp4AllMasks : NetLib.h
  • gIp4IScsiConfigGuid : Ip4IScsiConfigHii.h
  • gIScsiCHAPAuthInfoGuid : Ip4IScsiConfigHii.h
  • gLoadFixedAddressConfigurationTableGuid : LoadModuleAtFixedAddress.h
  • gMemoryStatusCodeRecordGuid : MemoryStatusCodeRecord.h
  • gMtcVendorGuid : MtcVendor.h
  • gNicIp4ConfigNvDataGuid : Ip4ConfigHii.h
  • gPcdDataBaseHobGuid : PcdDataBaseHobGuid.h
  • gPeiAtaControllerPpiGuid : AtaController.h
  • gPeiCapsulePpiGuid : Capsule.h
  • gPeiPostScriptTablePpiGuid : PostBootScriptTable.h
  • gPeiSecPerformancePpiGuid : SecPerformance.h
  • gPeiSmmAccessPpiGuid : SmmAccess.h
  • gPeiSmmControlPpiGuid : SmmControl.h
  • gPeiUsb2HostControllerPpiGuid : Usb2HostController.h
  • gPeiUsbControllerPpiGuid : UsbController.h
  • gPeiUsbHostControllerPpiGuid : UsbHostController.h
  • gPeiUsbIoPpiGuid : UsbIo.h
  • gPerformanceProtocolGuid : Performance.h
  • gPlatformOverridesManagerGuid : PlatDriOverrideHii.h
  • gRecoveryOnDataCdGuid : RecoveryDevice.h
  • gRecoveryOnFatFloppyDiskGuid : RecoveryDevice.h
  • gRecoveryOnFatIdeDiskGuid : RecoveryDevice.h
  • gRecoveryOnFatUsbDiskGuid : RecoveryDevice.h
  • gSmmPerformanceProtocolGuid : Performance.h
  • gSmmVariableWriteGuid : SmmVariableCommon.h
  • gStatusCodeCallbackGuid : StatusCodeCallbackGuid.h
  • gUsbKeyboardLayoutKeyGuid : UsbKeyBoardLayout.h
  • gUsbKeyboardLayoutPackageGuid : UsbKeyBoardLayout.h
  • gVlanConfigFormSetGuid : VlanConfigHii.h
  • gZeroGuid : ZeroGuid.h

- m -

  • mIp4IoDefaultIpConfigData : IpIoLib.h
  • mIp6IoDefaultIpConfigData : IpIoLib.h
  • mZeroIp4Addr : NetLib.h
Generated on Sat Dec 17 17:45:12 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1


MdeModulePkg[ALL]: MdeModulePkg/MdeModulePkg.dec.decdoxygen File Reference

  • File List
  • Globals

MdeModulePkg/MdeModulePkg.dec.decdoxygen File Reference

Generated on Sat Dec 17 17:45:11 2011 for MdeModulePkg[ALL] by doxygen 1.5.7.1